#!/bin/sh

SOURCE="${BASH_SOURCE[0]}"
while [ -h "$SOURCE" ]; do # resolve $SOURCE until the file is no longer a symlink
  DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )"
  SOURCE="$(readlink "$SOURCE")"
  [[ $SOURCE != /* ]] && SOURCE="$DIR/$SOURCE" # if $SOURCE was a relative symlink, we need to resolve it relative to the path where the symlink file was located
done
DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )"
#echo $DIR
export JAVA_HOME="$DIR/jre"
export JRE_HOME="$DIR/jre"

LCP="$DIR/../Java/psa-client-api.jar:"
LCP+="$DIR/../Java/psa-client.jar:"
LCP+="$DIR/../Java/jbossall-client.jar:"
LCP+="$DIR/../Java/commons-collections.jar:"
LCP+="$DIR/../Java/commons-lang.jar:"
LCP+="$DIR/../Java/commons-logging.jar:"
LCP+="$DIR/../Java/log4j-1.2.17.jar:"
LCP+="$DIR/../Java/jcs.jar:"
LCP+="$DIR/../Java/jdom.jar:"
LCP+="$DIR/../Java/jakarta-regexp-1.2.jar:"
LCP+="$DIR/../Java/plugin-8.0.jar:"
LCP+="$DIR/../Java/webswing-api.jar:"
LCP+="$DIR/../Java/commons-io.jar:"
LCP+="$DIR/../Java/j2ee.jar:"

"$JAVA_HOME/bin/java" -Djava.naming.factory.initial=org.jnp.interfaces.NamingContextFactory \
-Djava.naming.factory.url.pkgs=org.jboss.naming:org.jnp.interfaces \
-Djava.naming.provider.url=172.16.145.128 \
-Xdock:name="PSA Print Labels" \
-Xdock:icon="$DIR/../Resources/img/psa-icon.ico" \
-Xms512M -Xmx512M \
-cp $LCP \
com.psasoft.inventory.app.InventoryLabels