<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
								xmlns:fo="http://www.w3.org/1999/XSL/Format" 
								xmlns:date="http://exslt.org/dates-and-times" 
								extension-element-prefixes="date" 
								xmlns:java="http://xml.apache.org/xslt/java" 
								exclude-result-prefixes="java" version="2.0">
<!-- attribute sets used in the report xsl files for formatting -->  
    <xsl:attribute-set name="table-headings">
        <xsl:attribute name="background-color">white</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="text-align">center</xsl:attribute>
        <xsl:attribute name="display-align">center</xsl:attribute>
        <xsl:attribute name="color">navy</xsl:attribute>
        <xsl:attribute name="font-weight">bold</xsl:attribute>
        <xsl:attribute name="font-size">9pt</xsl:attribute>
        <xsl:attribute name="border-style">solid</xsl:attribute>
        <xsl:attribute name="border-color">navy</xsl:attribute>
        <xsl:attribute name="border-width">1pt</xsl:attribute>
        <xsl:attribute name="padding-before">2pt</xsl:attribute>
        <xsl:attribute name="padding-start">2pt</xsl:attribute>
        <xsl:attribute name="padding-after">2pt</xsl:attribute>
        <xsl:attribute name="padding-end">2pt</xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="table-headings-smaller">
        <xsl:attribute name="background-color">white</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="text-align">center</xsl:attribute>
        <xsl:attribute name="display-align">center</xsl:attribute>
        <xsl:attribute name="color">navy</xsl:attribute>
        <xsl:attribute name="font-weight">bold</xsl:attribute>
        <xsl:attribute name="font-size">7pt</xsl:attribute>
        <xsl:attribute name="border-style">solid</xsl:attribute>
        <xsl:attribute name="border-color">navy</xsl:attribute>
        <xsl:attribute name="border-width">1pt</xsl:attribute>
        <xsl:attribute name="padding-before">2pt</xsl:attribute>
        <xsl:attribute name="padding-start">2pt</xsl:attribute>
        <xsl:attribute name="padding-after">2pt</xsl:attribute>
        <xsl:attribute name="padding-end">2pt</xsl:attribute>
    </xsl:attribute-set>    
    <xsl:attribute-set name="table-cells">
        <xsl:attribute name="border-width">1pt</xsl:attribute>
        <xsl:attribute name="border-style">solid</xsl:attribute>
        <xsl:attribute name="border-color">navy</xsl:attribute>
        <xsl:attribute name="padding-before">2pt</xsl:attribute>
        <xsl:attribute name="padding-start">2pt</xsl:attribute>
        <xsl:attribute name="padding-after">2pt</xsl:attribute>
        <xsl:attribute name="padding-end">2pt</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">8pt</xsl:attribute>
        <xsl:attribute name="color">black</xsl:attribute>
        <xsl:attribute name="wrap-option">wrap</xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="table-cells-smaller">
        <xsl:attribute name="border-width">1pt</xsl:attribute>
        <xsl:attribute name="border-style">solid</xsl:attribute>
        <xsl:attribute name="border-color">navy</xsl:attribute>
        <xsl:attribute name="padding-before">2pt</xsl:attribute>
        <xsl:attribute name="padding-start">2pt</xsl:attribute>
        <xsl:attribute name="padding-after">2pt</xsl:attribute>
        <xsl:attribute name="padding-end">2pt</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">6pt</xsl:attribute>
        <xsl:attribute name="color">black</xsl:attribute>
        <xsl:attribute name="wrap-option">wrap</xsl:attribute>
    </xsl:attribute-set>    
    <xsl:attribute-set name="table-cells-black">
        <xsl:attribute name="border-width">1pt</xsl:attribute>
        <xsl:attribute name="border-style">solid</xsl:attribute>
        <xsl:attribute name="border-color">navy</xsl:attribute>
        <xsl:attribute name="padding-before">2pt</xsl:attribute>
        <xsl:attribute name="padding-start">2pt</xsl:attribute>
        <xsl:attribute name="padding-after">2pt</xsl:attribute>
        <xsl:attribute name="padding-end">2pt</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">8pt</xsl:attribute>
        <xsl:attribute name="color">black</xsl:attribute>
        <xsl:attribute name="wrap-option">wrap</xsl:attribute>
    </xsl:attribute-set>    
    <xsl:attribute-set name="table-cells-minimal">
        <xsl:attribute name="border-width">0pt</xsl:attribute>
        <xsl:attribute name="padding-before">2pt</xsl:attribute>
        <xsl:attribute name="padding-start">2pt</xsl:attribute>
        <xsl:attribute name="padding-after">2pt</xsl:attribute>
        <xsl:attribute name="padding-end">2pt</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">7pt</xsl:attribute>
        <xsl:attribute name="color">black</xsl:attribute>
        <xsl:attribute name="wrap-option">wrap</xsl:attribute>
        <xsl:attribute name="keep-with-previous">always</xsl:attribute>
    </xsl:attribute-set>    
    <xsl:attribute-set name="borders-thin">
        <xsl:attribute name="border-right-width">0.5pt</xsl:attribute>
        <xsl:attribute name="border-right-style">solid</xsl:attribute>
        <xsl:attribute name="border-right-color">black</xsl:attribute>
        <xsl:attribute name="border-left-width">0.5pt</xsl:attribute>
        <xsl:attribute name="border-left-style">solid</xsl:attribute>
        <xsl:attribute name="border-left-color">black</xsl:attribute>
        <xsl:attribute name="border-top-width">0.5pt</xsl:attribute>
        <xsl:attribute name="border-top-style">solid</xsl:attribute>
        <xsl:attribute name="border-top-color">black</xsl:attribute>
        <xsl:attribute name="border-bottom-width">0.5pt</xsl:attribute>
        <xsl:attribute name="border-bottom-style">solid</xsl:attribute>
        <xsl:attribute name="border-bottom-color">black</xsl:attribute>
        <xsl:attribute name="padding-before">4pt</xsl:attribute>
        <xsl:attribute name="padding-start">4pt</xsl:attribute>
        <xsl:attribute name="padding-after">4pt</xsl:attribute>
        <xsl:attribute name="padding-end">4pt</xsl:attribute>        
    </xsl:attribute-set>    
    <xsl:attribute-set name="summary-headings">
        <xsl:attribute name="font-weight">bold</xsl:attribute>
        <xsl:attribute name="padding-before">4pt</xsl:attribute>
        <xsl:attribute name="padding-start">4pt</xsl:attribute>
        <xsl:attribute name="padding-after">4pt</xsl:attribute>
        <xsl:attribute name="padding-end">4pt</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">9pt</xsl:attribute>
        <xsl:attribute name="color">navy</xsl:attribute>
        <xsl:attribute name="wrap-option">wrap</xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="summary-cells">
        <xsl:attribute name="padding-before">2pt</xsl:attribute>
        <xsl:attribute name="padding-start">2pt</xsl:attribute>
        <xsl:attribute name="padding-after">2pt</xsl:attribute>
        <xsl:attribute name="padding-end">2pt</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">8pt</xsl:attribute>
        <xsl:attribute name="color">navy</xsl:attribute>
        <xsl:attribute name="wrap-option">wrap</xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="summary-data">
        <xsl:attribute name="padding-before">2pt</xsl:attribute>
        <xsl:attribute name="padding-start">2pt</xsl:attribute>
        <xsl:attribute name="padding-after">2pt</xsl:attribute>
        <xsl:attribute name="padding-end">2pt</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">8pt</xsl:attribute>
        <xsl:attribute name="color">black</xsl:attribute>
        <xsl:attribute name="wrap-option">wrap</xsl:attribute>
    </xsl:attribute-set>    
    <xsl:attribute-set name="smallprint-6">
        <xsl:attribute name="text-align">left</xsl:attribute>
        <xsl:attribute name="color">black</xsl:attribute>
        <xsl:attribute name="font-weight">normal</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">6pt</xsl:attribute>
		<xsl:attribute name="letter-spacing">-0.3pt</xsl:attribute>
		<xsl:attribute name="word-spacing">-0.3pt</xsl:attribute>
		<xsl:attribute name="wrap-option">wrap</xsl:attribute>
		<xsl:attribute name="text-align">justify</xsl:attribute>
    </xsl:attribute-set>    
    <xsl:attribute-set name="smallprint">
        <xsl:attribute name="text-align">left</xsl:attribute>
        <xsl:attribute name="color">black</xsl:attribute>
        <xsl:attribute name="font-weight">normal</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">6.5pt</xsl:attribute>
		<xsl:attribute name="letter-spacing">-0.3pt</xsl:attribute>
		<xsl:attribute name="word-spacing">-0.3pt</xsl:attribute>
		<xsl:attribute name="wrap-option">wrap</xsl:attribute>
    </xsl:attribute-set>    
    <xsl:attribute-set name="smallprint-8">
        <xsl:attribute name="text-align">left</xsl:attribute>
        <xsl:attribute name="color">black</xsl:attribute>
        <xsl:attribute name="font-weight">normal</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="letter-spacing">-0.3pt</xsl:attribute>
		<xsl:attribute name="word-spacing">-0.3pt</xsl:attribute>
		<xsl:attribute name="wrap-option">wrap</xsl:attribute>
    </xsl:attribute-set>      
    <xsl:attribute-set name="smalltable">
        <xsl:attribute name="padding-top">0pt</xsl:attribute>
        <xsl:attribute name="padding-left">0pt</xsl:attribute>
        <xsl:attribute name="padding-bottom">0pt</xsl:attribute>
        <xsl:attribute name="padding-right">0pt</xsl:attribute>
        <xsl:attribute name="padding-before">0pt</xsl:attribute>
        <xsl:attribute name="padding-start">0pt</xsl:attribute>
        <xsl:attribute name="padding-after">0pt</xsl:attribute>
        <xsl:attribute name="padding-end">0pt</xsl:attribute>        
        <xsl:attribute name="margin-top">0pt</xsl:attribute>
        <xsl:attribute name="margin-left">0pt</xsl:attribute>
        <xsl:attribute name="margin-bottom">0pt</xsl:attribute>
        <xsl:attribute name="margin-right">0pt</xsl:attribute>
		<xsl:attribute name="wrap-option">wrap</xsl:attribute>
    </xsl:attribute-set>       
    <xsl:attribute-set name="report-title">
        <xsl:attribute name="color">black</xsl:attribute>
        <xsl:attribute name="font-weight">bold</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">14pt</xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="summary-title">
        <xsl:attribute name="text-align">center</xsl:attribute>
        <xsl:attribute name="space-after">48pt</xsl:attribute>
        <xsl:attribute name="color">navy</xsl:attribute>
        <xsl:attribute name="font-weight">bold</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">12pt</xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="component-1">
        <xsl:attribute name="space-after">2pt</xsl:attribute>
        <xsl:attribute name="space-before">18pt</xsl:attribute>
        <xsl:attribute name="color">black</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">10pt</xsl:attribute>
		<xsl:attribute name="wrap-option">wrap</xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="component-2">
        <xsl:attribute name="space-after">0pt</xsl:attribute>
        <xsl:attribute name="space-before">3pt</xsl:attribute>
        <xsl:attribute name="color">black</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">10pt</xsl:attribute>
		<xsl:attribute name="wrap-option">wrap</xsl:attribute>
    </xsl:attribute-set>    
    <xsl:attribute-set name="component-3">
        <xsl:attribute name="space-after">2pt</xsl:attribute>
        <xsl:attribute name="space-before">18pt</xsl:attribute>
        <xsl:attribute name="color">black</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">8pt</xsl:attribute>
        <xsl:attribute name="font-weight">plain</xsl:attribute>
		<xsl:attribute name="wrap-option">wrap</xsl:attribute>
		<xsl:attribute name="vertical-align">bottom</xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="summary-component">
        <xsl:attribute name="start-indent">10pt</xsl:attribute>
        <xsl:attribute name="space-after">12pt</xsl:attribute>
        <xsl:attribute name="color">navy</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">10pt</xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="category-label">
        <xsl:attribute name="space-after">8pt</xsl:attribute>
        <xsl:attribute name="color">navy</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">10pt</xsl:attribute>
        <xsl:attribute name="font-weight">bold</xsl:attribute>
    </xsl:attribute-set>
    <xsl:attribute-set name="data-plain">
        <xsl:attribute name="color">black</xsl:attribute>
        <xsl:attribute name="font-family">sans-serif</xsl:attribute>
        <xsl:attribute name="font-size">8pt</xsl:attribute>
    </xsl:attribute-set>
<!-- ======================================================================
      Templates
  ======================================================================= -->
    <xsl:template name="make-layout-master-set">
        <fo:layout-master-set>
            <fo:simple-page-master master-name="other" margin-right="70pt" margin-left="70pt" page-height="11in" page-width="8.5in" margin-bottom="10pt" margin-top="25pt">
                <fo:region-body margin-top="25pt" margin-bottom="25pt"/>
                <fo:region-before region-name="top" extent="25pt" />
                <fo:region-after region-name="bottom" extent="20pt" />
            </fo:simple-page-master>
            <fo:page-sequence-master master-name="standard">
                <fo:repeatable-page-master-alternatives>
                    <fo:conditional-page-master-reference master-reference="other" />
                </fo:repeatable-page-master-alternatives>
            </fo:page-sequence-master>
        </fo:layout-master-set>
    </xsl:template>
    <xsl:template name="make-layout-master-small-margin">
        <fo:layout-master-set>
            <fo:simple-page-master master-name="other" margin-bottom="10pt" margin-top="10pt" margin-right="25pt" margin-left="30pt" page-height="11in" page-width="8.5in">
                <fo:region-body margin-top="10pt" margin-bottom="25pt"/>
                <fo:region-before region-name="top" extent="0pt" />
                <fo:region-after region-name="bottom" extent="15pt" />
            </fo:simple-page-master>
            <fo:page-sequence-master master-name="standard">
                <fo:repeatable-page-master-alternatives>
                    <fo:conditional-page-master-reference master-reference="other" />
                </fo:repeatable-page-master-alternatives>
            </fo:page-sequence-master>
        </fo:layout-master-set>
    </xsl:template>    
    <xsl:template name="make-layout-master-legal-small-margin">
        <fo:layout-master-set>
            <fo:simple-page-master master-name="other" margin-bottom="10pt" margin-top="10pt" margin-right="25pt" margin-left="30pt" page-height="14in" page-width="8.5in">
                <fo:region-body margin-top="10pt" margin-bottom="25pt"/>
                <fo:region-before region-name="top" extent="0pt" />
                <fo:region-after region-name="bottom" extent="15pt" />
            </fo:simple-page-master>
            <fo:page-sequence-master master-name="standard">
                <fo:repeatable-page-master-alternatives>
                    <fo:conditional-page-master-reference master-reference="other" />
                </fo:repeatable-page-master-alternatives>
            </fo:page-sequence-master>
        </fo:layout-master-set>
    </xsl:template>  
    <xsl:template name="make-layout-master-legal-landscape-small-margin">
        <fo:layout-master-set>
            <fo:simple-page-master master-name="other" margin-bottom="10pt" margin-top="10pt" margin-right="25pt" margin-left="30pt" page-height="8.5in" page-width="14in">
                <fo:region-body margin-top="10pt" margin-bottom="25pt"/>
                <fo:region-before region-name="top" extent="0pt" />
                <fo:region-after region-name="bottom" extent="15pt" />
            </fo:simple-page-master>
            <fo:page-sequence-master master-name="standard">
                <fo:repeatable-page-master-alternatives>
                    <fo:conditional-page-master-reference master-reference="other" />
                </fo:repeatable-page-master-alternatives>
            </fo:page-sequence-master>
        </fo:layout-master-set>
    </xsl:template>         
    <xsl:template name="make-layout-master-set-landscape">
        <fo:layout-master-set>
            <fo:simple-page-master master-name="other" margin-right="50pt" margin-left="50pt" page-height="8.5in" page-width="11in" margin-bottom="10pt" margin-top="25pt">
                <fo:region-body margin-top="25pt" margin-bottom="20pt"/>
                <fo:region-before region-name="top" extent="25pt" />
            </fo:simple-page-master>
            <fo:page-sequence-master master-name="standard">
                <fo:repeatable-page-master-alternatives>
                    <fo:conditional-page-master-reference master-reference="other" />
                </fo:repeatable-page-master-alternatives>
            </fo:page-sequence-master>
        </fo:layout-master-set>
    </xsl:template>
    <xsl:template name="make-layout-master-set-landscape-small-margin">
        <fo:layout-master-set>
            <fo:simple-page-master master-name="other" margin-bottom="10pt" margin-top="10pt" margin-right="10pt" margin-left="10pt" page-height="8.5in" page-width="11in">
                <fo:region-body margin-top="20pt" margin-bottom="20pt"/>
                <fo:region-before region-name="top" extent="20pt" />
            </fo:simple-page-master>
            <fo:page-sequence-master master-name="standard">
                <fo:repeatable-page-master-alternatives>
                    <fo:conditional-page-master-reference master-reference="other" />
                </fo:repeatable-page-master-alternatives>
            </fo:page-sequence-master>
        </fo:layout-master-set>
    </xsl:template>   
    <xsl:template name="make-layout-master-set-landscape-extra-wide">
        <fo:layout-master-set>
            <fo:simple-page-master master-name="other" margin-bottom="10pt" margin-top="10pt" margin-right="10pt" margin-left="10pt" page-height="8.5in" page-width="30in">
                <fo:region-body margin-top="20pt" margin-bottom="20pt"/>
                <fo:region-before region-name="top" extent="20pt" />
            </fo:simple-page-master>
            <fo:page-sequence-master master-name="standard">
                <fo:repeatable-page-master-alternatives>
                    <fo:conditional-page-master-reference master-reference="other" />
                </fo:repeatable-page-master-alternatives>
            </fo:page-sequence-master>
        </fo:layout-master-set>
    </xsl:template>    
    <xsl:template name="make-layout-master-set-landscape-small-no-header">
        <fo:layout-master-set>
            <fo:simple-page-master master-name="other" margin-bottom="10pt" margin-top="10pt" margin-right="10pt" margin-left="10pt" page-height="8.5in" page-width="11in">
                <fo:region-body margin-top="10pt" margin-bottom="10pt"/>
            </fo:simple-page-master>
            <fo:page-sequence-master master-name="standard">
                <fo:repeatable-page-master-alternatives>
                    <fo:conditional-page-master-reference master-reference="other" />
                </fo:repeatable-page-master-alternatives>
            </fo:page-sequence-master>
        </fo:layout-master-set>
    </xsl:template>      
    <xsl:template name="make-body">
        <fo:page-sequence master-reference="standard" id="pageseq">
            <fo:static-content flow-name="top">
				<xsl:if test="normalize-space($title) != '' or normalize-space($name) != ''">
	                <fo:table font-size="8pt">
	                    <fo:table-column column-width="7in" />
	                    <fo:table-body>
	                        <fo:table-row>
	                            <fo:table-cell>
	                                <fo:block xsl:use-attribute-sets="report-title">
										<xsl:if test="normalize-space($title) != ''">
		                                    <xsl:value-of select="$title" />
		                                 </xsl:if>
										<xsl:if test="normalize-space($name) != ''">
												<fo:inline>
													<xsl:value-of select="' - '" />
													<xsl:value-of select="$name" />
												</fo:inline>
										</xsl:if>
	                                </fo:block>
	                            </fo:table-cell>
	                        </fo:table-row>
	                    </fo:table-body>
	                </fo:table>
	             </xsl:if>
            </fo:static-content>
            <fo:static-content flow-name="bottom">
                <fo:table font-size="8pt">
                    <fo:table-column column-width="6in" />
                    <fo:table-column column-width="1in" />
                    <fo:table-body>
                        <fo:table-row>
                            <fo:table-cell text-align="left">
                                <fo:block>
                                    <xsl:value-of select="format-dateTime(current-dateTime(), '[MNn] [D], [Y] [h]:[m01] [PN] ')" />
                                </fo:block>
                            </fo:table-cell>
                            <fo:table-cell id="nohtml">
                                <fo:block text-align="right" id="nohtml">
                                    <xsl:value-of select="'Page '" />
                                    <fo:page-number />
																		<xsl:value-of select="' of '"/>
                                    <fo:page-number-citation-last ref-id="pageseq"/>
                                </fo:block>
                            </fo:table-cell>
                        </fo:table-row>
                    </fo:table-body>
                </fo:table>
            </fo:static-content>
            <fo:flow flow-name="xsl-region-body">
                 <xsl:call-template name="body_process" />
            </fo:flow>
        </fo:page-sequence>
    </xsl:template>
    <xsl:template name="make-body-small-margin">
        <fo:page-sequence master-reference="standard" id="pageseq">
            <fo:static-content flow-name="top">
				<xsl:if test="normalize-space($title) != '' and normalize-space($name) != ''">
	                <fo:table font-size="8pt">
	                    <fo:table-column column-width="7in" />
	                    <fo:table-body>
	                        <fo:table-row>
	                            <fo:table-cell>
	                                <fo:block xsl:use-attribute-sets="report-title">
										<xsl:if test="normalize-space($title) != ''">
		                                    <xsl:value-of select="$title" />
		                                 </xsl:if>
										<xsl:if test="normalize-space($name) != ''">
												<fo:inline>
													<xsl:value-of select="' - '" />
													<xsl:value-of select="$name" />
												</fo:inline>
										</xsl:if>
	                                </fo:block>
	                            </fo:table-cell>
	                        </fo:table-row>
	                    </fo:table-body>
	                </fo:table>
	             </xsl:if>
            </fo:static-content>
            <fo:static-content flow-name="bottom">
                <fo:table font-size="8pt">
                    <fo:table-column column-width="7in" />
                    <fo:table-column column-width="1in" />
                    <fo:table-body>
                        <fo:table-row>
                            <fo:table-cell id="nohtml">
                                <fo:block text-align="right" id="nohtml">
                                    <xsl:value-of select="'Page '" />
                                    <fo:page-number />
									<xsl:value-of select="' of '"/>
                                    <fo:page-number-citation-last ref-id="pageseq"/>                                    
                                </fo:block>
                            </fo:table-cell>
                        </fo:table-row>
                    </fo:table-body>
                </fo:table>
            </fo:static-content>
            <fo:flow flow-name="xsl-region-body">
                 <xsl:call-template name="body_process" />
            </fo:flow>
        </fo:page-sequence>
    </xsl:template>   
    <xsl:template name="make-body-landscape">
        <fo:page-sequence master-reference="standard" id="pageseq">
            <fo:static-content flow-name="top">
                <fo:table font-size="8pt">
                    <fo:table-column column-width="6in" />
                    <fo:table-column column-width="2in" />
                    <fo:table-column column-width="2in" />
                    <fo:table-body>
                        <fo:table-row>
                            <fo:table-cell>
                                <fo:block  xsl:use-attribute-sets="report-title" text-align="left">
                                    <xsl:value-of select="$title" />
																		<xsl:if test="normalize-space($name) != ''">
																				<fo:inline>
																					<xsl:value-of select="' - '" />
																					<xsl:value-of select="$name" />
																				</fo:inline>
																		</xsl:if>
                                </fo:block>                             
                            </fo:table-cell>
                            <fo:table-cell text-align="right">
                                <fo:block>
                                    <xsl:value-of select="format-dateTime(current-dateTime(), '[MNn] [D], [Y] [h]:[m01] [PN] ')" />
                                </fo:block>
                            </fo:table-cell>
                            <fo:table-cell id="nohtml">
                                <fo:block text-align="right" id="nohtml">
                                    <xsl:value-of select="'Page '" />
                                    <fo:page-number />
																		<xsl:value-of select="' of '"/>
                                    <fo:page-number-citation-last ref-id="pageseq"/>                                    
                                </fo:block>
                            </fo:table-cell>                            
                        </fo:table-row>
                    </fo:table-body>
                </fo:table>
            </fo:static-content>
            <!-- fo:static-content flow-name="bottom">
                <fo:table font-size="8pt">
                    <fo:table-column column-width="350pt" />
                    <fo:table-column column-width="335pt" />
                    <fo:table-column column-width="15pt" />
                    <fo:table-body>
                        <fo:table-row>
                            <fo:table-cell>
                                <fo:block text-align="left">
                                    <xsl:value-of select="
                                    format-datetime(current-dateTime(), '[MNn] [D], [Y] [h]:[m01] [PN] ')" />
                                </fo:block>
                            </fo:table-cell>
                            <fo:table-cell>
                                <fo:block text-align="right">
                                    <xsl:value-of select="$page" />
                                </fo:block>
                            </fo:table-cell>
                            <fo:table-cell>
                                <fo:block text-align="right">
                                    <fo:page-number />
                                </fo:block>
                            </fo:table-cell>
                        </fo:table-row>
                    </fo:table-body>
                </fo:table>
            </fo:static-content -->
            <fo:flow flow-name="xsl-region-body">
                <xsl:call-template name="body_process" />
            </fo:flow>
        </fo:page-sequence>
    </xsl:template>
    <xsl:template name="make-body-landscape-small-margin">
        <fo:page-sequence master-reference="standard" id="pageseq">
            <fo:static-content flow-name="top">
                <fo:table font-size="8pt">
                    <fo:table-column column-width="6in" />
                    <fo:table-column column-width="2in" />
                    <fo:table-column column-width="2in" />
                    <fo:table-body>
                        <fo:table-row>
                            <fo:table-cell>
                                <fo:block font-size="10pt" color="black" text-align="left">
                                    <xsl:value-of select="$title" />
																		<xsl:if test="normalize-space($name) != ''">
																				<fo:inline>
																					<xsl:value-of select="' - '" />
																					<xsl:value-of select="$name" />
																				</fo:inline>
																		</xsl:if>
                                </fo:block>                             
                            </fo:table-cell>
                            <fo:table-cell text-align="right">
                                <fo:block>
                                    <xsl:value-of select="format-dateTime(current-dateTime(), '[MNn] [D], [Y] [h]:[m01] [PN] ')" />
                                </fo:block>
                            </fo:table-cell>
                            <fo:table-cell id="nohtml">
                                <fo:block text-align="right" id="nohtml">
                                    <xsl:value-of select="'Page '" />
                                    <fo:page-number />
																		<xsl:value-of select="' of '"/>
                                    <fo:page-number-citation-last ref-id="pageseq"/>                                    
                                </fo:block>
                            </fo:table-cell>                            
                        </fo:table-row>
                    </fo:table-body>
                </fo:table>
            </fo:static-content>
            <fo:flow flow-name="xsl-region-body">
                <xsl:call-template name="body_process" />
            </fo:flow>
        </fo:page-sequence>
    </xsl:template>   
    <xsl:template name="make-body-landscape-legal-small-margin">
        <fo:page-sequence master-reference="standard" id="pageseq">
            <fo:static-content flow-name="top">
                <fo:table font-size="8pt">
                    <fo:table-column column-width="7in" />
                    <fo:table-column column-width="4in" />
                    <fo:table-column column-width="2in" />
                    <fo:table-body>
                        <fo:table-row>
                            <fo:table-cell>
                                <fo:block font-size="10pt" color="black" text-align="left">
                                    <xsl:value-of select="$title" />
																		<xsl:if test="normalize-space($name) != ''">
																				<fo:inline>
																					<xsl:value-of select="' - '" />
																					<xsl:value-of select="$name" />
																				</fo:inline>
																		</xsl:if>
                                </fo:block>                             
                            </fo:table-cell>
                            <fo:table-cell text-align="right">
                                <fo:block>
                                    <xsl:value-of select="format-dateTime(current-dateTime(), '[MNn] [D], [Y] [h]:[m01] [PN] ')" />
                                </fo:block>
                            </fo:table-cell>
                            <fo:table-cell id="nohtml">
                                <fo:block text-align="right" id="nohtml">
                                    <xsl:value-of select="'Page '" />
                                    <fo:page-number />
																		<xsl:value-of select="' of '"/>
                                    <fo:page-number-citation-last ref-id="pageseq"/>                                    
                                </fo:block>
                            </fo:table-cell>                            
                        </fo:table-row>
                    </fo:table-body>
                </fo:table>
            </fo:static-content>
            <fo:flow flow-name="xsl-region-body">
                <xsl:call-template name="body_process" />
            </fo:flow>
        </fo:page-sequence>
    </xsl:template>     
    <xsl:template name="make-body-landscape-no-header">
        <fo:page-sequence master-reference="standard">
            <fo:flow flow-name="xsl-region-body">
                <xsl:call-template name="body_process" />
            </fo:flow>
        </fo:page-sequence>
    </xsl:template>   
    <xsl:template name="make-body-web">
        <fo:page-sequence master-reference="standard">
            <fo:flow flow-name="xsl-region-body">
                 <xsl:call-template name="body_process" />
            </fo:flow>
        </fo:page-sequence>
    </xsl:template>
    <xsl:template name="make-body-small-margin-web">
        <fo:page-sequence master-reference="standard">
            <fo:flow flow-name="xsl-region-body">
                 <xsl:call-template name="body_process" />
            </fo:flow>
        </fo:page-sequence>
    </xsl:template>   
    <xsl:template name="make-body-landscape-web">
        <fo:page-sequence master-reference="standard">
            <fo:flow flow-name="xsl-region-body">
                <xsl:call-template name="body_process" />
            </fo:flow>
        </fo:page-sequence>
    </xsl:template>
    <xsl:template name="make-body-landscape-small-margin-web">
        <fo:page-sequence master-reference="standard">
            <fo:static-content flow-name="top">
            </fo:static-content>
            <fo:flow flow-name="xsl-region-body">
                <xsl:call-template name="body_process" />
            </fo:flow>
        </fo:page-sequence>
    </xsl:template>    
    <xsl:template name="make-body-landscape-no-header-web">
        <fo:page-sequence master-reference="standard">
            <fo:flow flow-name="xsl-region-body">
                <xsl:call-template name="body_process" />
            </fo:flow>
        </fo:page-sequence>
    </xsl:template>      
</xsl:stylesheet>
