<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: activations_bugt.xsl,v 1.1 2016-10-11 17:45:51 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
				xmlns:util="java:com.psasoft.util.ConversionUtilities"
				exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
   <xsl:import href="subtemplates.xsl"/> 
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
	<xsl:variable name="title" select="concat('Activations Report ', $connect_date_range[1], ' to ', $connect_date_range[2])" />

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
		<xsl:call-template name="make-layout-master-set-landscape" />
		<xsl:call-template name="make-body-landscape" />
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:choose>
	<xsl:when test="exists(/all_results/results[@name = 'data']/row) and $sort_type = 1">
		<xsl:for-each-group select="/all_results/results[@name='data']/row" group-by="./cumrkt">
			<xsl:variable name="market" select="current-group()[position() = 1]/cumrkt" />
			<xsl:variable name="marketname" select="current-group()[position() = 1]/market" />

			<xsl:for-each-group select="/all_results/results[@name='data']/row[cumrkt = $market]"  group-by="concat(./cnpa, ./cnxx)">
					<xsl:variable name="areacode" select="current-group()[position() = 1]/cnpa"/>
					<xsl:variable name="exchange" select="current-group()[position() = 1]/cnxx"/>
					<fo:table table-layout="fixed" width="100%" space-before="16px">
						<xsl:call-template name="header">
								<xsl:with-param name="market" select="$market"/>
								<xsl:with-param name="marketname" select="$marketname"/>
								<xsl:with-param name="npa" select="$areacode"/>
								<xsl:with-param name="nxx" select="$exchange"/>
								<xsl:with-param name="agent" select="0"/>
								<xsl:with-param name="agbus" select="''"/>
								<xsl:with-param name="agfsnm" select="''"/>
								<xsl:with-param name="aglsnm" select="''"/>
						</xsl:call-template>										
						<fo:table-body>
								<xsl:for-each select="/all_results/results[@name = 'data']/row[cumrkt = $market and cnpa = $areacode and cnxx = $exchange]">
										<xsl:call-template name="detail">
											<xsl:with-param name="row" select="."/>
										</xsl:call-template>							
							 </xsl:for-each>
							</fo:table-body>
					</fo:table>			
		    		<fo:block xsl:use-attribute-sets="summary-headings" keep-with-previous="always" space-before="10px" space-after="10px">
		    				<xsl:value-of select="'Total Activations for Area Code / Exchange ( '"/>
		    				<xsl:value-of select="$areacode"/>
		    				<xsl:value-of select="'-'"/>
		    				<xsl:value-of select="$exchange"/>
		    				<xsl:value-of select="' ): '"/>
		    				<xsl:value-of select="format-number(count(/all_results/results[@name = 'data']/row[cumrkt = $market and cnpa = $areacode and cnxx = $exchange]), '###,##0')"/>
		    		</fo:block>								
				</xsl:for-each-group>	
	    		<fo:block xsl:use-attribute-sets="summary-headings" keep-with-previous="always" space-before="0px" space-after="10px">
	    				<xsl:value-of select="'Total Activations for Market ( '"/>
	    				<xsl:value-of select="$market"/>
	    				<xsl:value-of select="' - '"/>
	    				<xsl:value-of select="$marketname"/>
	    				<xsl:value-of select="' ): '"/>
	    				<xsl:value-of select="format-number(count(/all_results/results[@name = 'data']/row[cumrkt = $market]), '###,##0')"/>
	    		</fo:block>	
	    										
			</xsl:for-each-group>
			<fo:block xsl:use-attribute-sets="summary-headings">
					<xsl:value-of select="'Total Activations:  '"/>
					<xsl:value-of select="format-number(count(/all_results/results[@name = 'data']/row), '###,##0')"/>
			</fo:block>								
	</xsl:when>
	
	<xsl:when test="exists(/all_results/results[@name = 'data']/row) and $sort_type = 2">
		<xsl:for-each-group select="/all_results/results[@name='data']/row" group-by="./cumrkt">
			<xsl:variable name="market" select="current-group()[position() = 1]/cumrkt" />
			<xsl:variable name="marketname" select="current-group()[position() = 1]/market" />
	
			<xsl:for-each-group select="/all_results/results[@name='data']/row[cumrkt = $market]"  group-by="./agcd1">
					<xsl:variable name="agent" select="current-group()[position() = 1]/agcd1"/>
					<fo:table table-layout="fixed" width="100%" space-before="16px">
						<xsl:call-template name="header">
								<xsl:with-param name="market" select="$market"/>
								<xsl:with-param name="marketname" select="$marketname"/>
								<xsl:with-param name="npa" select="0"/>
								<xsl:with-param name="nxx" select="0"/>
								<xsl:with-param name="agent" select="$agent"/>
								<xsl:with-param name="agbus" select="./agbus1"/>
								<xsl:with-param name="agfsnm" select="./agfsnm1"/>
								<xsl:with-param name="aglsnm" select="./aglsnm1"/>
						</xsl:call-template>
						<fo:table-body>
								<xsl:for-each select="/all_results/results[@name = 'data']/row[cumrkt = $market and agcd1 = $agent]">
										<xsl:call-template name="detail">
											<xsl:with-param name="row" select="."/>
										</xsl:call-template>							
							 </xsl:for-each>
							</fo:table-body>
					</fo:table>			
		    		<fo:block xsl:use-attribute-sets="summary-headings" keep-with-previous="always" space-before="10px" space-after="10px">
		    				<xsl:value-of select="'Total Activations for Agent ( '"/>
		    				<xsl:value-of select="$agent"/>
		    				<xsl:value-of select="' ): '"/>
		    				<xsl:value-of select="format-number(count(/all_results/results[@name = 'data']/row[cumrkt = $market and agcd1 = $agent]), '###,##0')"/>
		    		</fo:block>								
				</xsl:for-each-group>
	    		<fo:block xsl:use-attribute-sets="summary-headings" keep-with-previous="always" space-before="0px" space-after="10px">
	    				<xsl:value-of select="'Total Activations for Market ( '"/>
	    				<xsl:value-of select="$market"/>
	    				<xsl:value-of select="' - '"/>
	    				<xsl:value-of select="$marketname"/>
	    				<xsl:value-of select="' ): '"/>
	    				<xsl:value-of select="format-number(count(/all_results/results[@name = 'data']/row[cumrkt = $market]), '###,##0')"/>
	    		</fo:block>								

			</xsl:for-each-group>					
			<fo:block xsl:use-attribute-sets="summary-headings">
					<xsl:value-of select="'Total Activations:  '"/>
					<xsl:value-of select="format-number(count(/all_results/results[@name = 'data']/row), '###,##0')"/>
			</fo:block>								
		</xsl:when>
		<xsl:otherwise>
			<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
				No Information Found
			</fo:block>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="header">
	<xsl:param name="market" />
	<xsl:param name="marketname" />
	<xsl:param name="npa" />
	<xsl:param name="nxx" />
	<xsl:param name="agent" />
	<xsl:param name="agbus" />
	<xsl:param name="agfsnm" />
	<xsl:param name="aglsnm" />
	
	<fo:table-column column-width="0.75in" />
	<fo:table-column column-width="0.75in" />
	<fo:table-column column-width="0.75in" />
	<fo:table-column column-width="0.50in" />
	<fo:table-column column-width="0.75in" />
	<fo:table-column column-width="0.50in" />
	<fo:table-column column-width="0.75in" />
	<fo:table-column column-width="0.75in" />
	<fo:table-column column-width="1.00in" />
	<fo:table-column column-width="0.75in" />
	<fo:table-column column-width="0.75in" />
	<fo:table-column column-width="0.75in" />
	<fo:table-column column-width="1.00in" />
	<fo:table-header>
				<fo:table-row keep-with-next="always">
					<fo:table-cell number-columns-spanned="13">
						<fo:block xsl:use-attribute-sets="summary-headings" keep-with-next="always">
								<xsl:value-of select="'Market:  '"/>
								<xsl:value-of select="$market"/>
								<xsl:value-of select="' - '"/>
								<xsl:value-of select="$marketname"/>
						</fo:block>			
					</fo:table-cell>
			</fo:table-row>
			<fo:table-row keep-with-next="always">
					<fo:table-cell number-columns-spanned="13">
						<xsl:choose>
								<xsl:when test="$npa > 0 and $nxx > 0">
										<fo:block xsl:use-attribute-sets="summary-headings" keep-with-next="always">
												<xsl:value-of select="'Area Code / Exchange:  '"/>
												<xsl:value-of select="$npa"/>
												<xsl:value-of select="' - '"/>
												<xsl:value-of select="$nxx"/>
										</fo:block>			
								</xsl:when>
								<xsl:otherwise>
										<fo:block xsl:use-attribute-sets="summary-headings" keep-with-next="always">
												<xsl:value-of select="'Agent:  '"/>
												<xsl:value-of select="$agent"/>
												<xsl:value-of select="' - '"/>
												<xsl:value-of select="$agbus"/>
												<xsl:value-of select="' '"/>
												<xsl:value-of select="$agfsnm"/>
												<xsl:value-of select="' '"/>
												<xsl:value-of select="$aglsnm"/>
										</fo:block>			
								</xsl:otherwise>
						</xsl:choose>
					</fo:table-cell>
			</fo:table-row>
			<fo:table-row keep-with-next="always">
					<fo:table-cell xsl:use-attribute-sets="table-headings-smaller">
							<xsl:choose>
							<xsl:when test="$date_selection = 1">
									<fo:block>Connect Date</fo:block>
							</xsl:when>					
							<xsl:otherwise>
									<fo:block>Master Service Date</fo:block>
							</xsl:otherwise>
							</xsl:choose>									
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings-smaller">
							<fo:block>Plan</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings-smaller">
							<fo:block>Tower Name</fo:block>
					</fo:table-cell>					
					<fo:table-cell xsl:use-attribute-sets="table-headings-smaller">
							<fo:block>Account</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings-smaller">
							<fo:block>MDN</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings-smaller">
							<fo:block>Disc Date</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings-smaller">
							<fo:block>Customer Name</fo:block>
					</fo:table-cell>								
					<fo:table-cell xsl:use-attribute-sets="table-headings-smaller">
							<fo:block>Contact</fo:block>
					</fo:table-cell>								
					<fo:table-cell xsl:use-attribute-sets="table-headings-smaller">
							<fo:block>Email</fo:block>
					</fo:table-cell>								
					<fo:table-cell xsl:use-attribute-sets="table-headings-smaller">
							<fo:block>How Did They Hear About</fo:block>
					</fo:table-cell>								
					<xsl:choose>
					<xsl:when test="$report_type = 1">
							<fo:table-cell xsl:use-attribute-sets="table-headings-smaller">
									<fo:block>Equipment</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings-smaller">
									<fo:block>Phone Sale Price</fo:block>
							</fo:table-cell>					
							<fo:table-cell xsl:use-attribute-sets="table-headings-smaller">
									<fo:block>ESN / MEID / IMEI</fo:block>
							</fo:table-cell>								
					</xsl:when>
					<xsl:otherwise>
							<fo:table-cell xsl:use-attribute-sets="table-headings-smaller">
									<fo:block>Address</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings-smaller">
									<fo:block>City, State</fo:block>
							</fo:table-cell>					
							<fo:table-cell xsl:use-attribute-sets="table-headings-smaller">
									<fo:block>Zip</fo:block>
							</fo:table-cell>						
					</xsl:otherwise>
					</xsl:choose>
			</fo:table-row>
	</fo:table-header>
</xsl:template>

<xsl:template name="detail">
		<xsl:param name="row" />
		
		<fo:table-row>
				<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
					<fo:block>
						<xsl:choose>
						<xsl:when test="$date_selection = 1">
								<xsl:call-template name="date4parm">
									<xsl:with-param name="cc" select="./cncc"/>
									<xsl:with-param name="yy" select="./cnyy"/>
									<xsl:with-param name="mm" select="./cnmm"/>
									<xsl:with-param name="dd" select="./cndd"/>
								</xsl:call-template>
						</xsl:when>					
						<xsl:otherwise>
								<xsl:call-template name="date4parm">
									<xsl:with-param name="cc" select="./svcc"/>
									<xsl:with-param name="yy" select="./svyy"/>
									<xsl:with-param name="mm" select="./svmm"/>
									<xsl:with-param name="dd" select="./svdd"/>
								</xsl:call-template>						
						</xsl:otherwise>
						</xsl:choose>						
					</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
					<fo:block>
						<xsl:choose>
							<xsl:when test="./plan != ''">
								<xsl:value-of select="./plan"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="./crtpln"/>							
							</xsl:otherwise>
						</xsl:choose>
						<xsl:value-of select="' '" />
						<xsl:value-of select="./plandesc"/>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
					<fo:block>
						<xsl:value-of select="./towerdesc"/>
					</fo:block>
				</fo:table-cell>				
				<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
					<fo:block>
						<xsl:value-of select="format-number(./account, '0000000')" />
					</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
					<fo:block>
						<xsl:call-template name="phone">
							<xsl:with-param name="npa" select="./cnpa"/>
							<xsl:with-param name="nxx" select="./cnxx"/>
							<xsl:with-param name="line" select="./cline"/>
						</xsl:call-template>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
					<fo:block>
						<xsl:choose>
						<xsl:when test="./dcmm = 99">
								<xsl:value-of select="'Suspend Nonpay'"/>
						</xsl:when>
						<xsl:when test="./dcmm > 0">
							<xsl:call-template name="date4parm">
								<xsl:with-param name="cc" select="./dccc"/>
								<xsl:with-param name="yy" select="./dcyy"/>
								<xsl:with-param name="mm" select="./dcmm"/>
								<xsl:with-param name="dd" select="./dcdd"/>
							</xsl:call-template>
						</xsl:when>
						</xsl:choose>
						<xsl:value-of select="' '"/>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
					<fo:block>
							<xsl:value-of select="./fname" />
							<xsl:value-of select="' '" />
							<xsl:value-of select="./lname" />									
					</fo:block>
				</fo:table-cell>	
				<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
					<fo:block>
						<xsl:if test="./ctnpa != 0">
							<xsl:call-template name="phone">
								<xsl:with-param name="npa" select="./ctnpa"/>
								<xsl:with-param name="nxx" select="./ctnxx"/>
								<xsl:with-param name="line" select="./ctline"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:value-of select="' '" />						
					</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
					<fo:block>
							<xsl:value-of select="./emladr" />
					</fo:block>
				</fo:table-cell>	
				<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
					<fo:block>
							<xsl:value-of select="./howhear" />
					</fo:block>
				</fo:table-cell>	
				<xsl:choose>
				<xsl:when test="$report_type = 1">
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
							<fo:block>
								<xsl:value-of select="./eqpdsc"/>
								<xsl:if test="normalize-space(./eqpdsc) != normalize-space(./mfgmdl)">
										<xsl:value-of select="' '"/>
										<xsl:value-of select="./mfgmdl"/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:if test="./pitamt > ''">
											<xsl:value-of select="format-number(./pitamt, '$ ##,###,##0.00;$ -#,###,##0.00')"/>
								</xsl:if>
							</fo:block>
						</fo:table-cell>				
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
							<fo:block>
								<xsl:choose>
									<xsl:when test="normalize-space(./meid) > ''">
										<xsl:value-of select="./meid"/>		
										<xsl:choose>
										<xsl:when test="string-length(normalize-space(./meid)) = 14">
											<xsl:value-of select="' / '" />
											<xsl:value-of select="util:getMEIDHexToDecimal(normalize-space(./meid))"/>
										</xsl:when>			
										<xsl:when test="string-length(normalize-space(./meid)) = 18">
											<xsl:value-of select="' / '" />
											<xsl:value-of select="util:getMEIDDecimalToHex(normalize-space(./meid))"/>
										</xsl:when>
										</xsl:choose>		
									</xsl:when>								
									<xsl:when test="normalize-space(./esn) > '' and ./esn != 0">
										<xsl:value-of select="format-number(./esn, '00000000000')"/>							
									</xsl:when>
									<xsl:when test="normalize-space(./imei) > '' and ./imei != 0">
										<xsl:value-of select="format-number(./imei, '000000000000000')"/>							
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="' '" />
									</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>									
				</xsl:when>
				<xsl:otherwise>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block>
										<xsl:value-of select="./adln1" />
								</fo:block>
								<fo:block>
										<xsl:value-of select="./adln2" />
								</fo:block>
								<fo:block>
										<xsl:value-of select="./adln3" />
								</fo:block>									
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block>
									<xsl:value-of select="./adcity" />
									<xsl:value-of select="', '" />
									<xsl:value-of select="./adst" />								
								</fo:block>
						</fo:table-cell>					
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block>
									<xsl:value-of select="format-number(number(substring(./adzip, 1, 5)), '00000')" />
									<xsl:if test="string-length(normalize-space(./adzip)) &gt; 5">
											<xsl:value-of select="'-'" />
											<xsl:value-of select="format-number(number(substring(./adzip, 6, 4)), '0000')" />
									</xsl:if>								
								</fo:block>
						</fo:table-cell>						
				</xsl:otherwise>
				</xsl:choose>				
			</fo:table-row>			
</xsl:template>

</xsl:stylesheet>






