<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: billsearch.xsl,v 1.3 2014-10-13 16:31:28 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
                xmlns:util="java:com.psasoft.util.TextUtilities"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>  
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Bill Amount Search'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process"> 
	<fo:block xsl:use-attribute-sets="summary-headings" space-before="10px">
			<xsl:value-of select="'Bill Amount To Search For '"/>
			<xsl:value-of select="format-number(number($bill_amount), '$ ##,###,##0.00;$ -#,###,##0.00')"/> 
			<!--  <xsl:value-of select="$bill_amount"/> -->
	</fo:block>
	<fo:table table-layout="fixed" width="100%" space-before="16px">
		<fo:table-column column-width="0.75in" />
		<fo:table-column column-width="2.25in" />
		<fo:table-column column-width="0.6in" />
		<fo:table-column column-width="0.6in" />
		<fo:table-column column-width="0.6in" />
		<fo:table-column column-width="0.6in" />
		<fo:table-column column-width="0.6in" />
		<fo:table-column column-width="0.6in" />
		<fo:table-column column-width="0.6in" />
		<fo:table-column column-width="0.6in" />
		<fo:table-column column-width="0.6in" />
		<fo:table-column column-width="0.6in" />
		<fo:table-column column-width="0.6in" />
		<fo:table-column column-width="0.6in" />
		<fo:table-header>
				<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Account</fo:block>
						</fo:table-cell>																
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Name</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>Jan Bill</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>Feb Bill</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>Mar Bill</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>Apr Bill</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>May Bill</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>June Bill</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>July Bill</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>Aug Bill</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>Sep Bill</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>Oct Bill</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>Nov Bill</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>Dec Bill</fo:block>
						</fo:table-cell>						
					</fo:table-row>
			</fo:table-header>					
			<fo:table-body>
				<xsl:for-each select="/all_results/results[@name = 'billhst']/row">    
						<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<fo:block>
											<xsl:value-of select="format-number(./cycle, '000')" />
											<xsl:value-of select="'-'" />
											<xsl:value-of select="format-number(./bacct, '0000000')" />
									</fo:block>
								</fo:table-cell>															
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
									<fo:block>
										<xsl:value-of select="./fname"/>
										<xsl:value-of select="' '"/>
										<xsl:value-of select="./lname"/>
									</fo:block>
								</fo:table-cell>									
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="7pt">
									<fo:block>
										<xsl:value-of select="format-number(./bill01, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="7pt">
									<fo:block>
										<xsl:value-of select="format-number(./bill02, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="7pt">
									<fo:block>
										<xsl:value-of select="format-number(./bill03, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="7pt">
									<fo:block>
										<xsl:value-of select="format-number(./bill04, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="7pt">
									<fo:block>
										<xsl:value-of select="format-number(./bill05, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="7pt">
									<fo:block>
										<xsl:value-of select="format-number(./bill06, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="7pt">
									<fo:block>
										<xsl:value-of select="format-number(./bill07, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="7pt">
									<fo:block>
										<xsl:value-of select="format-number(./bill08, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="7pt">
									<fo:block>
										<xsl:value-of select="format-number(./bill09, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="7pt">
									<fo:block>
										<xsl:value-of select="format-number(./bill10, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="7pt">
									<fo:block>
										<xsl:value-of select="format-number(./bill11, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="7pt">
									<fo:block>
										<xsl:value-of select="format-number(./bill12, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
									</fo:block>
								</fo:table-cell>	
						</fo:table-row>		
				 </xsl:for-each>
				</fo:table-body>
		</fo:table>    
</xsl:template>

</xsl:stylesheet>






