<?xml version="1.0" encoding="utf-8"?>
	<!-- $Id: blackberry_status.xsl,v 1.3 2018-09-04 18:03:03 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format" 
				xmlns:java="http://xml.apache.org/xslt/java" 
				xmlns:saxon="http://saxon.sf.net/"
				xmlns:util="java:com.psasoft.reports.util.ReportUtilities" 
				exclude-result-prefixes="java" 
				extension-element-prefixes="saxon" 
				version="2.0">

	<xsl:import href="Literal.xsl" />
	<xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />

	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
	<xsl:variable name="title" select="' Blackberry Status '" />

	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<xsl:call-template name="make-layout-master-set-landscape-small-margin" />
			<xsl:call-template name="make-body-landscape" />
		</fo:root>
	</xsl:template>

	<xsl:template name="body_process">
		<xsl:call-template name="account_service">
			<xsl:with-param name="row" select="/all_results/results[@name = 'acctservice']/row"/>
		</xsl:call-template>
		<xsl:variable name="xml"
			select="util:getBlackberryStatusXML($companynumber, $cyclenumber, $accountnumber, $areacode, $exchange, $line, $disconnectdatecc, $disconnectdateyy, $disconnectdatemm, $disconnectdatedd)" />
		<xsl:if test="not(exists($xml))">
			<fo:block xsl:use-attribute-sets="category-label" space-before="12px"> No Status Found for Service</fo:block>
		</xsl:if>
		<xsl:if test="exists($xml)">
			<fo:table table-layout="fixed" width="80%" space-before="16px">
				<fo:table-column column-width="2in" />
				<fo:table-column column-width="4in" />
				<fo:table-body>
					<fo:table-row keep-together="always">
						<fo:table-cell font-size="10px" padding="10px" text-align="right">
							<fo:block xsl:use-attribute-sets="category-label" space-before="20px">
								<xsl:value-of select="'Billing Id: '" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell font-size="10px" padding="10px" text-align="left">
							<fo:block xsl:use-attribute-sets="category-label" space-before="20px">
								<xsl:value-of select="$xml/Body/ProvisioningEntity[@name = 'subscriber']/ProvisioningDataItem[@name = 'BillingId']" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row keep-together="always">
						<fo:table-cell font-size="10px" padding="8px" text-align="right">
							<fo:block xsl:use-attribute-sets="category-label">
								<xsl:value-of select="'Subscriber Status Code: '" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell font-size="10px" padding="8px" text-align="left">
							<fo:block space-before="20px" xsl:use-attribute-sets="category-label">
								<xsl:value-of select="$xml/Body/ProvisioningEntity[@name = 'subscriber']/TransactionCode/StatusCode" />
								<xsl:value-of select="' - '" />
								<xsl:value-of select="$xml/Body/ProvisioningEntity[@name = 'subscriber']/TransactionCode/StatusDescription" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>					
					<xsl:if test="exists($xml/Body/ProvisioningEntity[@name = 'subscriber']/ProvisioningDataItem[@name = 'PIN'])">
						<fo:table-row keep-together="always">
							<fo:table-cell font-size="10px" padding="10px" text-align="right">
								<fo:block xsl:use-attribute-sets="category-label">
									<xsl:value-of select="'PIN: '" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell font-size="10px" padding="10px" text-align="left">
								<fo:block xsl:use-attribute-sets="category-label" space-before="20px">
									<xsl:value-of select="$xml/Body/ProvisioningEntity[@name = 'subscriber']/ProvisioningDataItem[@name = 'PIN']" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:if>
					<xsl:if test="exists($xml/Body/ProvisioningEntity[@name = 'subscriber']/ProvisioningDataItem[@name = 'IMSI'])">
						<fo:table-row keep-together="always">
							<fo:table-cell font-size="10px" padding="10px" text-align="right">
								<fo:block xsl:use-attribute-sets="category-label">
									<xsl:value-of select="'IMSI: '" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell font-size="10px" padding="10px" text-align="left">
								<fo:block xsl:use-attribute-sets="category-label" space-before="20px">
									<xsl:value-of select="$xml/Body/ProvisioningEntity[@name = 'subscriber']/ProvisioningDataItem[@name = 'IMSI']" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:if>
					<xsl:if test="exists($xml/Body/ProvisioningEntity[@name = 'subscriber']/ProvisioningDataItem[@name = 'MSISDN'])">
						<fo:table-row keep-together="always">
							<fo:table-cell font-size="10px" padding="10px" text-align="right">
								<fo:block xsl:use-attribute-sets="category-label">
									<xsl:value-of select="'MSISDN: '" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell font-size="10px" padding="10px" text-align="left">
								<fo:block xsl:use-attribute-sets="category-label" space-before="20px">
									<xsl:value-of select="$xml/Body/ProvisioningEntity[@name = 'subscriber']/ProvisioningDataItem[@name = 'MSISDN']" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:if>
					<xsl:if test="exists($xml/Body/ProvisioningEntity[@name = 'subscriber']/ProvisioningDataItem[@name = 'ESN'])">
						<fo:table-row keep-together="always">
							<fo:table-cell font-size="10px" padding="10px" text-align="right">
								<fo:block xsl:use-attribute-sets="category-label">
									<xsl:value-of select="'ESN/MEID: '" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell font-size="10px" padding="10px" text-align="left">
								<fo:block xsl:use-attribute-sets="category-label" space-before="20px">
									<xsl:value-of select="$xml/Body/ProvisioningEntity[@name = 'subscriber']/ProvisioningDataItem[@name = 'ESN']" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:if>
					<xsl:if test="exists($xml/Body/ProvisioningEntity[@name = 'subscriber']/ProvisioningDataItem[@name = 'IMEI'])">
						<fo:table-row keep-together="always">
							<fo:table-cell font-size="10px" padding="10px" text-align="right">
								<fo:block xsl:use-attribute-sets="category-label">
									<xsl:value-of select="'IMEI: '" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell font-size="10px" padding="10px" text-align="left">
								<fo:block xsl:use-attribute-sets="category-label" space-before="20px">
									<xsl:value-of select="$xml/Body/ProvisioningEntity[@name = 'subscriber']/ProvisioningDataItem[@name = 'IMEI']" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:if>
					<fo:table-row keep-together="always">
						<fo:table-cell font-size="10px" padding="10px" text-align="right">
							<fo:block xsl:use-attribute-sets="category-label">
								<xsl:value-of select="'Service Name: '" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell font-size="10px" padding="10px" text-align="left">
							<fo:block xsl:use-attribute-sets="category-label" space-before="20px" space-after="20px">
								<xsl:value-of select="$xml/Body/ProvisioningEntity[@name = 'subscriber']/ProvisioningEntity[@name = 'service']/ProvisioningDataItem[@name = 'ServiceName']" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row keep-together="always">
						<fo:table-cell font-size="10px" padding="8px" text-align="right">
							<fo:block xsl:use-attribute-sets="category-label">
								<xsl:value-of select="'Service Status Code: '" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell font-size="10px" padding="8px" text-align="left">
							<fo:block space-before="20px" xsl:use-attribute-sets="category-label">
								<xsl:value-of select="$xml/Body/ProvisioningEntity[@name = 'subscriber']/ProvisioningEntity[@name = 'service']/TransactionCode/StatusCode" />
								<xsl:value-of select="' - '" />
								<xsl:value-of select="$xml/Body/ProvisioningEntity[@name = 'subscriber']/ProvisioningEntity[@name = 'service']/TransactionCode/StatusDescription" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
			<xsl:if test="exists($xml/*//TransactionCode/ErrorCode)">
				<fo:table table-layout="fixed" width="80%" space-before="30px" margin-left="20px">
					<fo:table-column column-width="2in" />
					<fo:table-column column-width="4in" />
					<fo:table-body>
						<xsl:for-each select="$xml/*//TransactionCode[exists(ErrorCode)]">
							<fo:table-row keep-together="always">
								<fo:table-cell font-size="10px" padding="8px" text-align="right">
									<fo:block>
										<xsl:value-of select="'Transaction Code: '" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell font-size="10px" padding="8px" text-align="left">
									<fo:block space-before="20px">
										<xsl:value-of select="./ErrorCode" />
										<xsl:value-of select="' - '" />
										<xsl:value-of select="./ErrorDescription" />
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</xsl:for-each>
					</fo:table-body>
				</fo:table>			
			</xsl:if>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>