<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:java="http://xml.apache.org/xslt/java" exclude-result-prefixes="java"
	version="2.0">
	<xsl:import href="Literal.xsl" />
	<xsl:import href="Format.xsl" />
	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
	<xsl:variable name="title" select="'Sales Commission Report'" />
	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<xsl:call-template name="make-layout-master-set-landscape" />
			<xsl:call-template name="make-body-landscape" />
		</fo:root>
	</xsl:template>
	<xsl:template name="body_process">
		<fo:table table-layout="fixed" width="100%" space-before="16px">
			<fo:table-column column-width="0.7in" />
			<fo:table-column column-width="0.5in" />
			<fo:table-column column-width="0.75in" />
			<fo:table-column column-width="0.4in" />
			<fo:table-column column-width="1.5in" />
			<fo:table-column column-width="0.7in" />
			<fo:table-column column-width="1.1in" />
			<fo:table-column column-width="0.5in" />
			<fo:table-column column-width="1.25in" />
			<fo:table-column column-width="0.3in" />
			<fo:table-column column-width="0.3in" />
			<fo:table-column column-width="0.6in" />
			<fo:table-column column-width="0.6in" />
			<fo:table-column column-width="0.6in" />
			<fo:table-header>
				<fo:table-row keep-with-next="always">
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>User Id</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>P.O.S. Reg</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Date</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Type</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Customer Name</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Account#</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Serial / IMEI</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Item Code</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Item Description</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Inv Qty</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Rtn Qty</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Sale Price</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Comm Paid</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Cost</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<xsl:choose>
					<xsl:when test="/all_results/results[@name = 'data']/row and ($report_type = 1)">
						<xsl:for-each-group select="/all_results/results[@name = 'data']/row" group-by="./ptrusr">
							<xsl:variable name="ptrusr" select="./ptrusr" />
							<xsl:for-each select="current-group()">
								<xsl:call-template name="detailrow">
									<xsl:with-param name="row" select="." />
								</xsl:call-template>
							</xsl:for-each>
							<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" number-columns-spanned="9">
									<fo:block>
										<xsl:value-of select="'Total for '" />
										<xsl:value-of select="$ptrusr" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row[ptrusr = current-group()/ptrusr]/pitqty), '##,##0')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row[ptrusr = current-group()/ptrusr]/rtnqty), '##,##0')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row[ptrusr = current-group()/ptrusr]/itemamt), '##,##0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row[ptrusr = current-group()/ptrusr]/commission), '##,##0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row[ptrusr = current-group()/ptrusr]/rcvprice), '##,##0.00')" />
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</xsl:for-each-group>
					</xsl:when>
					<xsl:when test="/all_results/results[@name = 'data']/row and ($report_type = 2)">

						<xsl:for-each-group select="/all_results/results[@name = 'data']/row" group-by="./itemcode">
							<xsl:sort select="itemcode" />
							<xsl:variable name="itemcode" select="./itemcode" />
							<xsl:variable name="itemdesc" select="./itemdesc" />
							<xsl:for-each select="current-group()">
								<xsl:call-template name="detailrow">
									<xsl:with-param name="row" select="." />
								</xsl:call-template>
							</xsl:for-each>
							<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" number-columns-spanned="9">
									<fo:block>
										<xsl:value-of select="'Total for '" />
										<xsl:value-of select="$itemcode" />
										<xsl:value-of select="' - '" />
										<xsl:value-of select="$itemdesc" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row[itemcode = current-group()/itemcode]/pitqty), '##,##0')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row[itemcode = current-group()/itemcode]/rtnqty), '##,##0')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row[itemcode = current-group()/itemcode]/itemamt), '##,##0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row[itemcode = current-group()/itemcode]/commission), '##,##0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row[itemcode = current-group()/itemcode]/rcvprice), '##,##0.00')" />
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</xsl:for-each-group>
					</xsl:when>
					<xsl:otherwise>
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" number-columns-spanned="14">
								<fo:block>No information found for selections</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:otherwise>
				</xsl:choose>

				<fo:table-row>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" number-columns-spanned="11">
						<fo:block>
							<xsl:value-of select="'Total '" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
						<fo:block>
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row/itemamt), '##,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
						<fo:block>
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row/commission), '##,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
						<fo:block>
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row/rcvprice), '##,##0.00')" />
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<xsl:template name="detailrow">
		<xsl:param name="row" />
		<xsl:variable name="color">
			<xsl:choose>
				<xsl:when test="substring($row/ptrtyp, 1, 1) = 'R'">
					<xsl:value-of select="'#FF9999'" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'white'" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="table-cells" background-color="{$color}" text-align="center">
				<fo:block>
					<xsl:value-of select="$row/ptrusr" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-cells" background-color="{$color}" text-align="center">
				<fo:block>
					<xsl:value-of select="$row/drwnam" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-cells" background-color="{$color}" text-align="center">
				<fo:block>
					<xsl:value-of select="format-number($row/trmonth, '00')" />
					<xsl:value-of select="'/'" />
					<xsl:value-of select="format-number($row/trday, '00')" />
					<xsl:value-of select="'/'" />
					<xsl:value-of select="$row/tryear" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-cells" background-color="{$color}" text-align="center">
				<fo:block>
					<xsl:value-of select="substring($row/ptrtyp, 1, 3)" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-cells" background-color="{$color}" text-align="left">
				<fo:block>
					<xsl:value-of select="$row/fname" />
					<xsl:value-of select="' '" />
					<xsl:value-of select="$row/lname" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-cells" background-color="{$color}" text-align="left">
				<fo:block>
					<xsl:if test="normalize-space($row/cycle) and normalize-space($row/acct)">
						<xsl:value-of select="format-number($row/cycle, '000')" />
						<xsl:value-of select="'-'" />
						<xsl:value-of select="format-number($row/acct, '000000')" />
					</xsl:if>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-cells" background-color="{$color}" text-align="center">
				<fo:block>
					<xsl:value-of select="$row/invssn" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-cells" background-color="{$color}" text-align="center">
				<fo:block>
					<xsl:value-of select="$row/itemcode" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-cells" background-color="{$color}" text-align="left">
				<fo:block>
					<xsl:value-of select="$row/itemdesc" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-cells" background-color="{$color}" text-align="center">
				<fo:block>
					<xsl:value-of select="format-number($row/pitqty, '#0')" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-cells" background-color="{$color}" text-align="center">
				<fo:block>
					<xsl:value-of select="format-number($row/rtnqty, '#0')" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-cells" background-color="{$color}" text-align="right">
				<fo:block>
					<xsl:value-of select="format-number($row/itemamt, '##,##0.00')" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-cells" background-color="{$color}" text-align="right">
				<fo:block>
					<xsl:value-of select="format-number($row/commission, '##,##0.00')" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-cells" background-color="{$color}" text-align="right">
				<fo:block>
					<xsl:if test="normalize-space($row/rcvprice)">
						<xsl:value-of select="format-number($row/rcvprice, '##,##0.00')" />
					</xsl:if>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
</xsl:stylesheet>
