<?xml version="1.0" encoding="utf-8"?>
	<!-- $Id: customer_by_item.xsl,v 1.9 2009-11-11 18:18:20 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:java="http://xml.apache.org/xslt/java" exclude-result-prefixes="java"
	version="2.0">
	<xsl:import href="Literal.xsl" />
	<xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />
	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
	<xsl:variable name="title" select="'Customer List By Item'" />
	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<xsl:call-template name="make-layout-master-set-landscape" />
			<xsl:call-template name="make-body-landscape" />
		</fo:root>
	</xsl:template>
	<xsl:template name="body_process">
		<xsl:choose>
			<xsl:when test="/all_results/results[@name = 'accts']/row">
				<xsl:for-each-group select="/all_results/results[@name = 'accts']/row" group-by="marketid">
					<xsl:variable name="market" select="current-group()[position() = 1]/marketid" />
					<xsl:variable name="marketname" select="current-group()[position() = 1]/market" />
					
					<xsl:for-each-group select="/all_results/results[@name = 'accts']/row[marketid = $market]" group-by="normalize-space(item)">
						<xsl:variable name="item" select="current-group()[position() = 1]/item" />
						<xsl:variable name="itemtype" select="/all_results/results[@name = 'selitem']/row[item = $item]/chgtyp" />
						<xsl:variable name="itemdesc" select="/all_results/results[@name = 'selitem']/row[item = $item]/itmdsc" />
						
						<xsl:if test="$itemtype = 'A'">
							<xsl:variable name="cols">
								<xsl:choose>
									<xsl:when test="$report_type = 'bill'">
										<xsl:value-of select='8' />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select='6' />
									</xsl:otherwise>
								</xsl:choose>
							</xsl:variable>
							<fo:table table-layout="fixed" width="100%" space-before="16px">
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="2.0in" />
								<fo:table-column column-width="0.5in" />
								<fo:table-column column-width="1.5in" />
								<xsl:if test="$report_type = 'bill'">
									<fo:table-column column-width="1.5in" />
									<fo:table-column column-width="1.5in" />
								</xsl:if>
								<fo:table-column column-width="1.5in" />
								<fo:table-column column-width="1.5in" />
								<fo:table-header>
									<fo:table-row>
										<fo:table-cell xsl:use-attribute-sets="table-headings" text-align="left" number-columns-spanned="{$cols}">
											<fo:block xsl:use-attribute-sets="summary-headings">
												<xsl:value-of select="$market" />
												<xsl:value-of select="' - '" />
												<xsl:value-of select="$marketname" />
											</fo:block>
											<fo:block>
												Item:
												<xsl:value-of select="$itemdesc" />
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<fo:table-row>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Cycle/Account</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
											<xsl:choose>
											<xsl:when test="$include_addresses = 'TRUE'">
												<fo:block>Account Name and Address</fo:block>
											</xsl:when>
											<xsl:otherwise>
												<fo:block>Account Name</fo:block>
											</xsl:otherwise>
											</xsl:choose>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Item Status</fo:block>
										</fo:table-cell>
										<xsl:choose>
											<xsl:when test="$report_type = 'bill'">
												<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Install Amt</fo:block>
												</fo:table-cell>
												<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>On Hand Amt</fo:block>
												</fo:table-cell>
												<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Remove Amt</fo:block>
												</fo:table-cell>
											</xsl:when>
											<xsl:otherwise>
												<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Item Rate</fo:block>
												</fo:table-cell>
											</xsl:otherwise>
										</xsl:choose>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Item Date</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Updated By</fo:block>
										</fo:table-cell>
									</fo:table-row>
								</fo:table-header>
								<fo:table-body>
									<xsl:for-each select="/all_results/results[@name = 'accts']/row[marketid = $market and item = $item]">
										<xsl:sort select="./cnpa" data-type="number" />
										<xsl:sort select="./cnxx" data-type="number" />
										<xsl:sort select="./cline" data-type="number" />
										<fo:table-row>
											<xsl:choose>
												<xsl:when test="./cycle = 0 and ./acct = 0">
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt" number-columns-spanned="2">
														<fo:block>
															<xsl:value-of select="'Walk-In'" />
														</fo:block>
													</fo:table-cell>
												</xsl:when>
												<xsl:otherwise>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
														<fo:block>
															<xsl:value-of select="format-number(./cycle, '000')" />
															<xsl:value-of select="'-'" />
															<xsl:value-of select="format-number(./acct, '0000000')" />
														</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
														<fo:block>
															<xsl:value-of select="./fname" />
															<xsl:value-of select="' '" />
															<xsl:value-of select="./lname" />
														</fo:block>
														<xsl:if test="$include_addresses = 'TRUE'">
															<xsl:if test="normalize-space(./adln1)">
																<fo:block>
																	<xsl:value-of select="./adln1" />
																</fo:block>
															</xsl:if>
															<xsl:if test="normalize-space(./adln2)">
																<fo:block>
																	<xsl:value-of select="./adln2" />
																</fo:block>
															</xsl:if>
															<xsl:if test="normalize-space(./adln3)">
																<fo:block>
																	<xsl:value-of select="./adln3" />
																</fo:block>
															</xsl:if>
															<fo:block>
																<xsl:value-of select="./adcity" />
																<xsl:value-of select="', '" />
																<xsl:value-of select="./adst" />
																<xsl:value-of select="' '" />
																<xsl:value-of select="substring(./adzip, 1, 5)" />
																<xsl:if test="substring(./adzip, 6, 4) != '0000'">
																	<xsl:value-of select="'-'" />
																	<xsl:value-of select="substring(./adzip, 6, 4)" />
																</xsl:if>
															</fo:block>
														</xsl:if>																												
													</fo:table-cell>
												</xsl:otherwise>
											</xsl:choose>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
												<fo:block>
													<xsl:if test="./billin = 'C'">
														<fo:block>
															<xsl:value-of select="'Paid'" />
														</fo:block>
													</xsl:if>
													<xsl:if test="./billin = 'Y'">
														<fo:block>
															<xsl:value-of select="'Inst'" />
														</fo:block>
													</xsl:if>
													<xsl:if test="./billrm = 'Y'">
														<fo:block>
															<xsl:value-of select="'Rmv'" />
														</fo:block>
													</xsl:if>
													<xsl:if test="./billin = 'N' and ./billrm = 'N' and ./billon = 'Y'">
														<fo:block>
															<xsl:value-of select="'OnH'" />
														</fo:block>
													</xsl:if>
												</fo:block>
											</fo:table-cell>
											<xsl:choose>
												<xsl:when test="$report_type = 'bill'">
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
														<fo:block>
															<xsl:value-of select="format-number(./instamt, '##,###,##0.00')" />
														</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
														<fo:block>
															<xsl:value-of select="format-number(./onhamt, '##,###,##0.00')" />
														</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
														<fo:block>
															<xsl:value-of select="format-number(./rmvamt, '##,###,##0.00')" />
														</fo:block>
													</fo:table-cell>
												</xsl:when>
												<xsl:otherwise>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
														<fo:block>
															<xsl:value-of select="format-number(./itmrat, '##,###,##0.00')" />
														</fo:block>
													</fo:table-cell>
												</xsl:otherwise>
											</xsl:choose>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
												<fo:block>
													<xsl:if test="./ityy &gt; 0">
														<fo:block>
															<xsl:call-template name="date4parm">
																<xsl:with-param name="cc" select="./itcc" />
																<xsl:with-param name="yy" select="./ityy" />
																<xsl:with-param name="mm" select="./itmm" />
																<xsl:with-param name="dd" select="./itdd" />
															</xsl:call-template>
														</fo:block>
													</xsl:if>
													<xsl:if test="./rmityy &gt; 0">
														<fo:block>
															<xsl:call-template name="date4parm">
																<xsl:with-param name="cc" select="./rmitcc" />
																<xsl:with-param name="yy" select="./rmityy" />
																<xsl:with-param name="mm" select="./rmitmm" />
																<xsl:with-param name="dd" select="./rmitdd" />
															</xsl:call-template>
														</fo:block>
													</xsl:if>													
												</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
												<fo:block>
													<xsl:value-of select="./uname" />
													<xsl:value-of select="' - '" />
													<xsl:value-of select="./name" />
												</fo:block>
											</fo:table-cell>
										</fo:table-row>
									</xsl:for-each>
								</fo:table-body>
							</fo:table>
						</xsl:if>
						<xsl:if test="$itemtype = 'S'">
							<xsl:variable name="cols">
								<xsl:choose>
									<xsl:when test="$report_type = 'bill'">
										<xsl:value-of select='10' />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select='8' />
									</xsl:otherwise>
								</xsl:choose>
							</xsl:variable>
							<fo:table table-layout="fixed" width="100%" space-before="16px">
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="1.5in" />
								<fo:table-column column-width="0.5in" />
								<fo:table-column column-width="0.75in" />
								<xsl:if test="$report_type = 'bill'">
									<fo:table-column column-width="0.75in" />
									<fo:table-column column-width="0.75in" />
								</xsl:if>
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="1.5in" />
								<fo:table-header>
									<fo:table-row>
										<fo:table-cell xsl:use-attribute-sets="table-headings" text-align="left" number-columns-spanned="{$cols}">
											<fo:block xsl:use-attribute-sets="summary-headings">
												<xsl:value-of select="$market" />
												<xsl:value-of select="' - '" />
												<xsl:value-of select="$marketname" />
											</fo:block>
											<fo:block>
												Item:
												<xsl:value-of select="$itemdesc" />
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<fo:table-row>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Cycle/Account</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Service Number</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Disconnect Date</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
											<xsl:choose>
											<xsl:when test="$include_addresses = 'TRUE'">
												<fo:block>Account Name and Address</fo:block>
											</xsl:when>
											<xsl:otherwise>
												<fo:block>Account Name</fo:block>
											</xsl:otherwise>
											</xsl:choose>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Item Status</fo:block>
										</fo:table-cell>
										<xsl:choose>
											<xsl:when test="$report_type = 'bill'">
												<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Install Amt</fo:block>
												</fo:table-cell>
												<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>On Hand Amt</fo:block>
												</fo:table-cell>
												<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Remove Amt</fo:block>
												</fo:table-cell>
											</xsl:when>
											<xsl:otherwise>
												<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Item Rate</fo:block>
												</fo:table-cell>
											</xsl:otherwise>
										</xsl:choose>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Item Date</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Updated By</fo:block>
										</fo:table-cell>
									</fo:table-row>
								</fo:table-header>
								<fo:table-body>
									<xsl:for-each select="/all_results/results[@name = 'accts']/row[marketid = $market and item = $item]">
										<xsl:sort select="./cnpa" data-type="number" />
										<xsl:sort select="./cnxx" data-type="number" />
										<xsl:sort select="./cline" data-type="number" />
										<fo:table-row>
											<xsl:choose>
												<xsl:when test="./cycle = 0 and ./acct = 0">
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt" number-columns-spanned="4">
														<fo:block>
															<xsl:value-of select="'Walk-In'" />
														</fo:block>
													</fo:table-cell>
												</xsl:when>
												<xsl:otherwise>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
														<fo:block>
															<xsl:value-of select="format-number(./cycle, '000')" />
															<xsl:value-of select="'-'" />
															<xsl:value-of select="format-number(./acct, '0000000')" />
														</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
														<fo:block>
															<xsl:if test="./cnpa &gt; 0 and ./cnxx &gt; 0">
																<xsl:call-template name="phone">
																	<xsl:with-param name="npa" select="./cnpa" />
																	<xsl:with-param name="nxx" select="./cnxx" />
																	<xsl:with-param name="line" select="./cline" />
																</xsl:call-template>
															</xsl:if>
															<xsl:value-of select="' '" />
														</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
														<fo:block>
															<xsl:if test="./dcmm &gt; 0">
																<xsl:call-template name="date4parm">
																	<xsl:with-param name="cc" select="./dccc" />
																	<xsl:with-param name="yy" select="./dcyy" />
																	<xsl:with-param name="mm" select="./dcmm" />
																	<xsl:with-param name="dd" select="./dcdd" />
																</xsl:call-template>
															</xsl:if>
															<xsl:value-of select="' '" />
														</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
														<fo:block>
															<xsl:value-of select="./fname" />
															<xsl:value-of select="' '" />
															<xsl:value-of select="./lname" />
														</fo:block>
														<xsl:if test="$include_addresses = 'TRUE'">
															<xsl:if test="normalize-space(./adln1)">
																<fo:block>
																	<xsl:value-of select="./adln1" />
																</fo:block>
															</xsl:if>
															<xsl:if test="normalize-space(./adln2)">
																<fo:block>
																	<xsl:value-of select="./adln2" />
																</fo:block>
															</xsl:if>
															<xsl:if test="normalize-space(./adln3)">
																<fo:block>
																	<xsl:value-of select="./adln3" />
																</fo:block>
															</xsl:if>
															<fo:block>
																<xsl:value-of select="./adcity" />
																<xsl:value-of select="', '" />
																<xsl:value-of select="./adst" />
																<xsl:value-of select="' '" />
																<xsl:value-of select="substring(./adzip, 1, 5)" />
																<xsl:if test="substring(./adzip, 6, 4) != '0000'">
																	<xsl:value-of select="'-'" />
																	<xsl:value-of select="substring(./adzip, 6, 4)" />
																</xsl:if>
															</fo:block>
														</xsl:if>														
													</fo:table-cell>
												</xsl:otherwise>
											</xsl:choose>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
												<xsl:if test="./billin = 'C'">
													<fo:block>
														<xsl:value-of select="'Paid'" />
													</fo:block>
												</xsl:if>
												<xsl:if test="./billin = 'Y'">
													<fo:block>
														<xsl:value-of select="'Inst'" />
													</fo:block>
												</xsl:if>
												<xsl:if test="./billrm = 'Y'">
													<fo:block>
														<xsl:value-of select="'Rmv'" />
													</fo:block>
												</xsl:if>
												<xsl:if test="./billin = 'N' and ./billrm = 'N' and ./billon = 'Y'">
													<fo:block>
														<xsl:value-of select="'OnH'" />
													</fo:block>
												</xsl:if>
											</fo:table-cell>
											<xsl:choose>
												<xsl:when test="$report_type = 'bill'">
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
														<fo:block>
															<xsl:value-of select="format-number(./instamt, '##,###,##0.00')" />
														</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
														<fo:block>
															<xsl:value-of select="format-number(./onhamt, '##,###,##0.00')" />
														</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
														<fo:block>
															<xsl:value-of select="format-number(./rmvamt, '##,###,##0.00')" />
														</fo:block>
													</fo:table-cell>
												</xsl:when>
												<xsl:otherwise>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
														<fo:block>
															<xsl:value-of select="format-number(./itmrat, '##,###,##0.00')" />
														</fo:block>
													</fo:table-cell>
												</xsl:otherwise>
											</xsl:choose>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
												<fo:block>
													<xsl:if test="./ityy &gt; 0">
														<fo:block>
															<xsl:call-template name="date4parm">
																<xsl:with-param name="cc" select="./itcc" />
																<xsl:with-param name="yy" select="./ityy" />
																<xsl:with-param name="mm" select="./itmm" />
																<xsl:with-param name="dd" select="./itdd" />
															</xsl:call-template>
														</fo:block>
													</xsl:if>
													<xsl:if test="./rmityy &gt; 0">
														<fo:block>
															<xsl:call-template name="date4parm">
																<xsl:with-param name="cc" select="./rmitcc" />
																<xsl:with-param name="yy" select="./rmityy" />
																<xsl:with-param name="mm" select="./rmitmm" />
																<xsl:with-param name="dd" select="./rmitdd" />
															</xsl:call-template>
														</fo:block>
													</xsl:if>													
												</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
												<fo:block>
													<xsl:value-of select="./uname" />
													<xsl:value-of select="' - '" />
													<xsl:value-of select="./name" />
												</fo:block>
											</fo:table-cell>
										</fo:table-row>
									</xsl:for-each>
								</fo:table-body>
							</fo:table>
						</xsl:if>
					</xsl:for-each-group>
				</xsl:for-each-group>
			</xsl:when>
			<xsl:otherwise>
				<fo:block>No Accounts Found for selected item(s)</fo:block>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>