<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: customer_by_provtype.xsl,v 1.7 2009-01-08 19:37:51 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:java="http://xml.apache.org/xslt/java" exclude-result-prefixes="java" version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:import href="subtemplates.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title">
        <xsl:choose>
            <xsl:when test="$report_type = 1">
                <xsl:value-of select="'Customer Listing By Provision Type'" />
            </xsl:when>
            <xsl:when test="$report_type = 2">
                <xsl:value-of select="'Customer Summary By Provision Type'" />
            </xsl:when>
            <xsl:when test="$report_type = 3">
                <xsl:value-of select="'Customer Listing By Plan'" />
            </xsl:when>
            <xsl:when test="$report_type = 4">
                <xsl:value-of select="'Customer Summary By Plan'" />
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="'Other'" />
            </xsl:otherwise>
        </xsl:choose>
    </xsl:variable>
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape" />
            <xsl:call-template name="make-body-landscape" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
				<xsl:variable name="sort1">
						<xsl:choose>
								<xsl:when test="$sort_type = 1">
										<xsl:value-of select="'esn'" />
								</xsl:when>
								<xsl:when test="$sort_type = 2">
										<xsl:value-of select="'imctry'" />
								</xsl:when>
								<xsl:when test="$sort_type = 3">
										<xsl:value-of select="'itmdsc'" />
								</xsl:when>
								<xsl:when test="$sort_type = 4">
										<xsl:value-of select="'cnpa'" />
								</xsl:when>
								<xsl:otherwise>
										<xsl:value-of select="'cycle'" />
								</xsl:otherwise>
						</xsl:choose>
				</xsl:variable>
				<xsl:variable name="sort2">
						<xsl:choose>
								<xsl:when test="$sort_type = 1">
										<xsl:value-of select="'imei'" />
								</xsl:when>
								<xsl:when test="$sort_type = 2">
										<xsl:value-of select="'imcomp'" />
								</xsl:when>
								<xsl:when test="$sort_type = 3">
										<xsl:value-of select="'cnpa'" />
								</xsl:when>
								<xsl:when test="$sort_type = 4">
										<xsl:value-of select="'cnxx'" />
								</xsl:when>
								<xsl:otherwise>
										<xsl:value-of select="'acct'" />
								</xsl:otherwise>
						</xsl:choose>
				</xsl:variable>
				<xsl:variable name="sort3">
						<xsl:choose>
								<xsl:when test="$sort_type = 1">
										<xsl:value-of select="'cnpa'" />
								</xsl:when>
								<xsl:when test="$sort_type = 2">
										<xsl:value-of select="'imnumb'" />
								</xsl:when>
								<xsl:when test="$sort_type = 3">
										<xsl:value-of select="'cnxx'" />
								</xsl:when>
								<xsl:when test="$sort_type = 4">
										<xsl:value-of select="'cline'" />
								</xsl:when>
								<xsl:otherwise>
										<xsl:value-of select="'cnpa'" />
								</xsl:otherwise>
						</xsl:choose>
				</xsl:variable>
				<xsl:variable name="sort4">
						<xsl:choose>
								<xsl:when test="$sort_type = 1">
										<xsl:value-of select="'cnxx'" />
								</xsl:when>
								<xsl:when test="$sort_type = 2">
										<xsl:value-of select="'cycle'" />
								</xsl:when>
								<xsl:when test="$sort_type = 3">
										<xsl:value-of select="'cline'" />
								</xsl:when>
								<xsl:when test="$sort_type = 4">
										<xsl:value-of select="'cycle'" />
								</xsl:when>
								<xsl:otherwise>
										<xsl:value-of select="'cnxx'" />
								</xsl:otherwise>
						</xsl:choose>
				</xsl:variable>
				<xsl:variable name="sort5">
						<xsl:choose>
								<xsl:when test="$sort_type = 1">
										<xsl:value-of select="'cline'" />
								</xsl:when>
								<xsl:when test="$sort_type = 2">
										<xsl:value-of select="'acct'" />
								</xsl:when>
								<xsl:when test="$sort_type = 3">
										<xsl:value-of select="'cycle'" />
								</xsl:when>
								<xsl:when test="$sort_type = 4">
										<xsl:value-of select="'acct'" />
								</xsl:when>
								<xsl:otherwise>
										<xsl:value-of select="'cline'" />
								</xsl:otherwise>
						</xsl:choose>
				</xsl:variable>
				
        <xsl:choose>
            <xsl:when test="/all_results/results[@name = 'custserv']/row and ($report_type = 1 or $report_type = 2)">
                <xsl:for-each-group select="/all_results/results[@name = 'custserv']/row" group-by="normalize-space(provtp)">
                    <xsl:variable name="provtp" select="./provtp" />
                    <xsl:variable name="ptdesc" select="./ptdesc" />
                    <xsl:variable name="esn" select="./esn" />
                    <fo:table table-layout="fixed" width="100%" space-before="16px">
                        <xsl:call-template name="heading">
                            <xsl:with-param name="head1" select="'Provision Type: '" />
                            <xsl:with-param name="head2" select="$ptdesc" />
                            <xsl:with-param name="esn" select="$esn" />
                        </xsl:call-template>
                        <fo:table-body>
                            <xsl:if test="$report_type = 1">
                                <xsl:for-each select="/all_results/results[@name = 'custserv']/row[provtp = $provtp]">
																		<xsl:sort select="./*[name() = $sort1]" data-type="number"/>
																		<xsl:sort select="./*[name() = $sort2]" data-type="number"/>
																		<xsl:sort select="./*[name() = $sort3]" data-type="number"/>
																		<xsl:sort select="./*[name() = $sort4]" data-type="number"/>
																		<xsl:sort select="./*[name() = $sort5]" data-type="number"/>
                                    <xsl:call-template name="custrow">
                                        <xsl:with-param name="row" select="." />
                                    </xsl:call-template>
                                </xsl:for-each>
                            </xsl:if>
                            <xsl:call-template name="totalrow">
                                <xsl:with-param name="total" select="count(/all_results/results[@name = 'custserv']/row[provtp = $provtp])" />
                                <xsl:with-param name="for" select="$ptdesc" />
                            </xsl:call-template>
                        </fo:table-body>
                    </fo:table>
                </xsl:for-each-group>
                <fo:table table-layout="fixed" width="100%" space-before="16px">
                    <fo:table-column column-width="1.0in" />
                    <fo:table-column column-width="1.0in" />
                    <fo:table-column column-width="2.5in" />
                    <fo:table-column column-width="1.5in" />
                    <fo:table-column column-width="1.5in" />
                    <fo:table-column column-width="1.5in" />
                    <fo:table-body>
                        <xsl:call-template name="totalrow">
                            <xsl:with-param name="total" select="count(/all_results/results[@name = 'custserv']/row)" />
                            <xsl:with-param name="for" select="''" />
                        </xsl:call-template>
                    </fo:table-body>
                </fo:table>
            </xsl:when>
            <xsl:when test="/all_results/results[@name = 'custserv']/row and ($report_type = 3 or $report_type = 4)">
                <xsl:for-each-group select="/all_results/results[@name = 'custserv']/row" group-by="normalize-space(itmdsc)">
                    <xsl:variable name="plan" select="./itmdsc" />
                    <fo:table table-layout="fixed" width="100%" space-before="16px">
                        <xsl:call-template name="heading">
                            <xsl:with-param name="head1" select="'Plan: '" />
                            <xsl:with-param name="head2" select="$plan" />
                            <xsl:with-param name="esn" select="/all_results/results[@name = 'custserv']/row[itmdsc = $plan]/esn" />
                        </xsl:call-template>
                        <fo:table-body>
                            <xsl:if test="$report_type = 3">
                                <xsl:for-each select="/all_results/results[@name = 'custserv']/row[itmdsc = $plan]">
                                    <xsl:call-template name="custrow">
                                        <xsl:with-param name="row" select="." />
                                    </xsl:call-template>
                                </xsl:for-each>
                            </xsl:if>
                            <xsl:call-template name="totalrow">
                                <xsl:with-param name="total" select="count(/all_results/results[@name = 'custserv']/row[itmdsc = $plan])" />
                                <xsl:with-param name="for" select="$plan" />
                            </xsl:call-template>
                        </fo:table-body>
                    </fo:table>
                </xsl:for-each-group>
                <fo:table table-layout="fixed" width="100%" space-before="16px">
                    <fo:table-column column-width="1.0in" />
                    <fo:table-column column-width="1.0in" />
                    <fo:table-column column-width="2.5in" />
                    <fo:table-column column-width="1.5in" />
                    <fo:table-column column-width="1.5in" />
                    <fo:table-column column-width="1.5in" />
                    <fo:table-body>
                        <xsl:call-template name="totalrow">
                            <xsl:with-param name="total" select="count(/all_results/results[@name = 'custserv']/row)" />
                            <xsl:with-param name="for" select="''" />
                        </xsl:call-template>
                    </fo:table-body>
                </fo:table>
            </xsl:when>
            <xsl:otherwise>
                <fo:block>No Accounts Found for selected item(s)</fo:block>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    <xsl:template name="heading">
        <xsl:param name="head1" />
        <xsl:param name="head2" />
        <xsl:param name="esn" />
        <fo:table-column column-width="1.0in" />
        <fo:table-column column-width="1.0in" />
        <fo:table-column column-width="2.5in" />
        <fo:table-column column-width="1.5in" />
        <fo:table-column column-width="1.5in" />
        <fo:table-column column-width="1.5in" />
        <fo:table-header>
            <fo:table-row>
                <fo:table-cell xsl:use-attribute-sets="table-headings" text-align="left" number-columns-spanned="6">
                    <fo:block>
                        <xsl:value-of select="$head1" />
                        <xsl:value-of select="$head2" />
                    </fo:block>
                </fo:table-cell>
            </fo:table-row>
            <xsl:if test="$report_type = 1 or $report_type = 3">
                <fo:table-row>
                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                        <fo:block>Cycle/Account</fo:block>
                    </fo:table-cell>
                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                        <fo:block>Service Number</fo:block>
                    </fo:table-cell>
                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                        <fo:block>Account Name</fo:block>
                    </fo:table-cell>
                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                        <fo:block>
                            <xsl:choose>
                                <xsl:when test="$esn &gt; 0">
                                    <xsl:value-of select="'ESN'" />
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:value-of select="'IMEI'" />
                                </xsl:otherwise>
                            </xsl:choose>
                        </fo:block>
                    </fo:table-cell>
                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                        <fo:block>IMSI</fo:block>
                    </fo:table-cell>
                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                        <fo:block>
                            <xsl:choose>
                                <xsl:when test="$report_type = 1">
                                    <xsl:value-of select="'Rate Plan'" />
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:value-of select="'Provision Type'" />
                                </xsl:otherwise>
                            </xsl:choose>
                        </fo:block>
                    </fo:table-cell>
                </fo:table-row>
            </xsl:if>
        </fo:table-header>
    </xsl:template>
    
    <xsl:template name="custrow">
        <xsl:param name="row" />
        <fo:table-row>
            <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                <fo:block>
                    <xsl:value-of select="format-number($row/cycle, '000')" />
                    <xsl:value-of select="'-'" />
                    <xsl:value-of select="format-number($row/acct, '0000000')" />
                </fo:block>
            </fo:table-cell>
            <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                <fo:block>
                    <xsl:call-template name="phone">
                        <xsl:with-param name="npa" select="$row/cnpa" />
                        <xsl:with-param name="nxx" select="$row/cnxx" />
                        <xsl:with-param name="line" select="$row/cline" />
                    </xsl:call-template>
                </fo:block>
            </fo:table-cell>
            <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                <fo:block>
                    <xsl:value-of select="$row/fname" />
                    <xsl:value-of select="' '" />
                    <xsl:value-of select="$row/lname" />
                </fo:block>
            </fo:table-cell>
            <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                <fo:block>
                    <xsl:choose>
                        <xsl:when test="$row/esn &gt; 0">
                            <xsl:value-of select="format-number($row/esn, '00000000000')" />
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:value-of select="format-number($row/imei, '000000000000000')" />
                        </xsl:otherwise>
                    </xsl:choose>
                </fo:block>
            </fo:table-cell>
            <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                <fo:block>
                    <xsl:choose>
                        <xsl:when test="$row/imctry &gt; 0 or $row/imcomp &gt; 0 or $row/imnumb &gt; 0">
                            <xsl:value-of select="format-number($row/imctry, '000')" />
                            <xsl:value-of select="'-'" />
                            <xsl:value-of select="format-number($row/imcomp, '00000')" />
                            <xsl:value-of select="'-'" />
                            <xsl:value-of select="format-number($row/imnumb, '0000000000')" />
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:value-of select="' '" />
                        </xsl:otherwise>
                    </xsl:choose>
                </fo:block>
            </fo:table-cell>
            <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                <fo:block>
                    <xsl:choose>
                        <xsl:when test="$report_type = 1">
                            <xsl:value-of select="$row/crtpln" />
                            <xsl:value-of select="' - '" />
                            <xsl:value-of select="$row/itmdsc" />
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:value-of select="$row/ptdesc" />
                        </xsl:otherwise>
                    </xsl:choose>
                </fo:block>
            </fo:table-cell>
        </fo:table-row>
    </xsl:template>
    
    <xsl:template name="totalrow">
        <xsl:param name="total" />
        <xsl:param name="for" />
        <fo:table-row>
            <fo:table-cell xsl:use-attribute-sets="table-cells" number-columns-spanned="5" text-align="left">
                <fo:block>
                    <xsl:choose>
                        <xsl:when test="$for = ''">
                            <xsl:value-of select="'Total Customers '" />
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:value-of select="'Total Customers for '" />
                            <xsl:value-of select="$for" />
                        </xsl:otherwise>
                    </xsl:choose>
                </fo:block>
            </fo:table-cell>
            <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
                <fo:block>
                    <xsl:value-of select="format-number($total, '###,###,##0')" />
                </fo:block>
            </fo:table-cell>
        </fo:table-row>
    </xsl:template>
</xsl:stylesheet>
