<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: datadetail-web.xsl,v 1.12 2017-02-23 17:55:12 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
				xmlns:util="java:com.psasoft.util.DelegateUtilities"
				exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/> 
  <xsl:import href="callsummary.xsl"/>
  <xsl:import href="datadetail.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Data Usage Report'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
		<xsl:call-template name="make-layout-master-set-landscape" />
		<xsl:call-template name="make-body-landscape-web" />
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:variable name="rating" select="util:getDataAreaString('RATING')" />
	<xsl:if test="$rating != 'N'">
		<fo:block xsl:use-attribute-sets="component-1" color="red">
			** NOTE ** - Rating is in progress.  Information subject to change
		</fo:block>
	</xsl:if>	
	<xsl:if test="$customerCode = 'NWMC' or $customerCode = 'nwmc'">
		<fo:block xsl:use-attribute-sets="component-1" color="red">
			** NOTE ** - This report does not reflect real time customer usage. Only usage records that have been processed will be displayed.  Therefore, you may have outstanding usage that could affect your plan.
		</fo:block>
	</xsl:if>
	
	<xsl:call-template name="datasum-new" />
	<xsl:call-template name="data-detail">
		<xsl:with-param name="from-web" select="'Y'" />
	</xsl:call-template>
		
	<xsl:call-template name="aaahist" />
			
</xsl:template>
</xsl:stylesheet>






