<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: datausage_extdetail.xsl,v 1.4 2013-01-22 13:49:02 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/> 
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="concat('Data Usage Extended Detail Report ', $usage_date_range[1], ' to ', $usage_date_range[2])" />  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
		<xsl:call-template name="make-layout-master-set-landscape" />
		<xsl:call-template name="make-body-landscape" />
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:call-template name="account_service">
		<xsl:with-param name="row" select="/all_results/results[@name = 'acctservice']/row"/>
	</xsl:call-template>

	<xsl:choose>
	<xsl:when test="exists(/all_results/results[@name = 'detail']/row)">

		<fo:table table-layout="fixed" width="100%" space-before="16px">
				<fo:table-column column-width="0.2in" />
				<fo:table-column column-width="0.2in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="1.00in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="0.5in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.5in" />			
				<fo:table-column column-width="0.5in" />			
				<fo:table-column column-width="1.05in" />			
				<fo:table-column column-width="0.45in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-header>
						<fo:table-row keep-with-next="always">
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Rt</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>To</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>To Number</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Date/Time</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Place</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>St</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Srv Sid</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Origin</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Caller ID</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Data Feature</fo:block>
								</fo:table-cell>							
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Unit</fo:block>
								</fo:table-cell>		
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Unit Count</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Network Id</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Print Call</fo:block>
								</fo:table-cell>								
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Charges</fo:block>
								</fo:table-cell>
						</fo:table-row>
				</fo:table-header>					
				<fo:table-body>
						<xsl:for-each select="/all_results/results[@name = 'detail']/row">							
							<xsl:variable name="unitcount">
								<xsl:choose>
									<xsl:when test="./unitcount and ./dqtytp = 'EA'">
										<xsl:value-of select="format-number(./unitcount, '###,##0;-##,##0')" />
									</xsl:when>
									<xsl:when test="./adj_unitcount and ./dqtytp = 'BT'">
										<xsl:value-of select="format-number(./adj_unitcount, '###,###,###,##0.000000;-##,###,###,##0.000000')" />
									</xsl:when>
									<xsl:when test="./adj_unitcount and ./dqtytp = 'KB'">
										<xsl:value-of select="format-number(./adj_unitcount, '###,###,###,##0.000000;-##,###,###,##0.000000')" />
									</xsl:when>
									<xsl:when test="./adj_unitcount and ./dqtytp = 'MB'">
										<xsl:value-of select="format-number(./adj_unitcount, '###,###,###,##0.000000;-##,###,###,##0.000000')" />
									</xsl:when>
									<xsl:when test="./adj_unitcount and ./dqtytp = 'GB'">
										<xsl:value-of select="format-number(./adj_unitcount, '###,###,###,##0.000000;-##,###,###,##0.000000')" />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="format-number(./unitcount, '###,##0;-##,##0')" />
									</xsl:otherwise>
								</xsl:choose>
							</xsl:variable>
							<fo:table-row>
									<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
										<fo:block>
											<xsl:choose>
												<xsl:when test="./rated = '1'" >
													<xsl:value-of select="'Y'"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="'N'"/>
												</xsl:otherwise>
										</xsl:choose>																					
										</fo:block>
									</fo:table-cell>										
									<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">									
										<xsl:choose>
											<xsl:when test="./cldi = '1' or ./cldi = '2' or ./cldi = '3' or ./cldi = '4' " >
												<fo:block>
														<xsl:value-of select="'R'"/>
												</fo:block>
											</xsl:when>
											<xsl:when test="./cldi = '6' or ./cldi = '7' or ./cldi = '8' or ./cldi = '9' " >
												<fo:block>
														<xsl:value-of select="'H'"/>
												</fo:block>
											</xsl:when>										
											<xsl:otherwise>
												<fo:block>
													<xsl:value-of select="'-'" />
												</fo:block>
											</xsl:otherwise>
									</xsl:choose>											
									</fo:table-cell>																			
									<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
										<fo:block>
												<xsl:choose>
													<xsl:when test="./cdnpa != 0 and ./cdnxx != 0">
														<xsl:value-of select="'('"/>
														<xsl:value-of select="format-number(./cdnpa, '000')"/>
														<xsl:value-of select="')'"/>
														<xsl:value-of select="format-number(./cdnxx, '000')"/>
														<xsl:value-of select="'-'"/>
														<xsl:value-of select="format-number(./cdline, '0000')"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:if test="./cdnpa != 0">
																<xsl:value-of select="./cdnpa" />
																<xsl:value-of select="' '"/>
														</xsl:if>
														<xsl:if test="./cdnxx != 0">
																<xsl:value-of select="./cdnxx" />
																<xsl:value-of select="' '"/>
														</xsl:if>
														<xsl:if test="./cdline != 0">
																<xsl:value-of select="./cdline" />
														</xsl:if>
													</xsl:otherwise>
											</xsl:choose>											
										</fo:block>
									</fo:table-cell>	
									<xsl:choose>
									<xsl:when test="./c1in = 12 and ./itmdsc = ''">
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:if test="./cdcc != 0 and ./cdyy != 0 and ./cdmm != 0 and ./cddd != 0">
													<xsl:value-of select="format-number(./cdmm, '00')"/>
													<xsl:value-of select="'/'"/>
													<xsl:value-of select="format-number(./cddd, '00')"/>
													<xsl:value-of select="'/'"/>
													<xsl:value-of select="format-number(./cdcc, '00')"/>
													<xsl:value-of select="format-number(./cdyy, '00')"/>
													<xsl:value-of select="' '"/>
													<xsl:value-of select="format-number(./c1cnhh, '00')"/>
													<xsl:value-of select="':'"/>
													<xsl:value-of select="format-number(./c1cnmm, '00')"/>
													<xsl:value-of select="':'"/>
													<xsl:value-of select="format-number(./c1cnss, '00')"/>
												</xsl:if>
												<xsl:value-of select="' '" />
												<xsl:value-of select="' '" />
											</fo:block>
										</fo:table-cell>													
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:value-of select="./svpc"/>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:value-of select="./svst"/>
											</fo:block>
										</fo:table-cell>		
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:value-of select="./svsid"/>
											</fo:block>
										</fo:table-cell>									
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
												<xsl:choose>
													<xsl:when test="./cldi = '1' or ./cldi = '6'" >
														<fo:block font-size="7pt" >
																<xsl:value-of select="./svpc"/>
														</fo:block>
													</xsl:when>
													<xsl:when test="./cldi = '2' or ./cldi = '7'" >
														<fo:block>
																<xsl:value-of select="'Incoming'"/>
														</fo:block>
													</xsl:when>
													<xsl:otherwise>
														<fo:block>
															<xsl:value-of select="' '" />
														</fo:block>
													</xsl:otherwise>
											</xsl:choose>		
										</fo:table-cell>			
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:choose>
													<xsl:when test="./cinpa != 0 and ./cinxx != 0">
														<xsl:value-of select="'('"/>
														<xsl:value-of select="format-number(./cinpa, '000')"/>
														<xsl:value-of select="')'"/>
														<xsl:value-of select="format-number(./cinxx, '000')"/>
														<xsl:value-of select="'-'"/>
														<xsl:value-of select="format-number(./ciline, '0000')"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:if test="./cinpa != 0">
																<xsl:value-of select="./cinpa" />
																<xsl:value-of select="' '"/>
														</xsl:if>
														<xsl:if test="./cinxx != 0">
																<xsl:value-of select="./cinxx" />
																<xsl:value-of select="' '"/>
														</xsl:if>
														<xsl:if test="./ciline != 0">
																<xsl:value-of select="./ciline" />
														</xsl:if>
													</xsl:otherwise>
												</xsl:choose>			
											</fo:block>
										</fo:table-cell>				
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:value-of select="' - '"/>
											</fo:block>
										</fo:table-cell>		
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:value-of select="' '"/>
											</fo:block>
										</fo:table-cell>	
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
											<fo:block>
												<xsl:value-of select="format-number(./msacdg, '###,##0;-##,##0')"/>
											</fo:block>
										</fo:table-cell>	
									</xsl:when>
									<xsl:when test="./c1in != 12">
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:if test="./cdcc != 0 and ./cdyy != 0 and ./cdmm != 0 and ./cddd != 0">
													<xsl:value-of select="format-number(./cdmm, '00')"/>
													<xsl:value-of select="'/'"/>
													<xsl:value-of select="format-number(./cddd, '00')"/>
													<xsl:value-of select="'/'"/>
													<xsl:value-of select="format-number(./cdcc, '00')"/>
													<xsl:value-of select="format-number(./cdyy, '00')"/>
													<xsl:value-of select="' '"/>
													<xsl:value-of select="format-number(./c1cnhh, '00')"/>
													<xsl:value-of select="':'"/>
													<xsl:value-of select="format-number(./c1cnmm, '00')"/>
													<xsl:value-of select="':'"/>
													<xsl:value-of select="format-number(./c1cnss, '00')"/>
												</xsl:if>
												<xsl:value-of select="' '" />
												<xsl:value-of select="' '" />
											</fo:block>
										</fo:table-cell>													
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:value-of select="./svpc"/>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:value-of select="./svst"/>
											</fo:block>
										</fo:table-cell>		
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:value-of select="./svsid"/>
											</fo:block>
										</fo:table-cell>									
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
												<xsl:choose>
													<xsl:when test="./cldi = '1' or ./cldi = '6'" >
														<fo:block font-size="7pt" >
																<xsl:value-of select="./svpc"/>
														</fo:block>
													</xsl:when>
													<xsl:when test="./cldi = '2' or ./cldi = '7'" >
														<fo:block>
																<xsl:value-of select="'Incoming'"/>
														</fo:block>
													</xsl:when>
													<xsl:otherwise>
														<fo:block>
															<xsl:value-of select="' '" />
														</fo:block>
													</xsl:otherwise>
											</xsl:choose>		
										</fo:table-cell>			
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:choose>
													<xsl:when test="./cinpa != 0 and ./cinxx != 0">
														<xsl:value-of select="'('"/>
														<xsl:value-of select="format-number(./cinpa, '000')"/>
														<xsl:value-of select="')'"/>
														<xsl:value-of select="format-number(./cinxx, '000')"/>
														<xsl:value-of select="'-'"/>
														<xsl:value-of select="format-number(./ciline, '0000')"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:if test="./cinpa != 0">
																<xsl:value-of select="./cinpa" />
																<xsl:value-of select="' '"/>
														</xsl:if>
														<xsl:if test="./cinxx != 0">
																<xsl:value-of select="./cinxx" />
																<xsl:value-of select="' '"/>
														</xsl:if>
														<xsl:if test="./ciline != 0">
																<xsl:value-of select="./ciline" />
														</xsl:if>
													</xsl:otherwise>
												</xsl:choose>			
											</fo:block>
										</fo:table-cell>				
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:value-of select="./chargedesc"/>
												<xsl:value-of select="' - '"/>
												<xsl:value-of select="./dataft"/>										
											</fo:block>
										</fo:table-cell>									
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:choose>
													<xsl:when test="./rated = '1'" >										
														<xsl:value-of select="./qtytyp"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="./dqtyty"/>
													</xsl:otherwise>
												</xsl:choose>
											</fo:block>
										</fo:table-cell>	
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
											<fo:block>
												<xsl:value-of select="$unitcount"/>
											</fo:block>
										</fo:table-cell>	
									</xsl:when>
									<xsl:otherwise>
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:if test="./cdcc != 0 and ./cdyy != 0 and ./cdmm != 0 and ./cddd != 0">
													<xsl:value-of select="format-number(./cdmm, '00')"/>
													<xsl:value-of select="'/'"/>
													<xsl:value-of select="format-number(./cddd, '00')"/>
													<xsl:value-of select="'/'"/>
													<xsl:value-of select="format-number(./cdcc, '00')"/>
													<xsl:value-of select="format-number(./cdyy, '00')"/>
												</xsl:if>
												<xsl:value-of select="' '" />
											</fo:block>
										</fo:table-cell>													
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:value-of select="./svpc"/>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:value-of select="./svst"/>
											</fo:block>
										</fo:table-cell>		
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:value-of select="./svsid"/>
											</fo:block>
										</fo:table-cell>									
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
												<xsl:choose>
													<xsl:when test="./cldi = '1' or ./cldi = '6'" >
														<fo:block font-size="7pt" >
																<xsl:value-of select="./svpc"/>
														</fo:block>
													</xsl:when>
													<xsl:when test="./cldi = '2' or ./cldi = '7'" >
														<fo:block>
																<xsl:value-of select="'Incoming'"/>
														</fo:block>
													</xsl:when>
													<xsl:otherwise>
														<fo:block>
															<xsl:value-of select="' '" />
														</fo:block>
													</xsl:otherwise>
											</xsl:choose>		
										</fo:table-cell>			
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:value-of select="' - '"/>
											</fo:block>
										</fo:table-cell>				
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:value-of select="./chargedesc"/>
												<xsl:value-of select="' - '"/>
												<xsl:value-of select="./dataft"/>										
											</fo:block>
										</fo:table-cell>									
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
											<fo:block>
												<xsl:choose>
													<xsl:when test="./rated = '1'" >										
														<xsl:value-of select="./qtytyp"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="./dqtyty"/>
													</xsl:otherwise>
												</xsl:choose>
											</fo:block>
										</fo:table-cell>	
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
											<fo:block>
												<xsl:value-of select="$unitcount"/>
											</fo:block>
										</fo:table-cell>	
									</xsl:otherwise>
									</xsl:choose>
									<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center" font-size="4pt">
										<fo:block>
											<xsl:value-of select="./apnni"/>
										</fo:block>
									</fo:table-cell>										
									<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center" font-size="4pt">
										<fo:block>
											<xsl:value-of select="./prtcll"/>
										</fo:block>
									</fo:table-cell>	
									<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
										<fo:block>
											<xsl:choose>
											<xsl:when test="./c1in = 12 and ./itmdsc = ''">
												<xsl:value-of select="' - '" />
											</xsl:when>
											<xsl:otherwise>	
												<xsl:value-of select="format-number(./c1cg, '###,##0.00;-##,##0.00')"/>
											</xsl:otherwise>
											</xsl:choose>
										</fo:block>
									</fo:table-cell>																		
								</fo:table-row>											
					 </xsl:for-each>
					</fo:table-body>
			</fo:table>			
		</xsl:when>
		<xsl:otherwise>
			<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
				No Information Found
			</fo:block>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
</xsl:stylesheet>






