<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: disc_portin_unasin.xsl,v 1.4 2014-08-12 19:18:20 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
   <xsl:import href="subtemplates.xsl"/> 
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="concat('Disconnected Port-In Numbers ', $disconnect_date[1], ' to ', $disconnect_date[2])" />  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
		<xsl:call-template name="make-layout-master-set-landscape" />
		<xsl:call-template name="make-body-landscape" />
	</fo:root>
</xsl:template>

	<xsl:template name="body_process">
		<xsl:choose>
		<xsl:when test="exists(/all_results/results[@name = 'data']/row)">
			<fo:table table-layout="fixed" width="100%" space-before="16px">
				<xsl:call-template name="header" />
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'data']/row">
						<xsl:call-template name="detail">
							<xsl:with-param name="row" select="."/>
						</xsl:call-template>							
					</xsl:for-each>
				</fo:table-body>
			</fo:table>			
		</xsl:when>
		<xsl:otherwise>
			<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
				No Information Found
			</fo:block>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="header">
		<fo:table-column column-width="0.75in" />
		<fo:table-column column-width="0.75in" />
		<fo:table-column column-width="1.00in" />
		<fo:table-column column-width="1.25in" />
		<fo:table-column column-width="2.25in" />
		<fo:table-column column-width="1.5in" />
		<fo:table-header>
			<fo:table-row>
				<fo:table-cell xsl:use-attribute-sets="table-headings">
					<fo:block>Connect Date</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-headings">
					<fo:block>Disconnect Date</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-headings">
					<fo:block>Account</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-headings">
					<fo:block>MDN</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-headings">
					<fo:block>Customer Name</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-headings">
					<fo:block>Disconnect Reason</fo:block>
				</fo:table-cell>
			</fo:table-row>
		</fo:table-header>
	</xsl:template>

	<xsl:template name="detail">
		<xsl:param name="row" />
		<fo:table-row>
				<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
					<fo:block>
						<xsl:call-template name="date4parm">
							<xsl:with-param name="cc" select="$row/cncc"/>
							<xsl:with-param name="yy" select="$row/cnyy"/>
							<xsl:with-param name="mm" select="$row/cnmm"/>
							<xsl:with-param name="dd" select="$row/cndd"/>
						</xsl:call-template>
					</fo:block>
				</fo:table-cell>	
				<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
					<fo:block>
						<xsl:call-template name="date4parm">
							<xsl:with-param name="cc" select="$row/dccc"/>
							<xsl:with-param name="yy" select="$row/dcyy"/>
							<xsl:with-param name="mm" select="$row/dcmm"/>
							<xsl:with-param name="dd" select="$row/dcdd"/>
						</xsl:call-template>
					</fo:block>
				</fo:table-cell>																			
				<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
					<fo:block>
						<xsl:value-of select="format-number($row/cycle, '000')" />
						<xsl:value-of select="'-'" />
						<xsl:value-of select="format-number($row/account, '0000000')" />
					</fo:block>
				</fo:table-cell>																		
				<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
					<fo:block>
						<xsl:call-template name="phone">
							<xsl:with-param name="npa" select="$row/unnpa"/>
							<xsl:with-param name="nxx" select="$row/unnxx"/>
							<xsl:with-param name="line" select="$row/unline"/>
						</xsl:call-template>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
					<fo:block>
							<xsl:value-of select="$row/fname" />
							<xsl:value-of select="' '" />
							<xsl:value-of select="$row/lname" />									
					</fo:block>
				</fo:table-cell>	
				<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
					<fo:block>
						<xsl:value-of select="$row/dscdds"/>
					</fo:block>
				</fo:table-cell>
			</fo:table-row>			
	</xsl:template>
		
</xsl:stylesheet>






