<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: drawersum_range.xsl,v 1.1 2016-03-02 19:45:08 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
			    xmlns:fo="http://www.w3.org/1999/XSL/Format" 
			    xmlns:java="http://xml.apache.org/xslt/java" 
			    xmlns:util="java:com.psasoft.util.TextUtilities" 
			    exclude-result-prefixes="java" 
			    version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:import href="subtemplates.xsl" />

    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="concat(' Summary for Date Range ', $sold_date[1], ' to ', $sold_date[2])" />
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-legal-landscape-small-margin" />
            <xsl:call-template name="make-body-landscape-legal-small-margin" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
        <xsl:choose>
			<xsl:when test="/all_results/results[@name = 'sum']/row">
				<xsl:call-template name="summaryrange" />
			</xsl:when>
            <xsl:otherwise>
                <fo:block>No Drawer Information Found</fo:block>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template name="summaryrange">
		<xsl:variable name="marketcount" select="count(/all_results/results[@name = 'market']/row)" />
		<xsl:variable name="cols">
			<xsl:choose>
			<xsl:when test="$marketcount > 1">
				<xsl:value-of select="9"/> 
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="8"/> 
			</xsl:otherwise>
			</xsl:choose>									
		</xsl:variable>
								
		<xsl:variable name="tenderedcount" select="count(/all_results/results[@name = 'tenderedtypes']/row)" />
		<xsl:variable name="cols2">
			<xsl:choose>
			<xsl:when test="$marketcount > 1">
				<xsl:value-of select="$tenderedcount + 9"/> 
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$tenderedcount + 8"/> 
			</xsl:otherwise>
			</xsl:choose>									
		</xsl:variable>
		
		<fo:table table-layout="fixed" width="100%" space-before="16px">
			<xsl:if test="$marketcount > 1">
				<fo:table-column column-width="0.20in" />
			</xsl:if>
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">			
				<xsl:if test="./tenderedtype != 'CASH'">
					<fo:table-column column-width="0.60in" />
				</xsl:if>
			</xsl:for-each>
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-column column-width="0.60in" />
			<fo:table-header>
				<fo:table-row keep-with-next="always">
					<xsl:if test="$marketcount > 1">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Mkt</fo:block>
						</fo:table-cell>									
					</xsl:if>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Date</fo:block>
					</fo:table-cell>									
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>User Id</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total Purch Paid</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total Purch Billed</fo:block>
					</fo:table-cell>										
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total Pmts</fo:block>
					</fo:table-cell>			
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total WO Pmts</fo:block>
					</fo:table-cell>			
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total Misc Adj</fo:block>
					</fo:table-cell>	
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Federal Tax</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>State Tax</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>City Tax</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>County Tax</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Misc Tax</fo:block>
					</fo:table-cell>					
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Total Taxes</fo:block>
					</fo:table-cell>	
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt" border-left-style="double" border-right-style="double">
						<fo:block>Total Invoices</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total Cash In</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total Cash Out</fo:block>
					</fo:table-cell>										
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Net Cash Amount</fo:block>
					</fo:table-cell>
					<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">				
						<xsl:if test="./tenderedtype != 'CASH'">
							<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>
									<xsl:value-of select="'Total '" />
									<xsl:value-of select="./tendereddesc" />
								</fo:block>
							</fo:table-cell>
						</xsl:if>
					</xsl:for-each>					
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total Bill To</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total Return Amt</fo:block>
					</fo:table-cell>								
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>		
				<xsl:for-each select="/all_results/results[@name = 'sum']/row">
					<xsl:variable name="user" select="./ptrusr" />
					<xsl:variable name="market" select="./market" />	
					<xsl:variable name="reconciledate" select="./reconciledate" />				
					<fo:table-row>				
						<xsl:if test="$marketcount > 1">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
									<fo:block>
											<xsl:value-of select="./market" />
									</fo:block>
							</fo:table-cell>												
						</xsl:if>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block>
										<xsl:value-of select="./reconciledate" />
								</fo:block>
						</fo:table-cell>			
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block>
										<xsl:value-of select="./ptrusr" />
								</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block>
										<xsl:value-of select="format-number(./purchasepaid + ./purchtaxpaid, '##,###,##0.00;-#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block>
										<xsl:value-of select="format-number(./purchasebill + ./purchtaxbill, '##,###,##0.00;-#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>													
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:choose>
								<xsl:when test="./wrtoff = 'W'">
									<xsl:value-of select="' '" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="format-number(./payment, '##,###,##0.00;-#,###,##0.00')" />
								</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:choose>
								<xsl:when test="./wrtoff = 'W'">
									<xsl:value-of select="format-number(./payment, '##,###,##0.00;-#,###,##0.00')" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="' '" />
								</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>						
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block>
										<xsl:value-of select="format-number(./misc + ./misctax, '##,###,##0.00;-#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>	
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
							<fo:block color="black">
								<xsl:value-of select="format-number(./federaltax, '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
							<fo:block color="black">
								<xsl:value-of select="format-number(./statetax, '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
							<fo:block color="black">
								<xsl:value-of select="format-number(./citytax, '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
							<fo:block color="black">
								<xsl:value-of select="format-number(./countytax, '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
							<fo:block color="black">
								<xsl:value-of select="format-number(./misccodetax, '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>						
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block>
										<xsl:value-of select="format-number(./totaltax, '##,###,##0.00;-#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>	
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-left-style="double" border-left-width="5px" border-right-style="double" border-right-width="5px">
							<fo:block>
								<xsl:value-of select="format-number(./purchasepaid + ./purchasebill + ./payment + ./misc, '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>																																							
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block>
										<xsl:value-of select="format-number(./cash, '##,###,##0.00;-#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block>
										<xsl:value-of select="format-number(./change, '##,###,##0.00;-#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>	
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block color="black">
										<xsl:value-of select="format-number(./cash - ./change, '##,###,##0.00;-#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>
						<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">				
							<xsl:if test="./tenderedtype != 'CASH'">
								<xsl:variable name="tenderedtype" select="./tenderedtype" />
								<xsl:choose>
									<xsl:when test="exists(/all_results/results[@name = 'sumtendered']/row[./market = $market and ./reconciledate = $reconciledate and ./ptrusr = $user and ./tenderedtype = $tenderedtype]/tenderedamt)">
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
											<fo:block>
												<xsl:value-of select="format-number(/all_results/results[@name = 'sumtendered']/row[./market = $market and ./reconciledate = $reconciledate and ./ptrusr = $user and ./tenderedtype = $tenderedtype]/tenderedamt, '##,###,##0.00;-#,###,##0.00')" />
											</fo:block>
										</fo:table-cell>
									</xsl:when>
									<xsl:otherwise>
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
											<fo:block>
												<xsl:value-of select="' '" />
											</fo:block>
										</fo:table-cell>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						</xsl:for-each>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block>
										<xsl:value-of select="format-number(./billto, '##,###,##0.00;-#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block>
										<xsl:value-of select="format-number(./returnamt + ./returntax, '##,###,##0.00;-#,###,##0.00')" />
								</fo:block>
						</fo:table-cell>													
					</fo:table-row>
				</xsl:for-each>
				<xsl:variable name="total_cash" select="sum(/all_results/results[@name = 'sum']/row/cash)"/>
				<xsl:variable name="total_change" select="sum(/all_results/results[@name = 'sum']/row/change)"/>
				<fo:table-row>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" number-columns-spanned="{$cols2 - $tenderedcount - 6}">
							<fo:block xsl:use-attribute-sets="component-2">
									<xsl:value-of select="'Totals'" />
							</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/purchasepaid) + sum(/all_results/results[@name = 'sum']/row/purchtaxpaid), '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/purchasebill) + sum(/all_results/results[@name = 'sum']/row/purchtaxbill), '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[wrtoff != 'W']/payment), '##,###,##0.00;-#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[wrtoff = 'W']/payment), '##,###,##0.00;-#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/misc) + sum(/all_results/results[@name = 'sum']/row/misctax), '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>		
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/federaltax), '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>					
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/statetax), '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>					
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/citytax), '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>					
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/countytax), '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>					
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/misccodetax), '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>					
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/totaltax), '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>					
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px" border-left-style="double" border-left-width="5px" border-right-style="double" border-right-width="5px">
						<fo:block color="black">
							<xsl:value-of
								select="format-number(sum(/all_results/results[@name = 'sum']/row/purchasepaid) + sum(/all_results/results[@name = 'sum']/row/purchasebill) + sum(/all_results/results[@name = 'sum']/row/misc) + sum(/all_results/results[@name = 'sum']/row/payment), '##,###,##0.00;-#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>						
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number($total_cash, '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number($total_change, '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>										
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number($total_cash - $total_change, '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>	
					<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">				
						<xsl:if test="./tenderedtype != 'CASH'">
							<xsl:variable name="tenderedtype" select="./tenderedtype" />
							<xsl:choose>
								<xsl:when test="exists(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt)">
									<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
										<fo:block color="black">
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '##,###,##0.00;-#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</xsl:when>
								<xsl:otherwise>
									<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
										<fo:block color="black">
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>
					</xsl:for-each>						
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/billto), '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/returnamt) + sum(/all_results/results[@name = 'sum']/row/returntax), '##,###,##0.00;-#,###,##0.00')" />
							</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	
    </xsl:template>

</xsl:stylesheet>
