<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: esnhistory.xsl,v 1.5 2014-08-12 19:18:19 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'ESN History'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set"/>
		<xsl:call-template name="make-body"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:call-template name="account_service">
		<xsl:with-param name="row" select="/all_results/results[@name = 'acctservice']/row" />
	</xsl:call-template>
	<xsl:choose>
		<xsl:when test="/all_results/results[@name = 'esn']/row">
			<fo:table table-layout="fixed" width="100%" space-before="16px">
				<fo:table-column column-width="1.25in" />
				<fo:table-column column-width="1.25in" />
				<fo:table-column column-width="1.25in" />
				<fo:table-column column-width="1.25in" />
				<fo:table-column column-width="2.00in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Changed Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>11 Digit ESN</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>10 Digit ESN</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Hex ESN</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>MEID</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'esn']/row">
						<xsl:if test="./esn01 > 0">
							<xsl:call-template name="esn_row">
								<xsl:with-param name="esn" select="./esn01" />
								<xsl:with-param name="esndt" select="./esnd01" />
								<xsl:with-param name="meid" select="./meid01" />
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="./esn02 > 0">
							<xsl:call-template name="esn_row">
								<xsl:with-param name="esn" select="./esn02" />
								<xsl:with-param name="esndt" select="./esnd02" />
								<xsl:with-param name="meid" select="./meid02" />
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="./esn03 > 0">
							<xsl:call-template name="esn_row">
								<xsl:with-param name="esn" select="./esn03" />
								<xsl:with-param name="esndt" select="./esnd03" />
								<xsl:with-param name="meid" select="./meid03" />
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="./esn04 > 0">
							<xsl:call-template name="esn_row">
								<xsl:with-param name="esn" select="./esn04" />
								<xsl:with-param name="esndt" select="./esnd04" />
								<xsl:with-param name="meid" select="./meid04" />
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="./esn05 > 0">
							<xsl:call-template name="esn_row">
								<xsl:with-param name="esn" select="./esn05" />
								<xsl:with-param name="esndt" select="./esnd05" />
								<xsl:with-param name="meid" select="./meid05" />
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="./esn06 > 0">
							<xsl:call-template name="esn_row">
								<xsl:with-param name="esn" select="./esn06" />
								<xsl:with-param name="esndt" select="./esnd06" />
								<xsl:with-param name="meid" select="./meid06" />
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="./esn07 > 0">
							<xsl:call-template name="esn_row">
								<xsl:with-param name="esn" select="./esn07" />
								<xsl:with-param name="esndt" select="./esnd07" />
								<xsl:with-param name="meid" select="./meid07" />
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="./esn08 > 0">
							<xsl:call-template name="esn_row">
								<xsl:with-param name="esn" select="./esn08" />
								<xsl:with-param name="esndt" select="./esnd08" />
								<xsl:with-param name="meid" select="./meid08" />
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="./esn09> 0">
							<xsl:call-template name="esn_row">
								<xsl:with-param name="esn" select="./esn09" />
								<xsl:with-param name="esndt" select="./esnd09" />
								<xsl:with-param name="meid" select="./meid09" />
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="./esn10 > 0">
							<xsl:call-template name="esn_row">
								<xsl:with-param name="esn" select="./esn10" />
								<xsl:with-param name="esndt" select="./esnd10" />
								<xsl:with-param name="meid" select="./meid10" />
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</xsl:when>
		<xsl:otherwise>
			<fo:block>No ESN History Found</fo:block>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="esn_row">
  <xsl:param name="esn"/>
  <xsl:param name="esndt"/>
  <xsl:param name="meid"/>
  
	<xsl:variable name="esndb" select="$esn"/>
	<xsl:variable name="esndate" select="TU:parseAndFormatDateQuery($esndt)" xmlns:TU="java:com.psasoft.util.TextUtilities"/>
	<xsl:variable name="esnhex" select="TU:getESNtoHex($esn)" xmlns:TU="java:com.psasoft.util.ConversionUtilities"/>
	<xsl:variable name="esn11" select="TU:getHexESNtoLength11($esnhex)" xmlns:TU="java:com.psasoft.util.ConversionUtilities"/>
	<xsl:variable name="esn10" select="TU:getHexESNtoLength10($esnhex)" xmlns:TU="java:com.psasoft.util.ConversionUtilities"/>
	
	<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
				<fo:block>
					<xsl:value-of select="$esndate"/>
				</fo:block>
			</fo:table-cell>										
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
				<fo:block>
					<xsl:choose>
						<xsl:when test="normalize-space($esn11)">
							<xsl:value-of select="$esn11"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'Invalid ESN '"/>
							<xsl:value-of select="$esn"/>
						</xsl:otherwise>
					</xsl:choose>
				</fo:block>
			</fo:table-cell>										
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
				<fo:block>
					<xsl:if test="normalize-space($esn10)">
						<xsl:value-of select="$esn10"/>
					</xsl:if>
				</fo:block>
			</fo:table-cell>										
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
				<fo:block>
					<xsl:if test="normalize-space($esnhex)">
						<xsl:value-of select="$esnhex"/>
					</xsl:if>
				</fo:block>
			</fo:table-cell>		
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
				<fo:block>
					<xsl:if test="normalize-space($meid)">
						<xsl:value-of select="$meid"/>
					</xsl:if>
				</fo:block>
			</fo:table-cell>			
	</fo:table-row>		
</xsl:template>

</xsl:stylesheet>






