<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:xalan="http://xml.apache.org/xalan" xmlns:yours="http://www.yourscript.net/script/">
    <xsl:template name="smallCaps">
        <xsl:param name="text" />
        <fo:wrapper font-size="75%">
            <xsl:if test="string-length($text) &gt; 0">
                <xsl:call-template name="recursiveSmallCaps">
                    <xsl:with-param name="text" select="$text" />
                </xsl:call-template>
            </xsl:if>
        </fo:wrapper>
    </xsl:template>
    <xsl:template name="recursiveSmallCaps">
        <xsl:param name="text" />
        <xsl:variable name="char" select="substring($text,1,1)" />
        <xsl:variable name="upperCase" select="yours:upperCase($char)" />
        <xsl:choose>
            <xsl:when test="$char=$upperCase">
                <fo:wrapper font-size="{100 div 0.75}%">
                    <xsl:value-of select="$upperCase" />
                </fo:wrapper>
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="$upperCase" />
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="string-length($text) &gt; 1">
            <xsl:call-template name="recursiveSmallCaps">
                <xsl:with-param name="text" select="substring($text,2)" />
            </xsl:call-template>
        </xsl:if>
    </xsl:template>
    <xalan:component prefix="yours" elements="" functions="upperCase">
        <xalan:script lang="javascript">
            <![CDATA[
            function upperCase(string) {
            return string.toUpperCase();
            }
            ]]>
        </xalan:script>
    </xalan:component>
</xsl:stylesheet>


http://xmlgraphics.apache.org/fop/0.93/graphics.html, that data urls
are supported and are a way of embedding graphics into a fo file.

	<fo:external-graphic src="url(&#34;data:image/auto;base64,H4sIAAAAcBZxWR==&#xA;&#34;)"/>



Rotate 90 degrees

<fo:block-container reference-orientation="90" position="absolute" top="10mm">
	<fo:block font-size="11pt">test text</fo:block>
</fo:block-container>

