<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: exception_resolve.xsl,v 1.5 2014-08-12 19:18:20 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format" 
				xmlns:java="http://xml.apache.org/xslt/java" 
				exclude-result-prefixes="java" 
				version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="'Exception Resolution Report'" />

    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape" />
            <xsl:call-template name="make-body-landscape" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
			<fo:table font-size="8pt">
				<fo:table-column column-width="5.5in"/>	
				<fo:table-column column-width="4.0in"/>		
				<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="category-label">
								Reason: <xsl:value-of select="$transfer/transfer/transfer_reason_id" />
						</fo:block>
					</fo:table-cell>					
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="category-label">
								Comment: <xsl:value-of select="$transfer/transfer/comments" />
						</fo:block>
					</fo:table-cell>	
					</fo:table-row>
				</fo:table-body>
			</fo:table>
				<fo:table table-layout="fixed" width="100%" space-before="16px">
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="2.5in" />
						<fo:table-column column-width="2.5in" />
						<fo:table-column column-width="2.5in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-header>
								<fo:table-row keep-with-next="always">
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Item Code</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>From Company/Location</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>To Company/Location</fo:block>
										</fo:table-cell>										
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Item Description</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Total Cost</fo:block>
										</fo:table-cell>
								</fo:table-row>
					  </fo:table-header>
					  <fo:table-body>
								<xsl:for-each select="$master/master">
									<xsl:variable name="pos" select="position()"/>
									<fo:table-row>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
													<xsl:choose>
													<xsl:when test="./catalog_item/translate/external_id != ''" >
														<fo:block>
															<xsl:value-of select="./catalog_item/translate/external_id" />
														</fo:block>
													</xsl:when>
													<xsl:otherwise>
														<fo:block>
															<xsl:value-of select="./catalog_item/unit_code" />
														</fo:block>
													</xsl:otherwise>
													</xsl:choose>
											</fo:table-cell>	
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
													<fo:block>
															<xsl:value-of select="$transfer/transfer[position() = $pos]/old_company/inv_company/desc" />
													</fo:block>
													<fo:block>
															<xsl:value-of select="$transfer/transfer[position() = $pos]/old_location/location/sub_loca_1" />
													</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
													<fo:block>
															<xsl:value-of select="$transfer/transfer[position() = $pos]/new_company/inv_company/desc" />
													</fo:block>
													<fo:block>
															<xsl:value-of select="$transfer/transfer[position() = $pos]/new_location/location/sub_loca_1" />
													</fo:block>
											</fo:table-cell>												
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
													<fo:block>
															<xsl:value-of select="./catalog_item/desc" />
													</fo:block>
													<xsl:if test="./catalog_item/serialized = 'true'" >
														<xsl:variable name="unitid" select="./catalog_item/@id" />
														<xsl:variable name="seriallbl">
															<xsl:choose>
																<xsl:when test="./catalog_item/serialized_type = '1'">
																		<xsl:value-of select="./catalog_item/serialized_type_label" />
																</xsl:when>
																<xsl:when test="./catalog_item/serialized_type = '2'">
																	ESN
																</xsl:when>
																<xsl:when test="./catalog_item/serialized_type = '3'">
																	IMEI
																</xsl:when>
																<xsl:when test="./catalog_item/serialized_type = '4'">
																	ICCID
																</xsl:when>															
																<xsl:otherwise>
																	"' '"
																</xsl:otherwise>															
															</xsl:choose>
														</xsl:variable>
														<xsl:variable name="serialno">
															<fo:inline space-end="0.2in" space-start.precedence="force">
															<xsl:value-of select="./secondary_serial_no" />
															<xsl:if test="normalize-space(./serial_no)">
																 <xsl:value-of select="' (S#: '" />
																 <xsl:value-of select="./serial_no" />
																 <xsl:value-of select="')'" />
															</xsl:if>
															<xsl:value-of select="' '" />
															</fo:inline>
														</xsl:variable>
														<fo:block>
															<fo:inline><xsl:value-of select="$seriallbl" /></fo:inline>
															<fo:block space-start="auto" space-start.precedence="force"><xsl:value-of select="$serialno" /></fo:block>
														</fo:block>
												</xsl:if>
											</fo:table-cell>												
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
													<fo:block>
															<xsl:value-of select="format-number(./received_price, '##,###,##0.00')" />
													</fo:block>
											</fo:table-cell>
										</fo:table-row>
								</xsl:for-each>
						</fo:table-body>
				</fo:table>
    </xsl:template>
</xsl:stylesheet>
