<?xml version="1.0" encoding="utf-8"?>
	<!-- $Id: freenumber.xsl,v 1.2 2010-02-19 12:21:23 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:java="http://xml.apache.org/xslt/java" exclude-result-prefixes="java"
	version="2.0">


	<xsl:import href="Literal.xsl" />
	<xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />

	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
	<xsl:variable name="title" select="'Calling Group Numbers'" />

	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

			<xsl:call-template name="make-layout-master-set" />
			<xsl:call-template name="make-body" />
		</fo:root>
	</xsl:template>

	<xsl:template name="body_process">
		<xsl:call-template name="account_service">
			<xsl:with-param name="row" select="/all_results/results[@name = 'acctservice']/row" />
		</xsl:call-template>
		<xsl:choose>
			<xsl:when test="exists(/all_results/results[@name = 'freenm']/row)">
				<fo:table table-layout="fixed" width="100%" space-before="16px">
					<fo:table-column column-width="1.5in" />
					<fo:table-column column-width="2.0in" />
					<fo:table-column column-width="1.0in" />
					<fo:table-column column-width="1.0in" />
					<fo:table-header>
						<fo:table-row keep-with-next="always">
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Number</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Description</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Activated</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Disconnected</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-header>
					<fo:table-body>
						<xsl:for-each select="/all_results/results[@name = 'freenm']/row">
							<xsl:call-template name="row">
								<xsl:with-param name="row" select="." />
							</xsl:call-template>
						</xsl:for-each>
					</fo:table-body>
				</fo:table>
			</xsl:when>
			<xsl:otherwise>
				<fo:block>No numbers found</fo:block>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="row">
		<xsl:param name="row" />

		<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
				<fo:block>
					<xsl:if test="normalize-space($row/phone) &gt; ''">
						<xsl:call-template name="phone">
							<xsl:with-param name="npa" select="substring($row/phone, 1, 3)" />
							<xsl:with-param name="nxx" select="substring($row/phone, 4, 3)" />
							<xsl:with-param name="line" select="substring($row/phone, 7, 4)" />
						</xsl:call-template>
					</xsl:if>
					<xsl:value-of select="' '" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
				<fo:block>
					<xsl:value-of select="$row/descr" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
				<fo:block>
					<xsl:value-of select="$row/activate" />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
				<fo:block>
					<xsl:if test="exists($row/deactivate)">
						<xsl:value-of select="$row/deactivate" />
					</xsl:if>
					<xsl:value-of select="' '" />
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>

</xsl:stylesheet>






