<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format" 
				xmlns:java="http://xml.apache.org/xslt/java" 
				exclude-result-prefixes="java" version="2.0">
				
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:import href="subtemplates.xsl" />
    
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="'FCC HAC Items'" />
    
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape" />
            <xsl:call-template name="make-body-landscape" />
        </fo:root>
    </xsl:template>
    
    <xsl:template name="body_process">
				<xsl:choose>
				<xsl:when test="/all_results/results[@name = 'items']/row">    
					<fo:table table-layout="fixed" width="100%" space-before="16px">
						<fo:table-column column-width="2in" />
						<fo:table-column column-width="1.25in" />
						<fo:table-column column-width="0.25in" />
						<fo:table-column column-width="0.25in" />
						<fo:table-column column-width="0.25in" />
						<fo:table-column column-width="0.25in" />
						<fo:table-column column-width="1.5in" />
						<fo:table-column column-width="0.25in" />
						<fo:table-column column-width="1in" />
						<fo:table-column column-width="1in" />
						<fo:table-column column-width="1in" />
						<fo:table-column column-width="1in" />
						<fo:table-header>
							<fo:table-row keep-with-next="always">
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Item Description</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>FCC Id</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>M3</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>M4</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>T3</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>T4</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Bands</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>WiFi</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Start Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>End Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Last Sold</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Qty On Hand</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-header>
						<fo:table-body>
							<xsl:for-each select="/all_results/results[@name = 'items']/row">
								<fo:table-row keep-together="always">
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block wrap-option="wrap">
											<xsl:value-of select="./itemdesc" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block wrap-option="wrap">
											<xsl:value-of select="./fccid" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./m3" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block wrap-option="wrap">
											<xsl:value-of select="./m4" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./t3" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block wrap-option="wrap">
											<xsl:value-of select="./t4" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block>
											<xsl:value-of select="./bands" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./wifi" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./invstrdt" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./invenddt" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./lastslddt" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="./estqoh" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</xsl:for-each>
							<fo:table-row keep-together="always">
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" number-columns-spanned="2" border-top-style="double" border-top-width="4pt">
									<fo:block wrap-option="wrap" font-weight="bold">
										<xsl:value-of select="'Totals'" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" border-top-style="double" border-top-width="4pt">
									<fo:block>
										<xsl:value-of select="sum(/all_results/results[@name = 'items']/row/m3)" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" border-top-style="double" border-top-width="4pt">
									<fo:block wrap-option="wrap">
										<xsl:value-of select="sum(/all_results/results[@name = 'items']/row/m4)" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" border-top-style="double" border-top-width="4pt">
									<fo:block>
										<xsl:value-of select="sum(/all_results/results[@name = 'items']/row/t3)" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" border-top-style="double" border-top-width="4pt">
									<fo:block wrap-option="wrap">
										<xsl:value-of select="sum(/all_results/results[@name = 'items']/row/t4)" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" number-columns-spanned="6" border-top-style="double" border-top-width="4pt">
									<fo:block>
										<xsl:value-of select="' '" />
									</fo:block>
								</fo:table-cell>
							</fo:table-row>							
						</fo:table-body>
					</fo:table>
				</xsl:when>
				<xsl:otherwise>
						<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
							No Information Found
						</fo:block>		
				</xsl:otherwise>
				</xsl:choose>						
    </xsl:template>
</xsl:stylesheet>
