<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: inv_repair_loan_single.xsl,v 1.1 2014-02-11 23:40:28 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
                xmlns:word="java:org.apache.commons.lang.WordUtils"
				exclude-result-prefixes="java" version="2.0">
	<xsl:import href="Literal.xsl" />
	<xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />
	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
	<xsl:variable name="title" select="'Repair/Loan Information'" />

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
		<xsl:call-template name="make-layout-master-set-landscape" />
		<xsl:call-template name="make-body-landscape" />
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:choose>
	<xsl:when test="exists(/all_results/results[@name = 'mastdtl']/row)">
		<xsl:for-each select="/all_results/results[@name='mastdtl']/row"> 
		    <xsl:variable name="serialno2" select="/all_results/results[@name = 'mastdtl']/row/serialno2" />
		    <xsl:variable name="serialno" select="/all_results/results[@name = 'mastdtl']/row/serialno" />
		    <xsl:variable name="serial2typ" select="/all_results/results[@name = 'mastdtl']/row/serial2typ" />
			<xsl:variable name="unitid" select="/all_results/results[@name = 'mastdtl']/row/unitid" />
			<xsl:variable name="actpin" select="/all_results/results[@name = 'mastdtl']/row/actpin" />
			<xsl:variable name="npa" select="/all_results/results[@name = 'mastdtl']/row/npa" />
			<xsl:variable name="nxx" select="/all_results/results[@name = 'mastdtl']/row/nxx" />
			<xsl:variable name="line" select="/all_results/results[@name = 'mastdtl']/row/line" />
			<xsl:variable name="serialno">
				<xsl:call-template name="formatserial">
					<xsl:with-param name="serial" select="$serialno2" />
					<xsl:with-param name="serial0" select="$serialno" />
					<xsl:with-param name="serial2typ" select="$serial2typ" />
					<xsl:with-param name="unitid" select="$unitid" />
					<xsl:with-param name="actpin" select="$actpin" />
					<xsl:with-param name="npa" select="$npa" />
					<xsl:with-param name="nxx" select="$nxx" />
					<xsl:with-param name="line" select="$line" />
				</xsl:call-template>
			</xsl:variable>
			<fo:block xsl:use-attribute-sets="summary-headings" >
				<xsl:value-of select="'Serial Number: '" />
				<xsl:value-of select="$serialno" />
			</fo:block>
			<fo:block xsl:use-attribute-sets="summary-headings" >
				<xsl:value-of select="'Item Description: '" />
				<xsl:value-of select="/all_results/results[@name = 'mastdtl']/row/unitdesc" />
			</fo:block>
			<fo:block xsl:use-attribute-sets="summary-headings" >
				<xsl:value-of select="'Unit Code: '" />
				<xsl:value-of select="/all_results/results[@name = 'mastdtl']/row/unitcode" />
			</fo:block>
			<fo:block xsl:use-attribute-sets="summary-headings" >
				<xsl:value-of select="'Billing Id: '" />
				<xsl:value-of select="/all_results/results[@name = 'mastdtl']/row/externalcd" />
			</fo:block>				
			<fo:table table-layout="fixed" width="100%" space-before="16px">
				<xsl:call-template name="header">
				</xsl:call-template>										
				<fo:table-body>
					<xsl:call-template name="detail">
						<xsl:with-param name="row" select="." />
					</xsl:call-template>											
				</fo:table-body>
			</fo:table>	
		</xsl:for-each>		
	</xsl:when>
	<xsl:otherwise>
		<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
			No Information Found For Serial
		</fo:block>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="header">
	
	<fo:table-column column-width="1.00in" />
	<fo:table-column column-width="1.00in" />
	<fo:table-column column-width="2.00in" />
	<fo:table-column column-width="5.50in" />
	<fo:table-header>
		<fo:table-row keep-with-next="always">
			<fo:table-cell xsl:use-attribute-sets="table-headings">
					<fo:block>Date</fo:block>							
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-headings">
					<fo:block>Status</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-headings">
					<fo:block>By</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-headings">
					<fo:block>Company/Location</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</fo:table-header>
</xsl:template>

<xsl:template name="detail">
	<xsl:param name="row" />
		
	<fo:table-row>
		<fo:table-cell xsl:use-attribute-sets="table-cells" font-size="7px" text-align="center">
			<fo:block>
				<xsl:value-of select="$row/tdate" />
			</fo:block>
		</fo:table-cell>										
		<fo:table-cell xsl:use-attribute-sets="table-cells" font-size="7px" text-align="center">
			<fo:block>
				<xsl:call-template name="inventorystatus">
					<xsl:with-param name="status" select="$row/status" />
					<xsl:with-param name="unitqty" select="$row/unitqty" />
				</xsl:call-template>
			</fo:block>
		</fo:table-cell>																		
		<fo:table-cell xsl:use-attribute-sets="table-cells" font-size="7px" text-align="center">
			<fo:block>
				<xsl:value-of select="$row/transfbyname"/>
			</fo:block>
		</fo:table-cell>
		<fo:table-cell xsl:use-attribute-sets="table-cells" font-size="7px" text-align="left">
			<fo:block keep-with-next="always">
				<xsl:value-of select="$row/company"/>
			</fo:block>
			<fo:block keep-with-previous="always">
				<xsl:value-of select="'     '" />
				<xsl:value-of select="$row/subloc1"/>
			</fo:block>
		</fo:table-cell>			
	</fo:table-row>		
	<xsl:call-template name="transferdetail">
		<xsl:with-param name="row" select="$row" />
	</xsl:call-template>
</xsl:template>

<xsl:template name="transferdetail">
	<xsl:param name="row" />

	<fo:table-row>
		<fo:table-cell xsl:use-attribute-sets="table-cells" font-size="7px" number-columns-spanned="4" margin-left="15px" keep-together="always" keep-with-previous="always">
			<fo:table keep-together="always" keep-with-previous="always">
				<fo:table-column column-width="3.50in" />
				<fo:table-column column-width="4.50in" />
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell keep-together="always" keep-with-previous="always">
						<xsl:call-template name="transfertype">
							<xsl:with-param name="ttype" select="$row/ttype" />
						</xsl:call-template>
						<xsl:if test="normalize-space(./reason) > ''">
							<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px">
									<xsl:value-of select="'  Reason: '" />
									<xsl:value-of select="$row/reason" />
							</fo:block>	
						</xsl:if>
					</fo:table-cell>
					<fo:table-cell keep-together="always" keep-with-previous="always">
						<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px">
								<xsl:value-of select="'Comment: '" />
						</fo:block>
						<fo:block margin-left="5px" margin-right="5px" linefeed-treatment="preserve" white-space-collapse="false" white-space-treatment="preserve">
								<xsl:value-of select="word:wrap($row/comment, 25)" />
						</fo:block>
						<xsl:if test="normalize-space($row/custname) > ''">
							<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px">
								<xsl:value-of select="'Name: '" />
								<xsl:value-of select="$row/custname" />
							</fo:block>								
						</xsl:if>
						<xsl:if test="normalize-space($row/line1)">
							<fo:block margin-left="10px">
								<xsl:value-of select="$row/line1"/>
							</fo:block>
						</xsl:if>
						<xsl:if test="normalize-space($row/line2)">										
							<fo:block margin-left="10px">
								<xsl:value-of select="$row/line2"/>
							</fo:block>
						</xsl:if>
						<xsl:if test="normalize-space($row/line3)">										
							<fo:block margin-left="10px">
								<xsl:value-of select="$row/line3"/>
							</fo:block>
						</xsl:if>
						<fo:block margin-left="10px">
							<xsl:value-of select="$row/city"/>
							<xsl:value-of select="', '" />
							<xsl:value-of select="$row/state"/>
							<xsl:value-of select="' '" />
							<xsl:value-of select="$row/zip"/>
						</fo:block>			
						<xsl:if test="normalize-space($row/country)">
							<fo:block margin-left="10px">
								<xsl:value-of select="$row/country"/>
							</fo:block>									
						</xsl:if>
						<xsl:if test="$row/pnpa > 0">
							<fo:block margin-left="10px">
								<xsl:call-template name="phone">
									<xsl:with-param name="npa" select="$row/pnpa"/>
									<xsl:with-param name="nxx" select="$row/pnxx"/>
									<xsl:with-param name="line" select="$row/pline"/>
								</xsl:call-template>
							</fo:block>									
						</xsl:if>
						<xsl:if test="$row/pnpa2 > 0">
							<fo:block margin-left="10px">
								<xsl:call-template name="phone">
									<xsl:with-param name="npa" select="$row/pnpa2"/>
									<xsl:with-param name="nxx" select="$row/pnxx2"/>
									<xsl:with-param name="line" select="$row/pline2"/>
								</xsl:call-template>
							</fo:block>									
						</xsl:if>		
						<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px">
								<xsl:value-of select="'Due Date: '" />
						</fo:block>
						<fo:block margin-left="5px" margin-right="5px">
								<xsl:value-of select="$row/duedate" />
						</fo:block>																			
					</fo:table-cell>
				</fo:table-row>

			</fo:table-body>
			</fo:table>
		</fo:table-cell>
	</fo:table-row>
</xsl:template>

</xsl:stylesheet>

