<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
								xmlns:fo="http://www.w3.org/1999/XSL/Format" 
								xmlns:java="http://xml.apache.org/xslt/java" 
								xmlns:exsl="http://exslt.org/functions" 
								xmlns:img="java:com.psasoft.util.ImageUtilities"
								xmlns:set="http://exslt.org/sets" 
								extension-element-prefixes="exsl" 
								version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />
    <xsl:import href="invoice_new_stub.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="''" />
    <xsl:variable name="name" select="''" />
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set" />
            <xsl:call-template name="make-body" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
				<xsl:call-template name="invoice_header">
					<xsl:with-param name="company" select="/all_results/results[@name = 'company']/row"/>
					<xsl:with-param name="cust" select="/all_results/results[@name = 'cust']/row"/>
					<xsl:with-param name="poshdr" select="/all_results/results[@name = 'poshdr']/row"/>
					<xsl:with-param name="logo" select="img:getImageBase64Encoded('/images/blue_logo.jpg')"/>
					<xsl:with-param name="location" select="/all_results/results[@name = 'company']/row/subloc1"/>
				</xsl:call-template>	
				<xsl:call-template name="invoice_body">
					<xsl:with-param name="poshdr" select="/all_results/results[@name = 'poshdr']/row"/>
					<xsl:with-param name="posdtl" select="/all_results/results[@name = 'posdtl']/row"/>
					<xsl:with-param name="posdtlsum" select="/all_results/results[@name = 'posdtlsum']/row"/>
					<xsl:with-param name="footer" select="''" />
				</xsl:call-template>
    </xsl:template>
</xsl:stylesheet>
                   				