<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: notifyhistory.xsl,v 1.3 2014-03-21 21:45:52 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
                xmlns:trans="java:com.psasoft.swing.PTranslationState"
				exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Notification History'"/>  

<xsl:template match="/">
	<fo:root>

		<xsl:call-template name="make-layout-master-set"/>
		<xsl:call-template name="make-body"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:call-template name="account_service">
		<xsl:with-param name="row" select="/all_results/results[@name = 'acctservice']/row"/>
	</xsl:call-template>
	<xsl:choose>
	<xsl:when test="/all_results/results[@name = 'hist']/row">
		<fo:table table-layout="fixed" width="100%" space-before="16px">
			<fo:table-column column-width="2.00in" />
			<fo:table-column column-width="2.50in" />
			<fo:table-column column-width="1.25in" />
			<fo:table-column column-width="1.25in" />
			<fo:table-header>
				<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Notice Date / Time</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Notice Type</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Trigger MDN</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>MDN of Record</fo:block>
						</fo:table-cell>
					</fo:table-row>
			</fo:table-header>					
			<fo:table-body>
				<xsl:for-each select="/all_results/results[@name = 'hist']/row">    
						<xsl:call-template name="detail_row">
							<xsl:with-param name="row" select="."/>
						</xsl:call-template>
				 </xsl:for-each>
				</fo:table-body>
		</fo:table>    
	</xsl:when>	
	<xsl:otherwise>
			<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
				No Notifications Found
			</fo:block>	
	</xsl:otherwise>
	</xsl:choose>
		
</xsl:template>

<xsl:template name="detail_row">
  <xsl:param name="row"/>
  
	<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
				<fo:block>
					<xsl:value-of select="$row/notetime"/>
				</fo:block>
			</fo:table-cell>							
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
				<fo:block>
					<xsl:choose>
					<xsl:when test="$row/usagetype = 'UE' or $row/usagetype = 'US'">
						<xsl:if test="$row/usagetype = 'UE'">
							<xsl:value-of select="'EMail - '" />
						</xsl:if>
						<xsl:if test="$row/usagetype = 'US'">
							<xsl:value-of select="'SMS - '" />
						</xsl:if>
						<xsl:value-of select="$row/usgdesc" />
						<xsl:if test="$row/unldesc &gt; ''">
							<xsl:value-of select="' - '" />
							<xsl:value-of select="$row/unldesc" />
						</xsl:if>
					</xsl:when>					
					<xsl:when test="$row/notetype = 'SendError'">
						<xsl:value-of select="'Unable to send notification'" />
					</xsl:when>
					<xsl:when test="$row/notetype = 'SMSCHG'">
						<xsl:value-of select="'SMS - CPNI Change'" />
					</xsl:when>
					<xsl:when test="$row/notetype = 'EMAILCHG'">
						<xsl:value-of select="'EMail - CPNI Change'" />
					</xsl:when>
					<xsl:when test="$row/notetype = 'LETTERCHG'">
						<xsl:value-of select="'Letter - CPNI Change'" />
					</xsl:when>
					<xsl:when test="$row/notetype = 'SMSPIN'">
						<xsl:value-of select="'SMS - CPNI Send PIN'" />
					</xsl:when>
					<xsl:when test="$row/notetype = 'EMAILPIN'">
						<xsl:value-of select="'EMail - CPNI Send PIN'" />
					</xsl:when>
					<xsl:when test="$row/notetype = 'LETTERPIN'">
						<xsl:value-of select="'Letter - CPNI Send PIN'" />
					</xsl:when>
					<xsl:when test="$row/notetype = 'SMSBILL'">
						<xsl:value-of select="'SMS - Bill Ready'" />
					</xsl:when>
					<xsl:when test="$row/notetype = 'EMAILBILL'">
						<xsl:value-of select="'EMail - Bill Ready'" />
					</xsl:when>
					<xsl:when test="$row/notetype = 'SMSPAY'">
						<xsl:value-of select="'SMS - Payment Made'" />
					</xsl:when>
					<xsl:when test="$row/notetype = 'EMAILPAY'">
						<xsl:value-of select="'EMail - Payment Made'" />
					</xsl:when>
					<xsl:when test="$row/notetype = 'SMSUSER'">
						<xsl:value-of select="'SMS - Username Requested'" />
					</xsl:when>
					<xsl:when test="$row/notetype = 'EMAILUSER'">
						<xsl:value-of select="'EMail - Username Requested'" />
					</xsl:when>
					<xsl:when test="$row/notetype = 'TICKINS'">
						<xsl:value-of select="'EMail Ticket - Inserted'" />
					</xsl:when>
					<xsl:when test="$row/notetype = 'TICKUPD'">
						<xsl:value-of select="'EMail Ticket - Updated'" />
					</xsl:when>
					<xsl:when test="$row/notetype = 'TICKASS'">
						<xsl:value-of select="'EMail Ticket - Assigned'" />
					</xsl:when>
					<xsl:when test="$row/notetype = 'TICKDEL'">
						<xsl:value-of select="'EMail Ticket - Deleted'" />
					</xsl:when>
					<xsl:when test="$row/notetype = 'TICKASSDL'">
						<xsl:value-of select="'EMail Ticket - Assigned Deleted'" />
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$row/notetype" />
					</xsl:otherwise>
					</xsl:choose>
				</fo:block>
			</fo:table-cell>																				
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
				<fo:block>
					<xsl:choose>
						<xsl:when test="$row/cnpa &gt; '0' and $row/cnxx &gt; '0'">
							<xsl:value-of select="'('" />
							<xsl:value-of select="format-number($row/cnpa, '000')" />
							<xsl:value-of select="')'" />
							<xsl:value-of select="format-number($row/cnxx, '000')" />
							<xsl:value-of select="'-'" />
							<xsl:value-of select="format-number($row/cline, '0000')" />
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="' '" />
						</xsl:otherwise>
					</xsl:choose>
				</fo:block>
			</fo:table-cell>										
			<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
				<fo:block>
					<xsl:choose>
						<xsl:when test="$row/notemdn &gt; '' and $row/notemdn &gt; '0' ">
							<xsl:value-of select="'('" />
							<xsl:value-of select="substring($row/notemdn, 1, 3)" />
							<xsl:value-of select="')'" />
							<xsl:value-of select="substring($row/notemdn, 4, 3)" />
							<xsl:value-of select="'-'" />
							<xsl:value-of select="substring($row/notemdn, 7, 4)" />
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="' '" />
						</xsl:otherwise>
					</xsl:choose>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>  
</xsl:template>

</xsl:stylesheet>






