<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
							  xmlns:fo="http://www.w3.org/1999/XSL/Format" 
							  xmlns:java="http://xml.apache.org/xslt/java" 
							  xmlns:invutil="java:com.psasoft.inventory.util.InventoryUtilities"
							  xmlns:catitm="java:com.psasoft.inventory.data.PCatalogItem"
				              xmlns:saxon="http://saxon.sf.net/"							  
							  xmlns:fn="http://www.w3.org/2005/02/xpath-functions" 
								extension-element-prefixes="saxon"							  
							  exclude-result-prefixes="java" 
							  version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <!--  xsl:variable name="title" select="'TRY TRY'" / -->
    <xsl:variable name="title" select="concat('MDN Number Changes for ',$numchg_mdn_area,'-', $numchg_mdn_xchange, '-', $numchg_mdn_line)" />
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape" />
            <xsl:call-template name="make-body-landscape" />
        </fo:root>
    </xsl:template>	
<xsl:template name="body_process">
	<xsl:choose>
	<xsl:when test="/all_results/results[@name = 'data']/row">				
		<fo:table table-layout="fixed" width="100%" space-before="8px">
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />			
			<fo:table-header>
				<fo:table-row keep-with-next="always">
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Account</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Old Number</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>(Disconnected)</fo:block>
					</fo:table-cell>					
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>New Number</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>(Disconnected)</fo:block>
					</fo:table-cell>						
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Changed On</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<xsl:for-each select="/all_results/results[@name = 'data']/row">
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
							<fo:block>
									<xsl:value-of select="format-number(./cycle, '000')" />
									<xsl:value-of select="'-'" />
									<xsl:value-of select="format-number(./bacct, '0000000')" />
							</fo:block>	
						</fo:table-cell>								
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
							<fo:block>
									<xsl:value-of select="format-number(./onpa, '000')" />
									<xsl:value-of select="'-'" />
									<xsl:value-of select="format-number(./onxx, '000')" />
									<xsl:value-of select="'-'" />
									<xsl:value-of select="format-number(./oline, '0000')" />									
							</fo:block>
						</fo:table-cell>	
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
							<fo:block>
								<xsl:choose>
								<xsl:when test="./odccc = 99">
									<xsl:value-of select="'Suspend NP'" />
								</xsl:when>
								<xsl:when test="./odccc &gt; 0">
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="./odccc" />
										<xsl:with-param name="yy" select="./odcyy" />
										<xsl:with-param name="mm" select="./odcmm" />
										<xsl:with-param name="dd" select="./odcdd" />
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="' '" />
								</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>											
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
							<fo:block>
									<xsl:value-of select="format-number(./nnpa, '000')" />
									<xsl:value-of select="'-'" />
									<xsl:value-of select="format-number(./nnxx, '000')" />
									<xsl:value-of select="'-'" />
									<xsl:value-of select="format-number(./nline, '0000')" />									
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
							<fo:block>
								<xsl:choose>
								<xsl:when test="./ndccc = 99">
									<xsl:value-of select="'Suspend NP'" />
								</xsl:when>
								<xsl:when test="./ndccc &gt; 0">
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="./ndccc" />
										<xsl:with-param name="yy" select="./ndcyy" />
										<xsl:with-param name="mm" select="./ndcmm" />
										<xsl:with-param name="dd" select="./ndcdd" />
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="' '" />
								</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>									
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
							<fo:block>
								<xsl:call-template name="date1parm-db">
									<xsl:with-param name="date" select="./entrydate" />
								</xsl:call-template>	
                            </fo:block>
                        </fo:table-cell>												
					</fo:table-row>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
	</xsl:when>
	<xsl:otherwise>
		<fo:block>No Records Found</fo:block>
	</xsl:otherwise>
	</xsl:choose>						
</xsl:template>
</xsl:stylesheet>
