<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: nwmc_badge_udf.xsl,v 1.1 2013-09-11 14:41:01 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
                xmlns:util="java:com.psasoft.util.TextUtilities"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>  
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
	<xsl:variable name="title" select="'NWMC Badge Report '" />  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:choose>
		<xsl:when test="exists(/all_results/results[@name = 'detail']/row)">
			<fo:table table-layout="fixed" width="100%" space-before="16px">
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="2.0in" />
				<fo:table-column column-width="2.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Account Name</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Authorized User Names</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Service Number</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Disconnect Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Badge #</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'detail']/row">
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:value-of select="format-number(./cycle, '000')" />
									<xsl:value-of select="'-'" />
									<xsl:value-of select="format-number(./account, '0000000')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block>
									<xsl:value-of select="./fname" />
									<xsl:value-of select="' '" />
									<xsl:value-of select="./lname" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block>
									<xsl:value-of select="./aunam1" />
								</fo:block>
								<xsl:if test="./aunam2 > ''">
									<fo:block>
										<xsl:value-of select="./aunam2" />
									</fo:block>
								</xsl:if>
								<xsl:if test="./aunam3 > ''">
									<fo:block>
										<xsl:value-of select="./aunam3" />
									</fo:block>
								</xsl:if>
								<xsl:value-of select="' '" />
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:call-template name="phone">
										<xsl:with-param name="npa" select="./cnpa" />
										<xsl:with-param name="nxx" select="./cnxx" />
										<xsl:with-param name="line" select="./cline" />
									</xsl:call-template>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:choose>
										<xsl:when test="./dcmm = 99">
											<xsl:value-of select="'Suspend Nonpay'" />
										</xsl:when>
										<xsl:when test="./dcmm > 0">
											<xsl:call-template name="date4parm">
												<xsl:with-param name="cc" select="./dccc" />
												<xsl:with-param name="yy" select="./dcyy" />
												<xsl:with-param name="mm" select="./dcmm" />
												<xsl:with-param name="dd" select="./dcdd" />
											</xsl:call-template>
										</xsl:when>
									</xsl:choose>
									<xsl:value-of select="' '" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:value-of select="./udfentry" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</xsl:when>
		<xsl:otherwise>
			<fo:block xsl:use-attribute-sets="category-label" space-before="12px"> No Information Found
			</fo:block>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>






