<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: onhand_fullcat.xsl,v 1.3 2009-12-04 19:26:14 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:fo="http://www.w3.org/1999/XSL/Format" 
                xmlns:java="http://xml.apache.org/xslt/java" 
                xmlns:exsl="http://exslt.org/functions"
                xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
                exclude-result-prefixes="java" version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="'On Hand / Cost Report'" />
    
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape" />
            <xsl:call-template name="make-body-landscape" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
			<xsl:choose>
				<xsl:when test="/all_results/results[@name = 'mastsum']/row">
					<xsl:variable name="sort1">
							<xsl:choose>
									<xsl:when test="$sort_type = 1">
											<xsl:value-of select="'itemdesc'" />
									</xsl:when>
									<xsl:when test="$sort_type = 2">
											<xsl:value-of select="'externalcd'" />
									</xsl:when>
									<xsl:otherwise>
											<xsl:value-of select="'itemdesc'" />
									</xsl:otherwise>
							</xsl:choose>
					</xsl:variable>
					<xsl:variable name="sort2">
							<xsl:choose>
									<xsl:when test="$sort_type = 1">
											<xsl:value-of select="'externalcd'" />
									</xsl:when>
									<xsl:when test="$sort_type = 2">
											<xsl:value-of select="'unitcode'" />
									</xsl:when>
									<xsl:otherwise>
											<xsl:value-of select="'externalcd'" />
									</xsl:otherwise>
							</xsl:choose>
					</xsl:variable>
					<xsl:variable name="sort3">
							<xsl:choose>
									<xsl:when test="$sort_type = 1">
											<xsl:value-of select="'unitcode'" />
									</xsl:when>
									<xsl:when test="$sort_type = 2">
											<xsl:value-of select="'itemdesc'" />
									</xsl:when>
									<xsl:otherwise>
											<xsl:value-of select="'unitcode'" />
									</xsl:otherwise>
							</xsl:choose>
					</xsl:variable>				
					<xsl:for-each-group select="/all_results/results[@name = 'mastsum']/row" group-by="loca">
						<xsl:variable name="location" select="current-grouping-key()"/>		
							<fo:table table-layout="fixed" width="100%" space-before="16px">
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="3.5in" />
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="1.0in" />
								<fo:table-header>
										<fo:table-row keep-with-next="always">
											<fo:table-cell xsl:use-attribute-sets="summary-title" number-columns-spanned="7">
												<fo:block xsl:use-attribute-sets="summary-title" keep-with-next="always" space-before="0px" space-after="6px" text-align="left" >								
													Location: <xsl:value-of select="$location" />
												</fo:block>	
											</fo:table-cell>
										</fo:table-row>			
										<fo:table-row keep-with-next="always">
											<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Item Code</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Item Description</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Unit Cost</fo:block>
											</fo:table-cell>									
											<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Min Receive Price</fo:block>
											</fo:table-cell>									
											<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Max Receive Price</fo:block>
											</fo:table-cell>									
											<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Avg Receive Price</fo:block>
											</fo:table-cell>									
											<fo:table-cell xsl:use-attribute-sets="table-headings">
													<fo:block>Quantity</fo:block>
											</fo:table-cell>
									</fo:table-row>			
								</fo:table-header>
								<fo:table-body>
								<xsl:for-each select="/all_results/results[@name = 'mastsum']/row[loca = $location]">
									<xsl:sort select="./*[name() = $sort1]" data-type="text"/>
									<xsl:sort select="./*[name() = $sort2]" data-type="text"/>
									<xsl:sort select="./*[name() = $sort3]" data-type="text"/>
																	
									<xsl:variable name="unitid" select="./unitid" />
									<xsl:variable name="cost">
										<xsl:choose>
										<xsl:when test="exists(/all_results/results[@name = 'costprices']/row[unitid = $unitid]/unitamt)">
											<xsl:value-of select="format-number(/all_results/results[@name = 'costprices']/row[unitid = $unitid]/unitamt, '##,###,##0.00')" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="' '" />
										</xsl:otherwise>
										</xsl:choose>
									</xsl:variable>
									<fo:table-row>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
													<xsl:choose>
													<xsl:when test="./externalcd != ''" >
														<fo:block>
															<xsl:value-of select="./externalcd" />
														</fo:block>
													</xsl:when>
													<xsl:otherwise>
														<fo:block>
															<xsl:value-of select="./unitcode" />
														</fo:block>
													</xsl:otherwise>
													</xsl:choose>
											</fo:table-cell>										
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
													<fo:block>
															<xsl:value-of select="./itemdesc" />
													</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
													<fo:block>																
															<xsl:value-of select="$cost" />
													</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
													<fo:block>
															<xsl:value-of select="format-number(./mincost, '##,###,##0.00')" />
													</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
													<fo:block>
															<xsl:value-of select="format-number(./maxcost, '##,###,##0.00')" />
													</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
													<fo:block>
															<xsl:value-of select="format-number(./avgcost, '##,###,##0.00')" />
													</fo:block>
											</fo:table-cell>											
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
													<fo:block>
															<xsl:value-of select="format-number(./qtyonhand, '##,##0')" />
													</fo:block>
											</fo:table-cell>
										</fo:table-row>										
								</xsl:for-each>
								</fo:table-body>
							</fo:table>
						</xsl:for-each-group>
					</xsl:when>
					<xsl:otherwise>
							<fo:block xsl:use-attribute-sets="category-label">No information for selections.</fo:block>
					</xsl:otherwise>
			</xsl:choose>						
    </xsl:template>
</xsl:stylesheet>    	
    