<?xml version="1.0" encoding="utf-8"?>
	<!-- $Id: paramount_prepay_usage.xsl,v 1.3 2018-09-04 18:03:02 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format" 
				xmlns:java="http://xml.apache.org/xslt/java" 
				xmlns:saxon="http://saxon.sf.net/"
				xmlns:util="java:com.psasoft.reports.util.ReportUtilities" 
				exclude-result-prefixes="java" 
				extension-element-prefixes="saxon" 
				version="2.0">

	<xsl:import href="Literal.xsl" />
	<xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />

	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
	<xsl:variable name="title" select="' Prepay Usage '" />

	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<xsl:call-template name="make-layout-master-set-landscape-small-margin" />
			<xsl:call-template name="make-body-landscape" />
		</fo:root>
	</xsl:template>

	<xsl:template name="body_process">
		<xsl:call-template name="account_service">
			<xsl:with-param name="row" select="/all_results/results[@name = 'acctservice']/row"/>
		</xsl:call-template>
		<xsl:variable name="xml" select="util:getParamountPrepayUsage($imsi)" />
		<xsl:if test="not(exists($xml))">
			<fo:block xsl:use-attribute-sets="category-label" space-before="12px"> No Usage Found for Service</fo:block>
		</xsl:if>
		<xsl:if test="exists($xml/list_usage_response/usage_record)">
			<fo:table table-layout="fixed" width="100%" space-before="16px">
				<fo:table-column column-width="1.25in" />
				<fo:table-column column-width="1.00in" />
				<fo:table-column column-width="0.80in" />
				<fo:table-column column-width="1.00in" />
				<fo:table-column column-width="0.80in" />
				<fo:table-column column-width="0.80in" />
				<fo:table-column column-width="0.80in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Date/Time</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Session Type</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>MDN</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>IMSI</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>MSC Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>IP Address</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Called Number</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Elapsed Time</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>KB Used</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Plan / Feature</fo:block>
						</fo:table-cell>						
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Used Amt</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>				
				<fo:table-body>
					<xsl:for-each select="$xml/list_usage_response/usage_record">
						<xsl:sort select="./usage_time" order="descending"/>
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:value-of select="substring(./usage_time, 6, 2)" />
									<xsl:value-of select="'/'" />
									<xsl:value-of select="substring(./usage_time, 9, 2)" />
									<xsl:value-of select="'/'" />
									<xsl:value-of select="substring(./usage_time, 1, 4)" />
									<xsl:value-of select="' '" />
									<xsl:value-of select="substring(./usage_time, 12, 2)" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="substring(./usage_time, 15, 2)" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="substring(./usage_time, 18, 2)" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:value-of select="./sess_type" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:value-of select="./msisdn" />
								</fo:block>
							</fo:table-cell>				
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:value-of select="./imsi" />
								</fo:block>
							</fo:table-cell>				
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:value-of select="./msc_id" />
								</fo:block>
							</fo:table-cell>				
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:value-of select="./ip_addr" />
								</fo:block>
							</fo:table-cell>				
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:value-of select="./called_num" />
								</fo:block>
							</fo:table-cell>				
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block>
									<xsl:if test="./elapsed_type > 0">
										<xsl:value-of select="format-number(./elapsed_time, '#,##0.00')" />
									</xsl:if>
								</fo:block>
							</fo:table-cell>				
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block>
									<xsl:if test="./kv_used > 0">
										<xsl:value-of select="format-number(./kv_used, '#,###,##0.00')" />
									</xsl:if>
								</fo:block>
							</fo:table-cell>				
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:value-of select="./plan" />
								</fo:block>
							</fo:table-cell>				
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block>
									<xsl:if test="./used_amount > ''">
										<xsl:value-of select="format-number(./used_amount, '#,##0.00')" />
									</xsl:if>
								</fo:block>
							</fo:table-cell>															
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>