<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: paybatchsumm.xsl,v 1.3 2009-05-26 18:41:59 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
                xmlns:util="java:com.psasoft.util.TextUtilities"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>  
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
	<xsl:variable name="title" select="concat('Payment Batch Summary ', $batch_date_range[1], ' to ', $batch_date_range[2])" />

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:choose>
	<xsl:when test="exists(/all_results/results[@name = 'payhdr']/row)">
			<fo:table table-layout="fixed" 
								width="100%" 
								space-before="8px">
				<fo:table-column column-width="7.0in" />
				<fo:table-column column-width="1.5in" />
				<fo:table-column column-width="1.5in" />
					<fo:table-body>
						<fo:table-row>
							<fo:table-cell>
								<fo:block>
									<xsl:value-of select="' '"/>
								</fo:block>			
							</fo:table-cell>					
							<fo:table-cell text-align="right" padding-right="10px">
								<fo:block xsl:use-attribute-sets="summary-headings">
										<xsl:value-of select="'Total'"/>									
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell text-align="right" padding-right="10px">
									<fo:block>
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'payhdr']/row/totalamt), '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
									</fo:block>				
							</fo:table-cell>									
						</fo:table-row>					
					</fo:table-body>
				</fo:table>  

			<fo:table table-layout="fixed" width="100%" space-before="16px">
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.5in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="2.0in" />
				<fo:table-column column-width="2.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-header>
						<fo:table-row keep-with-next="always">
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Batch Id</fo:block>
								</fo:table-cell>				
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Batch Code</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Batch Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Batch Status</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Post Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Batch Description</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Originating Place</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Batch User</fo:block>
								</fo:table-cell>						
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Total Amount</fo:block>
								</fo:table-cell>
							</fo:table-row>
					</fo:table-header>					
					<fo:table-body>
						<xsl:for-each select="/all_results/results[@name = 'payhdr']/row">    
								<fo:table-row>
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:value-of select="format-number(./btchid, '#########0')"/>	
											</fo:block>
										</fo:table-cell>							
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:value-of select="./usrbchid"/>
											</fo:block>
										</fo:table-cell>								
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:value-of select="./btchdate"/>
											</fo:block>
										</fo:table-cell>	
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:value-of select="./btchsts"/>
											</fo:block>
										</fo:table-cell>					
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:value-of select="./postdate"/>									
											</fo:block>
										</fo:table-cell>									
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:value-of select="./btchdsc"/>
											</fo:block>
										</fo:table-cell>					
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:value-of select="./orgplc"/>
											</fo:block>
										</fo:table-cell>					
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:value-of select="./payuser"/>
											</fo:block>
										</fo:table-cell>					
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
											<fo:block>
												<xsl:value-of select="format-number(./totalamt, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
											</fo:block>
										</fo:table-cell>	
								</fo:table-row>		
						 </xsl:for-each>
						</fo:table-body>
				</fo:table>  
		</xsl:when>
		<xsl:otherwise>
			<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
				No Information Found
			</fo:block>
		</xsl:otherwise>
	</xsl:choose>		
</xsl:template>

</xsl:stylesheet>






