<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: payhistory.xsl,v 1.11 2018-08-09 20:00:04 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>  
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Payment History'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:call-template name="account">
		<xsl:with-param name="row" select="/all_results/results[@name = 'acct']/row"/>
	</xsl:call-template>
	<xsl:choose>
		<xsl:when test="/all_results/results[@name = 'payment']/row">	
			<fo:table table-layout="fixed" space-before="8px">
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<xsl:if test="$customerCode = 'BROAD' or $customerCode = 'broad' or $customerCode = 'PSA' or $customerCode = 'psa'">
	                <fo:table-column column-width="0.75in" />
	                <fo:table-column column-width="0.75in" />
				</xsl:if>
				<fo:table-column column-width="1.00in" />
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="1.50in" />
				<fo:table-column column-width="0.50in" />		
				<fo:table-column column-width="0.50in" />	
				<fo:table-header>
						<fo:table-row keep-with-next="always">
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Batch Id</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Batch Code</fo:block>
								</fo:table-cell>						
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Payment Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Payment Amount</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Refrence</fo:block>
								</fo:table-cell>
                                <xsl:if test="$customerCode = 'BROAD' or $customerCode = 'broad' or $customerCode = 'PSA' or $customerCode = 'psa'">
	                                <fo:table-cell xsl:use-attribute-sets="table-headings">
	                                        <fo:block>Invoice #</fo:block>
	                                </fo:table-cell>
	                                <fo:table-cell xsl:use-attribute-sets="table-headings">
	                                        <fo:block>Invoice Pay Amt</fo:block>
	                                </fo:table-cell>
								</xsl:if>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Billing Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Seq</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Originating Place</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Ent By</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Status</fo:block>
								</fo:table-cell>
							</fo:table-row>
					</fo:table-header>					
					<fo:table-body>
						<xsl:for-each select="/all_results/results[@name = 'payment']/row">    
								<xsl:choose>
									<xsl:when test="btchsts = 'O' or paysts = 'O'">
										<fo:table-row background-color="#CCCC66">
												<xsl:call-template name="payrow">
													<xsl:with-param name="row" select="."/>
												</xsl:call-template>		
										</fo:table-row>		
									</xsl:when>
									<xsl:otherwise>
										<fo:table-row background-color="#FFFFFF">
												<xsl:call-template name="payrow">
													<xsl:with-param name="row" select="."/>
												</xsl:call-template>		
										</fo:table-row>		
									</xsl:otherwise>
								</xsl:choose>
						 </xsl:for-each>
						</fo:table-body>
				</fo:table>    
		</xsl:when>
		<xsl:otherwise>
				<fo:block>No Payments Found</fo:block>
		</xsl:otherwise>
	</xsl:choose>		
</xsl:template>

<xsl:template name="payrow">
		<xsl:param name="row" />
		<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
			<fo:block>
				<xsl:value-of select="$row/btchid"/>
			</fo:block>
		</fo:table-cell>	
		<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
			<fo:block>
				<xsl:value-of select="$row/usrbchid"/>
			</fo:block>
		</fo:table-cell>																			
		<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
			<fo:block>
				<xsl:call-template name="date4parm">
					<xsl:with-param name="cc" select="$row/pycc"/>
					<xsl:with-param name="yy" select="$row/pyyy"/>
					<xsl:with-param name="mm" select="$row/pymm"/>
					<xsl:with-param name="dd" select="$row/pydd"/>
				</xsl:call-template>										
			</fo:block>
		</fo:table-cell>										
		<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
			<fo:block>
				<xsl:value-of select="format-number($row/pmtamt, '$ ##,###,##0.00;$ -#,###,##0.00')"/>
			</fo:block>
		</fo:table-cell>				
		<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
			<fo:block>
				<xsl:value-of select="$row/refno"/>
			</fo:block>
		</fo:table-cell>	
        <xsl:if test="$customerCode = 'BROAD' or $customerCode = 'broad' or $customerCode = 'PSA' or $customerCode = 'psa'">
	        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
	            <fo:block>
                   <xsl:choose>
                   <xsl:when test="normalize-space($row/invoiceno) &gt; '' and normalize-space($row/invoiceno) != '0'">
                       <xsl:value-of select="$row/invoiceno"/>
                   </xsl:when>
                   <xsl:otherwise>
                       <xsl:value-of select="' '"/>
                   </xsl:otherwise>
                   </xsl:choose>
	            </fo:block>
	        </fo:table-cell>    
	        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
	            <fo:block>
	               <xsl:choose>
	               <xsl:when test="normalize-space($row/invcpayamt) &gt; ''">
	                   <xsl:value-of select="format-number($row/invcpayamt, '$ ##,###,##0.00;$ -#,###,##0.00')"/>
	               </xsl:when>
	               <xsl:otherwise>
	                   <xsl:value-of select="' '"/>
	               </xsl:otherwise>
	               </xsl:choose>
	            </fo:block>
	        </fo:table-cell>                
        </xsl:if>
		<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
			<fo:block>
				<xsl:call-template name="date4parm">
					<xsl:with-param name="cc" select="$row/blcc"/>
					<xsl:with-param name="yy" select="$row/blyy"/>
					<xsl:with-param name="mm" select="$row/blmm"/>
					<xsl:with-param name="dd" select="$row/bldd"/>
				</xsl:call-template>										
			</fo:block>
		</fo:table-cell>								
		<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
			<fo:block>
				<xsl:value-of select="$row/seq"/>
			</fo:block>
		</fo:table-cell>						
		<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
			<fo:block>
				<xsl:value-of select="$row/orgplc"/>
			</fo:block>
		</fo:table-cell>	
		<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
			<fo:block>
				<xsl:value-of select="$row/payuser"/>
			</fo:block>
		</fo:table-cell>				
		<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
			<fo:block>
				<xsl:choose>
					<xsl:when test="wrtoff = 'W' and (btchsts = 'O' or paysts = 'O')">
						<xsl:value-of select="'Write Off '"/>
						<xsl:value-of select="'Not Posted'"/>
					</xsl:when>
					<xsl:when test="wrtoff = 'W'">
						<xsl:value-of select="'Write Off '"/>
						<xsl:value-of select="'Posted'"/>
					</xsl:when>
					<xsl:when test="btchsts = 'O' or paysts = 'O'">
						<xsl:value-of select="'Not Posted'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Posted'"/>
					</xsl:otherwise>
				</xsl:choose>
			</fo:block>
		</fo:table-cell>				
</xsl:template>		

</xsl:stylesheet>






