<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: po_recv_2.xsl,v 1.14 2017-05-03 15:51:36 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
							  xmlns:fo="http://www.w3.org/1999/XSL/Format" 
							  xmlns:java="http://xml.apache.org/xslt/java" 
							  xmlns:invutil="java:com.psasoft.inventory.util.InventoryUtilities"
							  xmlns:catitm="java:com.psasoft.inventory.data.PCatalogItem"
				              xmlns:saxon="http://saxon.sf.net/"							  
							  xmlns:fn="http://www.w3.org/2005/02/xpath-functions" 
								extension-element-prefixes="saxon"							  
							  exclude-result-prefixes="java" 
							  version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="'Receive Report'" />
    <xsl:variable name="name" select="/all_results/results[@name = 'po']/row[position() = 1]/company" />
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape" />
            <xsl:call-template name="make-body-landscape" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
        <xsl:choose>
            <xsl:when test="/all_results/results[@name = 'po']/row">
                <fo:table table-layout="fixed" width="100%" space-before="16px">
                    <fo:table-column column-width="0.50in" />
                    <fo:table-column column-width="1.50in" />
                    <fo:table-column column-width="1.25in" />
                    <fo:table-column column-width="0.50in" />
                    <fo:table-column column-width="0.50in" />
                    <fo:table-column column-width="0.50in" />
                    <fo:table-column column-width="1.25in" />
                    <fo:table-column column-width="1.00in" />
                    <fo:table-column column-width="0.75in" />
                    <fo:table-column column-width="0.75in" />
                    <fo:table-column column-width="0.75in" />
                    <fo:table-column column-width="0.75in" />
                    <fo:table-header>
                        <fo:table-row keep-with-next="always">
                            <fo:table-cell number-columns-spanned="12">
                                <xsl:choose>
                                    <xsl:when test="/all_results/results[@name = 'po']/row[position() = 1]/status = '6' or /all_results/results[@name = 'po']/row[position() = 1]/status = '7'">
                                        <fo:table table-layout="fixed" width="100%">
                                            <fo:table-column column-width="2.0in" />
                                            <fo:table-column column-width="3.0in" />
                                            <fo:table-column column-width="2.0in" />
                                            <fo:table-column column-width="3.0in" />
                                            <fo:table-body>
                                            	<fo:table-row>
                                                    <fo:table-cell number-columns-spanned="4" text-align="center">
                                                        <fo:block xsl:use-attribute-sets="category-label" font-size="14px" color="red" padding-after="25px">This is a transfer PO - counts and detail may not be accurate.  It is recommended you use the transfer report against this PO.</fo:block>
                                                    </fo:table-cell>
                                            	</fo:table-row>
                                                <fo:table-row>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">Purchase Order #</fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">
                                                            <xsl:value-of select="/all_results/results[@name = 'po']/row[position() = 1]/pono" />
                                                        </fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">
                                                            <xsl:value-of select="'Transfer PO'" />
                                                        </fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">
                                                            <xsl:value-of select="' '" />
                                                        </fo:block>
                                                    </fo:table-cell>
                                                </fo:table-row>
                                                <fo:table-row keep-with-next="always">
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">Old Company</fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">
                                                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/ocompany" />
                                                        </fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">New Company</fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">
                                                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/ncompany" />
                                                        </fo:block>
                                                    </fo:table-cell>
                                                </fo:table-row>
                                                <fo:table-row keep-with-next="always">
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">Old Location</fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">
                                                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/olocation" />
                                                        </fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">New Location</fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">
                                                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/nlocation" />
                                                        </fo:block>
                                                    </fo:table-cell>
                                                </fo:table-row>
                                                <fo:table-row keep-with-next="always">
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">Transfer Reason</fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">
                                                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/reason" />
                                                        </fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">Comment</fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">
                                                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/comment" />
                                                        </fo:block>
                                                    </fo:table-cell>
                                                </fo:table-row>
                                            </fo:table-body>
                                        </fo:table>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <fo:table font-size="8pt">
                                            <fo:table-column column-width="2.0in" />
                                            <fo:table-column column-width="3.0in" />
                                            <fo:table-column column-width="2.0in" />
                                            <fo:table-column column-width="3.0in" />
                                            <fo:table-body>
                                                <fo:table-row>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">Purchase Order #:</fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">
                                                            <xsl:value-of select="/all_results/results[@name = 'po']/row[position() = 1]/pono" />
                                                        </fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">Vendor:</fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">
                                                            <xsl:value-of select="/all_results/results[@name = 'po']/row[position() = 1]/vendor" />
                                                        </fo:block>
                                                    </fo:table-cell>
                                                </fo:table-row>
                                                <fo:table-row>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">PO Date:</fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">
                                                            <xsl:value-of select="/all_results/results[@name = 'po']/row[position() = 1]/podate" />
                                                        </fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">Status:</fo:block>
                                                    </fo:table-cell>
                                                    <fo:table-cell>
                                                        <fo:block xsl:use-attribute-sets="category-label">
                                                            <xsl:choose>
                                                                <xsl:when test="/all_results/results[@name = 'po']/row[position() = 1]/status = '1'">
                                                                    <xsl:value-of select="'New'" />
                                                                </xsl:when>
                                                                <xsl:when test="/all_results/results[@name = 'po']/row[position() = 1]/status = '2'">
                                                                    <xsl:value-of select="'Open'" />
                                                                </xsl:when>
                                                                <xsl:when test="/all_results/results[@name = 'po']/row[position() = 1]/status = '3'">
                                                                    <xsl:value-of select="'Partially Received'" />
                                                                </xsl:when>
                                                                <xsl:when test="/all_results/results[@name = 'po']/row[position() = 1]/status = '4'">
                                                                    <xsl:value-of select="'Closed'" />
                                                                </xsl:when>
                                                                <xsl:when test="/all_results/results[@name = 'po']/row[position() = 1]/status = '5'">
                                                                    <xsl:value-of select="'Canceled'" />
                                                                </xsl:when>
                                                                <xsl:when test="/all_results/results[@name = 'po']/row[position() = 1]/status = '6'">
                                                                    <xsl:value-of select="'In Transit'" />
                                                                </xsl:when>
                                                                <xsl:when test="/all_results/results[@name = 'po']/row[position() = 1]/status = '7'">
                                                                    <xsl:value-of select="'Transferred'" />
                                                                </xsl:when>
                                                                <xsl:otherwise>
                                                                    <xsl:value-of select="'Unknown'" />
                                                                </xsl:otherwise>
                                                            </xsl:choose>
                                                        </fo:block>
                                                    </fo:table-cell>
                                                </fo:table-row>
                                            </fo:table-body>
                                        </fo:table>
                                    </xsl:otherwise>
                                </xsl:choose>
                            </fo:table-cell>
                        </fo:table-row>
                        <fo:table-row keep-with-next="always">
                            <fo:table-cell number-columns-spanned="12" padding-before="16px">
                                <fo:block>
                                    <xsl:value-of select="' '" />
                                </fo:block>
                            </fo:table-cell>
                        </fo:table-row>
                        <fo:table-row>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Item Code</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Item Description</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Comment</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Orig Ord Qty</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Ord Qty</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Qty Rcvd</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Received Company / Location</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Received By</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Rcvd Date</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Rcvd Price</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Inv Price</fo:block>
                            </fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-headings">
                                <fo:block>Total Cost</fo:block>
                            </fo:table-cell>
                        </fo:table-row>
                    </fo:table-header>
                    <fo:table-body>
                        <xsl:for-each select="/all_results/results[@name = 'po']/row">
                            <xsl:variable name="status" select="./status" />
                            <xsl:variable name="prevpos" select="position() - 1" />
                            <xsl:variable name="oldunitid" select="../row[position() = $prevpos]/unitid" />
                            <xsl:variable name="unitid" select="./unitid" />
                            <xsl:variable name="rcvdate" select="./rcvdate" />
                            <xsl:variable name="rcvprice" select="./rcvcost" />
                            <xsl:variable name="rcvbyname" select="./rcvbyname" />
                            <xsl:variable name="serial2typ" select="./serial2typ" />
                            <xsl:variable name="locationid" select="./locationid" />
                            <xsl:variable name="keep">
                            	<xsl:choose>
								<xsl:when test="./serialized = '1' and ./rcvqty &gt; 0">
									<xsl:value-of select="'always'" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="'none'" />
								</xsl:otherwise>
                            	</xsl:choose>
                            </xsl:variable>
                            <fo:table-row keep-with-next="saxon:eval($keep)">
                                <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                                    <xsl:choose>
                                        <xsl:when test="./externalcd != ''">
                                            <fo:block>
                                                <xsl:value-of select="./externalcd" />
                                            </fo:block>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <fo:block>
                                                <xsl:value-of select="./unitcode" />
                                            </fo:block>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </fo:table-cell>
                                <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                                    <fo:block>
                                        <xsl:value-of select="./desc" />
                                    </fo:block>
                                </fo:table-cell>
                                <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                                    <fo:block>
                                        <xsl:value-of select="./comment" />
                                    </fo:block>
                                </fo:table-cell>                                
                                <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
                                    <xsl:choose>
                                        <xsl:when test="empty($oldunitid) or $oldunitid != $unitid">
                                            <fo:block>
				                                        <xsl:value-of select="sum(..//row[unitid = $unitid and locationid = $locationid]/unitqty)" />
                                            </fo:block>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <fo:block>
                                                <xsl:value-of select="'--'" />
                                            </fo:block>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </fo:table-cell>
                                <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
                                    <fo:block>
                                        <xsl:value-of select="./unitqty" />
                                    </fo:block>
                                </fo:table-cell>
                                <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
                                    <fo:block>
                                        <xsl:value-of select="./rcvqty" />
                                    </fo:block>
                                </fo:table-cell>
                                <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                                    <fo:block>
                                        <xsl:value-of select="./rcvcompany" />
                                    </fo:block>
                                    <fo:block>
                                        <xsl:value-of select="./rcvloca" />
                                    </fo:block>
                                </fo:table-cell>
                                <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                                    <fo:block>
                                        <xsl:choose>
                                            <xsl:when test="./rcvqty &gt; 0">
                                                <xsl:value-of select="./rcvbyname" />
                                            </xsl:when>
                                            <xsl:otherwise>
                                                <xsl:value-of select="' '" />
                                            </xsl:otherwise>
                                        </xsl:choose>
                                    </fo:block>
                                </fo:table-cell>
                                <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                                    <fo:block>
                                        <xsl:choose>
                                            <xsl:when test="./rcvqty &gt; 0">
                                                <xsl:value-of select="./rcvdate" />
                                            </xsl:when>
                                            <xsl:otherwise>
                                                <xsl:value-of select="' '" />
                                            </xsl:otherwise>
                                        </xsl:choose>
                                    </fo:block>
                                </fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:choose>
											<xsl:when test="$status = 7 and exists(/all_results/results[@name = 'mastdtl']/row[unitid = $unitid and locationid = $locationid])">
												<fo:block>
													<xsl:value-of select="format-number(avg(/all_results/results[@name = 'mastdtl']/row[unitid = $unitid and locationid = $locationid]/rcvprice), '##,###,##0.00')" />
												</fo:block>
											</xsl:when>
											<xsl:otherwise>
												<fo:block>
													<xsl:value-of select="format-number(./rcvcost, '##,##0.00')" />
												</fo:block>
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:choose>
											<xsl:when test="$status = 7 and exists(/all_results/results[@name = 'mastdtl']/row[unitid = $unitid and locationid = $locationid])">
												<fo:block>
													<xsl:value-of select="format-number(avg(/all_results/results[@name = 'mastdtl']/row[unitid = $unitid and locationid = $locationid]/rcvprice), '##,###,##0.00')" />
												</fo:block>
											</xsl:when>
											<xsl:otherwise>
												<fo:block>
													<xsl:value-of select="format-number(./unitcost, '##,##0.00')" />
												</fo:block>
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:choose>
											<xsl:when test="$status = 7 and ./rcvcost = 0 and exists(/all_results/results[@name = 'mastdtl']/row[unitid = $unitid and locationid = $locationid])">
												<xsl:value-of select="format-number((./rcvqty * avg(/all_results/results[@name = 'mastdtl']/row[unitid = $unitid and locationid = $locationid]/rcvprice)), '##,###,##0.00')" />
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="format-number((./rcvqty * ./rcvcost), '##,###,##0.00')" />
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:table-cell>
                            </fo:table-row>
                            <xsl:if test="./serialized = '1' and ./rcvqty &gt; 0">
                                <xsl:variable name="unitid" select="./unitid" />
                                <xsl:variable name="seriallbl">
                                    <xsl:call-template name="getserialname">
                                        <xsl:with-param name="serial2typ" select="./serial2typ" />
                                        <xsl:with-param name="s2typlabel" select="./s2typlabel" />
                                    </xsl:call-template>
                                </xsl:variable>
                                <xsl:variable name="serialno">
                                    <xsl:text> &#x2007;&#x2007;</xsl:text>
									<xsl:choose>
									<xsl:when test="($status = 7 or $status = 6) and exists(/all_results/results[@name = 'mastdtl']/row[unitid = $unitid and locationid = $locationid])">
	                                    <xsl:for-each select="/all_results/results[@name = 'mastdtl']/row[unitid = $unitid and locationid = $locationid]">
											<xsl:call-template name="formatserial">
												<xsl:with-param name="serial" select="./serialno2" />
												<xsl:with-param name="serial0" select="./serialno" />
												<xsl:with-param name="serial2typ" select="$serial2typ" />
												<xsl:with-param name="unitid" select="./unitid" />
												<xsl:with-param name="actpin" select="./actpin" />
												<xsl:with-param name="npa" select="./npa" />
												<xsl:with-param name="nxx" select="./nxx" />
												<xsl:with-param name="line" select="./line" />
											</xsl:call-template>
	                                    </xsl:for-each>									
									</xsl:when>
									<xsl:otherwise>
	                                    <xsl:for-each select="/all_results/results[@name = 'mastdtl']/row[unitid = $unitid and locationid = $locationid and rcvdate = $rcvdate and rcvprice = $rcvprice]">
											<xsl:call-template name="formatserial">
												<xsl:with-param name="serial" select="./serialno2" />
												<xsl:with-param name="serial0" select="./serialno" />
												<xsl:with-param name="serial2typ" select="$serial2typ" />
												<xsl:with-param name="unitid" select="./unitid" />
												<xsl:with-param name="actpin" select="./actpin" />
												<xsl:with-param name="npa" select="./npa" />
												<xsl:with-param name="nxx" select="./nxx" />
												<xsl:with-param name="line" select="./line" />
											</xsl:call-template>
	                                    </xsl:for-each>
	                                </xsl:otherwise>
	                                </xsl:choose>
								</xsl:variable>
                                <fo:table-row keep-with-previous="always">
                                    <fo:table-cell xsl:use-attribute-sets="table-cells">
                                        <fo:block>
                                            <xsl:value-of select="' '" />
                                        </fo:block>
                                    </fo:table-cell>
                                    <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" number-columns-spanned="11">
                                        <fo:block>
                                            <fo:inline>
                                                <xsl:value-of select="$seriallbl" />
                                            </fo:inline>
                                            <fo:block space-start="auto" space-start.precedence="force" wrap-option="wrap" linefeed-treatment="preserve">
                                                <xsl:value-of select="$serialno" />
                                            </fo:block>
                                        </fo:block>
                                    </fo:table-cell>
                                </fo:table-row>
                            </xsl:if>
                        </xsl:for-each>
                    </fo:table-body>
                </fo:table>
            </xsl:when>
            <xsl:when test="count(/all_results/results[@name = 'po']/row) &lt; 1">
                <fo:block xsl:use-attribute-sets="category-label">No information for purchase order.</fo:block>
            </xsl:when>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>
