<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: po_recv_to_date.xsl,v 1.7 2017-03-15 16:39:58 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:java="http://xml.apache.org/xslt/java" xmlns:exsl="http://exslt.org/functions"
	xmlns:fn="http://www.w3.org/2005/02/xpath-functions" extension-element-prefixes="exsl" exclude-result-prefixes="java" version="2.0">
	<xsl:import href="Literal.xsl" />
	<xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />
	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
	<xsl:variable name="title" select="'Receive Report'" />
	<xsl:variable name="name" select="/all_results/results[@name = 'po']/row[position() = 1]/company" />
	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<xsl:call-template name="make-layout-master-set-landscape" />
			<xsl:call-template name="make-body-landscape" />
		</fo:root>
	</xsl:template>
	<xsl:template name="body_process">
		<xsl:if test="position() &gt; 1">
			<fo:block break-after="page" />
		</xsl:if>
		<xsl:choose>
			<xsl:when test="/all_results/results[@name = 'po']/row/status = '6' or /all_results/results[@name = 'po']/row/status = '7'">
				<fo:table table-layout="fixed" width="100%">
					<fo:table-column column-width="2.0in" />
					<fo:table-column column-width="3.0in" />
					<fo:table-column column-width="2.0in" />
					<fo:table-column column-width="3.0in" />
					<fo:table-body>
						<fo:table-row>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">Purchase Order #</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
									<xsl:value-of select="/all_results/results[@name = 'po']/row[position() = 1]/pono" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row keep-with-next="always">
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">Old Company</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
									<xsl:value-of select="/all_results/results[@name = 'xfer']/row/ocompany" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">New Company</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
									<xsl:value-of select="/all_results/results[@name = 'xfer']/row/ncompany" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row keep-with-next="always">
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">Old Location</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
									<xsl:value-of select="/all_results/results[@name = 'xfer']/row/olocation" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">New Location</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
									<xsl:value-of select="/all_results/results[@name = 'xfer']/row/nlocation" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row keep-with-next="always">
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">Transfer Reason</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
									<xsl:value-of select="/all_results/results[@name = 'xfer']/row/reason" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">Comment</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
									<xsl:value-of select="/all_results/results[@name = 'xfer']/row/comment" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-body>
				</fo:table>
			</xsl:when>
			<xsl:otherwise>
				<fo:table font-size="8pt">
					<fo:table-column column-width="5.5in" />
					<fo:table-column column-width="4.0in" />
					<fo:table-body>
						<fo:table-row>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
									Vendor:
									<xsl:value-of select="/all_results/results[@name = 'po']/row[position() = 1]/vendor" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
									Purchase Order #:
									<xsl:value-of select="/all_results/results[@name = 'po']/row[position() = 1]/pono" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-body>
				</fo:table>
			</xsl:otherwise>
		</xsl:choose>
		<fo:table table-layout="fixed" width="100%" space-before="16px">
			<fo:table-column column-width="0.50in" />
			<fo:table-column column-width="1.25in" />
			<fo:table-column column-width="0.50in" />
			<fo:table-column column-width="0.50in" />
			<fo:table-column column-width="0.75in" />
			<fo:table-column column-width="1.25in" />
			<fo:table-column column-width="1.25in" />
			<fo:table-column column-width="0.75in" />
			<fo:table-column column-width="0.75in" />
			<fo:table-column column-width="0.75in" />
			<fo:table-body>
				<fo:table-row keep-with-next="always">
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Item Code</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Item Description</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Orig Ord Qty</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Qty Rcvd</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Received Date</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Received By</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Received In</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Received Price</fo:block>
						<xsl:if test="/all_results/results[@name = 'po']/row[position() = 1]/status = 6 or /all_results/results[@name = 'po']/row/status = 7">
							<fo:block>*</fo:block>
						</xsl:if>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Inventory Price</fo:block>
						<xsl:if test="/all_results/results[@name = 'po']/row[position() = 1]/status = 6 or /all_results/results[@name = 'po']/row/status = 7">
							<fo:block>*</fo:block>
						</xsl:if>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>Total Cost</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<xsl:for-each select="/all_results/results[@name = 'po']/row">
					<xsl:variable name="unitid" select="./unitid" />
					<xsl:variable name="rcvprice" select="./rcvcost" />
					<xsl:variable name="rcvname" select="./rcvbyname" />
					<xsl:variable name="rcvdate" select="./rcvdate" />
					<xsl:if test="./rcvqty &gt; 0">
						<fo:table-row keep-with-next="always">
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<xsl:choose>
									<xsl:when test="./externalcd != ''">
										<fo:block>
											<xsl:value-of select="./externalcd" />
										</fo:block>
									</xsl:when>
									<xsl:otherwise>
										<fo:block>
											<xsl:value-of select="./unitcode" />
										</fo:block>
									</xsl:otherwise>
								</xsl:choose>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block>
									<xsl:value-of select="./desc" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="sum(..//row[unitid = $unitid]/unitqty) + sum(/all_results/results[@name = 'ponon']/row[unitid = $unitid]/unitqty)" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="./rcvqty" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:value-of select="$rcvdate" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:value-of select="$rcvname" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<xsl:choose>
									<xsl:when test="./status = 6 or ./status = 7">
										<fo:block>
											<xsl:value-of select="/all_results/results[@name = 'mastsum']/row[unitid = $unitid]/company" />
										</fo:block>
										<fo:block>
											<xsl:value-of select="/all_results/results[@name = 'mastsum']/row[unitid = $unitid]/subloc1" />
										</fo:block>
									</xsl:when>
									<xsl:otherwise>
										<fo:block>
											<xsl:value-of select="/all_results/results[@name = 'mastsum']/row[rcvdate = $rcvdate and rcvbyname = $rcvname and unitid = $unitid and rcvprice = $rcvprice]/company" />
										</fo:block>
										<fo:block>
											<xsl:value-of select="/all_results/results[@name = 'mastsum']/row[rcvdate = $rcvdate and rcvbyname = $rcvname and unitid = $unitid and rcvprice = $rcvprice]/subloc1" />
										</fo:block>									
									</xsl:otherwise>
								</xsl:choose>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<xsl:choose>
									<xsl:when test="./status = 6 or ./status = 7">
										<fo:block>
											<xsl:value-of select="format-number(avg(/all_results/results[@name = 'mastsum']/row[unitid = $unitid]/rcvprice), '##,###,##0.00')" />
										</fo:block>
									</xsl:when>
									<xsl:otherwise>
										<fo:block>
											<xsl:value-of select="format-number(./rcvcost, '##,##0.00')" />
										</fo:block>
									</xsl:otherwise>
								</xsl:choose>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<xsl:choose>
									<xsl:when test="./status = 6 or ./status = 7">
										<fo:block>
											<xsl:value-of select="format-number(avg(/all_results/results[@name = 'mastsum']/row[unitid = $unitid]/rcvprice), '##,###,##0.00')" />
										</fo:block>
									</xsl:when>
									<xsl:otherwise>
										<fo:block>
											<xsl:value-of select="format-number(./unitcost, '##,##0.00')" />
										</fo:block>
									</xsl:otherwise>
								</xsl:choose>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:choose>
										<xsl:when test="./status = 6 or ./status = 7">
											<xsl:value-of select="format-number((./rcvqty * avg(/all_results/results[@name = 'mastsum']/row[unitid = $unitid]/rcvprice)), '##,###,##0.00')" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="format-number((./rcvqty * ./rcvcost), '##,###,##0.00')" />
										</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
						<xsl:if test="./serialized = '1'">
							<xsl:variable name="unitid" select="./unitid" />
							<xsl:variable name="seriallbl">
								<xsl:call-template name="getserialname">
									<xsl:with-param name="serial2typ" select="./serial2typ" />
									<xsl:with-param name="s2typlabel" select="./s2typlabel" />
								</xsl:call-template>
							</xsl:variable>
							<xsl:variable name="serialno">
								<xsl:for-each select="/all_results/results[@name = 'mastdtl']/row[rcvdate = $rcvdate and rcvbyname = $rcvname and unitid = $unitid and rcvprice = $rcvprice]">
									<fo:inline space-end="0.2in" space-start.precedence="force">
										<xsl:call-template name="formatserial">
											<xsl:with-param name="serial" select="./serialno2" />
											<xsl:with-param name="serial0" select="./serialno" />
											<xsl:with-param name="serial2typ" select="./serial2typ" />
											<xsl:with-param name="unitid" select="./unitid" />
											<xsl:with-param name="actpin" select="./actpin" />
											<xsl:with-param name="npa" select="./npa" />
											<xsl:with-param name="nxx" select="./nxx" />
											<xsl:with-param name="line" select="./line" />
										</xsl:call-template>
									</fo:inline>
								</xsl:for-each>
							</xsl:variable>
							<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-cells">
									<fo:block>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" keep-with-previous="always" text-align="left" number-columns-spanned="9">
									<fo:block>
										<fo:inline>
											<xsl:value-of select="$seriallbl" />
										</fo:inline>
										<fo:block space-start="auto" space-start.precedence="force">
											<xsl:value-of select="$serialno" />
										</fo:block>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</xsl:if>
					</xsl:if>
				</xsl:for-each>
			</fo:table-body>
		</fo:table>
		<xsl:if test="/all_results/results[@name = 'po']/row[position() = 1]/status = 6 or /all_results/results[@name = 'po']/row[position() = 1]/status = 7">
			<fo:block xsl:use-attribute-sets="summary-cells" margin-before="8px">* Item cost and price averaged over all items actually transferred. Actual costs and prices may vary.</fo:block>
		</xsl:if>
		<xsl:if test="/all_results/results[@name = 'ponon']/row">
			<fo:block xsl:use-attribute-sets="category-label" space-before="16px">Items Not Received on Purchase Order</fo:block>
			<fo:table table-layout="fixed" width="100%" space-before="16px">
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="2.2in" />
				<fo:table-column column-width="0.8in" />
				<fo:table-column column-width="0.8in" />
				<fo:table-column column-width="3.0in" />
				<fo:table-body>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Original Order Quantity</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Outst. Quantity</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Item Code</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Item Description</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Price</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Total</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Comments</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<xsl:for-each select="/all_results/results[@name = 'ponon']/row">
						<xsl:variable name="unitid" select="./unitid" />
						<fo:table-row keep-with-next="always">
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="sum(..//row[unitid = $unitid]/unitqty) +  + sum(/all_results/results[@name = 'po']/row[unitid = $unitid]/unitqty)" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="./unitqty" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<xsl:choose>
									<xsl:when test="./externalcd != ''">
										<fo:block>
											<xsl:value-of select="./externalcd" />
										</fo:block>
									</xsl:when>
									<xsl:otherwise>
										<fo:block>
											<xsl:value-of select="./unitcode" />
										</fo:block>
									</xsl:otherwise>
								</xsl:choose>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block>
									<xsl:value-of select="./desc" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./unitcost, '##,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number((./unitqty * ./unitcost), '##,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block>
									<xsl:value-of select="./comment" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>