<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: po_tran.xsl,v 1.23 2017-05-03 15:51:04 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format" 
				xmlns:java="http://xml.apache.org/xslt/java" 
			    xmlns:invutil="java:com.psasoft.inventory.util.InventoryUtilities"
			    xmlns:catitm="java:com.psasoft.inventory.data.PCatalogItem"				
				exclude-result-prefixes="java" version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="'Transfer Report'" />
    <xsl:variable name="name" select="/all_results/results[@name = 'xfer']/row/newcomp" />
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape" />
            <xsl:call-template name="make-body-landscape" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
    	<xsl:choose>
    	<xsl:when test="/all_results/results[@name = 'xfer']/row">
	        <fo:table font-size="8pt">
	            <fo:table-column column-width="2.0in" />
	            <fo:table-column column-width="3.0in" />
	            <fo:table-column column-width="2.0in" />
	            <fo:table-column column-width="3.0in" />
	            <fo:table-body>
	                <fo:table-row height="15px">
	                    <fo:table-cell>
	                        <fo:block xsl:use-attribute-sets="category-label">Purchase Order #:</fo:block>
	                    </fo:table-cell>
	                    <fo:table-cell>
	                        <fo:block xsl:use-attribute-sets="component-2">
	                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/pono" />
	                        </fo:block>
	                    </fo:table-cell>
	                    <fo:table-cell>
	                        <fo:block xsl:use-attribute-sets="category-label">Reason:</fo:block>
	                    </fo:table-cell>
	                    <fo:table-cell>
	                        <fo:block xsl:use-attribute-sets="component-2">
	                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/reason" />
	                        </fo:block>
	                    </fo:table-cell>
	                </fo:table-row>
	                <fo:table-row height="15px">
	                    <fo:table-cell>
	                        <fo:block xsl:use-attribute-sets="category-label">Comment:</fo:block>
	                    </fo:table-cell>
	                    <fo:table-cell number-columns-spanned="3">
	                        <fo:block xsl:use-attribute-sets="component-2">
	                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/comment" />
	                        </fo:block>
	                    </fo:table-cell>
	                </fo:table-row>                
	                <xsl:choose>
	                <xsl:when test="/all_results/results[@name = 'xfer']/row/ttype = 1">
		                <fo:table-row height="15px">
		                    <fo:table-cell>
		                        <fo:block xsl:use-attribute-sets="category-label">Transfer From Company:</fo:block>
		                    </fo:table-cell>
		                    <fo:table-cell>
		                        <fo:block xsl:use-attribute-sets="component-2">
		                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/oldcomp" />
		                        </fo:block>
		                    </fo:table-cell>
		                    <fo:table-cell>
		                        <fo:block xsl:use-attribute-sets="category-label">Transferred To Company:</fo:block>
		                    </fo:table-cell>
		                    <fo:table-cell>
		                        <fo:block xsl:use-attribute-sets="component-2">
		                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/newcomp" />
		                        </fo:block>
		                    </fo:table-cell>
		                </fo:table-row>
		                <fo:table-row height="15px">
		                    <fo:table-cell>
		                        <fo:block xsl:use-attribute-sets="category-label">Transfer From Location:</fo:block>
		                    </fo:table-cell>
		                    <fo:table-cell>
		                        <fo:block xsl:use-attribute-sets="component-2">
		                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/oldloca" />
		                        </fo:block>
		                    </fo:table-cell>
		                    <fo:table-cell>
		                        <fo:block xsl:use-attribute-sets="category-label">Transferred To Location:</fo:block>
		                    </fo:table-cell>
		                    <fo:table-cell>
		                        <fo:block xsl:use-attribute-sets="component-2">
		                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/newloca" />
		                        </fo:block>
		                    </fo:table-cell>
		                </fo:table-row>
					</xsl:when>
	                <xsl:when test="/all_results/results[@name = 'xfer']/row/ttype = 9">
		                <fo:table-row height="15px">
		                    <fo:table-cell>
		                        <fo:block xsl:use-attribute-sets="category-label">Transfer From Company:</fo:block>
		                    </fo:table-cell>
		                    <fo:table-cell>
		                        <fo:block xsl:use-attribute-sets="component-2">
		                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/oldcomp" />
		                        </fo:block>
		                    </fo:table-cell>
		                    <fo:table-cell>
		                        <fo:block xsl:use-attribute-sets="category-label">Transfer From Location:</fo:block>
		                    </fo:table-cell>
		                    <fo:table-cell>
		                        <fo:block xsl:use-attribute-sets="component-2">
		                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/oldloca" />
		                        </fo:block>
		                    </fo:table-cell>
		                </fo:table-row>                
		                <fo:table-row height="15px">
		                    <fo:table-cell>
		                        <fo:block xsl:use-attribute-sets="category-label">Removed From Inventory</fo:block>
		                    </fo:table-cell>
		                    <fo:table-cell>
		                        <fo:block xsl:use-attribute-sets="category-label">
		                        </fo:block>
		                    </fo:table-cell>
		                    <xsl:choose>
		                    <xsl:when test="normalize-space(/all_results/results[@name = 'xfer']/row/vendor) != ''">
			                    <fo:table-cell>
			                        <fo:block xsl:use-attribute-sets="category-label">Vendor:</fo:block>
			                    </fo:table-cell>
			                    <fo:table-cell>
			                        <fo:block xsl:use-attribute-sets="component-2">
				                         <xsl:value-of select="/all_results/results[@name = 'xfer']/row/vendor" />
			                        </fo:block>
			                    </fo:table-cell>
		                    </xsl:when>
		                    <xsl:otherwise>
			                    <fo:table-cell>
			                        <fo:block xsl:use-attribute-sets="category-label">
			                        </fo:block>
			                    </fo:table-cell>
			                    <fo:table-cell>
			                        <fo:block xsl:use-attribute-sets="category-label">
			                        </fo:block>
			                    </fo:table-cell>	                    
		                    </xsl:otherwise>
		                    </xsl:choose>
		                </fo:table-row>
					</xsl:when>
	                </xsl:choose>
	                <fo:table-row height="15px">
	                    <fo:table-cell>
	                        <fo:block xsl:use-attribute-sets="category-label">Transferred By:</fo:block>
	                    </fo:table-cell>
	                    <fo:table-cell>
	                        <fo:block xsl:use-attribute-sets="component-2">
	                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/transferby" />
	                        </fo:block>
	                    </fo:table-cell>
	                    <fo:table-cell>
	                        <fo:block xsl:use-attribute-sets="category-label">Transferred Date:</fo:block>
	                    </fo:table-cell>
	                    <fo:table-cell>
	                        <fo:block xsl:use-attribute-sets="component-2">
	                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/tdate" />
	                        </fo:block>
	                    </fo:table-cell>
	                </fo:table-row>
	                <fo:table-row height="15px">
	                    <fo:table-cell>
	                        <fo:block xsl:use-attribute-sets="category-label">Shipper:</fo:block>
	                    </fo:table-cell>
	                    <fo:table-cell>
	                        <fo:block xsl:use-attribute-sets="component-2">
	                            <xsl:value-of select="/all_results/results[@name = 'xfer']/row/shipper" />
	                        </fo:block>
	                    </fo:table-cell>
	                    <fo:table-cell>
	                        <fo:block xsl:use-attribute-sets="category-label">Status:</fo:block>
	                    </fo:table-cell>
	                    <fo:table-cell>
	                        <fo:block xsl:use-attribute-sets="component-2">
	                            <xsl:choose>
	                                <xsl:when test="/all_results/results[@name = 'xfer']/row/status = '7'">
	                                    <xsl:value-of select="'Transfer Received'" />
	                                </xsl:when>                            
	                                <xsl:when test="/all_results/results[@name = 'xfer']/row/status = '8'">
	                                    <xsl:value-of select="'Removed From Inventory'" />
	                                </xsl:when>
	                                <xsl:when test="/all_results/results[@name = 'xfer']/row/status = '9'">
	                                    <xsl:value-of select="'Removed - Writeoff'" />
	                                </xsl:when>
	                                <xsl:otherwise>
	                                    <xsl:value-of select="'In Transit'" />
	                                </xsl:otherwise>
	                            </xsl:choose>
	                        </fo:block>
	                    </fo:table-cell>
	                </fo:table-row>
	            </fo:table-body>
	        </fo:table>
	        <fo:table table-layout="fixed" width="100%" space-before="16px">
	            <fo:table-column column-width="1.0in" />
	            <fo:table-column column-width="6.0in" />
	            <fo:table-column column-width="1.0in" />
	            <fo:table-column column-width="1.5in" />
				<fo:table-header>
	                <fo:table-row>
	                    <fo:table-cell xsl:use-attribute-sets="table-headings">
	                        <fo:block>Item Code</fo:block>
	                    </fo:table-cell>
	                    <fo:table-cell xsl:use-attribute-sets="table-headings">
	                        <fo:block>Item Description</fo:block>
	                    </fo:table-cell>
	                    <fo:table-cell xsl:use-attribute-sets="table-headings">
	                        <fo:block>Transfer Quantity</fo:block>
	                    </fo:table-cell>
	                    <fo:table-cell xsl:use-attribute-sets="table-headings">
	                        <fo:block>Total Cost</fo:block>
	                    </fo:table-cell>
	                </fo:table-row>
				</fo:table-header>
	            <fo:table-body>
	                <xsl:for-each select="/all_results/results[@name = 'mastsum']/row">
	                    <xsl:variable name="unitid" select="./unitid" />
	                    <xsl:variable name="rcvprice" select="./rcvprice" />
	                    <xsl:variable name="status" select="./status" />
	                    <xsl:variable name="serial2typ" select="./serial2typ" />                    
	                    <fo:table-row>
	                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
	                            <xsl:choose>
	                                <xsl:when test="./externalcd != ''">
	                                    <fo:block>
	                                        <xsl:value-of select="./externalcd" />
	                                    </fo:block>
	                                </xsl:when>
	                                <xsl:otherwise>
	                                    <fo:block>
	                                        <xsl:value-of select="./unitcode" />
	                                    </fo:block>
	                                </xsl:otherwise>
	                            </xsl:choose>
	                        </fo:table-cell>
	                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
	                            <fo:block>
	                                <xsl:value-of select="./unitdesc" />
	                            </fo:block>
	                        </fo:table-cell>
	                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
	                            <fo:block>
	                                <xsl:value-of select="./qty" />
	                            </fo:block>
	                        </fo:table-cell>
	                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
	                            <fo:block>
	                                <xsl:value-of select="format-number(./rcvprice, '##,###,##0.00')" />
	                            </fo:block>
	                        </fo:table-cell>
	                    </fo:table-row>
	                    <xsl:if test="./serialized = '1'">
	                         <xsl:variable name="seriallbl">
		                         <xsl:call-template name="getserialname">
		                             <xsl:with-param name="serial2typ" select="./serial2typ" />
		                             <xsl:with-param name="s2typlabel" select="./s2typlabel" />
		                         </xsl:call-template>
	                        </xsl:variable>
	                        <xsl:variable name="serialno">
	                            <xsl:text> &#x2007;&#x2007;</xsl:text>
	                            <xsl:for-each select="/all_results/results[@name = 'mastdtl']/row[unitid = $unitid]">
									<xsl:call-template name="formatserial">
										<xsl:with-param name="serial" select="./serialno2" />
										<xsl:with-param name="serial0" select="./serialno" />
										<xsl:with-param name="serial2typ" select="$serial2typ" />
										<xsl:with-param name="unitid" select="$unitid" />
										<xsl:with-param name="actpin" select="./actpin" />
										<xsl:with-param name="npa" select="./npa" />
										<xsl:with-param name="nxx" select="./nxx" />
										<xsl:with-param name="line" select="./line" />
									</xsl:call-template>
	                            </xsl:for-each>
	                        </xsl:variable>                        
	                        <fo:table-row>
	                            <fo:table-cell xsl:use-attribute-sets="table-cells">
	                                <fo:block>
	                                </fo:block>
	                            </fo:table-cell>
	                            <fo:table-cell xsl:use-attribute-sets="table-cells" keep-with-previous="always" text-align="left" number-columns-spanned="3">
	                                <fo:block>
	                                    <fo:inline>
	                                        <xsl:value-of select="$seriallbl" />
	                                    </fo:inline>
	                                    <fo:block xsl:use-attribute-sets="component-2" space-start="auto" space-start.precedence="force" wrap-option="wrap">
	                                        <xsl:value-of select="$serialno" />
	                                    </fo:block>
	                                </fo:block>
	                            </fo:table-cell>
	                        </fo:table-row>
	                    </xsl:if>
	                </xsl:for-each>
	            </fo:table-body>
	        </fo:table>
	    </xsl:when>
	    <xsl:otherwise>
			<fo:block xsl:use-attribute-sets="category-label" font-size="14px" padding-after="25px">Transfer PO not found.</fo:block>	    
	    </xsl:otherwise>
		</xsl:choose>
    </xsl:template>
</xsl:stylesheet>
