<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: po_tran_single.xsl,v 1.4 2014-08-12 19:18:19 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format" 
				xmlns:java="http://xml.apache.org/xslt/java" 
				exclude-result-prefixes="java" 
				version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="'Transfer Report'" />
    <xsl:variable name="name" select="$transfer/transfer/old_company/inv_company/desc" />
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape" />
            <xsl:call-template name="make-body-landscape" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
			<fo:table font-size="8pt">
				<fo:table-column column-width="5.5in"/>	
				<fo:table-column column-width="4.0in"/>		
				<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="category-label">
								Sending Company: <xsl:value-of select="$transfer/transfer/old_company/inv_company/desc" />
						</fo:block>
					</fo:table-cell>					
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="category-label">
								Transferred By: <xsl:value-of select="$transfer/transfer/audit_information/@updated_by" />
						</fo:block>
					</fo:table-cell>	
					</fo:table-row>
					<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="category-label">
								Purchase Order #: <xsl:value-of select="$master/master/po_no" />
						</fo:block>
					</fo:table-cell>	
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="category-label">
								Transferred Date: <xsl:value-of select="$transfer/transfer/audit_information/@updated_date" />
						</fo:block>
					</fo:table-cell>						
				</fo:table-row>	
				<fo:table-row>
				<fo:table-cell>
					<fo:block xsl:use-attribute-sets="category-label">
							Transferred To Company: <xsl:value-of select="$transfer/transfer/new_company/inv_company/desc" />
					</fo:block>
				</fo:table-cell>	
				<fo:table-cell>
					<fo:block xsl:use-attribute-sets="category-label">
							Transferred To Location: <xsl:value-of select="$transfer/transfer/new_location/location/sub_loca_1" />
					</fo:block>
				</fo:table-cell>						
				</fo:table-row>	
				<xsl:choose>
					<xsl:when test="$transfer/transfer/@type = '2'" >
						<fo:table-row>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
										Transferred To Repair
								</fo:block>
							</fo:table-cell>	
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
										Transfer Reason: <xsl:value-of select="$transfer/transfer/transfer_reason_id" />
								</fo:block>
							</fo:table-cell>								
						</fo:table-row>							
						<fo:table-row>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
										Comment: <xsl:value-of select="$transfer/transfer/comments" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
										Due Date: <xsl:value-of select="$transfer/transfer/due_date" />
								</fo:block>
							</fo:table-cell>	
						</fo:table-row>							
						<fo:table-row>							
							<fo:table-cell number-columns-spanned="2">			
									<xsl:if test="normalize-space($transfer/transfer/contact/name) != ' '">
											<fo:block xsl:use-attribute-sets="category-label" font-weight="bold">
													<xsl:value-of select="$transfer/transfer/contact/name" />
											</fo:block>
									</xsl:if>									
									<xsl:if test="normalize-space($transfer/transfer/address/line1) != ' '">
											<fo:block xsl:use-attribute-sets="category-label" font-weight="bold">
													<xsl:value-of select="$transfer/transfer/address/line1" />
											</fo:block>
									</xsl:if>
									<xsl:if test="normalize-space($transfer/transfer/address/line2) != ' '">
											<fo:block xsl:use-attribute-sets="category-label" font-weight="bold">
													<xsl:value-of select="$transfer/transfer/address/line2" />
											</fo:block>
									</xsl:if>
									<xsl:if test="normalize-space($transfer/transfer/address/line3) != ' '">
											<fo:block xsl:use-attribute-sets="category-label" font-weight="bold">
													<xsl:value-of select="$transfer/transfer/address/line3" />
											</fo:block>
									</xsl:if>
									<fo:block xsl:use-attribute-sets="category-label" font-weight="bold">
									<xsl:value-of select="$transfer/transfer/address/city" />
									, 
									<xsl:value-of select="$transfer/transfer/address/state" /> 
									 
									<xsl:value-of select="$transfer/transfer/address/zip" />
									<xsl:if test="normalize-space($transfer/transfer/address/country) != ' '">
											<xsl:value-of select="$transfer/transfer/address/country" />
									</xsl:if>
									</fo:block>
							</fo:table-cell>								
						</fo:table-row>													
					</xsl:when>
					<xsl:when test="$transfer/transfer/@type = '3'" >
						<fo:table-row>
							<fo:table-cell>						
								<fo:block xsl:use-attribute-sets="category-label">
										Loaned Out
								</fo:block>			
						  </fo:table-cell>								
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
										Transfer Reason: <xsl:value-of select="$transfer/transfer/transfer_reason_id/desc" />
								</fo:block>
							</fo:table-cell>														  
						</fo:table-row>						
						<fo:table-row>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
										Comment: <xsl:value-of select="$transfer/transfer/comments" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
										Due Date: <xsl:value-of select="$transfer/transfer/due_date" />
								</fo:block>
							</fo:table-cell>	
						</fo:table-row>							
						<fo:table-row>							
							<fo:table-cell number-columns-spanned="2">			
									<xsl:if test="normalize-space($transfer/transfer/contact/name) != ' '">
											<fo:block xsl:use-attribute-sets="category-label" font-weight="bold">
													<xsl:value-of select="$transfer/transfer/contact/name" />
											</fo:block>
									</xsl:if>								
									<xsl:if test="normalize-space($transfer/transfer/address/line1) != ' '">
											<fo:block xsl:use-attribute-sets="category-label" font-weight="bold">
													<xsl:value-of select="$transfer/transfer/address/line1" />
											</fo:block>
									</xsl:if>							
									<xsl:if test="normalize-space($transfer/transfer/address/line1) != ' '">
											<fo:block xsl:use-attribute-sets="category-label" font-weight="bold">
													<xsl:value-of select="$transfer/transfer/address/line1" />
											</fo:block>
									</xsl:if>
									<xsl:if test="normalize-space($transfer/transfer/address/line2) != ' '">
											<fo:block xsl:use-attribute-sets="category-label" font-weight="bold">
													<xsl:value-of select="$transfer/transfer/address/line2" />
											</fo:block>
									</xsl:if>
									<xsl:if test="normalize-space($transfer/transfer/address/line3) != ' '">
											<fo:block xsl:use-attribute-sets="category-label" font-weight="bold">
													<xsl:value-of select="$transfer/transfer/address/line3" />
											</fo:block>
									</xsl:if>
									<fo:block xsl:use-attribute-sets="category-label" font-weight="bold">
									<xsl:value-of select="$transfer/transfer/address/city" />
									, 
									<xsl:value-of select="$transfer/transfer/address/state" /> 
									 
									<xsl:value-of select="$transfer/transfer/address/zip" />
									<xsl:if test="normalize-space($transfer/transfer/address/country) != ' '">
											<xsl:value-of select="$transfer/transfer/address/country" />
									</xsl:if>
									</fo:block>
									<xsl:if test="normalize-space($transfer/transfer/contact/phone_exchange) != ' ' and normalize-space($transfer/transfer/contact/phone_line) != ' '">
											<fo:block xsl:use-attribute-sets="category-label" font-weight="bold">
													Phone: 
													<xsl:if test="normalize-space($transfer/transfer/contact/phone_area_code) != ' '">
													(<xsl:value-of select="$transfer/transfer/contact/phone_exchange" />)
													</xsl:if>
													<xsl:value-of select="$transfer/transfer/contact/phone_exchange" />-<xsl:value-of select="$transfer/transfer/contact/phone_line" />
											</fo:block>
									</xsl:if>	
							</fo:table-cell>								
						</fo:table-row>		
					</xsl:when>
					<xsl:when test="$transfer/transfer/@type = '4'" >
						<fo:table-row>
							<fo:table-cell>						
								<fo:block xsl:use-attribute-sets="category-label">
										Returned From Repair
								</fo:block>				
						  </fo:table-cell>								
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
										Transfer Reason: <xsl:value-of select="$transfer/transfer/transfer_reason_id/desc" />
								</fo:block>
							</fo:table-cell>														  
						</fo:table-row>
					</xsl:when>
					<xsl:otherwise>
						<fo:table-row>
							<fo:table-cell>						
								<fo:block xsl:use-attribute-sets="category-label">
										Unknown Transfer Type
								</fo:block>								
							</fo:table-cell>								
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="category-label">
										Transfer Reason: <xsl:value-of select="$transfer/transfer/transfer_reason_id/desc" />
								</fo:block>
							</fo:table-cell>															
						</fo:table-row>						
					</xsl:otherwise>
				</xsl:choose>
				</fo:table-body>
			</fo:table>
				<fo:table table-layout="fixed" width="100%" space-before="16px">
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="4.0in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="1.5in" />
						<fo:table-body>
								<fo:table-row keep-with-next="always">
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Item Code</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Item Description</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
											  <fo:block>Transfer Quantity</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>Total Cost</fo:block>
										</fo:table-cell>
								</fo:table-row>
										<fo:table-row keep-with-next="always">
												<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
														<xsl:choose>
														<xsl:when test="$master/master/catalog_item/translate/external_id != ''" >
															<fo:block>
																<xsl:value-of select="$master/master/catalog_item/translate/external_id" />
															</fo:block>
														</xsl:when>
														<xsl:otherwise>
															<fo:block>
																<xsl:value-of select="$master/master/catalog_item/unit_code" />
															</fo:block>
														</xsl:otherwise>
														</xsl:choose>
												</fo:table-cell>										
												<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
														<fo:block>
																<xsl:value-of select="$master/master/catalog_item/desc" />
														</fo:block>
												</fo:table-cell>
												<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
														<fo:block>
																<xsl:value-of select="$master/master/unit_qty" />
														</fo:block>
												</fo:table-cell>													
												<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
														<fo:block>
																<xsl:value-of select="format-number($master/master/received_price, '##,###,##0.00')" />
														</fo:block>
												</fo:table-cell>
											</fo:table-row>
											<xsl:if test="./catalog_item/serialized = 'true'" >
												<xsl:variable name="unitid" select="$master/master/catalog_item/@id" />
												<xsl:variable name="seriallbl">
													<xsl:choose>
														<xsl:when test="$master/master/catalog_item/serialized_type = '1'">
																<xsl:value-of select="./catalog_item/serialized_type_label" />
														</xsl:when>
														<xsl:when test="$master/master/catalog_item/serialized_type = '2'">
															ESN
														</xsl:when>
														<xsl:when test="$master/master/catalog_item/serialized_type = '3'">
															IMEI
														</xsl:when>
														<xsl:when test="$master/master/catalog_item/serialized_type = '4'">
															ICCID
														</xsl:when>															
														<xsl:otherwise>
															"' '"
														</xsl:otherwise>															
													</xsl:choose>
												</xsl:variable>
												<xsl:variable name="serialno">
													<xsl:for-each select="$master/master">
															<fo:inline space-end="0.2in" space-start.precedence="force">
															<xsl:value-of select="./secondary_serial_no" />
															<xsl:if test="normalize-space(./serial_no)">
																 <xsl:value-of select="' (S#: '" />
																 <xsl:value-of select="./serial_no" />
																 <xsl:value-of select="')'" />
															</xsl:if>
															<xsl:value-of select="' '" />
															</fo:inline>
													</xsl:for-each>
												</xsl:variable>
												<fo:table-row>
													<fo:table-cell xsl:use-attribute-sets="table-cells"> </fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" keep-with-previous="always" text-align="left" number-columns-spanned="5">
														<fo:block>
															<fo:inline><xsl:value-of select="$seriallbl" /></fo:inline>
															<fo:block space-start="auto" space-start.precedence="force"><xsl:value-of select="$serialno" /></fo:block>
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
										</xsl:if>
						</fo:table-body>
				</fo:table>
    </xsl:template>
</xsl:stylesheet>
