<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: pos_by_item.xsl,v 1.2 2012-01-17 15:36:51 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="concat('Point of Sale - Sold By Item ', $sold_date[1], ' to ', $sold_date[2])" />

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">

	<xsl:choose>
		<xsl:when test="/all_results/results[@name = 'accts']/row">
				<xsl:for-each-group select="/all_results/results[@name = 'accts']/row" group-by="normalize-space(item)">
					<xsl:variable name="item" select="current-group()/item"/>
					<xsl:variable name="itemtype" select="/all_results/results[@name = 'selitem']/row[item = $item]/chgtyp"/>

					<xsl:if test="$itemtype = 'A'">
						<fo:table table-layout="fixed" width="100%" space-before="16px">
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="2.0in" />
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="1.5in" />
								<fo:table-column column-width="1.5in" />
								<fo:table-column column-width="1.5in" />
								<fo:table-column column-width="1.5in" />
								<fo:table-header>
										<fo:table-row>
												<fo:table-cell xsl:use-attribute-sets="table-headings" 
																			 text-align="left"
																			 number-columns-spanned="8">
														<fo:block>
															Item:
															<xsl:value-of select="/all_results/results[@name = 'selitem']/row[item = $item]/itmdsc"/>
														</fo:block>
												</fo:table-cell>
										</fo:table-row>			
										<fo:table-row>
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Cycle/Account</fo:block>
												</fo:table-cell>								
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Account Name</fo:block>
												</fo:table-cell>							
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Item Status</fo:block>
												</fo:table-cell>
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Item Qty</fo:block>
												</fo:table-cell>
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Item Sold Price</fo:block>
												</fo:table-cell>												
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Item Sold Total</fo:block>
												</fo:table-cell>												
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Item Sold Date</fo:block>
												</fo:table-cell>		
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Updated By</fo:block>
												</fo:table-cell>												
										</fo:table-row>
								</fo:table-header>					
								<fo:table-body>
										<xsl:for-each select="/all_results/results[@name = 'accts']/row[item = $item]">
											<xsl:sort select="./cnpa" data-type="number"/>
											<xsl:sort select="./cnxx" data-type="number"/>
											<xsl:sort select="./cline" data-type="number"/>
											<fo:table-row>
														<xsl:choose>
														<xsl:when test="./cycle = 0 and ./acct = 0">
																<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt" number-columns-spanned="2">
																		<fo:block>
																				<xsl:value-of select="'Walk-In'"/>
																		</fo:block>
																</fo:table-cell>
														</xsl:when>
														<xsl:otherwise>											
																<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">									
																	<fo:block>
																		<xsl:value-of select="format-number(./cycle, '000')"/>
																		<xsl:value-of select="'-'"/>
																		<xsl:value-of select="format-number(./acct, '0000000')"/>
																	</fo:block>
																</fo:table-cell>																				
																<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">									
																	<fo:block>
																			<xsl:value-of select="./fname"/>
																			<xsl:value-of select="' '"/>
																			<xsl:value-of select="./lname"/>
																	</fo:block>
																</fo:table-cell>							
													</xsl:otherwise>
													</xsl:choose>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">									
															<xsl:choose>
															<xsl:when test="./ptrtyp = 'RETURN' and ./bill = 'N'" >
																<fo:block>
																	<xsl:value-of select="'Returned Pay'" />
																</fo:block>
															</xsl:when>															
															<xsl:when test="./bill = 'N'" >
																<fo:block>
																	<xsl:value-of select="'Paid'" />
																</fo:block>
															</xsl:when>															
															<xsl:when test="./ptrtyp = 'RETURN' and ./bill = 'Y'" >
																<fo:block>
																	<xsl:value-of select="'Returned on Account'" />
																</fo:block>
															</xsl:when>
															<xsl:when test="./bill = 'Y'" >
																<fo:block>
																	<xsl:value-of select="'Billed'" />
																</fo:block>
															</xsl:when>
															</xsl:choose>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">									
														<fo:block>
																<xsl:value-of select="format-number(./pitqty, '###,##0')" />
														</fo:block>
													</fo:table-cell>													
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">									
														<fo:block>
																<xsl:value-of select="format-number(./itmrat, '##,###,##0.00;-#,###,##0.00')" />
														</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">									
														<fo:block>
																<xsl:value-of select="format-number(./instamt, '##,###,##0.00;-#,###,##0.00')" />
														</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">									
														<fo:block>
																<xsl:if test="./ptryy &gt; 0">
																	<fo:block>
																		<xsl:call-template name="date4parm">
																			<xsl:with-param name="cc" select="./ptrcc"/>
																			<xsl:with-param name="yy" select="./ptryy"/>
																			<xsl:with-param name="mm" select="./ptrmm"/>
																			<xsl:with-param name="dd" select="./ptrdd"/>
																		</xsl:call-template>										
																	</fo:block>
																</xsl:if>
														</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">									
														<fo:block>
																<xsl:value-of select="./uname"/>
																<xsl:value-of select="' - '"/>
																<xsl:value-of select="./name"/>
														</fo:block>
													</fo:table-cell>													
												</fo:table-row>								
									 </xsl:for-each>					 
									</fo:table-body>
							</fo:table>				 
						</xsl:if>
					<xsl:if test="$itemtype = 'S'">
						<fo:table table-layout="fixed" width="100%" space-before="16px">
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="0.7in" />							
								<fo:table-column column-width="0.7in" />							
								<fo:table-column column-width="0.7in" />							
								<fo:table-column column-width="1.0in" />
								<fo:table-column column-width="1.5in" />
								<fo:table-header>
										<fo:table-row>
												<fo:table-cell xsl:use-attribute-sets="table-headings" 
																			 text-align="left"
																			 number-columns-spanned="10">
														<fo:block>
															Item:
															<xsl:value-of select="/all_results/results[@name = 'selitem']/row[item = $item]/itmdsc"/>
														</fo:block>
												</fo:table-cell>
										</fo:table-row>			
										<fo:table-row>
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Cycle/Account</fo:block>
												</fo:table-cell>
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Service Number</fo:block>
												</fo:table-cell>
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Disconnect Date</fo:block>
												</fo:table-cell>								
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Account Name</fo:block>
												</fo:table-cell>							
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Item Status</fo:block>
												</fo:table-cell>
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Item Qty</fo:block>
												</fo:table-cell>												
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Item Sold Price</fo:block>
												</fo:table-cell>												
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Item Total</fo:block>
												</fo:table-cell>												
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Item Sold Date</fo:block>
												</fo:table-cell>		
												<fo:table-cell xsl:use-attribute-sets="table-headings">
														<fo:block>Updated By</fo:block>
												</fo:table-cell>												
										</fo:table-row>
								</fo:table-header>					
								<fo:table-body>
										<xsl:for-each select="/all_results/results[@name = 'accts']/row[item = $item]">
											<xsl:sort select="./cnpa" data-type="number"/>
											<xsl:sort select="./cnxx" data-type="number"/>
											<xsl:sort select="./cline" data-type="number"/>
											<fo:table-row>
														<xsl:choose>
														<xsl:when test="./cycle = 0 and ./acct = 0">
																<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt" number-columns-spanned="4">
																		<fo:block>
																				<xsl:value-of select="'Walk-In'"/>
																		</fo:block>
																</fo:table-cell>
														</xsl:when>
														<xsl:otherwise>											
																<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">									
																	<fo:block>
																		<xsl:value-of select="format-number(./cycle, '000')"/>
																		<xsl:value-of select="'-'"/>
																		<xsl:value-of select="format-number(./acct, '0000000')"/>
																	</fo:block>
																</fo:table-cell>										
																<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">									
																	<fo:block>
																		<xsl:if test="./cnpa &gt; 0 and ./cnxx &gt; 0">
																			<xsl:call-template name="phone">
																				<xsl:with-param name="npa" select="./cnpa"/>
																				<xsl:with-param name="nxx" select="./cnxx"/>
																				<xsl:with-param name="line" select="./cline"/>
																			</xsl:call-template>	
																		</xsl:if>
																		<xsl:value-of select="' '"/>
																	</fo:block>
																</fo:table-cell>										
																<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">									
																	<fo:block>
																		<xsl:if test="./dcmm &gt; 0">
																			<xsl:call-template name="date4parm">
																				<xsl:with-param name="cc" select="./dccc"/>
																				<xsl:with-param name="yy" select="./dcyy"/>
																				<xsl:with-param name="mm" select="./dcmm"/>
																				<xsl:with-param name="dd" select="./dcdd"/>
																			</xsl:call-template>	
																		</xsl:if>
																		<xsl:value-of select="' '"/>
																	</fo:block>
																</fo:table-cell>										
																<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">									
																	<fo:block>
																			<xsl:value-of select="./fname"/>
																			<xsl:value-of select="' '"/>
																			<xsl:value-of select="./lname"/>
																	</fo:block>
																</fo:table-cell>				
													</xsl:otherwise>
													</xsl:choose>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">									
															<xsl:choose>
															<xsl:when test="./ptrtyp = 'RETURN' and ./bill = 'N'" >
																<fo:block>
																	<xsl:value-of select="'Returned Tendered'" />
																</fo:block>
															</xsl:when>															
															<xsl:when test="./bill = 'N'" >
																<fo:block>
																	<xsl:value-of select="'Paid'" />
																</fo:block>
															</xsl:when>															
															<xsl:when test="./ptrtyp = 'RETURN' and ./bill = 'Y'" >
																<fo:block>
																	<xsl:value-of select="'Returned on Account'" />
																</fo:block>
															</xsl:when>
															<xsl:when test="./bill = 'Y'" >
																<fo:block>
																	<xsl:value-of select="'Billed'" />
																</fo:block>
															</xsl:when>
															</xsl:choose>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
														<fo:block>
																<xsl:value-of select="format-number(./pitqty, '###,##0')" />
														</fo:block>
													</fo:table-cell>													
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">									
														<fo:block>
																<xsl:value-of select="format-number(./itmrat, '##,###,##0.00;-#,###,##0.00')" />
														</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">									
														<fo:block>
																<xsl:value-of select="format-number(./instamt, '##,###,##0.00;-#,###,##0.00')" />
														</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">									
														<fo:block>
																<xsl:if test="./ptryy &gt; 0">
																	<fo:block>
																		<xsl:call-template name="date4parm">
																			<xsl:with-param name="cc" select="./ptrcc"/>
																			<xsl:with-param name="yy" select="./ptryy"/>
																			<xsl:with-param name="mm" select="./ptrmm"/>
																			<xsl:with-param name="dd" select="./ptrdd"/>
																		</xsl:call-template>										
																	</fo:block>
																</xsl:if>
														</fo:block>
													</fo:table-cell>
													<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">									
														<fo:block>
																<xsl:value-of select="./uname"/>
																<xsl:value-of select="' - '"/>
																<xsl:value-of select="./name"/>
														</fo:block>
													</fo:table-cell>														
												</fo:table-row>								
									 </xsl:for-each>					 
									</fo:table-body>
							</fo:table>				 
						</xsl:if>
				</xsl:for-each-group>
		</xsl:when>
		<xsl:otherwise>
				<fo:block>No Accounts Found for selected item(s)</fo:block>
		</xsl:otherwise>
	</xsl:choose>

</xsl:template>
</xsl:stylesheet>






