<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
								xmlns:fo="http://www.w3.org/1999/XSL/Format" 
								xmlns:java="http://xml.apache.org/xslt/java" 
								xmlns:exsl="http://exslt.org/functions" 
								xmlns:img="java:com.psasoft.util.ImageUtilities"
								extension-element-prefixes="exsl" 
								exclude-result-prefixes="java" version="2.0">

<xsl:import href="Literal.xsl" />
<xsl:import href="Format.xsl" />
<xsl:import href="subtemplates.xsl"/>  

<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" />
<xsl:variable name="title" select="' '" />

<xsl:template match="/">
		<fo:root>
				<xsl:call-template name="make-layout-master-small-margin" />
				<xsl:call-template name="make-body-small-margin" />
		</fo:root>
</xsl:template>

<xsl:template name="body_process">
<xsl:variable name="logo" select="img:getImageBase64Encoded('/images/laward_logo.jpg')"/>
		<fo:table keep-together="always">
				<fo:table-column column-width="1.5in"/>
				<fo:table-column column-width="5.0in" />
				<fo:table-column column-width="1.5in"/>
				<fo:table-body>
						<fo:table-row height="30px">
								<fo:table-cell>									
									<fo:block xsl:use-attribute-sets="report-title">
										<fo:external-graphic src="data:image/jpeg;base64,{$logo}" 
													content-height="auto" 
													content-width="1.25in"/>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="center">
									<fo:block xsl:use-attribute-sets="report-title" 
									          font-size="14px">
									          <xsl:value-of select="'P R E P A I D'"/>
									          <fo:character character="&#x2000;" treat-as-word-space="false"/>
									          <xsl:value-of select="'S E R V I C E S'"/>
									          <fo:character character="&#x2000;" treat-as-word-space="false"/>
									          <xsl:value-of select="'P R O V I S I O N S'"/></fo:block>
									<fo:block xsl:use-attribute-sets="report-title" 
									          font-size="14px" 
									          font-weight="bold">
									          <xsl:value-of select="'L A'"/>
									          <fo:character character="&#x2000;" treat-as-word-space="false"/>
									          <xsl:value-of select="'W A R D'"/>
									          <fo:character character="&#x2000;" treat-as-word-space="false"/>
									          <xsl:value-of select="'C E L L U L A R'"/></fo:block>
									<fo:block xsl:use-attribute-sets="summary-headings" 
									          font-size="8px">
									          <xsl:value-of select="'P.O. Box 246'"/></fo:block>
									<fo:block xsl:use-attribute-sets="summary-headings" 
									          font-size="8px">
									          <xsl:value-of select="'La Ward, TX 77970'"/></fo:block>
									<fo:block xsl:use-attribute-sets="summary-headings" 
									          font-size="8px">
									          <xsl:value-of select="'(800) 300-9009'"/></fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="summary-headings"> </fo:block>
								</fo:table-cell>								
						</fo:table-row>
				</fo:table-body>
		</fo:table>
		
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px">Thank you for selecting La Ward Cellular Simple Talk Prepaid GSM Wireless (Service).  By activating your Service, you agree to these terms and conditions and acknowledge that these terms and conditions represent the entire agreement between you and La Ward Cellular in relation to the Service and that you have relied on no other representation or warranties from La Ward Cellular or its agent or employees in respect thereof.</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8 borders-thin"
					text-align="center" 
					space-before="8px" margin-left="15px"><fo:inline font-weight="bold">Provisions</fo:inline></fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px">Your account will expire if funds are not replenished within 28 days or 7 days of activation.  A 30 day grace period will follow the account expiration in which you may replenish the account and retain your number.  However, you will be charged a $9.95 processing fee.  If the customer maintains a $0.00 balance for any period of 30 consecutive days, the account will be terminated and the telephone number reassigned.  Once terminated, if the customer wishes to receive future services under this plan, a new account must be established, a new processing fee must be charged and a new number must be assigned.</fo:block>

<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="20px">All services are taxable and all taxes, fees, assessments, and surcharges will be additional to the above prices.</fo:block>

<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					line-height="normal">1.<fo:character character="&#8195;" />Customer agrees to all terms and conditions in this application for La Ward Cellular Simple Talk Prepaid Service.</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					line-height="normal">2.<fo:character character="&#8195;" />Acceptance of this agreement is on La Ward Cellular<fo:character character="&#8217;" />s sole discretion and shall be evidenced by its dully authorized signature.</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					line-height="normal">3.<fo:character character="&#8195;" />Customer acknowledges that he/she has read and understands the Provisions which appear.</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					line-height="normal">4.<fo:character character="&#8195;" />Customer certifies and warrants that the information provided in this request is complete and accurate.</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					line-height="normal">5.<fo:character character="&#8195;" />Prices charged for services rendered pursuant to this Agreement are subject to change without notice.</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					line-height="normal">6.<fo:character character="&#8195;" />Customer shall use the equipment services provided hereunder in a manner that complies with laws, codes, and regulations relating to the possession, operation, or use of the equipment and services.</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					line-height="normal">7.<fo:character character="&#8195;" />Customer shall indemnify La Ward Cellular against, and shall hold La Ward Cellular harmless from any and all claims, actions, suits, proceedings, costs, expenses, damages, and liabilities, including attorney fees, arising out of, or connected with, the possession, operation, or use of equipment and services.</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					letter-spacing="-0.5px"
					space-before="8px"
					line-height="normal">8.<fo:character character="&#8195;" />A $25.00 service charge is added to all returned checks (plus tax).</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					line-height="normal">9.<fo:character character="&#8195;" />La Ward Cellular assumes no responsibility for phone service interruptions due to catastrophe, force majeure, acts of God, etc.</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					line-height="normal">10.<fo:character character="&#8195;" />Subscriber assumes responsibility for all calls made on his/her phone.</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					line-height="normal">11.<fo:character character="&#8195;" />Cellular  telephone systems use radio channels to transmit voice and data communications over a complex network.  Although the law generally prohibits third parties from listening in on cellular calls, privacy cannot be guaranteed, and we shall not be liable to you for lack of privacy you experience while using the unit or the service.  If you are concerned with protecting your privacy, there may be products on the market available at your expense which can scramble the calls.</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					line-height="normal">12.<fo:character character="&#8195;" />Customer has no proprietary or ownership rights to or interests in a specific telephone number assigned to the unit.</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					line-height="normal">13.<fo:character character="&#8195;" />La Ward Cellular Simple Talk Prepaid service is limited to the Home Coverage Area.  </fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					line-height="normal">14.<fo:character character="&#8195;" />All Cellular telephone service usage fees for this plan, as stated in this document, do not include taxes, fees, surcharges and assessments.  All Fees will be additional.</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					line-height="normal">15.<fo:character character="&#8195;" />La Ward Cellular is not responsible for lost or stolen SIM cards or phones.</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					line-height="normal">16.<fo:character character="&#8195;" />Upon acceptance by La Ward Cellular, this contract form and any exhibits, riders, amendments or supplements attached hereto shall constitute the entire agreement between customer and La Ward Cellular and supersedes any prior or contemporaneous understanding or written or oral agreements between the parties respecting the within subject matter.</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					line-height="normal">17.<fo:character character="&#8195;" />This agreement shall be construed under and in accordance with the laws of the State of Texas.  If any one or more of the provisions contained herein shall be held to be invalid, illegal, or unenforceable in any respect, such invalidity, illegality, or unenforceability shall not affect any other provision hereof, and this Agreement shall be construed as if such invalid, illegal, or unenforceable provision had never been contained herein.</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					line-height="normal">18.<fo:character character="&#8195;" />All numbers will be available on caller ID boxes unless you choose to make the call unavailable please see our services brochure for details.</fo:block>
<fo:block xsl:use-attribute-sets="smallprint-8" 
					text-align="justify" 
					space-before="8px"
					space-after="20px"
					line-height="normal">19.<fo:character character="&#8195;" />All payments should include your name and your La Ward Cellular phone number.  Check information should include your Drivers License number.</fo:block>

<fo:table keep-together="always">
	<fo:table-column column-width="3.75in"/>
	<fo:table-column column-width="0.25in" />
	<fo:table-column column-width="3.75in"/>
	<fo:table-body>
			<fo:table-row height="40px">
				<fo:table-cell>
					<fo:table keep-together="always">
							<fo:table-column column-width="3.75in"/>
							<fo:table-body>
									<fo:table-row height="30px">
											<fo:table-cell  xsl:use-attribute-sets="borders-thin">
												<fo:block text-align="left">
													<xsl:value-of select="' '" />
												</fo:block>
											</fo:table-cell>								
									</fo:table-row>
									<fo:table-row height="10px">
											<fo:table-cell xsl:use-attribute-sets="summary-headings" 
																		 text-align="left">
												<fo:block xsl:use-attribute-sets="smallprint-8" 
																	text-align="left"
																	font-size="10px">
													<xsl:value-of select="'Date'"/>
												</fo:block>
											</fo:table-cell>								
									</fo:table-row>											
							</fo:table-body>
					</fo:table>				
				</fo:table-cell>
				<fo:table-cell>
					<fo:block text-align="center">
						<xsl:value-of select="' '" />
					</fo:block>
				</fo:table-cell>				
				<fo:table-cell>
					<fo:table keep-together="always">
							<fo:table-column column-width="3.75in"/>
							<fo:table-body>										
									<fo:table-row height="30px">
											<fo:table-cell  xsl:use-attribute-sets="borders-thin">
												<fo:block text-align="center">
													<xsl:if test="$sigimg > ''">
															<fo:external-graphic src="data:image/jpeg;base64,{$sigimg}" content-width="auto" content-height="30px"/>
													</xsl:if>
													<xsl:value-of select="' '" />
												</fo:block>
											</fo:table-cell>								
									</fo:table-row>
									<fo:table-row height="10px">
											<fo:table-cell xsl:use-attribute-sets="summary-headings" 
																		 text-align="left">
												<fo:block xsl:use-attribute-sets="smallprint-8" 
																	text-align="left"
																	font-size="10px">
													<xsl:value-of select="'Customer Signature / Authorization'"/>
												</fo:block>
											</fo:table-cell>								
									</fo:table-row>										
							</fo:table-body>
					</fo:table>
				</fo:table-cell>
			</fo:table-row>
	</fo:table-body>
</fo:table>		
</xsl:template>
</xsl:stylesheet>
