<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: remotereport.xsl,v 1.3 2018-09-04 18:03:02 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
                xmlns:saxon="http://saxon.sf.net/"
								xmlns:util="java:com.psasoft.reports.util.ReportUtilities"
								exclude-result-prefixes="java" 
								extension-element-prefixes="saxon"
								version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>  
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="' '"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set-landscape-small-no-header"/>
		<xsl:call-template name="make-body-landscape-no-header"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:variable name="rpt" select="util:getRemoteReportXML($storageid)" />
	<xsl:if test="not(exists($rpt))">
		<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
			No Report Information Found
		</fo:block>
	</xsl:if>
	<xsl:for-each select="$rpt/report/*">
		
		<xsl:choose>
			<xsl:when test="name() = 'page'">
					<fo:block break-after="page" />
			</xsl:when>
			<xsl:when test="name() = 'line' and string-length() &gt; 0">
					<fo:block 
								keep-together="always" 
								font-family="Courier,monospace"
								font-size="9px"
								line-height="4.5px"
								space-before="0px"
								space-after="0px"
								margin-top="0px"
								margin-bottom="0px"
								padding-top="0px"
								padding-bottom="0px"
								linefeed-treatment="preserve" 
								white-space-collapse="false"
								white-space-treatment="preserve">
							<xsl:value-of select="." disable-output-escaping="yes"/>
					</fo:block>
			</xsl:when>
			<xsl:when test="name() = 'line' and string-length() &lt;= 0">
					<fo:block 
								keep-together="always" 
								font-family="Courier,monospace"
								font-size="9px"
								line-height="4.5px"
								space-before="0px"
								space-after="0px"
								margin-top="0px"
								margin-bottom="0px"
								padding-top="0px"
								padding-bottom="0px"
								linefeed-treatment="preserve" 
								white-space-collapse="false"
								white-space-treatment="preserve">
							<xsl:value-of select="' '"/>
					</fo:block>
			</xsl:when>
		</xsl:choose>
	</xsl:for-each>

<!--
	<xsl:variable name="rpt" select="util:getRemoteReport($storageid)" />
	<xsl:if test="not(exists($rpt))">
		<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
			No Report Information Found
		</fo:block>
	</xsl:if>
	<xsl:for-each select="$rpt">
		<xsl:if test="position() &gt; 1">
				<fo:block break-after="page" />
		</xsl:if>	
		<fo:block 
					keep-together="always" 
					font-family="Courier,monospace"
					font-size="8px"
					line-height="6px"
					space-before="0px"
					space-after="0px"
					margin-top="0px"
					margin-bottom="0px"
					padding-top="0px"
					padding-bottom="0px"
					linefeed-treatment="preserve" 
					white-space-collapse="false"
					white-space-treatment="preserve">
				<xsl:value-of select="."/>
		</fo:block>
	</xsl:for-each> -->
</xsl:template>

</xsl:stylesheet>






