<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: rerateinquiry.xsl,v 1.4 2014-08-12 19:18:19 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>  
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Re-Rate Inquiry'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set"/>
		<xsl:call-template name="make-body"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:call-template name="account">
		<xsl:with-param name="row" select="/all_results/results[@name = 'acct']/row"/>
	</xsl:call-template>
	<xsl:if test="/all_results/results[@name='sum']/row">
			<fo:block xsl:use-attribute-sets="category-label">														
				 <xsl:value-of select="'Account Level'" />
			</fo:block>
			<fo:table table-layout="fixed" width="100%" space-before="16px">
				<fo:table-column column-width="1.25in" />
				<fo:table-column column-width="1.25in" />
				<fo:table-column column-width="1.25in" />		
				<fo:table-header>
						<fo:table-row keep-with-next="always">
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Profit or Loss</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Difference</fo:block>
								</fo:table-cell>
							</fo:table-row>
					</fo:table-header>					
					<fo:table-body>
						<xsl:for-each select="/all_results/results[@name='sum']/row">    
								<fo:table-row>									
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:call-template name="date4parm">
													<xsl:with-param name="cc" select="./cublcc"/>
													<xsl:with-param name="yy" select="./cublyy"/>
													<xsl:with-param name="mm" select="./cublmm"/>
													<xsl:with-param name="dd" select="./cubldd"/>
												</xsl:call-template>										
											</fo:block>
										</fo:table-cell>		
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<xsl:choose>
												<xsl:when test="./diff &gt; 0">
													<fo:block>
														<xsl:value-of select="'Profit'"/>
													</fo:block>
												</xsl:when>
												<xsl:otherwise>
													<fo:block color="red">
														<xsl:value-of select="'Loss'"/>
													</fo:block>										
												</xsl:otherwise>
											</xsl:choose>
										</fo:table-cell>									
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
											<xsl:choose>
												<xsl:when test="./diff &gt; 0">
													<fo:block>
														<xsl:value-of select="format-number(./diff, '$ ##,###,##0.00;$ -#,###,##0.00')"/>
													</fo:block>
												</xsl:when>
												<xsl:otherwise>
													<fo:block color="red">
														<xsl:value-of select="format-number(./diff, '$ ##,###,##0.00;$ -#,###,##0.00')"/>
													</fo:block>										
												</xsl:otherwise>
											</xsl:choose>									
										</fo:table-cell>																		
								</fo:table-row>		
						 </xsl:for-each>
						</fo:table-body>
				</fo:table> 	
	</xsl:if>
	<xsl:if test="/all_results/results[@name='detail']/row">
			<fo:block xsl:use-attribute-sets="category-label" space-before="20px">														
				 <xsl:value-of select="'Service Level'" />
			</fo:block>
			<fo:table table-layout="fixed" width="100%" space-before="16px">
				<fo:table-column column-width="1.25in" />
				<fo:table-column column-width="1.25in" />
				<fo:table-column column-width="1.25in" />
				<fo:table-column column-width="1.25in" />		
				<fo:table-header>
						<fo:table-row keep-with-next="always">
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Service Number</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Profit or Loss</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Difference</fo:block>
								</fo:table-cell>
							</fo:table-row>
					</fo:table-header>					
					<fo:table-body>
						<xsl:for-each select="/all_results/results[@name='detail']/row">    
								<fo:table-row>									
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:call-template name="date4parm">
													<xsl:with-param name="cc" select="./cublcc"/>
													<xsl:with-param name="yy" select="./cublyy"/>
													<xsl:with-param name="mm" select="./cublmm"/>
													<xsl:with-param name="dd" select="./cubldd"/>
												</xsl:call-template>										
											</fo:block>
										</fo:table-cell>		
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:call-template name="phone">
													<xsl:with-param name="npa" select="./bnpa"/>
													<xsl:with-param name="nxx" select="./bnxx"/>
													<xsl:with-param name="line" select="./bline"/>
												</xsl:call-template>
											</fo:block>
										</fo:table-cell>		
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<xsl:choose>
												<xsl:when test="./diff &gt; 0">
													<fo:block>
														<xsl:value-of select="'Profit'"/>
													</fo:block>
												</xsl:when>
												<xsl:otherwise>
													<fo:block color="red">
														<xsl:value-of select="'Loss'"/>
													</fo:block>										
												</xsl:otherwise>
											</xsl:choose>
										</fo:table-cell>									
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
											<xsl:choose>
												<xsl:when test="./diff &gt; 0">
													<fo:block>
														<xsl:value-of select="format-number(./diff, '$ ##,###,##0.00;$ -#,###,##0.00')"/>
													</fo:block>
												</xsl:when>
												<xsl:otherwise>
													<fo:block color="red">
														<xsl:value-of select="format-number(./diff, '$ ##,###,##0.00;$ -#,###,##0.00')"/>
													</fo:block>										
												</xsl:otherwise>
											</xsl:choose>									
										</fo:table-cell>																		
								</fo:table-row>		
						 </xsl:for-each>
						</fo:table-body>
				</fo:table>   		
		</xsl:if>
		<xsl:if test="not(/all_results/results[@name='sum']/row or /all_results/results[@name='detail']/row)">
				<fo:block xsl:use-attribute-sets="component-1">No data found for report</fo:block>
		</xsl:if>
</xsl:template>

</xsl:stylesheet>






