<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: salecounts.xsl,v 1.4 2014-08-12 19:18:20 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Sale Counts'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set"/>
		<xsl:call-template name="make-body"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<fo:table table-layout="fixed" width="100%" space-before="16px">
			<fo:table-column column-width="3.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-header>
					<fo:table-row keep-with-next="always">
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>User</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Year</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Month</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Quantity Sold</fo:block>
							</fo:table-cell>
					</fo:table-row>
			</fo:table-header>					
			<fo:table-body>
					<xsl:for-each select="/all_results/results/row">
					  <xsl:variable name="pos" select="position() - 1"/>
						<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								  <xsl:if test="$pos = 0 or /all_results/results/row[position() = $pos]/name != ./name">
										<fo:block>
													<xsl:value-of select="./name"/>
										</fo:block>
									</xsl:if>
								</fo:table-cell>										
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">									
									<fo:block>
												<xsl:value-of select="./saleyear"/>
									</fo:block>
								</fo:table-cell>										
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">									
									<fo:block>
												<xsl:value-of select="./salemonth"/>
									</fo:block>
								</fo:table-cell>										
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
												<xsl:value-of select="./saleqty"/>
									</fo:block>
								</fo:table-cell>	
							</fo:table-row>								
				 </xsl:for-each>
				</fo:table-body>
		</fo:table>				 
</xsl:template>
</xsl:stylesheet>






