<?xml version="1.0" encoding="utf-8"?>
	<!-- $Id: saledetail_by_saleby.xsl,v 1.9 2014-08-12 18:44:27 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format" 
				xmlns:saxon="http://saxon.sf.net/" 
				xmlns:java="http://xml.apache.org/xslt/java"
				extension-element-prefixes="saxon" 
				exclude-result-prefixes="java" 
				version="2.0">


	<xsl:import href="Literal.xsl" />
	<xsl:import href="Format.xsl" />
	<xsl:variable name="totretailsold" select="0" saxon:assignable="yes" />
	<xsl:variable name="totcostsold" select="0" saxon:assignable="yes" />
	<xsl:variable name="totretailrtn" select="0" saxon:assignable="yes" />
	<xsl:variable name="totcostrtn" select="0" saxon:assignable="yes" />

	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
	<xsl:variable name="title" select="concat('Sales Detail By Salesperson ', $sold_date[1], ' to ', $sold_date[2])" />

	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

			<xsl:call-template name="make-layout-master-set-landscape" />
			<xsl:call-template name="make-body-landscape" />
		</fo:root>
	</xsl:template>

	<xsl:template name="body_process">

		<xsl:choose>
			<xsl:when test="$report_type = 1 and exists(/all_results/results[@name = 'soldbysum']/row)">
				<xsl:for-each-group select="/all_results/results[@name = 'soldbysum']/row" group-by="normalize-space(soldby)">
					<xsl:variable name="soldby" select="normalize-space(current-group()[position() = 1]/soldby)" />
					<fo:table table-layout="fixed" width="100%" space-before="8px">
						<fo:table-column column-width="0.5in" />
						<fo:table-column column-width="0.5in" />
						<fo:table-column column-width="2.0in" />
						<fo:table-column column-width="0.75in" />
						<fo:table-header>
							<fo:table-row>
								<fo:table-cell>
									<fo:block>
										<xsl:value-of select="' '" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings" text-align="left" number-columns-spanned="3">
									<fo:block>
										Salesperson:
										<xsl:value-of select="$soldby" />
										Sold Counts
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row>
								<fo:table-cell>
									<fo:block>
										<xsl:value-of select="' '" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Item Code</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Item</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Total Sold</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-header>
						<fo:table-body>
							<xsl:for-each select="/all_results/results[@name = 'soldbysum']/row[normalize-space(soldby) = $soldby]">
								<fo:table-row>
									<fo:table-cell>
										<fo:block>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<xsl:choose>
											<xsl:when test="./externalcd != ''">
												<fo:block>
													<xsl:value-of select="./externalcd" />
												</fo:block>
											</xsl:when>
											<xsl:otherwise>
												<fo:block>
													<xsl:value-of select="./unitcode" />
												</fo:block>
											</xsl:otherwise>
										</xsl:choose>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block>
											<xsl:value-of select="./itemdesc" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./soldcount, '##,###,##0')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</xsl:for-each>
						</fo:table-body>
					</fo:table>					
				</xsl:for-each-group>
			</xsl:when>		
			<xsl:when test="$report_type = 2 and exists(/all_results/results[@name = 'detail']/row)">
				<xsl:for-each-group select="/all_results/results[@name = 'detail']/row" group-by="normalize-space(soldby)">
					<xsl:variable name="soldby" select="normalize-space(current-group()[position() = 1]/soldby)" />

					<saxon:assign name="totretailsold" select="0" />
					<saxon:assign name="totcostsold" select="0" />
					<saxon:assign name="totretailrtn" select="0" />
					<saxon:assign name="totcostrtn" select="0" />

					<fo:table table-layout="fixed" width="100%" space-before="16px">
						<fo:table-column column-width="0.5in" />
						<fo:table-column column-width="1.3in" />
						<fo:table-column column-width="1.5in" />
						<fo:table-column column-width="1.3in" />
						<fo:table-column column-width="0.73in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="1.5in" />
						<fo:table-column column-width="0.75in" />
						<fo:table-column column-width="0.75in" />
						<fo:table-column column-width="0.75in" />
						<fo:table-header>
							<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-headings" text-align="left" number-columns-spanned="10">
									<fo:block>
										Salesperson:
										<xsl:value-of select="$soldby" />
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Item Code</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Item</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Item Serial#</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Location</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Status</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Sold/Rtn Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Invoice Number</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Item Cost</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Retail Price</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Sold Price</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-header>
						<fo:table-body>
							<xsl:for-each select="/all_results/results[@name = 'detail']/row[normalize-space(soldby) = $soldby]">
								<xsl:variable name="unitid" select="./unitid" />
								<xsl:variable name="cost" >
									<xsl:choose>
									<xsl:when test="/all_results/results[@name = 'costprices']/row[unitid = $unitid]">
										<xsl:value-of select="/all_results/results[@name = 'costprices']/row[unitid = $unitid]/unitamt" />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="0" />
									</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:variable name="retail" >
									<xsl:choose>
									<xsl:when test="/all_results/results[@name = 'retailprices']/row[unitid = $unitid]">
										<xsl:value-of select="/all_results/results[@name = 'retailprices']/row[unitid = $unitid]/unitamt" />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="0" />
									</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:if test="./status = 2 or (./status = 8 and ./soldperiod = 1)">
									<xsl:if test="exists($retail)">
										<saxon:assign name="totretailsold" select="$totretailsold + $retail" />
									</xsl:if>
									<xsl:if test="exists($cost)">
										<saxon:assign name="totcostsold" select="$totcostsold + $cost" />
									</xsl:if>
								</xsl:if>
								<xsl:if test="./status = 8">
									<xsl:if test="exists($retail)">
										<saxon:assign name="totretailrtn" select="$totretailrtn + $retail" />
									</xsl:if>
									<xsl:if test="exists($cost)">
										<saxon:assign name="totcostrtn" select="$totcostrtn + $cost" />
									</xsl:if>
								</xsl:if>
								<fo:table-row>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<xsl:choose>
											<xsl:when test="./externalcd != ''">
												<fo:block>
													<xsl:value-of select="./externalcd" />
												</fo:block>
											</xsl:when>
											<xsl:otherwise>
												<fo:block>
													<xsl:value-of select="./unitcode" />
												</fo:block>
											</xsl:otherwise>
										</xsl:choose>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block>
											<xsl:value-of select="./itemdesc" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block>
											<fo:inline space-end="0.2in" space-start.precedence="force">
												<xsl:value-of select="./serialno2" />
												<xsl:if test="normalize-space(./serialno)">
													<xsl:value-of select="' (S#: '" />
													<xsl:value-of select="./serialno" />
													<xsl:value-of select="')'" />
												</xsl:if>
												<xsl:value-of select="' '" />
											</fo:inline>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block>
											<xsl:value-of select="./subloc1" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<xsl:choose>
										<xsl:when test="./status = '8'">
											<fo:block>
												<xsl:value-of select="'Return'" />
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<fo:block>
												<xsl:value-of select="'Sold'" />
											</fo:block>
										</xsl:otherwise>
										</xsl:choose>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<xsl:choose>
										<xsl:when test="./status = '8'">
											<fo:block>
												<xsl:value-of select="'S: '" />
												<xsl:value-of select="./saledate" />
											</fo:block>
											<fo:block>
												<xsl:value-of select="'R: '" />
												<xsl:value-of select="./rtndate" />
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<fo:block>
												<xsl:value-of select="'S: '" />
												<xsl:value-of select="./saledate" />
											</fo:block>
										</xsl:otherwise>
										</xsl:choose>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./salerefno" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="' '" />
											<xsl:if test="exists($cost)">
												<xsl:value-of select="format-number($cost, '##,###,##0.00')" />
											</xsl:if>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="' '" />
											<xsl:if test="exists($retail)">
												<xsl:value-of select="format-number($retail, '##,###,##0.00')" />
											</xsl:if>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./saleprice, '##,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</xsl:for-each>
							<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-cells" number-columns-spanned="7" text-align="left">
									<fo:block>Total Sold</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number($totcostsold, '##,###,##0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number($totretailsold, '##,###,##0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'detail']/row[normalize-space(soldby) = $soldby and (./status = 2 or (./status = 8 and ./soldperiod = 1))]/saleprice), '##,###,##0.00')" />
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-cells" number-columns-spanned="7" text-align="left">
									<fo:block>Total Returned</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number($totcostrtn, '##,###,##0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number($totretailrtn, '##,###,##0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(sum(/all_results/results[@name = 'detail']/row[normalize-space(soldby) = $soldby and ./status = 8]/saleprice), '##,###,##0.00')" />
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>

					<fo:table table-layout="fixed" width="100%" space-before="8px">
						<fo:table-column column-width="0.5in" />
						<fo:table-column column-width="0.5in" />
						<fo:table-column column-width="1.5in" />
						<fo:table-column column-width="0.5in" />
						<fo:table-column column-width="0.75in" />
						<fo:table-column column-width="0.75in" />
						<fo:table-column column-width="0.75in" />
						<fo:table-column column-width="0.5in" />
						<fo:table-column column-width="0.75in" />
						<fo:table-column column-width="0.75in" />
						<fo:table-column column-width="0.75in" />
						<fo:table-header>
							<fo:table-row>
								<fo:table-cell>
									<fo:block>
										<xsl:value-of select="' '" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings" text-align="left" number-columns-spanned="10">
									<fo:block>
										Salesperson:
										<xsl:value-of select="$soldby" />
										Sold Counts
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row>
								<fo:table-cell>
									<fo:block>
										<xsl:value-of select="' '" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Item Code</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Item</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Total Sold</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Item Cost</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Retail Price</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Sold Price</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Total Rtn</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Return Item Cost</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Return Retail Price</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Return @ Sold Price</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-header>
						<fo:table-body>
							<xsl:for-each select="/all_results/results[@name = 'soldbysum']/row[normalize-space(soldby) = $soldby]">
								<xsl:variable name="unitid" select="./unitid" />
								<xsl:variable name="cost" >
									<xsl:choose>
									<xsl:when test="/all_results/results[@name = 'costprices']/row[unitid = $unitid]">
										<xsl:value-of select="/all_results/results[@name = 'costprices']/row[unitid = $unitid]/unitamt" />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="0" />
									</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:variable name="retail" >
									<xsl:choose>
									<xsl:when test="/all_results/results[@name = 'retailprices']/row[unitid = $unitid]">
										<xsl:value-of select="/all_results/results[@name = 'retailprices']/row[unitid = $unitid]/unitamt" />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="0" />
									</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<fo:table-row>
									<fo:table-cell>
										<fo:block>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<xsl:choose>
											<xsl:when test="./externalcd != ''">
												<fo:block>
													<xsl:value-of select="./externalcd" />
												</fo:block>
											</xsl:when>
											<xsl:otherwise>
												<fo:block>
													<xsl:value-of select="./unitcode" />
												</fo:block>
											</xsl:otherwise>
										</xsl:choose>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block>
											<xsl:value-of select="./itemdesc" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./soldcount, '##,###,##0')" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number($cost * ./soldcount, '##,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number($retail * ./soldcount, '##,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./saleprice, '##,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./rtncount, '##,###,##0')" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number($cost * ./rtncount, '##,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number($retail * ./rtncount, '##,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./rtnprice, '##,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</xsl:for-each>
						</fo:table-body>
					</fo:table>
				</xsl:for-each-group>
			</xsl:when>
			<xsl:otherwise>
				<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
					No Information Found
				</fo:block>
			</xsl:otherwise>
		</xsl:choose>

		<xsl:if test="exists(/all_results/results[@name = 'finalsum']/row)">
				<fo:table table-layout="fixed" width="100%" space-before="8px">
					<fo:table-column column-width="0.5in" />
					<fo:table-column column-width="1.5in" />
					<fo:table-column column-width="0.5in" />
					<fo:table-column column-width="0.75in" />
					<fo:table-column column-width="0.75in" />
					<fo:table-column column-width="0.75in" />
					<fo:table-column column-width="0.5in" />
					<fo:table-column column-width="0.75in" />
					<fo:table-column column-width="0.75in" />
					<fo:table-column column-width="0.75in" />
					<fo:table-header>
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-headings" text-align="left" number-columns-spanned="10">
								<fo:block>
									Final Sold Counts
												</fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Item Code</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Item</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Total Sold</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Item Cost</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Retail Price</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Sold Price</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Total Rtn</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Return Item Cost</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Return Retail Price</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Return @ Sold Price</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-header>
					<fo:table-body>
						<xsl:for-each select="/all_results/results[@name = 'finalsum']/row">
							<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
									<xsl:choose>
										<xsl:when test="./externalcd != ''">
											<fo:block>
												<xsl:value-of select="./externalcd" />
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<fo:block>
												<xsl:value-of select="./unitcode" />
											</fo:block>
										</xsl:otherwise>
									</xsl:choose>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
									<fo:block>
										<xsl:value-of select="./itemdesc" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(./soldcount, '##,###,##0')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number($totcostsold, '##,###,##0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number($totretailsold, '##,###,##0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(./saleprice, '##,###,##0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(./rtncount, '##,###,##0')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number($totcostrtn, '##,###,##0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number($totretailrtn, '##,###,##0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
									<fo:block>
										<xsl:value-of select="format-number(./rtnprice, '##,###,##0.00')" />
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</xsl:for-each>
					</fo:table-body>
				</fo:table>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>






