<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
								xmlns:fo="http://www.w3.org/1999/XSL/Format" 
								xmlns:java="http://xml.apache.org/xslt/java" 
								exclude-result-prefixes="java" 
								version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="'Sales Taxes Report'" />
    
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape" />
            <xsl:call-template name="make-body-landscape" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
				<fo:table table-layout="fixed" width="100%" space-before="16px">
						<fo:table-column column-width="0.7in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="0.7in" />
						<fo:table-column column-width="1.25in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="0.5in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="0.7in" />
						<fo:table-column column-width="0.7in" />
						<fo:table-column column-width="0.7in" />
						<fo:table-column column-width="0.7in" />
						<fo:table-header>
								<fo:table-row keep-with-next="always">
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>
												User Id	
												</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>
												P.O.S. Reg
												</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>
												Date	
												</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>
												Customer Name	
												</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>
												Account#	
												</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>
												Mobile (MDN)	
												</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>
												Item Code	
												</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>
												Item Description	 
												</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>
												Item Cost
												</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>
												Receive Price
												</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>
												Sale Price 	
												</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-headings">
												<fo:block>
												Total Taxes
												</fo:block>
										</fo:table-cell>
								</fo:table-row>
					  </fo:table-header>
					  <fo:table-body>
							<xsl:for-each-group select="/all_results/results[@name = 'data']/row" group-by="./ptrusr">
								
								<xsl:for-each select="current-group()">
									<fo:table-row>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
												<fo:block>
														<xsl:value-of select="./ptrusr" />
												</fo:block>
											</fo:table-cell>	
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
												<fo:block>
														<xsl:value-of select="./drwnam" />
												</fo:block>
											</fo:table-cell>	
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
												<fo:block>
														<xsl:value-of select="format-number(./trmonth, '00')" />
														<xsl:value-of select="'/'" />
														<xsl:value-of select="format-number(./trday, '00')" />
														<xsl:value-of select="'/'" />
														<xsl:value-of select="./tryear" />
												</fo:block>
											</fo:table-cell>	
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
												<fo:block>
														<xsl:value-of select="./fname" />
														<xsl:value-of select="' '" />
														<xsl:value-of select="./lname" />
												</fo:block>
											</fo:table-cell>	
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
												<fo:block>
													<xsl:if test="./cycle &gt; 0 and ./acct &gt; 0">
														<xsl:value-of select="format-number(./cycle, '000')" />
														<xsl:value-of select="'-'" />
														<xsl:value-of select="format-number(./acct, '000000')" />
													</xsl:if>
												</fo:block>
											</fo:table-cell>	
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
												<fo:block>
													<xsl:if test="./cnpa &gt; 0 and ./cnxx &gt; 0 and ./cline &gt; 0">
														<xsl:value-of select="format-number(./cnpa, '000')" />
														<xsl:value-of select="'-'" />
														<xsl:value-of select="format-number(./cnxx, '000')" />
														<xsl:value-of select="'-'" />
														<xsl:value-of select="format-number(./cline, '0000')" />
													</xsl:if>
												</fo:block>
											</fo:table-cell>	
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
												<fo:block>
														<xsl:value-of select="./itemcode" />
												</fo:block>
											</fo:table-cell>	
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
												<fo:block>
														<xsl:value-of select="./itemdesc" />
												</fo:block>
											</fo:table-cell>	
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
												<fo:block>
														<xsl:value-of select="format-number(./cost, '##,##0.00')" />
												</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
												<fo:block>
														<xsl:value-of select="format-number(./rcvprice, '##,##0.00')" />
												</fo:block>
											</fo:table-cell>											
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
												<fo:block>
														<xsl:value-of select="format-number(./itemamt, '##,##0.00')" />
												</fo:block>
											</fo:table-cell>	
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
												<fo:block>
														<xsl:value-of select="format-number(./tottax, '##,##0.00')" />
												</fo:block>
											</fo:table-cell>												
										</fo:table-row>
									</xsl:for-each>
									<fo:table-row>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" number-columns-spanned="8">
												<fo:block>
														<xsl:value-of select="'Total for '" />
														<xsl:value-of select="current-group()/ptrusr" />
												</fo:block>
											</fo:table-cell>	
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
												<fo:block>
														<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row[ptrusr = current-group()/ptrusr]/cost), '##,##0.00')" />
												</fo:block>
											</fo:table-cell>	
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
												<fo:block>
														<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row[ptrusr = current-group()/ptrusr]/rcvprice), '##,##0.00')" />
												</fo:block>
											</fo:table-cell>	
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
												<fo:block>
														<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row[ptrusr = current-group()/ptrusr]/itemamt), '##,##0.00')" />
												</fo:block>
											</fo:table-cell>	
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
												<fo:block>
														<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row[ptrusr = current-group()/ptrusr]/tottax), '##,##0.00')" />
												</fo:block>
											</fo:table-cell>												
										</fo:table-row>
								</xsl:for-each-group>
								<fo:table-row>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" number-columns-spanned="8">
										<fo:block>
												<xsl:value-of select="'Total '" />
										</fo:block>
									</fo:table-cell>	
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
												<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row/cost), '##,##0.00')" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
												<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row/rcvprice), '##,##0.00')" />
										</fo:block>
									</fo:table-cell>									
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
												<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row/itemamt), '##,##0.00')" />
										</fo:block>
									</fo:table-cell>	
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
												<xsl:value-of select="format-number(sum(/all_results/results[@name = 'data']/row/tottax), '##,##0.00')" />
										</fo:block>
									</fo:table-cell>												
								</fo:table-row>								
						</fo:table-body>
				</fo:table>
    </xsl:template>
</xsl:stylesheet>
