<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: serialtrace.xsl,v 1.12 2013-12-23 16:03:54 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
                xmlns:word="java:org.apache.commons.lang.WordUtils"
				exclude-result-prefixes="java" version="2.0">
	<xsl:import href="Literal.xsl" />
	<xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />
	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
	<xsl:variable name="title" select="'Serial History'" />

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
		<xsl:call-template name="make-layout-master-set-landscape" />
		<xsl:call-template name="make-body-landscape" />
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:choose>
	<xsl:when test="exists(/all_results/results[@name = 'mastdtl']/row)">
	    <xsl:variable name="serialno2" select="/all_results/results[@name = 'mastdtl']/row[position() = 1]/serialno2" />
	    <xsl:variable name="serialno" select="/all_results/results[@name = 'mastdtl']/row[position() = 1]/serialno" />
	    <xsl:variable name="serial2typ" select="/all_results/results[@name = 'mastdtl']/row[position() = 1]/serial2typ" />
		<xsl:variable name="unitid" select="/all_results/results[@name = 'mastdtl']/row[position() = 1]/unitid" />
		<xsl:variable name="actpin" select="/all_results/results[@name = 'mastdtl']/row[position() = 1]/actpin" />
		<xsl:variable name="npa" select="/all_results/results[@name = 'mastdtl']/row[position() = 1]/npa" />
		<xsl:variable name="nxx" select="/all_results/results[@name = 'mastdtl']/row[position() = 1]/nxx" />
		<xsl:variable name="line" select="/all_results/results[@name = 'mastdtl']/row[position() = 1]/line" />
		<xsl:variable name="serialno">
			<xsl:call-template name="formatserial">
				<xsl:with-param name="serial" select="$serialno2" />
				<xsl:with-param name="serial0" select="$serialno" />
				<xsl:with-param name="serial2typ" select="$serial2typ" />
				<xsl:with-param name="unitid" select="$unitid" />
				<xsl:with-param name="actpin" select="$actpin" />
				<xsl:with-param name="npa" select="$npa" />
				<xsl:with-param name="nxx" select="$nxx" />
				<xsl:with-param name="line" select="$line" />
			</xsl:call-template>
		</xsl:variable>
		<fo:block xsl:use-attribute-sets="summary-headings" >
			<xsl:value-of select="'Serial Number: '" />
			<xsl:value-of select="$serialno" />
		</fo:block>
		<fo:block xsl:use-attribute-sets="summary-headings" >
			<xsl:value-of select="'Item Description: '" />
			<xsl:value-of select="/all_results/results[@name = 'mastdtl']/row[position() = 1]/item" />
		</fo:block>
		<fo:block xsl:use-attribute-sets="summary-headings" >
			<xsl:value-of select="' Manufacturer: '" />
			<xsl:value-of select="/all_results/results[@name = 'mastdtl']/row[position() = 1]/manu" />
		</fo:block>
		<fo:block xsl:use-attribute-sets="summary-headings" >
			<xsl:value-of select="'Model: '" />
			<xsl:value-of select="/all_results/results[@name = 'mastdtl']/row[position() = 1]/model" />
		</fo:block>
		<fo:block xsl:use-attribute-sets="summary-headings" >
			<xsl:value-of select="'Unit Code: '" />
			<xsl:value-of select="/all_results/results[@name = 'mastdtl']/row[position() = 1]/unitcode" />
		</fo:block>
		<fo:block xsl:use-attribute-sets="summary-headings" >
			<xsl:value-of select="'Billing Id: '" />
			<xsl:value-of select="/all_results/results[@name = 'mastdtl']/row[position() = 1]/externalcd" />
		</fo:block>				
		<fo:table table-layout="fixed" width="100%" space-before="16px">
			<xsl:call-template name="header">
			</xsl:call-template>										
			<fo:table-body>
				<xsl:for-each select="/all_results/results[@name='mastdtl']/row"> 
				<xsl:sort select="statuschdt" />
					<xsl:if test="position() = 1">
						<xsl:call-template name="detail">
							<xsl:with-param name="unitqty" select="./unitqty" />
							<xsl:with-param name="status" select="1" />
							<xsl:with-param name="actiondate" select="./rcvdate" />
							<xsl:with-param name="action" select="'Received'" />
							<xsl:with-param name="actionby" select="./rcvbyname" />
							<xsl:with-param name="actionprice" select="./rcvprice" />
							<xsl:with-param name="actionref" select="./pono" />
							<xsl:with-param name="company" select="./company" />
							<xsl:with-param name="location" select="./location" />
						</xsl:call-template>
					</xsl:if>							
					<xsl:if test="./saleby &gt; 0 and ./status != 5">
						<xsl:call-template name="detail">
							<xsl:with-param name="unitqty" select="./unitqty" />
							<xsl:with-param name="status" select="2" />
							<xsl:with-param name="actiondate" select="./saledate" />
							<xsl:with-param name="action" select="'Sold'" />
							<xsl:with-param name="actionby" select="./salebyname" />
							<xsl:with-param name="actionprice" select="./saleprice" />
							<xsl:with-param name="actionref" select="./salerefno" />
							<xsl:with-param name="company" select="./company" />
							<xsl:with-param name="location" select="./location" />
						</xsl:call-template>
					</xsl:if>							
					<xsl:if test="./status = 8 and ./rtnby &gt; 0">
						<xsl:call-template name="detail">
							<xsl:with-param name="unitqty" select="./unitqty" />
							<xsl:with-param name="status" select="8" />
							<xsl:with-param name="actiondate" select="./rtndate" />
							<xsl:with-param name="action" select="'Returned'" />
							<xsl:with-param name="actionby" select="./rtnbyname" />
							<xsl:with-param name="actionprice" select="./rtnprice" />
							<xsl:with-param name="actionref" select="./salerefno" />
							<xsl:with-param name="company" select="./company" />
							<xsl:with-param name="location" select="./location" />
						</xsl:call-template>
					</xsl:if>							
					<xsl:if test="./status = '5'">
						<xsl:call-template name="detail">
							<xsl:with-param name="unitqty" select="./unitqty" />
							<xsl:with-param name="status" select="./status" />
							<xsl:with-param name="actiondate" select="./statuschdt" />
							<xsl:with-param name="action" select="'Transferred'" />
							<xsl:with-param name="actionby" select="./updatebyname" />
							<xsl:with-param name="actionprice" select="./rcvprice" />
							<xsl:with-param name="actionref" select="./salerefno" />
							<xsl:with-param name="company" select="./company" />
							<xsl:with-param name="location" select="./location" />
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="./saleby = 0 and ./rtnby = 0 and ./status != 5 and ./status != 8 and ./unitqty &gt; 0">
						<xsl:call-template name="detail">
							<xsl:with-param name="unitqty" select="./unitqty" />
							<xsl:with-param name="status" select="./status" />
							<xsl:with-param name="actiondate" select="./statuschdt" />
							<xsl:with-param name="action" select="'On Hand'" />
							<xsl:with-param name="actionby" select="./updatebyname" />
							<xsl:with-param name="actionprice" select="./rcvprice" />
							<xsl:with-param name="actionref" select="./salerefno" />
							<xsl:with-param name="company" select="./company" />
							<xsl:with-param name="location" select="./location" />
						</xsl:call-template>
					</xsl:if>					
					<xsl:if test="./saleby = 0 and ./rtnby = 0 and ./status != 5 and ./status != 8 and ./unitqty &lt;= 0">
						<xsl:call-template name="detail">
							<xsl:with-param name="unitqty" select="./unitqty" />
							<xsl:with-param name="status" select="./status" />
							<xsl:with-param name="actiondate" select="./statuschdt" />
							<xsl:with-param name="action" select="'Other'" />
							<xsl:with-param name="actionby" select="./updatebyname" />
							<xsl:with-param name="actionprice" select="./rcvprice" />
							<xsl:with-param name="actionref" select="./salerefno" />
							<xsl:with-param name="company" select="./company" />
							<xsl:with-param name="location" select="./location" />
						</xsl:call-template>
					</xsl:if>												
				</xsl:for-each>
			</fo:table-body>
		</fo:table>			
	</xsl:when>
	<xsl:otherwise>
		<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
			No Information Found For Serial
		</fo:block>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="header">
	
	<fo:table-column column-width="0.75in" />
	<fo:table-column column-width="1.00in" />
	<fo:table-column column-width="1.00in" />
	<fo:table-column column-width="1.50in" />
	<fo:table-column column-width="0.75in" />
	<fo:table-column column-width="1.50in" />
	<fo:table-column column-width="2.50in" />
	<fo:table-header>
		<fo:table-row keep-with-next="always">
			<fo:table-cell xsl:use-attribute-sets="table-headings">
					<fo:block>Status Change Date</fo:block>							
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-headings">
					<fo:block>Status</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-headings">
					<fo:block>Action</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-headings">
					<fo:block>Action By</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-headings">
					<fo:block>Action Price</fo:block>
			</fo:table-cell>								
			<fo:table-cell xsl:use-attribute-sets="table-headings">
					<fo:block>Action Ref</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="table-headings">
					<fo:block>Company/Location</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</fo:table-header>
</xsl:template>

<xsl:template name="detail">
	<xsl:param name="unitqty" />
	<xsl:param name="status" />
	<xsl:param name="actiondate" />
	<xsl:param name="action" />
	<xsl:param name="actionby" />
	<xsl:param name="actionprice" />
	<xsl:param name="actionref" />
	<xsl:param name="company" />
	<xsl:param name="location" />
		
	<fo:table-row>
		<fo:table-cell xsl:use-attribute-sets="table-cells" font-size="7px" text-align="center">
			<fo:block>
				<xsl:value-of select="$actiondate" />
			</fo:block>
		</fo:table-cell>										
		<fo:table-cell xsl:use-attribute-sets="table-cells" font-size="7px" text-align="center">
			<fo:block>
				<xsl:call-template name="inventorystatus">
					<xsl:with-param name="status" select="$status" />
					<xsl:with-param name="unitqty" select="$unitqty" />
				</xsl:call-template>
			</fo:block>
		</fo:table-cell>																		
		<fo:table-cell xsl:use-attribute-sets="table-cells" font-size="7px" text-align="center">
			<fo:block>
				<xsl:value-of select="$action"/>
			</fo:block>
		</fo:table-cell>
		<fo:table-cell xsl:use-attribute-sets="table-cells" font-size="7px" text-align="center">
			<fo:block>
				<xsl:value-of select="$actionby"/>
			</fo:block>
		</fo:table-cell>
		<fo:table-cell xsl:use-attribute-sets="table-cells" font-size="7px" text-align="right">
			<fo:block>
				<xsl:value-of select="format-number($actionprice, '##,##0.00')"/>
			</fo:block>
		</fo:table-cell>
		<fo:table-cell xsl:use-attribute-sets="table-cells" font-size="7px" text-align="center">
			<fo:block>
				<xsl:value-of select="$actionref"/>
			</fo:block>
		</fo:table-cell>
		<fo:table-cell xsl:use-attribute-sets="table-cells" font-size="7px" text-align="left">
			<fo:block keep-with-next="always">
				<xsl:value-of select="$company"/>
			</fo:block>
			<fo:block keep-with-previous="always">
				<xsl:value-of select="'     '" />
				<xsl:value-of select="$location"/>
			</fo:block>
		</fo:table-cell>			
	</fo:table-row>		
	<xsl:if test="$status = 2 or $status = 8 or $status = 9">
			<xsl:call-template name="solddetail">
				<xsl:with-param name="unitqty" select="$unitqty" />
				<xsl:with-param name="status" select="$status" />
				<xsl:with-param name="actiondate" select="$actiondate" />
				<xsl:with-param name="action" select="$action" />
				<xsl:with-param name="actionby" select="$actionby" />
				<xsl:with-param name="actionprice" select="$actionprice" />
				<xsl:with-param name="actionref" select="$actionref" />
				<xsl:with-param name="company" select="$company" />
				<xsl:with-param name="location" select="$location" />
			</xsl:call-template>
	</xsl:if>
	<xsl:if test="$status != 1 and $status != 2">
			<xsl:call-template name="transferdetail">
				<xsl:with-param name="unitqty" select="$unitqty" />
				<xsl:with-param name="status" select="$status" />
				<xsl:with-param name="actiondate" select="$actiondate" />
				<xsl:with-param name="action" select="$action" />
				<xsl:with-param name="actionby" select="$actionby" />
				<xsl:with-param name="actionprice" select="$actionprice" />
				<xsl:with-param name="actionref" select="$actionref" />
				<xsl:with-param name="company" select="$company" />
				<xsl:with-param name="location" select="$location" />
			</xsl:call-template>
	</xsl:if>
</xsl:template>

<xsl:template name="solddetail">
	<xsl:param name="unitqty" />
	<xsl:param name="status" />
	<xsl:param name="actiondate" />
	<xsl:param name="action" />
	<xsl:param name="actionby" />
	<xsl:param name="actionprice" />
	<xsl:param name="actionref" />
	<xsl:param name="company" />
	<xsl:param name="location" />

	<xsl:if test="/all_results/results[@name = 'pos']/row[salerefno = $actionref]">
		<xsl:variable name="sold" select="/all_results/results[@name = 'pos']/row[salerefno = $actionref]" />
		<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="table-cells" font-size="7px" number-columns-spanned="7" margin-left="15px" keep-together="always" keep-with-previous="always">
				<xsl:choose>
				<xsl:when test="normalize-space($sold/ptrtyp) = 'RETURN'">
						<fo:block xsl-use-attribute-sets="component-2" keep-with-previous="always" keep-with-next="always">
							<xsl:value-of select="'Returned: '" />
						</fo:block>
				</xsl:when>
				<xsl:otherwise>
						<fo:block xsl-use-attribute-sets="component-2" keep-with-previous="always" keep-with-next="always">
							<xsl:value-of select="'Sold To: '" />
						</fo:block>
				</xsl:otherwise>						
   				</xsl:choose>
   				<fo:table keep-together="always" keep-with-previous="always">
					<fo:table-column column-width="5in" />
					<fo:table-column column-width="4.50in" />
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell keep-together="always" keep-with-previous="always">
							<xsl:if test="$sold/ptcyc = 0 and $sold/ptacct = 0">
								<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px">
										<xsl:value-of select="'Walk-In Sale'" />
								</fo:block>	
							</xsl:if>
							<xsl:if test="$sold/ptcyc != 0 and $sold/ptacct != 0">
								<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px">
										<xsl:value-of select="'Account: '" />
										<xsl:value-of select="format-number($sold/ptcyc, '000')" />
										<xsl:value-of select="'-'" />
										<xsl:value-of select="format-number($sold/ptacct, '0000000')" />
										<xsl:value-of select="'   Name: '" />
										<xsl:value-of select="$sold/fname" />
										<xsl:value-of select="$sold/lname" />							
								</fo:block>	
								<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px">
										<xsl:value-of select="'  Service #:'" />
										<xsl:call-template name="phone">
											<xsl:with-param name="npa" select="$sold/ptnpa"/>
											<xsl:with-param name="nxx" select="$sold/ptnxx"/>
											<xsl:with-param name="line" select="$sold/ptline"/>
										</xsl:call-template>
										<xsl:if test="$sold/ptdccc != 0 and $sold/ptdcmm != 0 and $sold/ptdcdd != 0">
											<xsl:value-of select="'  Disconnect Date:'" />
											<fo:inline>
												<xsl:call-template name="date4parm">
													<xsl:with-param name="cc" select="$sold/ptdccc"/>
													<xsl:with-param name="yy" select="$sold/ptdcyy"/>
													<xsl:with-param name="mm" select="$sold/ptdcmm"/>
													<xsl:with-param name="dd" select="$sold/ptdcdd"/>
												</xsl:call-template>													
											</fo:inline>
										</xsl:if>  
										<xsl:value-of select="'   Name: '" />
										<xsl:value-of select="$sold/bdisc" />
								</fo:block>	
							</xsl:if>
						</fo:table-cell>
						<fo:table-cell keep-together="always" keep-with-previous="always">
							<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px">
									<xsl:value-of select="'Drawer: '" />
									<xsl:value-of select="$sold/drwnam" />
									<xsl:value-of select="' ('" />
									<xsl:value-of select="$sold/ptrusr" />
									<xsl:value-of select="')'" />							
							</fo:block>	
							<xsl:if test="normalize-space($sold/fullnm) &gt; ''">
								<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px">
										<xsl:value-of select="'Invoice Name: '" />
										<xsl:value-of select="$sold/fullnm" />							
								</fo:block>	
							</xsl:if>
							<xsl:if test="normalize-space($sold/bill) = 'Y'">
								<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px">
										<xsl:value-of select="'Billed To Account '" />
								</fo:block>	
							</xsl:if>
							<xsl:if test="normalize-space($sold/spdesc) &gt; ''">
								<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px">
										<xsl:value-of select="'Description: '" />
										<xsl:value-of select="$sold/spdesc" />							
								</fo:block>	
							</xsl:if>				
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
				</fo:table>
			</fo:table-cell>
		</fo:table-row>		
	</xsl:if>
</xsl:template>

<xsl:template name="transferdetail">
	<xsl:param name="unitqty" />
	<xsl:param name="status" />
	<xsl:param name="actiondate" />
	<xsl:param name="action" />
	<xsl:param name="actionby" />
	<xsl:param name="actionprice" />
	<xsl:param name="actionref" />
	<xsl:param name="company" />
	<xsl:param name="location" />

	<xsl:for-each select="/all_results/results[@name = 'xfer']/row[parentid = $actionref]">
		<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="table-cells" font-size="7px" number-columns-spanned="7" margin-left="15px" keep-together="always" keep-with-previous="always">
				<fo:block xsl-use-attribute-sets="component-2" keep-with-previous="always" keep-with-next="always">
					<xsl:value-of select="'Transfer: '" />
				</fo:block>
				<fo:table keep-together="always" keep-with-previous="always">
					<fo:table-column column-width="5in" />
					<fo:table-column column-width="4.50in" />
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell keep-together="always" keep-with-previous="always">
							<xsl:call-template name="transfertype">
								<xsl:with-param name="ttype" select="./ttype" />
							</xsl:call-template>
							<xsl:if test="normalize-space(./reason) > ''">
								<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px">
										<xsl:value-of select="'  Reason:'" />
										<xsl:value-of select="./reason" />
								</fo:block>	
							</xsl:if>
						</fo:table-cell>
						<fo:table-cell keep-together="always" keep-with-previous="always">
							<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px">
									<xsl:value-of select="'Comment: '" />
							</fo:block>
							<fo:block margin-left="5px" margin-right="5px" linefeed-treatment="preserve" white-space-collapse="false" white-space-treatment="preserve">
									<xsl:value-of select="word:wrap(./comment, 25)" />
							</fo:block>
							<xsl:if test="normalize-space(./name) > ''">
									<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px">
											<xsl:value-of select="'Name: '" />
											<xsl:value-of select="./name" />
									</fo:block>								
							</xsl:if>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell keep-together="always" keep-with-previous="always">
							<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px">
									<xsl:value-of select="'  From Company/Location:'" />
							</fo:block>	
							<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px" margin-left="10px">
									<xsl:value-of select="./oldcompany" />
							</fo:block>	
							<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px" margin-left="10px">
									<xsl:value-of select="./oldlocation" />
							</fo:block>	
						</fo:table-cell>
						<fo:table-cell keep-together="always" keep-with-previous="always">
							<xsl:if test="./ttype != 9">
								<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px">
										<xsl:value-of select="'  To Company/Location:'" />
								</fo:block>	
								<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px" margin-left="10px">
										<xsl:value-of select="./newcompany" />
								</fo:block>	
								<fo:block xsl:use-attribute-sets="summary-headings" font-size="7px" margin-left="10px">
										<xsl:value-of select="./newlocation" />
								</fo:block>							
							</xsl:if>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
				</fo:table>
			</fo:table-cell>
		</fo:table-row>		
	</xsl:for-each>
</xsl:template>

</xsl:stylesheet>

