<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
							  xmlns:fo="http://www.w3.org/1999/XSL/Format" 
							  xmlns:java="http://xml.apache.org/xslt/java" 
				              xmlns:saxon="http://saxon.sf.net/"							  
							  xmlns:fn="http://www.w3.org/2005/02/xpath-functions" 
								extension-element-prefixes="saxon"							  
							  exclude-result-prefixes="java" 
							  version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="concat('Contract Expired Date: ', $contract_expire_date_range[1], ' to ', $contract_expire_date_range[2])" />
    <xsl:variable name="oldtype" />
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape" />
            <xsl:call-template name="make-body-landscape" />
        </fo:root>
    </xsl:template>	
    <xsl:template name="body_process">
		 <xsl:choose>
			<xsl:when test="/all_results/results[@name = 'contractexpire']/row">						
				<fo:table table-layout="fixed" width="100%" space-before="5px">
				     <fo:table-column column-width="1.50in" />
					 <fo:table-column column-width="1.00in" />
					 <fo:table-column column-width="1.00in" />
					 <fo:table-column column-width="1.00in" />
					 <fo:table-column column-width="1.50in" />
					 <fo:table-column column-width="1.50in" />
					 <fo:table-column column-width="1.00in" />					
				     <fo:table-header>
						<fo:table-row>
					    	<fo:table-cell xsl:use-attribute-sets="table-headings">
					        	<fo:block>Name</fo:block>
					    	</fo:table-cell>
					    	<fo:table-cell xsl:use-attribute-sets="table-headings">
					        	<fo:block>Account</fo:block>
					    	</fo:table-cell>
					    	<fo:table-cell xsl:use-attribute-sets="table-headings">
					        	<fo:block>Service No.</fo:block>
					    	</fo:table-cell>
					    	<fo:table-cell xsl:use-attribute-sets="table-headings">
					        	<fo:block>Disc.</fo:block>
					    	</fo:table-cell>	
					    	<fo:table-cell xsl:use-attribute-sets="table-headings">
					        	<fo:block>Agent 1</fo:block>
					    	</fo:table-cell>
					    	<fo:table-cell xsl:use-attribute-sets="table-headings">
					        	<fo:block>Agent Org.</fo:block>
					    	</fo:table-cell>					    	
					    	<fo:table-cell xsl:use-attribute-sets="table-headings">
					        	<fo:block>Contract Expiration Date</fo:block>
					    	</fo:table-cell>																		
						</fo:table-row>
					 </fo:table-header>
					 <fo:table-body>
						     <xsl:for-each select="/all_results/results[@name = 'contractexpire']/row">	
						 		<fo:table-row number-columns-spanned="7">
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block>
											<xsl:value-of select="./lastname"/>			
									      	<xsl:if test="./firstname != ''">
												<xsl:value-of select="', '"/>
												<xsl:value-of select="./firstname"/>
									      	</xsl:if>											
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block>
											<xsl:value-of select="format-number(./cycle, '000')"/>
											<xsl:value-of select="'-'"/>
											<xsl:value-of select="format-number(./account, '0000000')"/>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block>
												<xsl:value-of select="format-number(./area, '000')" />
												<xsl:value-of select="'-'" />
												<xsl:value-of select="format-number(./exchange, '000')" />
												<xsl:value-of select="'-'" />
												<xsl:value-of select="format-number(./line, '0000')" />									
										</fo:block>
									</fo:table-cell>	
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
									    <xsl:if test="./mm &gt; 0">
											<fo:block>
												<xsl:call-template name="date1parm-db">
													<xsl:with-param name="date" select="./disconnected" />
												</xsl:call-template>	
		                                    </fo:block>
	                                    </xsl:if>
	                                </fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block>
											<xsl:value-of select="./agent1last"/>			
									      	<xsl:if test="./agent1first != ''">
												<xsl:value-of select="', '"/>
												<xsl:value-of select="./agent1first"/>
									      	</xsl:if>											
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block>		
									      	<xsl:if test="./agent1bus != ''">
												<xsl:value-of select="./agent1bus"/>
									      	</xsl:if>											
										</fo:block>
									</fo:table-cell>									
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block>
											<xsl:call-template name="date1parm-db">
												<xsl:with-param name="date" select="./conexdate" />
											</xsl:call-template>	
		                                 </fo:block>
	                                </fo:table-cell>																																
								</fo:table-row>
						 </xsl:for-each>
					 </fo:table-body>
				</fo:table>
			</xsl:when>
       		<xsl:when test="count(/all_results/results[@name = 'contractexpire']/row) &lt; 1">
          		<fo:block xsl:use-attribute-sets="category-label">No records found that match criteria.</fo:block>
       		</xsl:when>				
	 	</xsl:choose>
    </xsl:template>
</xsl:stylesheet>
