<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: servord_change.xsl,v 1.1 2018-01-30 21:03:28 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
                xmlns:trans="java:com.psasoft.swing.PTranslationState"
				exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Change History'"/>  

<xsl:template match="/">
	<fo:root>

		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:choose>
		<xsl:when test="/all_results/results[@name = 'detail']/row">
			<fo:block xsl:use-attribute-sets="category-label" space-before="12px"> Audit Changes
			</fo:block>
			<fo:table table-layout="fixed" width="100%" space-before="16px">
				<fo:table-column column-width="1.00in" />
				<fo:table-column column-width="1.00in" />
				<fo:table-column column-width="1.00in" />
				<fo:table-column column-width="1.00in" />
				<fo:table-column column-width="2.00in" />
				<fo:table-column column-width="2.00in" />
				<fo:table-column column-width="2.00in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Audit Date / Time</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>MDN</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Audit Table / Field</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Changed By</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Before Change</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>After Change</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'detail']/row">
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:value-of select="./auditdate" />
								</fo:block>
								<fo:block>
									<xsl:value-of select="./audittime" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" font-size="7px" text-align="center">
								<fo:block>
									<xsl:value-of select="format-number(./cycle, '000')" />
									<xsl:value-of select="'-'" />
									<xsl:value-of select="format-number(./account, '0000000')" />
								</fo:block>
							</fo:table-cell>																		
							<fo:table-cell xsl:use-attribute-sets="table-cells" font-size="7px" text-align="center">
								<fo:block>
									<xsl:choose>
									<xsl:when test="./cnpa > '0'">
									<xsl:call-template name="phone">
										<xsl:with-param name="npa" select="./cnpa"/>
										<xsl:with-param name="nxx" select="./cnxx"/>
										<xsl:with-param name="line" select="./cline"/>
									</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="' '" />
									</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:table-cell>							
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block>
									<xsl:value-of select="./audittname" />
								</fo:block>
								<fo:block>
									<xsl:choose>
										<xsl:when test="normalize-space(./audittname) = 'OVERRIDE'">
											<xsl:value-of select="trans:translateText(string(./groupdsc))" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="./auditfield" />
										</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block>
									<xsl:choose>
										<xsl:when test="./updatedby = 0">
											<xsl:value-of select="'WEB'" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="./name" />
											<xsl:value-of select="' ('" />
											<xsl:value-of select="./uname" />
											<xsl:value-of select="')'" />
										</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block>
									<xsl:value-of select="./audbefore" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block>
									<xsl:value-of select="./audafter" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</xsl:when>
		<xsl:otherwise>
			<fo:block xsl:use-attribute-sets="category-label" space-before="12px"> No Information Found
			</fo:block>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>






