<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: soldexcept-match.xsl,v 1.4 2012-12-31 12:34:26 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:fo="http://www.w3.org/1999/XSL/Format" 
                xmlns:java="http://xml.apache.org/xslt/java" 
                xmlns:exsl="http://exslt.org/functions"
                xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
                exclude-result-prefixes="java" version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:import href="subtemplates.xsl"/>  
    
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="'Sold Exception With Matches Report'" />
    
<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
				<xsl:call-template name="make-layout-master-set-landscape" />
				<xsl:call-template name="make-body-landscape" />
		</fo:root>
</xsl:template>

<xsl:template name="body_process">
 	<xsl:choose>
    <xsl:when test="/all_results/results[@name = 'mastexcept']/row">
		<xsl:for-each-group select="/all_results/results[@name = 'mastexcept']/row" group-by="company">
			<xsl:variable name="company" select="current-grouping-key()"/>
			<xsl:for-each-group select="current-group()" group-by="current-group()/location">
				<xsl:variable name="location" select="current-grouping-key()"/>		
				<xsl:if test="position() &gt; 1">
						<fo:block break-after="page" />
				</xsl:if>							
					<fo:table table-layout="fixed" width="100%" space-before="16px">
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="1.5in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="1.5in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-header>
								<fo:table-row keep-with-next="always">
									<fo:table-cell xsl:use-attribute-sets="summary-title" number-columns-spanned="7">
										<fo:block xsl:use-attribute-sets="summary-title" keep-with-next="always" space-before="3px" space-after="3px" text-align="left" >
											Company: <xsl:value-of select="$company" />
										</fo:block>			
										<fo:block xsl:use-attribute-sets="summary-title" keep-with-next="always" space-before="0px" space-after="6px" text-align="left" >								
											Location: <xsl:value-of select="$location" />
										</fo:block>	
									</fo:table-cell>
								</fo:table-row>			
								<fo:table-row keep-with-next="always">
									<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Item Code</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Item Description</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Sold Date</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Sold Price</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Sold Ref #</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Sold By</fo:block>
									</fo:table-cell>	
									<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Serial / IMEI</fo:block>
									</fo:table-cell>											
									<fo:table-cell xsl:use-attribute-sets="table-headings">
											<fo:block>Sold To Service Number</fo:block>
									</fo:table-cell>												
							</fo:table-row>			
						</fo:table-header>
						<fo:table-body>
						<xsl:for-each select="/all_results/results[@name = 'mastexcept']/row[company = $company and location = $location]">
							<xsl:variable name="unitid" select="./unitid"/>		
							<xsl:variable name="serialno" select="./serialno"/>		
							<xsl:variable name="serialno2" select="./serialno2"/>		
								<fo:table-row>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<xsl:choose>
											<xsl:when test="./externalcd != ''" >
												<fo:block>
													<xsl:value-of select="./externalcd" />
												</fo:block>
											</xsl:when>
											<xsl:otherwise>
												<fo:block>
													<xsl:value-of select="./unitcode" />
												</fo:block>
											</xsl:otherwise>
											</xsl:choose>
									</fo:table-cell>										
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
											<fo:block>
													<xsl:value-of select="./unitdesc" />
											</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
													<xsl:value-of select="./saledate" />
											</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
											<fo:block>
													<xsl:value-of select="format-number(./saleprice, '##,###,##0.00')" />
											</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
													<xsl:value-of select="./salerefno" />
											</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
													<xsl:value-of select="./salebyname" />
											</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:call-template name="formatserial">
													<xsl:with-param name="serial" select="./serialno2" />
													<xsl:with-param name="serial0" select="./serialno" />
													<xsl:with-param name="serial2typ" select="./serial2typ" />
													<xsl:with-param name="unitid" select="./unitid" />
													<xsl:with-param name="actpin" select="./actpin" />
													<xsl:with-param name="npa" select="./npa" />
													<xsl:with-param name="nxx" select="./nxx" />
													<xsl:with-param name="line" select="./line" />
												</xsl:call-template>
											</fo:block>
									</fo:table-cell>											
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:if test="not(empty(./cnpa)) and ./cnpa &gt; '0'">
													<xsl:call-template name="phone">
														<xsl:with-param name="npa" select="./cnpa"/>
														<xsl:with-param name="nxx" select="./cnxx"/>
														<xsl:with-param name="line" select="./cline"/>
													</xsl:call-template>
												</xsl:if>
											</fo:block>
									</fo:table-cell>											
								</fo:table-row>			
								<xsl:if test="/all_results/results[@name = 'mastpos']/row[unitid = $unitid and serialno = $serialno and serialno2 = $serialno2]">
										<fo:table-row>
											<fo:table-cell xsl:use-attribute-sets="table-cells" padding-left="30px" padding-right="10px" padding-top="10px" padding-bottom="10px" number-columns-spanned="8">
													<xsl:call-template name="exception-matches">
														<xsl:with-param name="unitid" select="./unitid"/>
														<xsl:with-param name="serialno" select="./serialno"/>
														<xsl:with-param name="serialno2" select="./serialno2"/>
													</xsl:call-template>										
											</fo:table-cell>	
										</fo:table-row>											
								</xsl:if>
						</xsl:for-each>
						</fo:table-body>
					</fo:table>
			</xsl:for-each-group>
		</xsl:for-each-group>
    </xsl:when>
    <xsl:otherwise>
        <fo:block>Exceptions for selected date range not found</fo:block>
    </xsl:otherwise>
    </xsl:choose>		
</xsl:template>

<xsl:template name="exception-matches">
		<xsl:param name="unitid" />
		<xsl:param name="serialno" />
		<xsl:param name="serialno2" />
		
		<fo:table table-layout="fixed" width="80%">
			<fo:table-column column-width="1.5in" />
			<fo:table-column column-width="1.5in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.5in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Company</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Location</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Status</fo:block>
						</fo:table-cell>								
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Serial / IMEI</fo:block>
						</fo:table-cell>											
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Quantity</fo:block>
						</fo:table-cell>												
				</fo:table-row>			
			</fo:table-header>
			<fo:table-body>
			<xsl:for-each select="/all_results/results[@name = 'mastpos']/row[unitid = $unitid and serialno = $serialno and serialno2 = $serialno2]">
					<xsl:variable name="status" select="./status" />
					<xsl:variable name="unitqty" select="./unitqty" />
					<fo:table-row>									
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block>
										<xsl:value-of select="./company" />
								</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block>
										<xsl:value-of select="./location" />
								</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:call-template name="inventorystatus">
										<xsl:with-param name="status" select="$status" />
										<xsl:with-param name="unitqty" select="$unitqty" />
									</xsl:call-template>
								</fo:block>
						</fo:table-cell>	
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:call-template name="formatserial">
										<xsl:with-param name="serial" select="./serialno2" />
										<xsl:with-param name="serial0" select="./serialno" />
										<xsl:with-param name="serial2typ" select="./serial2typ" />
										<xsl:with-param name="unitid" select="./unitid" />
										<xsl:with-param name="actpin" select="./actpin" />
										<xsl:with-param name="npa" select="./npa" />
										<xsl:with-param name="nxx" select="./nxx" />
										<xsl:with-param name="line" select="./line" />
									</xsl:call-template>
								</fo:block>
						</fo:table-cell>											
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
								<fo:block>
									<xsl:value-of select="format-number(./unitqty, '##,##0')" />
								</fo:block>
						</fo:table-cell>											
					</fo:table-row>											
			</xsl:for-each>
			</fo:table-body>
		</fo:table>
</xsl:template>

</xsl:stylesheet>    	
    