<?xml version="1.0" encoding="utf-8"?>
	<!-- $Id: temporary_item.xsl,v 1.1 2012-10-01 17:50:17 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:java="http://xml.apache.org/xslt/java" exclude-result-prefixes="java"
	version="2.0">
	<xsl:import href="Literal.xsl" />
	<xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />
	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
	<xsl:variable name="title" select="concat('Temporary Items ', $date_range[1], ' to ', $date_range[2])" />  

	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<xsl:call-template name="make-layout-master-set-landscape" />
			<xsl:call-template name="make-body-landscape" />
		</fo:root>
	</xsl:template>
	<xsl:template name="body_process">
		<xsl:choose>
			<xsl:when test="/all_results/results[@name = 'data']/row">
				<xsl:for-each-group select="/all_results/results[@name = 'data']/row" group-by="normalize-space(item)">
					<xsl:variable name="item" select="current-group()[position() = 1]/item" />
					<xsl:variable name="itemdesc" select="current-group()[position() = 1]/itemdesc" />
					<xsl:variable name="itemrate" select="current-group()[position() = 1]/itmrat" />
					
					<fo:table table-layout="fixed" width="100%" space-before="16px">
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="1.5in" />
						<fo:table-column column-width="1.25in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="1.5in" />
						<fo:table-column column-width="1.0in" />
						<fo:table-column column-width="0.75in" />
						<fo:table-column column-width="2.0in" />
						<fo:table-header>
							<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-headings" text-align="left" number-columns-spanned="8">
									<fo:block>
										<xsl:value-of select="'Item: '" />
										<xsl:value-of select="$item" />
										<xsl:value-of select="' - '" />
										<xsl:value-of select="$itemdesc" />
									</fo:block>
									<fo:block>
										<xsl:value-of select="'Base Rate: '" />
										<xsl:value-of select="format-number($itemrate, '##,###,##0.00;-#,###,##0.00')" />
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Cycle/Account</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Account Name</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Service #</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Disc Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Invoice</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Item Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Charged Rate</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Updated By</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-header>
						<fo:table-body>
							<xsl:for-each select="/all_results/results[@name = 'data']/row[item = $item]">
								<fo:table-row>
									<xsl:choose>
										<xsl:when test="./cycle = 0 and ./acct = 0">
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt" number-columns-spanned="4">
												<fo:block>
													<xsl:value-of select="'Walk-In'" />
												</fo:block>
											</fo:table-cell>
										</xsl:when>
										<xsl:otherwise>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
												<fo:block>
													<xsl:value-of select="format-number(./cycle, '000')" />
													<xsl:value-of select="'-'" />
													<xsl:value-of select="format-number(./account, '0000000')" />
												</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
												<fo:block>
													<xsl:value-of select="./fname" />
													<xsl:value-of select="' '" />
													<xsl:value-of select="./lname" />
												</fo:block>												
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
												<fo:block>
													<xsl:if test="./cnpa &gt; 0 and ./cnxx &gt; 0">
														<xsl:call-template name="phone">
															<xsl:with-param name="npa" select="./cnpa" />
															<xsl:with-param name="nxx" select="./cnxx" />
															<xsl:with-param name="line" select="./cline" />
														</xsl:call-template>
													</xsl:if>
													<xsl:value-of select="' '" />
												</fo:block>
											</fo:table-cell>
											<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
												<fo:block>
													<xsl:if test="./dcmm &gt; 0">
														<xsl:call-template name="date4parm">
															<xsl:with-param name="cc" select="./dccc" />
															<xsl:with-param name="yy" select="./dcyy" />
															<xsl:with-param name="mm" select="./dcmm" />
															<xsl:with-param name="dd" select="./dcdd" />
														</xsl:call-template>
													</xsl:if>
													<xsl:value-of select="' '" />
												</fo:block>
											</fo:table-cell>
										</xsl:otherwise>
									</xsl:choose>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:if test="./invoice &gt; 0">
												<xsl:value-of select="./invoice" />
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./effdate" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./pitamt, '##,###,##0.00;-#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
										<fo:block>
											<xsl:value-of select="./uname" />
											<xsl:value-of select="' - '" />
											<xsl:value-of select="./name" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</xsl:for-each>
						</fo:table-body>
					</fo:table>
				</xsl:for-each-group>
			</xsl:when>
			<xsl:otherwise>
				<fo:block>No Accounts Found for selected item(s)</fo:block>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>