<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: transhistory_coet.xsl,v 1.2 2014-08-12 19:18:20 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>  
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Transaction History'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:call-template name="account">
		<xsl:with-param name="row" select="/all_results/results[@name = 'acct']/row"/>
	</xsl:call-template>
	<fo:block xsl:use-attribute-sets="summary-headings" keep-with-next="always">
		<xsl:value-of select="'Temporary Items do not affect balance, amount already included in bill amount.'"/>
	</fo:block>	
	<fo:block xsl:use-attribute-sets="category-label">
		Account Transactions
	</fo:block>	
	<xsl:choose>
		<xsl:when test="/all_results/results[@name = 'trans']/row">		
			<fo:table table-layout="fixed" width="100%" space-before="8px">
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.5in" />		
				<fo:table-column column-width="1.75in" />		
				<fo:table-header>
						<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Transaction Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Bill Date</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Type</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Amount</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Balance</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>User</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Description</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-headings">
										<fo:block>Comment</fo:block>
								</fo:table-cell>
							</fo:table-row>
					</fo:table-header>					
					<fo:table-body>
						<xsl:for-each select="/all_results/results[@name = 'trans']/row">    
								<fo:table-row>
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:call-template name="date1parm">
													<xsl:with-param name="date" select="replace(./trdate, '-', '')"/>
												</xsl:call-template>										
											</fo:block>
										</fo:table-cell>										
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:call-template name="date4parm">
													<xsl:with-param name="cc" select="./cublcc"/>
													<xsl:with-param name="yy" select="./cublyy"/>
													<xsl:with-param name="mm" select="./cublmm"/>
													<xsl:with-param name="dd" select="./cubldd"/>
												</xsl:call-template>										
											</fo:block>
										</fo:table-cell>				
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>	
												<xsl:choose>
													<xsl:when test="./trtype = 'A'">
														<xsl:value-of select="'Adjustment'"/>
													</xsl:when>
													<xsl:when test="./trtype = 'B'">
														<xsl:value-of select="'Bill'"/>
													</xsl:when>											
													<xsl:when test="./trtype = 'P'">
														<xsl:value-of select="'Payment'"/>
													</xsl:when>					
													<xsl:when test="./trtype = 'T'">
														<xsl:value-of select="'Temporary'"/>
													</xsl:when>																			
													<xsl:otherwise>
														<xsl:value-of select="./trtype"/>
													</xsl:otherwise>
												</xsl:choose>
												<xsl:if test="normalize-space(./item) != ''">
														<xsl:value-of select="' / '"/>
														<xsl:value-of select="./item"/>
												</xsl:if>
											</fo:block>
										</fo:table-cell>									
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
											<fo:block>
												<xsl:value-of select="format-number(./trnamt, '$ ##,###,##0.00;$ -#,###,##0.00')"/>
											</fo:block>
										</fo:table-cell>										
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
											<fo:block>
												<xsl:value-of select="format-number(./balamt, '$ ##,###,##0.00;$ -#,###,##0.00')"/>
											</fo:block>
										</fo:table-cell>															
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:value-of select="./truser"/>
											</fo:block>
										</fo:table-cell>	
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
											<fo:block>
												<xsl:value-of select="./note"/>
											</fo:block>
										</fo:table-cell>													
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
											<fo:block>
												<xsl:choose>
													<xsl:when test="./itmdsc &gt; ''">
														<xsl:value-of select="./item"/>
														<xsl:value-of select="' - '"/>
														<xsl:value-of select="./itmdsc"/>
													</xsl:when>		
													<xsl:otherwise>
														<xsl:value-of select="' '"/>
													</xsl:otherwise>
												</xsl:choose>
											</fo:block>
										</fo:table-cell>									
								</fo:table-row>		
						 </xsl:for-each>
						</fo:table-body>
				</fo:table>   
		</xsl:when>
		<xsl:otherwise>
				<fo:block>No Transactions Found</fo:block>
		</xsl:otherwise>
	</xsl:choose>				
</xsl:template>

</xsl:stylesheet>






