<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: unposted-invoices.xsl,v 1.3 2015-02-24 22:17:51 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Unposted Invoices'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:choose>
	<xsl:when test="exists(/all_results/results[@name = 'data']/row)">
		<fo:table table-layout="fixed" width="100%" space-before="16px">
			<fo:table-column column-width="0.75in" />
			<fo:table-column column-width="0.50in" />
			<fo:table-column column-width="1.00in" />
			<fo:table-column column-width="0.75in" />
			<fo:table-column column-width="0.75in" />
			<fo:table-column column-width="0.75in" />
			<fo:table-column column-width="0.50in" />
			<fo:table-column column-width="0.50in" />
			<fo:table-column column-width="0.50in" />
			<fo:table-column column-width="0.50in" />
			<fo:table-column column-width="0.50in" />
			<fo:table-column column-width="0.50in" />
			<fo:table-column column-width="0.50in" />
			<fo:table-column column-width="0.50in" />
			<fo:table-column column-width="0.50in" />
			<fo:table-column column-width="0.50in" />
			<fo:table-column column-width="0.50in" />
			<fo:table-header>
				<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Drawer</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>User</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Transaction</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Account Name</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>MDN</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Disc Date</fo:block>
						</fo:table-cell>	
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Purch</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Paymt</fo:block>
						</fo:table-cell>							
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Misc</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Return</fo:block>
						</fo:table-cell>								
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Taxes Amt</fo:block>
						</fo:table-cell>						
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Cash</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Chng</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Check</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Credit</fo:block>
						</fo:table-cell>								
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Oth Tend</fo:block>
						</fo:table-cell>								
					</fo:table-row>
				</fo:table-header>					
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'data']/row">    
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells"  font-size="6pt" text-align="center">
								<fo:block>
									<xsl:value-of select="./drwnam"/>									
								</fo:block>
							</fo:table-cell>	
							<fo:table-cell xsl:use-attribute-sets="table-cells"  font-size="6pt" text-align="center">
								<fo:block>
									<xsl:value-of select="./ptrusr"/>									
								</fo:block>
							</fo:table-cell>	
							<fo:table-cell xsl:use-attribute-sets="table-cells"  font-size="6pt" text-align="center">
								<fo:block>
									<xsl:value-of select="./invoiceno"/>									
								</fo:block>
							</fo:table-cell>	
							<xsl:choose>
							<xsl:when test="./ptcyc = 0 and ./ptacct = 0">
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt" number-columns-spanned="4">
									<fo:block>
										<xsl:value-of select="'Walk-In'" />
									</fo:block>
								</fo:table-cell>
							</xsl:when>
							<xsl:otherwise>										
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
									<fo:block>
										<xsl:if test="./ptcyc != 0 and ./ptacct != 0">
											<xsl:value-of select="format-number(./ptcyc, '000')" />
											<xsl:value-of select="'-'" />
											<xsl:value-of select="format-number(./ptacct, '0000000')" />
										</xsl:if>
										<xsl:value-of select="' '" />
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" font-size="6pt" text-align="center">
									<fo:block>
										<xsl:value-of select="./fname"/>
										<xsl:value-of select="' '"/>
										<xsl:value-of select="./lname"/>									
									</fo:block>
								</fo:table-cell>	
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
									<fo:block>
										<xsl:if test="./ptnpa != 0 and ./ptnxx != 0">
											<xsl:call-template name="phone">
												<xsl:with-param name="npa" select="./ptnpa" />
												<xsl:with-param name="nxx" select="./ptnxx" />
												<xsl:with-param name="line" select="./ptline" />
											</xsl:call-template>
										</xsl:if>
										<xsl:value-of select="' '" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
									<fo:block>
										<xsl:if test="./ptdcc != 0 and ./ptdyy != 0 and ./ptdmm != 0 and ./ptdd">
											<xsl:call-template name="date4parm">
												<xsl:with-param name="cc" select="./ptdcc" />
												<xsl:with-param name="yy" select="./ptdyy" />
												<xsl:with-param name="mm" select="./ptdmm" />
												<xsl:with-param name="dd" select="./ptddd" />
											</xsl:call-template>
										</xsl:if>
										<xsl:value-of select="' '" />
									</fo:block>
								</fo:table-cell>	
							</xsl:otherwise>
							</xsl:choose>
							<fo:table-cell xsl:use-attribute-sets="table-cells"  font-size="6pt" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./purchase, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
								</fo:block>
							</fo:table-cell>	
							<fo:table-cell xsl:use-attribute-sets="table-cells"  font-size="6pt" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./payment, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells"  font-size="6pt" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./misc, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells"  font-size="6pt" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./returnamt, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells"  font-size="6pt" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./totaltax, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells"  font-size="6pt" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./cash, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells"  font-size="6pt" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./change, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells"  font-size="6pt" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./check, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells"  font-size="6pt" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./credit, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
								</fo:block>
							</fo:table-cell>									
							<fo:table-cell xsl:use-attribute-sets="table-cells"  font-size="6pt" text-align="right">
								<fo:block>
									<xsl:value-of select="format-number(./other, '$ ##,###,##0.00;$ -#,###,##0.00')"/>	
								</fo:block>
							</fo:table-cell>									
						</fo:table-row>		
					 </xsl:for-each>
				</fo:table-body>
			</fo:table>       
			<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
				Total Invoices Found 
				<xsl:value-of select="format-number(count(/all_results/results[@name = 'data']/row), '#,##0')"/>	
			</fo:block>
		</xsl:when>
		<xsl:otherwise>
			<fo:block xsl:use-attribute-sets="category-label" space-before="12px">
				No Information Found
			</fo:block>
		</xsl:otherwise>
	</xsl:choose>			
</xsl:template>

</xsl:stylesheet>






