<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: webusers_v2.xsl,v 1.2 2014-08-12 19:18:19 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format" 
				xmlns:java="http://xml.apache.org/xslt/java" 
				exclude-result-prefixes="java" 
				version="2.0">
    <xsl:import href="Literal.xsl" />
    <xsl:import href="Format.xsl" />
    <xsl:import href="subtemplates.xsl" />
    <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
    <xsl:variable name="title" select="'Web Users'" />
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <xsl:call-template name="make-layout-master-set-landscape" />
            <xsl:call-template name="make-body-landscape" />
        </fo:root>
    </xsl:template>
    <xsl:template name="body_process">
        <fo:table table-layout="fixed" width="100%" space-before="16px">
            <fo:table-column column-width="1.25in" />
            <fo:table-column column-width="2.00in" />
            <fo:table-column column-width="1.00in" />
            <fo:table-column column-width="2.00in" />
            <fo:table-column column-width="1.50in" />
            <fo:table-column column-width="1.50in" />
            <fo:table-column column-width="0.75in" />
            <fo:table-header>
                <fo:table-row keep-with-next="always">
                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                        <fo:block>Web Username</fo:block>
                    </fo:table-cell>
                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                        <fo:block>Email</fo:block>
                    </fo:table-cell>
                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                        <fo:block>Account</fo:block>
                    </fo:table-cell>
                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                        <fo:block>Account Name</fo:block>
                    </fo:table-cell>
                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                        <fo:block>First Login Attempt</fo:block>
                    </fo:table-cell>
                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                        <fo:block>Last Login Attempt</fo:block>
                    </fo:table-cell>
                    <fo:table-cell xsl:use-attribute-sets="table-headings">
                        <fo:block>Successful Login</fo:block>
                    </fo:table-cell>                    
                </fo:table-row>
            </fo:table-header>
            <fo:table-body>
                <xsl:for-each select="/all_results/results[@name = 'web']/row">
                    <fo:table-row>
                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                            <fo:block>
                                <xsl:value-of select="./username" />
                            </fo:block>
                        </fo:table-cell>
                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                            <fo:block>
                                <xsl:value-of select="./emladr" />
                            </fo:block>
                        </fo:table-cell>
                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                            <fo:block>
                                <xsl:if test="./cycle &gt; 0 and ./account &gt; 0">
                                    <xsl:value-of select="format-number(./cycle, '000')" />
                                    <xsl:value-of select="'-'" />
                                    <xsl:value-of select="format-number(./account, '0000000')" />
                                </xsl:if>
                            </fo:block>
                        </fo:table-cell>
                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
                            <fo:block>
                                <xsl:value-of select="./fname" />
                                <xsl:value-of select="' '" />
                                <xsl:value-of select="./lname" />
                            </fo:block>
                        </fo:table-cell>
                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                            <fo:block>
                            		<xsl:value-of select="./firstdate" />
                            		<xsl:value-of select="' '" />
                                <xsl:value-of select="./firsttime" />
                            </fo:block>
                        </fo:table-cell>
                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                            <fo:block>
                            		<xsl:value-of select="./lastdate" />
                            		<xsl:value-of select="' '" />
                                <xsl:value-of select="./lasttime" />
                            </fo:block>
                        </fo:table-cell>
                        <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
                            <fo:block>
                            		<xsl:choose>
                            		<xsl:when test="./success = '1'">
		                                <xsl:value-of select="'Yes'" />
		                            </xsl:when>
		                            <xsl:otherwise>
		                            		<xsl:value-of select="'No'" />
		                            </xsl:otherwise>
		                            </xsl:choose>
                            </fo:block>
                        </fo:table-cell>                        
                    </fo:table-row>
                </xsl:for-each>
            </fo:table-body>
        </fo:table>
				<fo:block xsl:use-attribute-sets="summary-headings">
						<xsl:value-of select="'Total Users  '" />
						<xsl:value-of select="format-number(count(/all_results/results[@name = 'web']/row), '##,###,##0')" />
				</fo:block>
    </xsl:template>
</xsl:stylesheet>
