<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: woinquiry.xsl,v 1.6 2015-09-22 18:49:10 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
								exclude-result-prefixes="java" version="2.0">

  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>  
  <xsl:import href="cust_adj.xsl"/> 
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="'Write-Off Inquriry'"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

		<xsl:call-template name="make-layout-master-set-landscape"/>
		<xsl:call-template name="make-body-landscape"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:call-template name="account">
		<xsl:with-param name="row" select="/all_results/results[@name = 'acct']/row"/>
	</xsl:call-template>
	<fo:block xsl:use-attribute-sets="category-label">
		Write-Off 
	</fo:block>		
	<fo:table table-layout="fixed" width="100%" space-before="8px">
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="1.0in" />
		<fo:table-column column-width="1.0in" />		
		<fo:table-header>
				<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Write Off Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Write Off Amount</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Payment Amount</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Last Pay Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Last Payment Amount</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Write Off Adjustments</fo:block>
						</fo:table-cell>						
						<fo:table-cell xsl:use-attribute-sets="table-headings">
								<fo:block>Write Off Balance</fo:block>
						</fo:table-cell>
					</fo:table-row>
			</fo:table-header>					
			<fo:table-body>
				<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
							<fo:block>
								<xsl:call-template name="date4parm">
									<xsl:with-param name="cc" select="/all_results/results[@name = 'wo']/row/wtocc"/>
									<xsl:with-param name="yy" select="/all_results/results[@name = 'wo']/row/wtoyy"/>
									<xsl:with-param name="mm" select="/all_results/results[@name = 'wo']/row/wtomm"/>
									<xsl:with-param name="dd" select="/all_results/results[@name = 'wo']/row/wtodd"/>
								</xsl:call-template>				
							</fo:block>										
						</fo:table-cell>		
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
							<fo:block>
								<xsl:value-of select="format-number(/all_results/results[@name = 'wo']/row/wtoamt, '$ ##,###,##0.00;$ -#,###,##0.00')"/>
							</fo:block>
						</fo:table-cell>	
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
							<fo:block>
								<xsl:value-of select="format-number(/all_results/results[@name = 'wo']/row/wtopay, '$ ##,###,##0.00;$ -#,###,##0.00')"/>
							</fo:block>
						</fo:table-cell>									
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
							<fo:block>
								<xsl:if test="/all_results/results[@name = 'wo']/row/wtpyy > 0">
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="/all_results/results[@name = 'wo']/row/wtpcc"/>
										<xsl:with-param name="yy" select="/all_results/results[@name = 'wo']/row/wtpyy"/>
										<xsl:with-param name="mm" select="/all_results/results[@name = 'wo']/row/wtpmm"/>
										<xsl:with-param name="dd" select="/all_results/results[@name = 'wo']/row/wtpdd"/>
									</xsl:call-template>									
								</xsl:if>
							</fo:block>
						</fo:table-cell>	
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
							<fo:block>
								<xsl:value-of select="format-number(/all_results/results[@name = 'wo']/row/wtolpy, '$ ##,###,##0.00;$ -#,###,##0.00')"/>
							</fo:block>
						</fo:table-cell>	
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
							<fo:block>
								<xsl:value-of select="format-number(/all_results/results[@name = 'wo']/row/wtoadj, '$ ##,###,##0.00;$ -#,###,##0.00')"/>
							</fo:block>
						</fo:table-cell>									
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
							<fo:block>
								<xsl:value-of select="format-number(/all_results/results[@name = 'wo']/row/wtobal, '$ ##,###,##0.00;$ -#,###,##0.00')"/>
							</fo:block>
						</fo:table-cell>									
				</fo:table-row>		
		</fo:table-body>
	</fo:table>
	<xsl:if test="/all_results/results[@name = 'wopay']/row">
		<fo:block xsl:use-attribute-sets="category-label" space-before="14px">
			Write-Off Payments
		</fo:block>			
		<fo:table table-layout="fixed" width="100%" space-before="8px">
			<fo:table-column column-width=".6in" />
			<fo:table-column column-width=".75in" />
			<fo:table-column column-width=".75in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width=".75in" />
			<fo:table-column column-width="1.25in" />
			<fo:table-column column-width=".75in" />
			<fo:table-column column-width="2.25in" />
			<fo:table-column column-width=".75in" />		
			<fo:table-header>
					<fo:table-row keep-with-next="always">
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Batch Number</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Batch Id</fo:block>
							</fo:table-cell>						
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Payment Date</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Payment Amount</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Refrence</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Billing Date</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Sequence</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Originating Place</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings">
									<fo:block>Entered By</fo:block>
							</fo:table-cell>
						</fo:table-row>
				</fo:table-header>					
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'wopay']/row">    
							<fo:table-row>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./btchid"/>
										</fo:block>
									</fo:table-cell>	
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./usrbchid"/>
										</fo:block>
									</fo:table-cell>																			
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:call-template name="date4parm">
												<xsl:with-param name="cc" select="./pycc"/>
												<xsl:with-param name="yy" select="./pyyy"/>
												<xsl:with-param name="mm" select="./pymm"/>
												<xsl:with-param name="dd" select="./pydd"/>
											</xsl:call-template>										
										</fo:block>
									</fo:table-cell>										
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
										<fo:block>
											<xsl:value-of select="format-number(./pmtamt, '$ ##,###,##0.00;$ -#,###,##0.00')"/>
										</fo:block>
									</fo:table-cell>				
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./refno"/>
										</fo:block>
									</fo:table-cell>								
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:call-template name="date4parm">
												<xsl:with-param name="cc" select="./blcc"/>
												<xsl:with-param name="yy" select="./blyy"/>
												<xsl:with-param name="mm" select="./blmm"/>
												<xsl:with-param name="dd" select="./bldd"/>
											</xsl:call-template>										
										</fo:block>
									</fo:table-cell>								
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./seq"/>
										</fo:block>
									</fo:table-cell>						
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./orgplc"/>
										</fo:block>
									</fo:table-cell>	
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center">
										<fo:block>
											<xsl:value-of select="./inits"/>
										</fo:block>
									</fo:table-cell>									
							</fo:table-row>		
					 </xsl:for-each>
					</fo:table-body>
			</fo:table>  
	</xsl:if>
	<xsl:if test="/all_results/results[@name = 'adjdetail']/row">
		<fo:block xsl:use-attribute-sets="category-label" space-before="14px">
			Write-Off Adjustments
		</fo:block>			
		<xsl:call-template name="adjdetail" />
	</xsl:if>
</xsl:template>

</xsl:stylesheet>






