<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: applecare_poc_nwmc.xsl,v 1.1 2017-01-26 23:01:01 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java"
				exclude-result-prefixes="java" version="2.0">
  
  <xsl:import href="Literal.xsl"/>
  <xsl:import href="Format.xsl"/>
  <xsl:import href="subtemplates.xsl"/>
  
  <xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes"/>
  <xsl:variable name="title" select="''"/>  

<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
		<xsl:call-template name="make-layout-master-set"/>
		<xsl:call-template name="make-body-web"/>
	</fo:root>
</xsl:template>

<xsl:template name="body_process">
	<xsl:choose>
	<xsl:when test="$applecare/applecare-action = 'CREATE-ORDER'">
		<xsl:call-template name="createorder" />
	</xsl:when>
	<xsl:otherwise>
		<xsl:call-template name="cancelorder" />
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="createorder"> 
	<fo:block-container absolute-position="fixed" left="2.8cm" top="1.75in" width="6.25in">
		<fo:block xsl:use-attribute-sets="summary-headings" color="black" text-align="left">
		    <xsl:value-of select="$applecare/icareresp_partType" />
		    <xsl:value-of select="' Certificate'" />
		</fo:block>
		<fo:block xsl:use-attribute-sets="summary-headings" color="black" text-align="left">
		    <xsl:value-of select="$applecare/icareresp_appleCareSalesDate" />
		</fo:block>		
	</fo:block-container>
	<xsl:variable name="row" select="/all_results/results[@name = 'acct']/row[position() = 1]"/>
	<fo:block-container absolute-position="fixed" left="3cm" top="2.5in" width="3.75in" padding="5pt"  border-style="solid" border-width="2px">
		<fo:block xsl:use-attribute-sets="summary-headings">
			<xsl:value-of select="$row/fname" />
			<xsl:value-of select="$row/lname" />
		</fo:block>
		<xsl:if test="normalize-space($row/adln1)">
			<fo:block xsl:use-attribute-sets="summary-headings" space-before="-4pt">
				<xsl:value-of select="$row/adln1" />
			</fo:block>
		</xsl:if>
		<xsl:if test="normalize-space($row/adln2)">
			<fo:block xsl:use-attribute-sets="summary-headings" space-before="-4pt">
				<xsl:value-of select="$row/adln2" />
			</fo:block>
		</xsl:if>
		<xsl:if test="normalize-space($row/adln3)">
			<fo:block xsl:use-attribute-sets="summary-headings" space-before="-4pt">
				<xsl:value-of select="$row/adln3" />
			</fo:block>
		</xsl:if>
		<fo:block xsl:use-attribute-sets="summary-headings" space-before="-4pt" space-after="12px">
			<xsl:value-of select="$row/adcity" />
			<xsl:value-of select="', '" />
			<xsl:value-of select="$row/adst" />
			<xsl:value-of select="' '" />
			<xsl:value-of select="substring($row/adzip, 1, 5)" />
			<xsl:if test="substring($row/adzip, 6, 4) != '0000'">
				<xsl:value-of select="'-'" />
				<xsl:value-of select="substring($row/adzip, 6, 4)" />
			</xsl:if>
		</fo:block>
	</fo:block-container>
	<fo:block-container absolute-position="fixed" left="3cm" top="4in" width="6.25in">
		<fo:table table-layout="fixed">
			<fo:table-column column-width="1.50in"/>
			<fo:table-column column-width="1.75in"/>
			<fo:table-column column-width="1.50in"/>
			<fo:table-column column-width="1.50in"/>
			<fo:table-header>
				<fo:table-row keep-with-next="always">
					<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
						<fo:block>Agreement No.</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
						<fo:block>Product Description</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
						<fo:block>Device ID</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
						<fo:block>Coverage Duration</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-header>						
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="left">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:value-of select="$applecare/icareresp_agreementNumber"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="left">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:value-of select="$applecare/icareresp_partDescription"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="center">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:value-of select="format-number($applecare/icareresp_deviceId, '000000000000000')"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="center">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:value-of select="$applecare/icareresp_coverageDurationStatement"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</fo:block-container>
	
	<fo:block-container absolute-position="fixed" left="2.8cm" top="5in" width="6.25in">
		<fo:block xsl:use-attribute-sets="summary-headings" space-before="10pt" color="black">Thank you for purchasing <xsl:value-of select="$applecare/icareresp_partDescription"/>.</fo:block>				
		<fo:block xsl:use-attribute-sets="summary-headings" space-before="10pt" color="black">This certificate confirms <xsl:value-of select="$applecare/icareresp_partType"/> for your Apple product(s) listed above.</fo:block>				
		<fo:block xsl:use-attribute-sets="summary-headings" space-before="10pt" color="black">Please keep this certificate and the orginal sales receipt for your Apple product(s).  Proof of purchase may be required if there is any question regarding your Apple product's eligibility for coverage by <xsl:value-of select="$applecare/icareresp_partType"/>.</fo:block>				
		<fo:block xsl:use-attribute-sets="summary-headings" space-before="10pt">
			<xsl:value-of select="$applecare/icareresp_productStatement"/>
		</fo:block>				
		<!--  test for MRC to add new block $applecare/applecare-pono ends with MRC -->
		<xsl:if test="contains($applecare/applecare-pono, 'MRC')">
			<fo:block xsl:use-attribute-sets="summary-headings" space-before="10pt" color="black">AppleCare+ - If you purchased the AppleCare+ Product (Plan) pursuant to the option to pay by a monthly recurring charge, you hereby appoint Northwest Missouri Cellular (NWMC) as your agent and authorize Northwest Missouri Cellular (NWMC) to act on your behalf to cancel, receive refund payments and modify your AppleCare+ contract with Apple upon (1) your cancellation of the Plan; (2) non-payment of your applicable monthly recurring charge; or, (3) termination of service pursuant to the terms of this agreement.</fo:block>				
		</xsl:if>
		<fo:block xsl:use-attribute-sets="summary-headings" space-before="10pt" color="black">For complete Terms and Conditions, please visit <fo:inline border-bottom-width="1px" border-bottom-style="solid" color="navy"><xsl:value-of select="$applecare/icareresp_termConditionURL"/></fo:inline></fo:block>				
		<fo:block xsl:use-attribute-sets="summary-headings" space-before="10pt" color="black">Apple technical support contact information and hours of operation are listed in the Getting Started Guide, which can be downloaded from <fo:inline border-bottom-width="1px" border-bottom-style="solid" color="navy">www.apple.com/support/applecare/ww</fo:inline>.</fo:block>				
	</fo:block-container> 
	
</xsl:template>


<xsl:template name="cancelorder"> 
	<fo:block-container absolute-position="fixed" left="2.8cm" top="1.75in" width="6.25in">
		<fo:block xsl:use-attribute-sets="summary-headings" color="black" text-align="left">
		    <xsl:value-of select="$applecare/icareresp_partType" />
		    <xsl:value-of select="' AppleCare Cancellation'" />
		</fo:block>
		<fo:block xsl:use-attribute-sets="summary-headings" color="black" text-align="left">
		    <xsl:value-of select="$applecare/icareresp_appleCareSalesDate" />
		</fo:block>		
	</fo:block-container>
	<xsl:variable name="row" select="/all_results/results[@name = 'acct']/row[position() = 1]"/>
	<fo:block-container absolute-position="fixed" left="3cm" top="2.5in" width="3.75in" padding="5pt"  border-style="solid" border-width="2px">
		<fo:block xsl:use-attribute-sets="summary-headings">
			<xsl:value-of select="$row/fname" />
			<xsl:value-of select="$row/lname" />
		</fo:block>
		<xsl:if test="normalize-space($row/adln1)">
			<fo:block xsl:use-attribute-sets="summary-headings" space-before="-4pt">
				<xsl:value-of select="$row/adln1" />
			</fo:block>
		</xsl:if>
		<xsl:if test="normalize-space($row/adln2)">
			<fo:block xsl:use-attribute-sets="summary-headings" space-before="-4pt">
				<xsl:value-of select="$row/adln2" />
			</fo:block>
		</xsl:if>
		<xsl:if test="normalize-space($row/adln3)">
			<fo:block xsl:use-attribute-sets="summary-headings" space-before="-4pt">
				<xsl:value-of select="$row/adln3" />
			</fo:block>
		</xsl:if>
		<fo:block xsl:use-attribute-sets="summary-headings" space-before="-4pt" space-after="12px">
			<xsl:value-of select="$row/adcity" />
			<xsl:value-of select="', '" />
			<xsl:value-of select="$row/adst" />
			<xsl:value-of select="' '" />
			<xsl:value-of select="substring($row/adzip, 1, 5)" />
			<xsl:if test="substring($row/adzip, 6, 4) != '0000'">
				<xsl:value-of select="'-'" />
				<xsl:value-of select="substring($row/adzip, 6, 4)" />
			</xsl:if>
		</fo:block>
	</fo:block-container>
	<fo:block-container absolute-position="fixed" left="3cm" top="4in" width="6.25in">
		<fo:table table-layout="fixed" keep-together="always">
			<fo:table-column column-width="1.50in"/>
			<fo:table-column column-width="1.75in"/>
			<fo:table-column column-width="1.50in"/>
			<fo:table-column column-width="1.50in"/>
			<fo:table-header>
				<fo:table-row keep-with-next="always">
					<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
						<fo:block>Agreement No.</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
						<fo:block>Product Description</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
						<fo:block>Device ID</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" color="black">
						<fo:block>Coverage End Date</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-header>						
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="left">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:value-of select="$applecare/icareresp_agreementNumber"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="left">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:value-of select="$applecare/icareresp_partDescription"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="center">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:value-of select="$applecare/icareresp_deviceId"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-style="solid" border-width="1px" padding="5px" text-align="center">
						<fo:block font-size="8pt" xsl:use-attribute-sets="summary-headings">
							<xsl:value-of select="$applecare/icareresp_cancellationDate"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</fo:block-container>
	
	<fo:block-container absolute-position="fixed" left="2.8cm" top="5in" width="6.25in">
		<fo:block xsl:use-attribute-sets="summary-headings" space-before="10pt" color="black">This certificate confirms <xsl:value-of select="$applecare/icareresp_partType"/> cancellation for your Apple product(s) listed above.</fo:block>				
	</fo:block-container> 
	
</xsl:template>

</xsl:stylesheet>






