<?xml version="1.0" encoding="utf-8"?>
	<!-- $Id: drawertotals.xsl,v 1.41 2017-10-19 16:30:49 lancetx Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format" 
				xmlns:java="http://xml.apache.org/xslt/java" 
				xmlns:util="java:com.psasoft.util.TextUtilities"
				exclude-result-prefixes="java" 
				version="2.0">
	<xsl:import href="Literal.xsl" />
	<xsl:import href="Format.xsl" />
	<xsl:import href="subtemplates.xsl" />
	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" />
	<xsl:variable name="title" select="'Drawer Total Summary'" />
	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<xsl:call-template name="make-layout-master-set-landscape" />
			<xsl:call-template name="make-body-landscape" />
		</fo:root>
	</xsl:template>
	<xsl:template name="body_process">
		<xsl:choose>
			<xsl:when test="/all_results/results[@name = 'sum']/row">
				<xsl:if test="$report_type = 1 or $report_type = 2 or $report_type = 3 or $report_type = 4 or $report_type = 5 or $report_type = 6">
					<xsl:call-template name="summary" />
				</xsl:if>
				<xsl:if test="$report_type = 1 or $report_type = 4 or $report_type = 7">
					<xsl:call-template name="detail" />
				</xsl:if>
				<xsl:if test="$report_type = 2 or $report_type = 5 or $report_type = 8">
					<xsl:call-template name="briefdetail" />
				</xsl:if>
			</xsl:when> 
			<xsl:otherwise>
				<fo:block>Unreconciled Invoices For Drawer Id Not Found</fo:block>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="summary">
		<xsl:variable name="marketcount" select="count(/all_results/results[@name = 'market']/row)" />
		<xsl:variable name="final-balance" select="/all_results/results[@name = 'sum']/row[position() = 1]/begbal + sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CASH ']/tenderedamt) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CHNGE']/tenderedamt)" />
		<xsl:variable name="total_cash" select="sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CASH ']/tenderedamt) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CHNGE']/tenderedamt) + /all_results/results[@name = 'sum']/row[position() = 1]/begbal" />
		<xsl:variable name="total_cash_nobegbal" select="sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CASH ']/tenderedamt) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CHNGE']/tenderedamt)" />
		<!--  
		<xsl:variable name="total_credit" select="sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CREDT']/credit)" />
		<xsl:variable name="total_check" select="sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CHECK']/chck)" />
		-->
		<xsl:variable name="tenderedcount" select="count(/all_results/results[@name = 'tenderedtypes']/row)" />

		<fo:table table-layout="fixed" width="100%" space-before="8px">
			<fo:table-column column-width="3.0in" />
			<fo:table-column column-width="3.0in" />
			<fo:table-column column-width="3.0in" />
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:table table-layout="fixed" width="100%" space-before="8px">
							<fo:table-column column-width="1.25in" />
							<fo:table-column column-width="1.5in" />
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Drawer'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="left" padding-end="10px">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="/all_results/results[@name = 'sum']/row[position() = 1]/drwnam" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'CSR Phone'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="left" padding-end="10px">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="/all_results/results[@name = 'sum']/row[position() = 1]/csphone" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'CSR E-Mail'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="left" padding-end="10px">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="/all_results/results[@name = 'sum']/row[position() = 1]/csemai" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</fo:table-cell>
					<fo:table-cell>
						<fo:table table-layout="fixed" width="100%" space-before="8px">
							<fo:table-column column-width="1.25in" />
							<fo:table-column column-width="1.5in" />
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Beg Cash Balance '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number(/all_results/results[@name = 'sum']/row[position() = 1]/begbal, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Cash In '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number($total_cash_nobegbal, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Cash Out '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/change) + (sum(/all_results/results[@name = 'sum']/row/returntaxcash) * -1), '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Final Cash Balance '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings" border-before-style="double" border-before-width="3px">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number(number($final-balance), '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Rpt Cash Balance '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings" border-before-style="double" border-before-width="3px">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number(number($t1_balance), '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Variance '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings" border-before-style="double" border-before-width="3px">
										<xsl:choose>
											<xsl:when test="number($t1_balance) = $final-balance">
												<fo:block color="black">
													<xsl:value-of select="format-number(number($t1_balance) - number($final-balance), '$ ##,###,##0.00;$ -#,###,##0.00')" />
												</fo:block>
											</xsl:when>
											<xsl:otherwise>
												<fo:block color="red">
													<xsl:value-of select="format-number(number($t1_balance) - number($final-balance), '$ ##,###,##0.00;$ -#,###,##0.00')" />
												</fo:block>
											</xsl:otherwise>
										</xsl:choose>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block color="black"><xsl:value-of select="' '" /></fo:block>
						<!--  
						<fo:table table-layout="fixed" width="100%" space-before="8px">
							<fo:table-column column-width="1.25in" />
							<fo:table-column column-width="1.5in" />
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Total Cash'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number($total_cash_nobegbal, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Total Checks'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number($total_check, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Total Bank Dep'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings" border-before-style="double" border-before-width="3px">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number($total_cash_nobegbal + $total_check, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Total CC Amount'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings" border-before-style="double" border-before-width="3px">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number($total_credit, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell text-align="right" padding-end="11px">
										<fo:block xsl:use-attribute-sets="summary-cells">
											<xsl:value-of select="'Total CC &amp; Bank Dep'" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right" padding-end="10px" xsl:use-attribute-sets="table-headings" border-before-style="double" border-before-width="3px">
										<fo:block xsl:use-attribute-sets="summary-cells" color="black">
											<xsl:value-of select="format-number($total_cash_nobegbal + $total_check + $total_credit, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>								
							</fo:table-body>
						</fo:table>	
						-->				
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
		<xsl:variable name="coladjust">
			<xsl:choose>
				<xsl:when test="$marketcount > 1 and ($report_type = 4 or $report_type = 5 or $report_type = 6)">
					<xsl:value-of select="1" />
				</xsl:when>
				<!--  
				<xsl:when test="$marketcount > 1">
					<xsl:value-of select="2" />
				</xsl:when>
				-->
				<xsl:otherwise>
					<xsl:value-of select="0" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<fo:table table-layout="fixed" width="100%" space-before="16px">
			<xsl:if test="$report_type = 1 or $report_type = 2 or $report_type = 3">
				<fo:table-column column-width="0.75in" />
			</xsl:if>
			<xsl:if test="$marketcount > 1">
				<fo:table-column column-width="0.75in" />
			</xsl:if>
			<fo:table-column column-width="0.70in" />
			<fo:table-column column-width="0.70in" />
			<fo:table-column column-width="0.70in" />
			<fo:table-column column-width="0.70in" />
			<fo:table-column column-width="0.70in" />
			<fo:table-column column-width="0.70in" />
			<fo:table-column column-width="0.75in" />
			<fo:table-header>
				<fo:table-row keep-with-next="always">
					<xsl:if test="$report_type = 1 or $report_type = 2 or $report_type = 3">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>User Id</fo:block>
						</fo:table-cell>
					</xsl:if>
					<xsl:if test="$marketcount > 1">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Mkt</fo:block>
						</fo:table-cell>
					</xsl:if>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Purchases Paid</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Purchases Billed</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Payments</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Write-Off Payments</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Misc Adj</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Tax Amount</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt" border-left-style="double" border-right-style="double">
						<fo:block>Total Invoices</fo:block>
					</fo:table-cell>					
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<xsl:for-each select="/all_results/results[@name = 'sum']/row">
					<xsl:sort select="./ptrusr" />
					<xsl:sort select="./market" />
					<fo:table-row>
						<xsl:if test="$report_type = 1 or $report_type = 2 or $report_type = 3">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block>
									<xsl:value-of select="./ptrusr" />
								</fo:block>
							</fo:table-cell>
						</xsl:if>
						<xsl:if test="$marketcount > 1">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block>
									<xsl:value-of select="./market" />
								</fo:block>
							</fo:table-cell>						
						</xsl:if>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(./purchasepaid + ./purchtaxpaid, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(./purchasebill + ./purchtaxbill, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:choose>
								<xsl:when test="./wrtoff = 'W'">
									<xsl:value-of select="' '" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="format-number(./payment, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:choose>
								<xsl:when test="./wrtoff = 'W'">
									<xsl:value-of select="format-number(./payment, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="' '" />
								</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>						
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(./misc + ./misctax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(./totaltax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-left-style="double" border-left-width="5px" border-right-style="double" border-right-width="5px">
							<fo:block>
								<xsl:value-of select="format-number(./purchasepaid + ./purchasebill + ./payment + ./misc + ./totaltax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>		
					</fo:table-row>
				</xsl:for-each>
				<fo:table-row>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left" number-columns-spanned="{$coladjust}">
						<fo:block>
							<xsl:value-of select="'Totals'" />
						</fo:block>
					</fo:table-cell>
					<xsl:if test="$marketcount > 1">
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
							<fo:block>
								<xsl:value-of select="' '" />
							</fo:block>
						</fo:table-cell>						
					</xsl:if>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/purchasepaid) + sum(/all_results/results[@name = 'sum']/row/purchtaxpaid), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/purchasebill) + sum(/all_results/results[@name = 'sum']/row/purchtaxbill), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[wrtoff != 'W']/payment), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[wrtoff = 'W']/payment), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>					
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/misc) + sum(/all_results/results[@name = 'sum']/row/misctax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/totaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px" border-left-style="double" border-left-width="5px" border-right-style="double" border-right-width="5px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/purchasepaid) + sum(/all_results/results[@name = 'sum']/row/purchasebill) + sum(/all_results/results[@name = 'sum']/row/misc) + sum(/all_results/results[@name = 'sum']/row/payment) + sum(/all_results/results[@name = 'sum']/row/totaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>		
		<fo:table table-layout="fixed" width="100%" space-before="16px">
			<xsl:if test="$report_type = 1 or $report_type = 2 or $report_type = 3">
				<fo:table-column column-width="0.75in" />
			</xsl:if>
			<xsl:if test="$marketcount > 1">
				<fo:table-column column-width="0.75in" />
			</xsl:if>
			<fo:table-column column-width="0.70in" />
			<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">			
				<xsl:if test="./tenderedtype != 'CASH'">
					<fo:table-column column-width="0.70in" />
				</xsl:if>
			</xsl:for-each>
			<fo:table-column column-width="0.70in" />
			<fo:table-column column-width="0.70in" />				
			<fo:table-column column-width="0.70in" />				
			<fo:table-column column-width="0.70in" />				
			<fo:table-header>
				<fo:table-row keep-with-next="always">
					<xsl:if test="$report_type = 1 or $report_type = 2 or $report_type = 3">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>User Id</fo:block>
						</fo:table-cell>
					</xsl:if>
					<xsl:if test="$marketcount > 1">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Mkt</fo:block>
						</fo:table-cell>
					</xsl:if>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Cash</fo:block>
					</fo:table-cell>					
					<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">				
						<xsl:if test="./tenderedtype != 'CASH'">
							<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>
									<xsl:value-of select="'Total '" />
									<xsl:value-of select="./tendereddesc" />
								</fo:block>
							</fo:table-cell>
						</xsl:if>
					</xsl:for-each>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Bill To</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Return Amount</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Cash+Check Amount</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
						<fo:block>Total Activity Amount</fo:block>
					</fo:table-cell>															
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<!--  
				<fo:table-row>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
						<fo:block>
							<xsl:value-of select="'Beginning Cash Balance'" />
						</fo:block>
					</fo:table-cell>
					<xsl:if test="$marketcount > 1">
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
							<fo:block>
								<xsl:value-of select="' '" />
							</fo:block>
						</fo:table-cell>						
					</xsl:if>					
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(/all_results/results[@name = 'sum']/row[position() = 1]/begbal, '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px" number-columns-spanned="{$tenderedcount + 1}">
						<fo:block color="black">
							<xsl:value-of select="' '" />
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				-->
				<xsl:for-each select="/all_results/results[@name = 'sum']/row">
					<xsl:sort select="./ptrusr" />
					<xsl:sort select="./market" />
					<xsl:variable name="user" select="./ptrusr" />
					<xsl:variable name="market" select="./market" />
					<fo:table-row>
						<xsl:if test="$report_type = 1 or $report_type = 2 or $report_type = 3">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block>
									<xsl:value-of select="./ptrusr" />
								</fo:block>
							</fo:table-cell>
						</xsl:if>
						<xsl:if test="$marketcount > 1">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block>
									<xsl:value-of select="./market" />
								</fo:block>
							</fo:table-cell>						
						</xsl:if>			
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(./cash - ./change, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">				
							<xsl:if test="./tenderedtype != 'CASH'">
								<xsl:variable name="tenderedtype" select="./tenderedtype" />
								<xsl:choose>
									<xsl:when test="($report_type = 1 or $report_type = 2 or $report_type = 3) and exists(/all_results/results[@name = 'sumtendered']/row[./market = $market and ./ptrusr = $user and ./tenderedtype = $tenderedtype]/tenderedamt)">
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
											<fo:block>
												<xsl:value-of select="format-number(/all_results/results[@name = 'sumtendered']/row[./market = $market and ./ptrusr = $user and ./tenderedtype = $tenderedtype]/tenderedamt, '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</fo:table-cell>
									</xsl:when>
									<xsl:otherwise>
										<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
											<fo:block>
												<xsl:value-of select="' '" />
											</fo:block>
										</fo:table-cell>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						</xsl:for-each>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(./billto, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(./returnamt + ./returntax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(/all_results/results[@name = 'sumtendered']/row[./market = $market and ./ptrusr = $user and ./tenderedtype = 'CASH ']/tenderedamt + /all_results/results[@name = 'sumtendered']/row[./market = $market and ./ptrusr = $user and ./tenderedtype = 'CHECK']/tenderedamt, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
							<fo:block>
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sumtendered']/row[./market = $market and ./ptrusr = $user]/tenderedamt) + ./returnamt + ./returntax + ./billto, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>																
					</fo:table-row>
				</xsl:for-each>		
				<fo:table-row>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
						<fo:block>
							<xsl:value-of select="'Totals'" />
						</fo:block>
					</fo:table-cell>
					<xsl:if test="$marketcount > 1">
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
							<fo:block>
								<xsl:value-of select="' '" />
							</fo:block>
						</fo:table-cell>						
					</xsl:if>					
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number($total_cash_nobegbal, '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">
						<xsl:variable name="tenderedtype" select="./tenderedtype" />				
						<xsl:if test="./tenderedtype != 'CASH'">
							<xsl:variable name="tenderedtype" select="./tenderedtype" />
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</xsl:if>
					</xsl:for-each>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/billto), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/returnamt) + sum(/all_results/results[@name = 'sum']/row/returntax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CASH ']/tenderedamt) + sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = 'CHECK']/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sumtendered']/row/tenderedamt) + sum(/all_results/results[@name = 'sum']/row/returnamt) + sum(/all_results/results[@name = 'sum']/row/returntax) + sum(/all_results/results[@name = 'sum']/row/billto), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>										
				</fo:table-row>					
				<fo:table-row>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
						<fo:block>
							<xsl:value-of select="'Reported Totals'" />
						</fo:block>
					</fo:table-cell>
					<xsl:if test="$marketcount > 1">
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
							<fo:block>
								<xsl:value-of select="' '" />
							</fo:block>
						</fo:table-cell>						
					</xsl:if>					
					<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">	
						<xsl:variable name="tenderedpos" select="./tenderedpos" />	
						<xsl:choose>			
						<xsl:when test="$tenderedpos = 1">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
									<xsl:value-of select="format-number(number($t1_balance), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</xsl:when>
						<xsl:when test="$tenderedpos = 2">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
									<xsl:value-of select="format-number(number($t2_balance), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</xsl:when>
						<xsl:when test="$tenderedpos = 3">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
									<xsl:value-of select="format-number(number($t3_balance), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</xsl:when>
						<xsl:when test="$tenderedpos = 4">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
									<xsl:value-of select="format-number(number($t4_balance), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</xsl:when>
						<xsl:when test="$tenderedpos = 5">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
									<xsl:value-of select="format-number(number($t5_balance), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</xsl:when>
						<xsl:when test="$tenderedpos = 6">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
									<xsl:value-of select="format-number(number($t6_balance), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</xsl:when>
						<xsl:when test="$tenderedpos = 7">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
									<xsl:value-of select="format-number(number($t7_balance), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</xsl:when>
						<xsl:when test="$tenderedpos = 8">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
									<xsl:value-of select="format-number(number($t8_balance), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</xsl:when>
						<xsl:when test="$tenderedpos = 9">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
									<xsl:value-of select="format-number(number($t9_balance), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</xsl:when>
						<xsl:when test="$tenderedpos = 10">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
									<xsl:value-of select="format-number(number($t10_balance), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</xsl:when>						
						<xsl:otherwise>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<fo:block color="black">
									<xsl:value-of select="' '" />
								</fo:block>
							</fo:table-cell>
						</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px" number-columns-spanned="4">
						<fo:block color="black">
							<xsl:value-of select="' '" />
						</fo:block>
					</fo:table-cell>												
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
						<fo:block>
							<xsl:value-of select="'Variance'" />
						</fo:block>
					</fo:table-cell>
					<xsl:if test="$marketcount > 1">
						<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
							<fo:block>
								<xsl:value-of select="' '" />
							</fo:block>
						</fo:table-cell>						
					</xsl:if>					
					<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">	
						<xsl:variable name="tenderedpos" select="./tenderedpos" />	
						<xsl:variable name="tenderedtype" select="./tenderedtype" />					
						<xsl:choose>
						<xsl:when test="$tenderedtype = 'CASH'">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<xsl:choose>
									<xsl:when test="number($t1_balance) = $total_cash">
										<fo:block color="black">
											<xsl:value-of select="format-number(number($t1_balance) - $total_cash, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</xsl:when>
									<xsl:otherwise>
										<fo:block color="red">
											<xsl:value-of select="format-number(number($t1_balance) - $total_cash, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</xsl:otherwise>
								</xsl:choose>
							</fo:table-cell>
						</xsl:when>						
						<xsl:otherwise>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px">
								<xsl:choose>
								<xsl:when test="$tenderedpos = 2">
									<xsl:choose>
										<xsl:when test="number($t2_balance) = sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt)">
											<fo:block color="black">
												<xsl:value-of select="format-number(number($t2_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<fo:block color="red">
												<xsl:value-of select="format-number(number($t2_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:otherwise>
									</xsl:choose>							
								</xsl:when>
								<xsl:when test="$tenderedpos = 3">
									<xsl:choose>
										<xsl:when test="number($t3_balance) = sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt)">
											<fo:block color="black">
												<xsl:value-of select="format-number(number($t3_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<fo:block color="red">
												<xsl:value-of select="format-number(number($t3_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:otherwise>
									</xsl:choose>							
								</xsl:when>
								<xsl:when test="$tenderedpos = 4">
									<xsl:choose>
										<xsl:when test="number($t4_balance) = sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt)">
											<fo:block color="black">
												<xsl:value-of select="format-number(number($t4_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<fo:block color="red">
												<xsl:value-of select="format-number(number($t4_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:otherwise>
									</xsl:choose>							
								</xsl:when>
								<xsl:when test="$tenderedpos = 5">
									<xsl:choose>
										<xsl:when test="number($t5_balance) = sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt)">
											<fo:block color="black">
												<xsl:value-of select="format-number(number($t5_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<fo:block color="red">
												<xsl:value-of select="format-number(number($t5_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:otherwise>
									</xsl:choose>							
								</xsl:when>
								<xsl:when test="$tenderedpos = 6">
									<xsl:choose>
										<xsl:when test="number($t6_balance) = sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt)">
											<fo:block color="black">
												<xsl:value-of select="format-number(number($t6_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<fo:block color="red">
												<xsl:value-of select="format-number(number($t6_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:otherwise>
									</xsl:choose>							
								</xsl:when>	
								<xsl:when test="$tenderedpos = 7">
									<xsl:choose>
										<xsl:when test="number($t7_balance) = sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt)">
											<fo:block color="black">
												<xsl:value-of select="format-number(number($t7_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<fo:block color="red">
												<xsl:value-of select="format-number(number($t7_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:otherwise>
									</xsl:choose>							
								</xsl:when>							
								<xsl:when test="$tenderedpos = 8">
									<xsl:choose>
										<xsl:when test="number($t8_balance) = sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt)">
											<fo:block color="black">
												<xsl:value-of select="format-number(number($t8_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<fo:block color="red">
												<xsl:value-of select="format-number(number($t8_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:otherwise>
									</xsl:choose>							
								</xsl:when>							
								<xsl:when test="$tenderedpos = 9">
									<xsl:choose>
										<xsl:when test="number($t9_balance) = sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt)">
											<fo:block color="black">
												<xsl:value-of select="format-number(number($t9_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<fo:block color="red">
												<xsl:value-of select="format-number(number($t9_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:otherwise>
									</xsl:choose>							
								</xsl:when>							
								<xsl:when test="$tenderedpos = 10">
									<xsl:choose>
										<xsl:when test="number($t10_balance) = sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt)">
											<fo:block color="black">
												<xsl:value-of select="format-number(number($t10_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:when>
										<xsl:otherwise>
											<fo:block color="red">
												<xsl:value-of select="format-number(number($t10_balance) - sum(/all_results/results[@name = 'sumtendered']/row[./tenderedtype = $tenderedtype]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
											</fo:block>
										</xsl:otherwise>
									</xsl:choose>							
								</xsl:when>																																		
								<xsl:otherwise>
									<fo:block color="black">
										<xsl:value-of select="' '" />
									</fo:block>							
								</xsl:otherwise>
								</xsl:choose>
							</fo:table-cell>
						</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>
					<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right" border-before-style="double" border-before-width="3px" number-columns-spanned="4">
						<fo:block color="black">
							<xsl:value-of select="' '" />
						</fo:block>
					</fo:table-cell>
				</fo:table-row>					
			</fo:table-body>
		</fo:table>	
		<xsl:if test="$marketcount > 1">
			<fo:block xsl:use-attribute-sets="summary-headings" space-before="10px" keep-with-next="always">Market Summary</fo:block>
			<fo:table table-layout="fixed" width="100%" space-before="8px">
				<fo:table-column column-width="2.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Market'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Cash Sales'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Credit Sales'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Check Sales'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Bill To'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Total'" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each-group select="/all_results/results[@name = 'sum']/row" group-by="market">
						<xsl:sort select="market"/>
						<xsl:variable name="market" select="current-group()[position() = 1]/market" />
						<fo:table-row keep-with-previous="always">
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block color="black">
									<xsl:value-of select="$market" />
									<xsl:value-of select="' - '" />
									<xsl:value-of select="/all_results/results[@name = 'market']/row[mrktmr = $market]/descmr" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/cash) - sum(/all_results/results[@name = 'sum']/row[market = $market]/change), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sumtendered']/row[market = $market and tenderedtype = 'CREDT']/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sumtendered']/row[market = $market and tenderedtype = 'CHECK']/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/billto), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>							
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/cash) - sum(/all_results/results[@name = 'sum']/row[market = $market]/change) + sum(/all_results/results[@name = 'sumtendered']/row[market = $market and tenderedtype = 'CREDT']/tenderedamt) + sum(/all_results/results[@name = 'sumtendered']/row[market = $market and tenderedtype = 'CHECK']/tenderedamt) + sum(/all_results/results[@name = 'sum']/row[market = $market]/billto), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each-group>				
				</fo:table-body>
			</fo:table>		
		</xsl:if>
		<fo:block xsl:use-attribute-sets="summary-headings" space-before="10px" keep-with-next="always">Tax Totals</fo:block>
		<fo:table table-layout="fixed" width="100%" space-before="8px">
			<xsl:if test="$marketcount > 1" >
				<fo:table-column column-width="2.0in" />
			</xsl:if>
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-column column-width="1.0in" />
			<fo:table-header>
				<fo:table-row keep-with-next="always">
					<xsl:if test="$marketcount > 1" >
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>
								<xsl:value-of select="'Market'" />
							</fo:block>
						</fo:table-cell>
					</xsl:if>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>
							<xsl:value-of select="'Federal Tax'" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>
							<xsl:value-of select="'State Tax'" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>
							<xsl:value-of select="'City Tax'" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>
							<xsl:value-of select="'County Tax'" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>
							<xsl:value-of select="'Misc Tax'" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-headings">
						<fo:block>
							<xsl:value-of select="'Total Tax'" />
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-header>
			<fo:table-body>
				<xsl:if test="$marketcount > 1" >
					<xsl:for-each-group select="/all_results/results[@name = 'sum']/row" group-by="market">
						<xsl:sort select="market"/>
						<xsl:variable name="market" select="current-group()[position() = 1]/market" />
						<fo:table-row keep-with-previous="always">
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left">
								<fo:block color="black">
									<xsl:value-of select="$market" />
									<xsl:value-of select="' - '" />
									<xsl:value-of select="/all_results/results[@name = 'market']/row[mrktmr = $market]/descmr" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/federaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/statetax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/citytax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/countytax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/misccodetax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row[market = $market]/totaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>							
					</xsl:for-each-group>
				</xsl:if>
				<fo:table-row keep-with-previous="always">
					<xsl:if test="$marketcount > 1" >
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" border-before-style="double" border-before-width="3px">
							<fo:block color="black">
								<xsl:value-of select="'Totals'" />
							</fo:block>
						</fo:table-cell>
					</xsl:if>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/federaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/statetax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/citytax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/countytax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/misccodetax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px">
						<fo:block color="black">
							<xsl:value-of select="format-number(sum(/all_results/results[@name = 'sum']/row/totaltax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
		<xsl:if test="/all_results/results[@name = 'detail']/row[tstats = 'O']">
			 <fo:block space-before="20px" color="red">
			 	<xsl:value-of select="'ERROR - Unposted Invoices Exist - Amounts not shown in summary totals.'" />
			 </fo:block>
		</xsl:if>	
		<xsl:if test="/all_results/results[@name = 'lostcctrans']/row">
			 <fo:block space-before="20px" color="red">
			 	<xsl:value-of select="'ERROR - Potentially lost credit card transactions exist.'" />
			 </fo:block>
		</xsl:if>				
	</xsl:template>
	<xsl:template name="detail">
		<xsl:if test="/all_results/results[@name = 'detail']/row[tstats != 'O' and cash != 0 or change != 0] ">
			<xsl:if test="$report_type = 1 or $report_type = 4">
				 <fo:block break-before="page">
				 	<xsl:value-of select="' '" />
				 </fo:block>
			</xsl:if>
			<fo:table table-layout="fixed" width="100%">
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.5in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell number-columns-spanned="15" space-after="16px">
							<fo:block xsl:use-attribute-sets="summary-headings"> Cash Details</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Mkt</fo:block>
						</fo:table-cell>					
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Service</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Disc Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>User Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Pur</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Adj</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Pay</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Rtn</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Invoice</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Cash In</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Cash Out</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Cash Net</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'detail']/row[tstats != 'O' and cash != 0 or change != 0]">
						<xsl:sort select="transno" order="descending" />
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./market" />
								</fo:block>
							</fo:table-cell>						
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./transno" />
								</fo:block>
							</fo:table-cell>
							<xsl:choose>
								<xsl:when test="./ptcyc = 0 and ./ptacct = 0">
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt" number-columns-spanned="3">
										<fo:block>
											<xsl:value-of select="'Walk-In'" />
										</fo:block>
									</fo:table-cell>
								</xsl:when>
								<xsl:otherwise>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptcyc != 0 and ./ptacct != 0">
												<xsl:value-of select="format-number(./ptcyc, '000')" />
												<xsl:value-of select="'-'" />
												<xsl:value-of select="format-number(./ptacct, '0000000')" />
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptnpa != 0 and ./ptnxx != 0">
												<xsl:call-template name="phone">
													<xsl:with-param name="npa" select="./ptnpa" />
													<xsl:with-param name="nxx" select="./ptnxx" />
													<xsl:with-param name="line" select="./ptline" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptdcc != 0 and ./ptdyy != 0 and ./ptdmm != 0 and ./ptdd">
												<xsl:call-template name="date4parm">
													<xsl:with-param name="cc" select="./ptdcc" />
													<xsl:with-param name="yy" select="./ptdyy" />
													<xsl:with-param name="mm" select="./ptdmm" />
													<xsl:with-param name="dd" select="./ptddd" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
								</xsl:otherwise>
							</xsl:choose>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="./ptrcc" />
										<xsl:with-param name="yy" select="./ptryy" />
										<xsl:with-param name="mm" select="./ptrmm" />
										<xsl:with-param name="dd" select="./ptrdd" />
									</xsl:call-template>
									<xsl:value-of select="' '" />
									<xsl:value-of select="format-number(./pttmhh, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmmm, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmss, '00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./ptrusr" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:if test="./purchasepaid != 0 or ./purchasebill != 0">
										<xsl:value-of select="'X'" />
									</xsl:if>
									<xsl:value-of select="' '" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:if test="./misc != 0">
										<xsl:value-of select="'X'" />
									</xsl:if>
									<xsl:value-of select="' '" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:if test="./payment != 0">
										<xsl:value-of select="'X'" />
									</xsl:if>
									<xsl:value-of select="' '" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:if test="./returnamt != 0">
										<xsl:value-of select="'X'" />
									</xsl:if>
									<xsl:value-of select="' '" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./purchasepaid + ./misc + ./payment + ./returnamt + ./totaltax - ./billto - ./billtotax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:choose>
										<xsl:when test="./cash &lt; 0">
											<xsl:value-of select="format-number(0, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="format-number(./cash, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:choose>
										<xsl:when test="./cash &lt; 0">
											<xsl:value-of select="format-number((./cash * -1), '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="format-number(./change, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./cash - ./change, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt" number-columns-spanned="11">
							<fo:block>
								<xsl:value-of select="'Totals'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of
									select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and cash != 0]/purchasepaid) + sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and cash != 0]/misc) + sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and cash != 0]/payment) + sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and cash != 0]/returnamt) + sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and cash != 0]/totaltax) - sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and cash != 0]/billto) - sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and cash != 0]/billtotax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and cash != 0]/cash), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of
									select="format-number((sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and cash &lt; 0]/cash) * -1) + sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and cash != 0]/change), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of
									select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and cash != 0]/cash) - sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and cash != 0]/change), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</xsl:if>
		<xsl:if test="/all_results/results[@name = 'detail']/row[tstats != 'O' and purchasepaid != 0]">
			<fo:table table-layout="fixed" width="100%" break-before="page">
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.5in" />
				<fo:table-column column-width="1.0in" />
                <fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell number-columns-spanned="10" space-after="16px">
							<fo:block xsl:use-attribute-sets="summary-headings"> Purchases Paid Details</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Mkt</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Service</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Disc Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>User Id</fo:block>
						</fo:table-cell>
                        <fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
                            <fo:block>Type</fo:block>
                        </fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Purchases</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Tax Amount</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Invoices</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'detail']/row[tstats != 'O' and purchasepaid != 0]">
						<xsl:sort select="transno" order="descending" />
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./market" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./transno" />
								</fo:block>
							</fo:table-cell>
							<xsl:choose>
								<xsl:when test="./ptcyc = 0 and ./ptacct = 0">
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt" number-columns-spanned="3">
										<fo:block>
											<xsl:value-of select="'Walk-In'" />
										</fo:block>
									</fo:table-cell>
								</xsl:when>
								<xsl:otherwise>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptcyc != 0 and ./ptacct != 0">
												<xsl:value-of select="format-number(./ptcyc, '000')" />
												<xsl:value-of select="'-'" />
												<xsl:value-of select="format-number(./ptacct, '0000000')" />
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptnpa != 0 and ./ptnxx != 0">
												<xsl:call-template name="phone">
													<xsl:with-param name="npa" select="./ptnpa" />
													<xsl:with-param name="nxx" select="./ptnxx" />
													<xsl:with-param name="line" select="./ptline" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptdcc != 0 and ./ptdyy != 0 and ./ptdmm != 0 and ./ptdd">
												<xsl:call-template name="date4parm">
													<xsl:with-param name="cc" select="./ptdcc" />
													<xsl:with-param name="yy" select="./ptdyy" />
													<xsl:with-param name="mm" select="./ptdmm" />
													<xsl:with-param name="dd" select="./ptddd" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
								</xsl:otherwise>
							</xsl:choose>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="./ptrcc" />
										<xsl:with-param name="yy" select="./ptryy" />
										<xsl:with-param name="mm" select="./ptrmm" />
										<xsl:with-param name="dd" select="./ptrdd" />
									</xsl:call-template>
									<xsl:value-of select="' '" />
									<xsl:value-of select="format-number(./pttmhh, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmmm, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmss, '00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./ptrusr" />
								</fo:block>
							</fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
                                <fo:block>
                                    <xsl:value-of select="./ptrtyp" />
                                </fo:block>
                            </fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./purchasepaid, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./purchtaxpaid, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./purchasepaid + ./purchtaxpaid, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt" number-columns-spanned="8">
							<fo:block>
								<xsl:value-of select="'Totals'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and purchasepaid != 0]/purchasepaid), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and purchasepaid != 0]/purchtaxpaid), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of
									select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and purchasepaid != 0]/purchasepaid) + sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and purchasepaid != 0]/purchtaxpaid), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</xsl:if>
		<xsl:if test="/all_results/results[@name = 'detail']/row[tstats != 'O' and purchasebill != 0]">
			<fo:table table-layout="fixed" width="100%" break-before="page">
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.5in" />
				<fo:table-column column-width="1.0in" />
                <fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell number-columns-spanned="9" space-after="16px">
							<fo:block xsl:use-attribute-sets="summary-headings"> Purchases Billed Details</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Mkt</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Service</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Disc Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>User Id</fo:block>
						</fo:table-cell>
                        <fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
                            <fo:block>Type</fo:block>
                        </fo:table-cell>
                        <fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Purchases</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Tax Amount</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Invoices</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'detail']/row[tstats != 'O' and purchasebill != 0]">
						<xsl:sort select="transno" order="descending" />
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./market" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./transno" />
								</fo:block>
							</fo:table-cell>
							<xsl:choose>
								<xsl:when test="./ptcyc = 0 and ./ptacct = 0">
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt" number-columns-spanned="3">
										<fo:block>
											<xsl:value-of select="'Walk-In'" />
										</fo:block>
									</fo:table-cell>
								</xsl:when>
								<xsl:otherwise>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptcyc != 0 and ./ptacct != 0">
												<xsl:value-of select="format-number(./ptcyc, '000')" />
												<xsl:value-of select="'-'" />
												<xsl:value-of select="format-number(./ptacct, '0000000')" />
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptnpa != 0 and ./ptnxx != 0">
												<xsl:call-template name="phone">
													<xsl:with-param name="npa" select="./ptnpa" />
													<xsl:with-param name="nxx" select="./ptnxx" />
													<xsl:with-param name="line" select="./ptline" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptdcc != 0 and ./ptdyy != 0 and ./ptdmm != 0 and ./ptdd">
												<xsl:call-template name="date4parm">
													<xsl:with-param name="cc" select="./ptdcc" />
													<xsl:with-param name="yy" select="./ptdyy" />
													<xsl:with-param name="mm" select="./ptdmm" />
													<xsl:with-param name="dd" select="./ptddd" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
								</xsl:otherwise>
							</xsl:choose>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="./ptrcc" />
										<xsl:with-param name="yy" select="./ptryy" />
										<xsl:with-param name="mm" select="./ptrmm" />
										<xsl:with-param name="dd" select="./ptrdd" />
									</xsl:call-template>
									<xsl:value-of select="' '" />
									<xsl:value-of select="format-number(./pttmhh, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmmm, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmss, '00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./ptrusr" />
								</fo:block>
							</fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
                                <fo:block>
                                    <xsl:value-of select="./ptrtyp" />
                                </fo:block>
                            </fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./purchasebill, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./purchtaxbill, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./purchasebill + ./purchtaxbill, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt" number-columns-spanned="8">
							<fo:block>
								<xsl:value-of select="'Totals'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and purchasebill != 0]/purchasebill), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and purchasebill != 0]/purchtaxbill), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of
									select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and purchasebill != 0]/purchasebill) + sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and purchasebill != 0]/purchtaxbill), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</xsl:if>
		<xsl:if test="/all_results/results[@name = 'detail']/row[tstats != 'O' and payment != 0]">
			<fo:table table-layout="fixed" width="100%" break-before="page">
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.5in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.6in" />
                <fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.25in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell number-columns-spanned="9" space-after="16px">
							<fo:block xsl:use-attribute-sets="summary-headings"> Payment Details</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Mkt</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Service</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Disc Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>User Id</fo:block>
						</fo:table-cell>
                        <fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
                            <fo:block>Desc</fo:block>
                        </fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Payment</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Invoices</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>WO</fo:block>
						</fo:table-cell>						
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'detail']/row[tstats != 'O' and payment != 0]">
						<xsl:sort select="transno" order="descending" />
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./market" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./transno" />
								</fo:block>
							</fo:table-cell>
							<xsl:choose>
								<xsl:when test="./ptcyc = 0 and ./ptacct = 0">
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt" number-columns-spanned="3">
										<fo:block>
											<xsl:value-of select="'Walk-In'" />
										</fo:block>
									</fo:table-cell>
								</xsl:when>
								<xsl:otherwise>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptcyc != 0 and ./ptacct != 0">
												<xsl:value-of select="format-number(./ptcyc, '000')" />
												<xsl:value-of select="'-'" />
												<xsl:value-of select="format-number(./ptacct, '0000000')" />
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptnpa != 0 and ./ptnxx != 0">
												<xsl:call-template name="phone">
													<xsl:with-param name="npa" select="./ptnpa" />
													<xsl:with-param name="nxx" select="./ptnxx" />
													<xsl:with-param name="line" select="./ptline" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptdcc != 0 and ./ptdyy != 0 and ./ptdmm != 0 and ./ptdd">
												<xsl:call-template name="date4parm">
													<xsl:with-param name="cc" select="./ptdcc" />
													<xsl:with-param name="yy" select="./ptdyy" />
													<xsl:with-param name="mm" select="./ptdmm" />
													<xsl:with-param name="dd" select="./ptddd" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
								</xsl:otherwise>
							</xsl:choose>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="./ptrcc" />
										<xsl:with-param name="yy" select="./ptryy" />
										<xsl:with-param name="mm" select="./ptrmm" />
										<xsl:with-param name="dd" select="./ptrdd" />
									</xsl:call-template>
									<xsl:value-of select="' '" />
									<xsl:value-of select="format-number(./pttmhh, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmmm, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmss, '00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./ptrusr" />
								</fo:block>
							</fo:table-cell>
                            <fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
                                <fo:block>
                                    <xsl:value-of select="./paydesc" />
                                </fo:block>
                            </fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./payment, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./payment, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./wrtoff" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt" number-columns-spanned="8">
							<fo:block>
								<xsl:value-of select="'Totals'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and payment != 0]/payment), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and payment != 0]/payment), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
							<fo:block>
								<xsl:value-of select="' '" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</xsl:if>
		<xsl:if test="/all_results/results[@name = 'detail']/row[tstats != 'O' and misc != 0]">
			<fo:table table-layout="fixed" width="100%" break-before="page">
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.5in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell number-columns-spanned="10" space-after="16px">
							<fo:block xsl:use-attribute-sets="summary-headings"> Miscellaneous Adjustment Details</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Mkt</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Service</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Disc Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>User Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Misc Adj</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Tax Amount</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Invoices</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'detail']/row[tstats != 'O' and misc != 0]">
						<xsl:sort select="transno" order="descending" />
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./market" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./transno" />
								</fo:block>
							</fo:table-cell>
							<xsl:choose>
								<xsl:when test="./ptcyc = 0 and ./ptacct = 0">
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt" number-columns-spanned="3">
										<fo:block>
											<xsl:value-of select="'Walk-In'" />
										</fo:block>
									</fo:table-cell>
								</xsl:when>
								<xsl:otherwise>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptcyc != 0 and ./ptacct != 0">
												<xsl:value-of select="format-number(./ptcyc, '000')" />
												<xsl:value-of select="'-'" />
												<xsl:value-of select="format-number(./ptacct, '0000000')" />
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptnpa != 0 and ./ptnxx != 0">
												<xsl:call-template name="phone">
													<xsl:with-param name="npa" select="./ptnpa" />
													<xsl:with-param name="nxx" select="./ptnxx" />
													<xsl:with-param name="line" select="./ptline" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptdcc != 0 and ./ptdyy != 0 and ./ptdmm != 0 and ./ptdd">
												<xsl:call-template name="date4parm">
													<xsl:with-param name="cc" select="./ptdcc" />
													<xsl:with-param name="yy" select="./ptdyy" />
													<xsl:with-param name="mm" select="./ptdmm" />
													<xsl:with-param name="dd" select="./ptddd" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
								</xsl:otherwise>
							</xsl:choose>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="./ptrcc" />
										<xsl:with-param name="yy" select="./ptryy" />
										<xsl:with-param name="mm" select="./ptrmm" />
										<xsl:with-param name="dd" select="./ptrdd" />
									</xsl:call-template>
									<xsl:value-of select="' '" />
									<xsl:value-of select="format-number(./pttmhh, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmmm, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmss, '00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./ptrusr" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./misc, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./misctax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./misc + ./misctax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt" number-columns-spanned="7">
							<fo:block>
								<xsl:value-of select="'Totals'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and misc != 0]/misc), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and misc != 0]/misctax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of
									select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and misc != 0]/misc) + sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and misc != 0]/misctax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</xsl:if>
		<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">				
			<xsl:variable name="tenderedtype" select="./tenderedtype" />
			<xsl:variable name="tendereddesc" select="./tendereddesc" />
			<xsl:variable name="useref" select="./useref" />
			<xsl:variable name="usedesc" select="./usedesc" />
			
			<xsl:if test="$tenderedtype != 'CASH' and /all_results/results[@name = 'detailtender']/row[tstats != 'O' and tenderedtype = $tenderedtype and tenderedamt != 0]">
				<fo:block xsl:use-attribute-sets="summary-headings" break-before="page" space-after="16px"> 
					<xsl:value-of select="$tendereddesc" />
					<xsl:value-of select="' Details'" />
				</fo:block>
				<fo:table table-layout="fixed" width="100%">
					<fo:table-column column-width="0.25in" />
					<fo:table-column column-width="1.0in" />
					<fo:table-column column-width="0.75in" />
					<fo:table-column column-width="0.75in" />
					<fo:table-column column-width="0.5in" />
					<fo:table-column column-width="1.0in" />
					<fo:table-column column-width="0.6in" />
					<xsl:if test="$useref != 'N'">
						<fo:table-column column-width="1.0in" />
					</xsl:if>
					<xsl:if test="$usedesc != 'N'">
						<fo:table-column column-width="1.0in" />
					</xsl:if>					
					<fo:table-column column-width="0.6in" />
					<fo:table-header>
						<fo:table-row keep-with-next="always">
							<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>Mkt</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>Invoice Id</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>Account</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>Service</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>Disc Date</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>Invoice Date</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>User Id</fo:block>
							</fo:table-cell>
							<xsl:if test="$useref != 'N'">
								<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
									<fo:block>Reference</fo:block>
								</fo:table-cell>
							</xsl:if>
							<xsl:if test="$usedesc != 'N'">
								<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
									<fo:block>Comment</fo:block>
								</fo:table-cell>
							</xsl:if>							
							<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block>Total Amount</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-header>
					<fo:table-body>
						<xsl:for-each select="/all_results/results[@name = 'detailtender']/row[tstats != 'O' and tenderedtype = $tenderedtype and tenderedamt != 0]">
							<xsl:sort select="transno" order="descending" />
							<xsl:variable name="transno" select="./transno" />
							<xsl:variable name="detailrow" select="/all_results/results[@name = 'detail']/row[transno = $transno]" />
							<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
									<fo:block>
										<xsl:value-of select="$detailrow/market" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
									<fo:block>
										<xsl:value-of select="$transno" />
									</fo:block>
								</fo:table-cell>
								<xsl:choose>
									<xsl:when test="$detailrow/ptcyc = 0 and $detailrow/ptacct = 0">
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt" number-columns-spanned="3">
											<fo:block>
												<xsl:value-of select="'Walk-In'" />
											</fo:block>
										</fo:table-cell>
									</xsl:when>
									<xsl:otherwise>
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
											<fo:block>
												<xsl:if test="max($detailrow/ptcyc) != 0 and max($detailrow/ptacct) != 0">
													<xsl:value-of select="format-number(max($detailrow/ptcyc), '000')" />
													<xsl:value-of select="'-'" />
													<xsl:value-of select="format-number(max($detailrow/ptacct), '0000000')" />
												</xsl:if>
												<xsl:value-of select="' '" />
											</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
											<fo:block>
												<xsl:if test="max($detailrow/ptnpa) != 0 and max($detailrow/ptnxx) != 0">
													<xsl:call-template name="phone">
														<xsl:with-param name="npa" select="max($detailrow/ptnpa)" />
														<xsl:with-param name="nxx" select="max($detailrow/ptnxx)" />
														<xsl:with-param name="line" select="max($detailrow/ptline)" />
													</xsl:call-template>
												</xsl:if>
												<xsl:value-of select="' '" />
											</fo:block>
										</fo:table-cell>
										<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
											<fo:block>
												<xsl:if test="max($detailrow/ptdcc != 0) and max($detailrow/ptdyy != 0) and max($detailrow/ptdmm != 0)">
													<xsl:call-template name="date4parm">
														<xsl:with-param name="cc" select="max($detailrow/ptdcc)" />
														<xsl:with-param name="yy" select="max($detailrow/ptdyy)" />
														<xsl:with-param name="mm" select="max($detailrow/ptdmm)" />
														<xsl:with-param name="dd" select="max($detailrow/ptddd)" />
													</xsl:call-template>
												</xsl:if>
												<xsl:value-of select="' '" />
											</fo:block>
										</fo:table-cell>
									</xsl:otherwise>
								</xsl:choose>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
									<fo:block>
										<xsl:call-template name="date4parm">
											<xsl:with-param name="cc" select="max($detailrow/ptrcc)" />
											<xsl:with-param name="yy" select="max($detailrow/ptryy)" />
											<xsl:with-param name="mm" select="max($detailrow/ptrmm)" />
											<xsl:with-param name="dd" select="max($detailrow/ptrdd)" />
										</xsl:call-template>
										<xsl:value-of select="' '" />
										<xsl:value-of select="format-number(max($detailrow/pttmhh), '00')" />
										<xsl:value-of select="':'" />
										<xsl:value-of select="format-number(max($detailrow/pttmmm), '00')" />
										<xsl:value-of select="':'" />
										<xsl:value-of select="format-number(max($detailrow/pttmss), '00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
									<fo:block>
										<xsl:value-of select="$detailrow[position() = 1]/ptrusr" />
									</fo:block>
								</fo:table-cell>
								<xsl:if test="$useref != 'N'">
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
										<fo:block>
											<xsl:value-of select="./ref" />
										</fo:block>
									</fo:table-cell>
								</xsl:if>
								<xsl:if test="$usedesc != 'N'">
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
										<fo:block>
											<xsl:value-of select="./desc" />
										</fo:block>
									</fo:table-cell>
								</xsl:if>															
								<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
									<fo:block>
										<xsl:value-of select="format-number(./tenderedamt, '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</xsl:for-each>
						<fo:table-row>
							<xsl:variable name="cols">
								<xsl:choose>
								<xsl:when test="$useref != 'N' and $usedesc != 'N'">
									<xsl:value-of select="9" />
								</xsl:when>
								<xsl:when test="$useref != 'N' or $usedesc != 'N'">
									<xsl:value-of select="8" />
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="7" />
								</xsl:otherwise>
								</xsl:choose>
							</xsl:variable>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt" number-columns-spanned="{$cols}">
								<fo:block>
									<xsl:value-of select="'Totals'" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
								<fo:block color="black">
									<xsl:value-of select="format-number(sum(/all_results/results[@name = 'detailtender']/row[tstats != 'O' and tenderedtype = $tenderedtype and tenderedamt != 0]/tenderedamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-body>
				</fo:table>
			</xsl:if>
		</xsl:for-each>
		<!--  
		<xsl:if test="/all_results/results[@name = 'detail']/row[tstats != 'O' and chck != 0]">
			<fo:table table-layout="fixed" width="100%" break-before="page">
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.5in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell number-columns-spanned="9" space-after="16px">
							<fo:block xsl:use-attribute-sets="summary-headings"> Check Details</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Mkt</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Service</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Disc Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>User Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Check</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Check Reference</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'detail']/row[tstats != 'O' and chck != 0]">
						<xsl:sort select="transno" order="descending" />
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./market" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./transno" />
								</fo:block>
							</fo:table-cell>
							<xsl:choose>
								<xsl:when test="./ptcyc = 0 and ./ptacct = 0">
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt" number-columns-spanned="3">
										<fo:block>
											<xsl:value-of select="'Walk-In'" />
										</fo:block>
									</fo:table-cell>
								</xsl:when>
								<xsl:otherwise>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptcyc != 0 and ./ptacct != 0">
												<xsl:value-of select="format-number(./ptcyc, '000')" />
												<xsl:value-of select="'-'" />
												<xsl:value-of select="format-number(./ptacct, '0000000')" />
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptnpa != 0 and ./ptnxx != 0">
												<xsl:call-template name="phone">
													<xsl:with-param name="npa" select="./ptnpa" />
													<xsl:with-param name="nxx" select="./ptnxx" />
													<xsl:with-param name="line" select="./ptline" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptdcc != 0 and ./ptdyy != 0 and ./ptdmm != 0 and ./ptdd">
												<xsl:call-template name="date4parm">
													<xsl:with-param name="cc" select="./ptdcc" />
													<xsl:with-param name="yy" select="./ptdyy" />
													<xsl:with-param name="mm" select="./ptdmm" />
													<xsl:with-param name="dd" select="./ptddd" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
								</xsl:otherwise>
							</xsl:choose>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="./ptrcc" />
										<xsl:with-param name="yy" select="./ptryy" />
										<xsl:with-param name="mm" select="./ptrmm" />
										<xsl:with-param name="dd" select="./ptrdd" />
									</xsl:call-template>
									<xsl:value-of select="' '" />
									<xsl:value-of select="format-number(./pttmhh, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmmm, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmss, '00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./ptrusr" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./chck, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./payref" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt" number-columns-spanned="7">
							<fo:block>
								<xsl:value-of select="'Totals'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and chck != 0]/chck), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells">
							<fo:block>
								<xsl:value-of select="' '" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</xsl:if>
		-->
		<xsl:if test="/all_results/results[@name = 'detail']/row[tstats != 'O' and returnamt != 0]">
			<fo:table table-layout="fixed" width="100%" break-before="page">
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.5in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell number-columns-spanned="10" space-after="16px">
							<fo:block xsl:use-attribute-sets="summary-headings"> Return Details</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Mkt</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Service</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Disc Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>User Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Return Amount</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Tax Amount</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Invoices</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Cash Returns</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'detail']/row[tstats != 'O' and returnamt != 0]">
						<xsl:sort select="transno" order="descending" />
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./market" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./transno" />
								</fo:block>
							</fo:table-cell>
							<xsl:choose>
								<xsl:when test="./ptcyc = 0 and ./ptacct = 0">
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt" number-columns-spanned="3">
										<fo:block>
											<xsl:value-of select="'Walk-In'" />
										</fo:block>
									</fo:table-cell>
								</xsl:when>
								<xsl:otherwise>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptcyc != 0 and ./ptacct != 0">
												<xsl:value-of select="format-number(./ptcyc, '000')" />
												<xsl:value-of select="'-'" />
												<xsl:value-of select="format-number(./ptacct, '0000000')" />
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptnpa != 0 and ./ptnxx != 0">
												<xsl:call-template name="phone">
													<xsl:with-param name="npa" select="./ptnpa" />
													<xsl:with-param name="nxx" select="./ptnxx" />
													<xsl:with-param name="line" select="./ptline" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptdcc != 0 and ./ptdyy != 0 and ./ptdmm != 0 and ./ptdd">
												<xsl:call-template name="date4parm">
													<xsl:with-param name="cc" select="./ptdcc" />
													<xsl:with-param name="yy" select="./ptdyy" />
													<xsl:with-param name="mm" select="./ptdmm" />
													<xsl:with-param name="dd" select="./ptddd" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
								</xsl:otherwise>
							</xsl:choose>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="./ptrcc" />
										<xsl:with-param name="yy" select="./ptryy" />
										<xsl:with-param name="mm" select="./ptrmm" />
										<xsl:with-param name="dd" select="./ptrdd" />
									</xsl:call-template>
									<xsl:value-of select="' '" />
									<xsl:value-of select="format-number(./pttmhh, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmmm, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmss, '00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./ptrusr" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./returnamt, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./returntax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./returnamt + ./returntax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<xsl:choose>
									<xsl:when test="./cash != 0">
										<fo:block>
											<xsl:value-of select="format-number(./returnamt + ./returntax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</xsl:when>
									<xsl:otherwise>
										<fo:block>
											<xsl:value-of select="' - '" />
										</fo:block>
									</xsl:otherwise>
								</xsl:choose>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt" number-columns-spanned="7">
							<fo:block>
								<xsl:value-of select="'Totals'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and returnamt != 0]/returnamt), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and returnamt != 0]/returntax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of
									select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and returnamt != 0]/returnamt) + sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and returnamt != 0]/returntax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of
									select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and returnamt != 0 and cash != 0]/returnamt) + sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and returnamt != 0 and cash != 0]/returntax), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</xsl:if>
		<xsl:if test="/all_results/results[@name = 'detail']/row[tstats != 'O' and billto != 0]">
			<fo:table table-layout="fixed" width="100%" break-before="page">
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.5in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell number-columns-spanned="7" space-after="16px">
							<fo:block xsl:use-attribute-sets="summary-headings"> Bill To Details</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Mkt</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Service</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Disc Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>User Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Bill To</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'detail']/row[tstats != 'O' and billto != 0]">
						<xsl:sort select="transno" order="descending" />
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./market" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./transno" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:if test="./ptcyc != 0 and ./ptacct != 0">
										<xsl:value-of select="format-number(./ptcyc, '000')" />
										<xsl:value-of select="'-'" />
										<xsl:value-of select="format-number(./ptacct, '0000000')" />
									</xsl:if>
									<xsl:value-of select="' '" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:if test="./ptnpa != 0 and ./ptnxx != 0">
										<xsl:call-template name="phone">
											<xsl:with-param name="npa" select="./ptnpa" />
											<xsl:with-param name="nxx" select="./ptnxx" />
											<xsl:with-param name="line" select="./ptline" />
										</xsl:call-template>
									</xsl:if>
									<xsl:value-of select="' '" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
								<fo:block>
									<xsl:if test="./ptdcc != 0 and ./ptdyy != 0 and ./ptdmm != 0 and ./ptdd">
										<xsl:call-template name="date4parm">
											<xsl:with-param name="cc" select="./ptdcc" />
											<xsl:with-param name="yy" select="./ptdyy" />
											<xsl:with-param name="mm" select="./ptdmm" />
											<xsl:with-param name="dd" select="./ptddd" />
										</xsl:call-template>
									</xsl:if>
									<xsl:value-of select="' '" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="./ptrcc" />
										<xsl:with-param name="yy" select="./ptryy" />
										<xsl:with-param name="mm" select="./ptrmm" />
										<xsl:with-param name="dd" select="./ptrdd" />
									</xsl:call-template>
									<xsl:value-of select="' '" />
									<xsl:value-of select="format-number(./pttmhh, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmmm, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmss, '00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./ptrusr" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./billto, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt" number-columns-spanned="7">
							<fo:block>
								<xsl:value-of select="'Totals'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of select="format-number(sum(/all_results/results[@name = 'detail']/row[tstats != 'O' and billto != 0]/billto), '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</xsl:if>
		<xsl:if test="/all_results/results[@name = 'detail']/row[tstats != 'O' and purchasepaid = 0 and purchasebill = 0 and payment = 0 and misc = 0 and cash = 0 and credit = 0 and debit = 0 and chck = 0 and billto = 0 and returnamt = 0 and transno &gt; '']">
			<fo:table table-layout="fixed" width="100%" break-before="page">
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.5in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell number-columns-spanned="8" space-after="16px">
							<fo:block xsl:use-attribute-sets="summary-headings">Zero Total Invoice Details</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Mkt</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Service</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Disc Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>User Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Amount</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'detail']/row[tstats != 'O' and purchasepaid = 0 and purchasebill = 0 and payment = 0 and misc = 0 and cash = 0 and credit = 0 and debit = 0 and chck = 0 and billto = 0 and returnamt = 0]">
						<xsl:sort select="transno" order="descending" />
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./market" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./transno" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:if test="./ptcyc != 0 and ./ptacct != 0">
										<xsl:value-of select="format-number(./ptcyc, '000')" />
										<xsl:value-of select="'-'" />
										<xsl:value-of select="format-number(./ptacct, '0000000')" />
									</xsl:if>
									<xsl:value-of select="' '" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:if test="./ptnpa != 0 and ./ptnxx != 0">
										<xsl:call-template name="phone">
											<xsl:with-param name="npa" select="./ptnpa" />
											<xsl:with-param name="nxx" select="./ptnxx" />
											<xsl:with-param name="line" select="./ptline" />
										</xsl:call-template>
									</xsl:if>
									<xsl:value-of select="' '" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
								<fo:block>
									<xsl:if test="./ptdcc != 0 and ./ptdyy != 0 and ./ptdmm != 0 and ./ptdd">
										<xsl:call-template name="date4parm">
											<xsl:with-param name="cc" select="./ptdcc" />
											<xsl:with-param name="yy" select="./ptdyy" />
											<xsl:with-param name="mm" select="./ptdmm" />
											<xsl:with-param name="dd" select="./ptddd" />
										</xsl:call-template>
									</xsl:if>
									<xsl:value-of select="' '" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="./ptrcc" />
										<xsl:with-param name="yy" select="./ptryy" />
										<xsl:with-param name="mm" select="./ptrmm" />
										<xsl:with-param name="dd" select="./ptrdd" />
									</xsl:call-template>
									<xsl:value-of select="' '" />
									<xsl:value-of select="format-number(./pttmhh, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmmm, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmss, '00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./ptrusr" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(0, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt" number-columns-spanned="7">
							<fo:block>
								<xsl:value-of select="'Totals'" />
							</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" border-before-style="double" border-before-width="3px" font-size="6pt">
							<fo:block color="black">
								<xsl:value-of select="format-number(0, '$ ##,###,##0.00;$ -#,###,##0.00')" />
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
		</xsl:if>		
		<xsl:if test="/all_results/results[@name = 'lostcctrans']/row">
			<fo:table table-layout="fixed" width="100%" break-before="page">
				<fo:table-column column-width="1.25in" />
				<fo:table-column column-width="0.65in" />
				<fo:table-column column-width="0.65in" />
				<fo:table-column column-width="0.65in" />
				<fo:table-column column-width="1.25in" />
				<fo:table-column column-width="0.50in" />
				<fo:table-column column-width="1.00in" />
				<fo:table-column column-width="0.50in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="1.25in" />
				<fo:table-column column-width="1.50in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell number-columns-spanned="10" space-after="16px">
							<fo:block xsl:use-attribute-sets="summary-headings" color="red"> Potentially Lost Credit Card Transactions - ERROR</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Charged By</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Trans Type</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>CC Trans #</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>By</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Cardholder Name</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Card Type</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Charge Amount</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Response</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings">
							<fo:block>Trace ID</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'lostcctrans']/row">
						<xsl:sort select="transno" order="descending" />
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:value-of select="./transdate" />
									<xsl:value-of select="' '" />
									<xsl:value-of select="./transtime" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:value-of select="./chrgby" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:if test="./cycle != 0 and ./acct != 0">
										<xsl:value-of select="format-number(./cycle, '000')" />
										<xsl:value-of select="'-'" />
										<xsl:value-of select="format-number(./acct, '0000000')" />
									</xsl:if>
									<xsl:value-of select="' '" />
								</fo:block>
							</fo:table-cell>							
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:value-of select="./authtype" />
									<xsl:value-of select="' / '" />
									<xsl:value-of select="./transtype" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:value-of select="./transid" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:choose>
										<xsl:when test="substring(./transdesc, 1, 3) = 'Web'">
											<xsl:value-of select="'Web'" />
										</xsl:when>
										<xsl:when test="substring(./transdesc, 1, 9) = 'Auto'">
											<xsl:value-of select="'AutoPay'" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="./chrgby" />
										</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="left">
								<fo:block>
									<xsl:value-of select="./ccfname" />
									<xsl:value-of select="' '" />
									<xsl:value-of select="./cclname" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:value-of select="./cctype" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="right">
								<xsl:choose>
									<xsl:when test="./ccamt &lt; 0">
										<fo:block font-size="6.5pt" font-weight="bold" color="#FF0000">
											<xsl:value-of select="format-number(./ccamt, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</xsl:when>
									<xsl:otherwise>
										<fo:block font-size="6.5pt">
											<xsl:value-of select="format-number(./ccamt, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</xsl:otherwise>
								</xsl:choose>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:value-of select="./rsptext" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells-smaller" text-align="center">
								<fo:block>
									<xsl:value-of select="./rsptrace" />
									<xsl:value-of select="'           '" />
								</fo:block>
							</fo:table-cell>		
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</xsl:if>		
		<xsl:if test="/all_results/results[@name = 'detail']/row[tstats = 'O']">
			<fo:table table-layout="fixed" width="100%" break-before="page">
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.75in" />
				<fo:table-column column-width="0.5in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell number-columns-spanned="10" space-after="16px">
							<fo:block xsl:use-attribute-sets="summary-headings" color="red"> Unposted Invoices - ERROR</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Mkt</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Service</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Disc Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>User Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Amount</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Tax Amount</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Invoices</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'detail']/row[tstats = 'O']">
						<xsl:sort select="transno" order="descending" />
						<fo:table-row background-color="red">
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./market" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./transno" />
								</fo:block>
							</fo:table-cell>
							<xsl:choose>
								<xsl:when test="./ptcyc = 0 and ./ptacct = 0">
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt" number-columns-spanned="3">
										<fo:block>
											<xsl:value-of select="'Walk-In'" />
										</fo:block>
									</fo:table-cell>
								</xsl:when>
								<xsl:otherwise>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptcyc != 0 and ./ptacct != 0">
												<xsl:value-of select="format-number(./ptcyc, '000')" />
												<xsl:value-of select="'-'" />
												<xsl:value-of select="format-number(./ptacct, '0000000')" />
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptnpa != 0 and ./ptnxx != 0">
												<xsl:call-template name="phone">
													<xsl:with-param name="npa" select="./ptnpa" />
													<xsl:with-param name="nxx" select="./ptnxx" />
													<xsl:with-param name="line" select="./ptline" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptdcc != 0 and ./ptdyy != 0 and ./ptdmm != 0 and ./ptdd">
												<xsl:call-template name="date4parm">
													<xsl:with-param name="cc" select="./ptdcc" />
													<xsl:with-param name="yy" select="./ptdyy" />
													<xsl:with-param name="mm" select="./ptdmm" />
													<xsl:with-param name="dd" select="./ptddd" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
								</xsl:otherwise>
							</xsl:choose>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="./ptrcc" />
										<xsl:with-param name="yy" select="./ptryy" />
										<xsl:with-param name="mm" select="./ptrmm" />
										<xsl:with-param name="dd" select="./ptrdd" />
									</xsl:call-template>
									<xsl:value-of select="' '" />
									<xsl:value-of select="format-number(./pttmhh, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmmm, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmss, '00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./ptrusr" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./invcamt, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./totaltax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./invcamt + ./totaltax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</xsl:if>		
	</xsl:template>
	<xsl:template name="briefdetail">
		<xsl:if test="/all_results/results[@name = 'detail']/row[tstats != 'O']">
			<xsl:if test="$report_type = 2 or $report_type = 5">
				 <fo:block break-before="page">
				 	<xsl:value-of select="' '" />
				 </fo:block>
			</xsl:if>	
			<fo:block xsl:use-attribute-sets="summary-headings" space-after="16px">
				Invoice Details
			</fo:block>
			<fo:table table-layout="fixed" width="100%">
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="1.2in" />
				<fo:table-column column-width="0.7in" />
				<fo:table-column column-width="0.7in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.6in" />
				<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">				
					<fo:table-column column-width="0.6in" />
				</xsl:for-each>				
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Mkt</fo:block>
						</fo:table-cell>					
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Service</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>User Id</fo:block>
						</fo:table-cell>
						<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">				
							<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
								<fo:block><xsl:value-of select="./tendereddesc" /></fo:block>
							</fo:table-cell>
						</xsl:for-each>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Billed To</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Invoice</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'detail']/row[tstats != 'O']">
						<xsl:sort select="transno" order="descending" />
						<xsl:variable name="transno" select="./transno" />
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./market" />
								</fo:block>
							</fo:table-cell>						
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./transno" />
								</fo:block>
							</fo:table-cell>
							<xsl:choose>
								<xsl:when test="./ptcyc = 0 and ./ptacct = 0">
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt" number-columns-spanned="2">
										<fo:block>
											<xsl:value-of select="'Walk-In'" />
										</fo:block>
									</fo:table-cell>
								</xsl:when>
								<xsl:otherwise>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptcyc != 0 and ./ptacct != 0">
												<xsl:value-of select="format-number(./ptcyc, '000')" />
												<xsl:value-of select="'-'" />
												<xsl:value-of select="format-number(./ptacct, '0000000')" />
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptnpa != 0 and ./ptnxx != 0">
												<xsl:call-template name="phone">
													<xsl:with-param name="npa" select="./ptnpa" />
													<xsl:with-param name="nxx" select="./ptnxx" />
													<xsl:with-param name="line" select="./ptline" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
								</xsl:otherwise>
							</xsl:choose>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="./ptrcc" />
										<xsl:with-param name="yy" select="./ptryy" />
										<xsl:with-param name="mm" select="./ptrmm" />
										<xsl:with-param name="dd" select="./ptrdd" />
									</xsl:call-template>
									<xsl:value-of select="' '" />
									<xsl:value-of select="format-number(./pttmhh, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmmm, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmss, '00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./ptrusr" />
								</fo:block>
							</fo:table-cell>
							<xsl:for-each select="/all_results/results[@name = 'tenderedtypes']/row">				
								<xsl:variable name="tenderedtype" select="./tenderedtype" />
								<xsl:choose>
								<xsl:when test="$tenderedtype = 'CASH' and exists(/all_results/results[@name = 'detailtender']/row[./transno = $transno and ./tenderedtype = 'CHNGE']/tenderedamt)"> 
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
										<fo:block>
											<xsl:value-of select="format-number(/all_results/results[@name = 'detailtender']/row[./transno = $transno and ./tenderedtype = $tenderedtype]/tenderedamt + /all_results/results[@name = 'detailtender']/row[./transno = $transno and ./tenderedtype = 'CHNGE']/tenderedamt, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>								
								</xsl:when>
								<xsl:when test="exists(/all_results/results[@name = 'detailtender']/row[./transno = $transno and ./tenderedtype = $tenderedtype]/tenderedamt)">
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
										<fo:block>
											<xsl:value-of select="format-number(/all_results/results[@name = 'detailtender']/row[./transno = $transno and ./tenderedtype = $tenderedtype]/tenderedamt, '$ ##,###,##0.00;$ -#,###,##0.00')" />
										</fo:block>
									</fo:table-cell>
								</xsl:when>
								<xsl:otherwise>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
										<fo:block>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
								</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<xsl:choose>
								<xsl:when test="./billto != 0">
									<fo:block>
										<xsl:value-of select="format-number(./billto, '$ ##,###,##0.00;$ -#,###,##0.00')" />
									</fo:block>
								</xsl:when>							
								<xsl:otherwise>
									<fo:block>
										<xsl:value-of select="' '" />
									</fo:block>
								</xsl:otherwise>
								</xsl:choose>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./purchasepaid + ./misc + ./payment + ./returnamt + ./totaltax - ./billto - ./billtotax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>	
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</xsl:if>
		<xsl:if test="/all_results/results[@name = 'detail']/row[tstats = 'O']">
			 <fo:block break-before="page" color="red">
			 	<xsl:value-of select="'Unposted Invoices - ERROR'" />
			 </fo:block>
			<fo:table table-layout="fixed" width="100%">
				<fo:table-column column-width="0.25in" />
				<fo:table-column column-width="1.2in" />
				<fo:table-column column-width="0.7in" />
				<fo:table-column column-width="0.7in" />
				<fo:table-column column-width="0.5in" />
				<fo:table-column column-width="1.0in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-column column-width="0.6in" />
				<fo:table-header>
					<fo:table-row keep-with-next="always">
						<fo:table-cell number-columns-spanned="12" space-after="16px">
							<fo:block xsl:use-attribute-sets="summary-headings">Invoice Details</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row keep-with-next="always">
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Mkt</fo:block>
						</fo:table-cell>					
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Account</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Service</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Disc Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Invoice Date</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>User Id</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Cash</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Check</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Credit Card</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Billed To</fo:block>
						</fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="table-headings" font-size="7pt">
							<fo:block>Total Invoice</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</fo:table-header>
				<fo:table-body>
					<xsl:for-each select="/all_results/results[@name = 'detail']/row[tstats = 'O']">
						<xsl:sort select="transno" order="descending" />
						<fo:table-row background-color="red">
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./market" />
								</fo:block>
							</fo:table-cell>						
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./transno" />
								</fo:block>
							</fo:table-cell>
							<xsl:choose>
								<xsl:when test="./ptcyc = 0 and ./ptacct = 0">
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt" number-columns-spanned="3">
										<fo:block>
											<xsl:value-of select="'Walk-In'" />
										</fo:block>
									</fo:table-cell>
								</xsl:when>
								<xsl:otherwise>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptcyc != 0 and ./ptacct != 0">
												<xsl:value-of select="format-number(./ptcyc, '000')" />
												<xsl:value-of select="'-'" />
												<xsl:value-of select="format-number(./ptacct, '0000000')" />
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptnpa != 0 and ./ptnxx != 0">
												<xsl:call-template name="phone">
													<xsl:with-param name="npa" select="./ptnpa" />
													<xsl:with-param name="nxx" select="./ptnxx" />
													<xsl:with-param name="line" select="./ptline" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
										<fo:block>
											<xsl:if test="./ptdcc != 0 and ./ptdyy != 0 and ./ptdmm != 0 and ./ptdd">
												<xsl:call-template name="date4parm">
													<xsl:with-param name="cc" select="./ptdcc" />
													<xsl:with-param name="yy" select="./ptdyy" />
													<xsl:with-param name="mm" select="./ptdmm" />
													<xsl:with-param name="dd" select="./ptddd" />
												</xsl:call-template>
											</xsl:if>
											<xsl:value-of select="' '" />
										</fo:block>
									</fo:table-cell>
								</xsl:otherwise>
							</xsl:choose>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="center" font-size="6pt">
								<fo:block>
									<xsl:call-template name="date4parm">
										<xsl:with-param name="cc" select="./ptrcc" />
										<xsl:with-param name="yy" select="./ptryy" />
										<xsl:with-param name="mm" select="./ptrmm" />
										<xsl:with-param name="dd" select="./ptrdd" />
									</xsl:call-template>
									<xsl:value-of select="' '" />
									<xsl:value-of select="format-number(./pttmhh, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmmm, '00')" />
									<xsl:value-of select="':'" />
									<xsl:value-of select="format-number(./pttmss, '00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="left" font-size="6pt">
								<fo:block>
									<xsl:value-of select="./ptrusr" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./cash - ./change, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./chck, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./credit, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>	
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./billto, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="table-cells" text-align="right" font-size="6pt">
								<fo:block>
									<xsl:value-of select="format-number(./purchasepaid + ./misc + ./payment + ./returnamt + ./totaltax - ./billto - ./billtotax, '$ ##,###,##0.00;$ -#,###,##0.00')" />
								</fo:block>
							</fo:table-cell>	
						</fo:table-row>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</xsl:if>		
	</xsl:template>
</xsl:stylesheet>